
// FindErrorDlg.cpp : implementation file
//

#include "stdafx.h"
#include "FindError.h"
#include "FindErrorDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CFindErrorDlg dialog

// ErrorList.cpp : Defines the entry point for the console application.
//

#include "stdafx.h"


struct
{
	DWORD           dwErr;
	const wchar_t * szErr;
}
Errors[] =
{
	NO_ERROR, L"NO_ERROR",
	ERROR_INVALID_FUNCTION, L"ERROR_INVALID_FUNCTION",
	ERROR_FILE_NOT_FOUND, L"ERROR_FILE_NOT_FOUND",
	ERROR_PATH_NOT_FOUND, L"ERROR_PATH_NOT_FOUND",
	ERROR_TOO_MANY_OPEN_FILES, L"ERROR_TOO_MANY_OPEN_FILES",
	ERROR_ACCESS_DENIED, L"ERROR_ACCESS_DENIED",
	ERROR_INVALID_HANDLE, L"ERROR_INVALID_HANDLE",
	ERROR_ARENA_TRASHED, L"ERROR_ARENA_TRASHED",
	ERROR_NOT_ENOUGH_MEMORY, L"ERROR_NOT_ENOUGH_MEMORY",
	ERROR_INVALID_BLOCK, L"ERROR_INVALID_BLOCK",
	ERROR_BAD_ENVIRONMENT, L"ERROR_BAD_ENVIRONMENT",
	ERROR_BAD_FORMAT, L"ERROR_BAD_FORMAT",
	ERROR_INVALID_ACCESS, L"ERROR_INVALID_ACCESS",
	ERROR_INVALID_DATA, L"ERROR_INVALID_DATA",
	ERROR_OUTOFMEMORY, L"ERROR_OUTOFMEMORY",
	ERROR_INVALID_DRIVE, L"ERROR_INVALID_DRIVE",
	ERROR_CURRENT_DIRECTORY, L"ERROR_CURRENT_DIRECTORY",
	ERROR_NOT_SAME_DEVICE, L"ERROR_NOT_SAME_DEVICE",
	ERROR_NO_MORE_FILES, L"ERROR_NO_MORE_FILES",
	ERROR_WRITE_PROTECT, L"ERROR_WRITE_PROTECT",
	ERROR_BAD_UNIT, L"ERROR_BAD_UNIT",
	ERROR_NOT_READY, L"ERROR_NOT_READY",
	ERROR_BAD_COMMAND, L"ERROR_BAD_COMMAND",
	ERROR_CRC, L"ERROR_CRC",
	ERROR_BAD_LENGTH, L"ERROR_BAD_LENGTH",
	ERROR_SEEK, L"ERROR_SEEK",
	ERROR_NOT_DOS_DISK, L"ERROR_NOT_DOS_DISK",
	ERROR_SECTOR_NOT_FOUND, L"ERROR_SECTOR_NOT_FOUND",
	ERROR_OUT_OF_PAPER, L"ERROR_OUT_OF_PAPER",
	ERROR_WRITE_FAULT, L"ERROR_WRITE_FAULT",
	ERROR_READ_FAULT, L"ERROR_READ_FAULT",
	ERROR_GEN_FAILURE, L"ERROR_GEN_FAILURE",
	ERROR_SHARING_VIOLATION, L"ERROR_SHARING_VIOLATION",
	ERROR_LOCK_VIOLATION, L"ERROR_LOCK_VIOLATION",
	ERROR_WRONG_DISK, L"ERROR_WRONG_DISK",
	ERROR_SHARING_BUFFER_EXCEEDED, L"ERROR_SHARING_BUFFER_EXCEEDED",
	ERROR_HANDLE_EOF, L"ERROR_HANDLE_EOF",
	ERROR_HANDLE_DISK_FULL, L"ERROR_HANDLE_DISK_FULL",
	ERROR_NOT_SUPPORTED, L"ERROR_NOT_SUPPORTED",
	ERROR_REM_NOT_LIST, L"ERROR_REM_NOT_LIST",
	ERROR_DUP_NAME, L"ERROR_DUP_NAME",
	ERROR_BAD_NETPATH, L"ERROR_BAD_NETPATH",
	ERROR_NETWORK_BUSY, L"ERROR_NETWORK_BUSY",
	ERROR_DEV_NOT_EXIST, L"ERROR_DEV_NOT_EXIST",
	ERROR_TOO_MANY_CMDS, L"ERROR_TOO_MANY_CMDS",
	ERROR_ADAP_HDW_ERR, L"ERROR_ADAP_HDW_ERR",
	ERROR_BAD_NET_RESP, L"ERROR_BAD_NET_RESP",
	ERROR_UNEXP_NET_ERR, L"ERROR_UNEXP_NET_ERR",
	ERROR_BAD_REM_ADAP, L"ERROR_BAD_REM_ADAP",
	ERROR_PRINTQ_FULL, L"ERROR_PRINTQ_FULL",
	ERROR_NO_SPOOL_SPACE, L"ERROR_NO_SPOOL_SPACE",
	ERROR_PRINT_CANCELLED, L"ERROR_PRINT_CANCELLED",
	ERROR_NETNAME_DELETED, L"ERROR_NETNAME_DELETED",
	ERROR_NETWORK_ACCESS_DENIED, L"ERROR_NETWORK_ACCESS_DENIED",
	ERROR_BAD_DEV_TYPE, L"ERROR_BAD_DEV_TYPE",
	ERROR_BAD_NET_NAME, L"ERROR_BAD_NET_NAME",
	ERROR_TOO_MANY_NAMES, L"ERROR_TOO_MANY_NAMES",
	ERROR_TOO_MANY_SESS, L"ERROR_TOO_MANY_SESS",
	ERROR_SHARING_PAUSED, L"ERROR_SHARING_PAUSED",
	ERROR_REQ_NOT_ACCEP, L"ERROR_REQ_NOT_ACCEP",
	ERROR_REDIR_PAUSED, L"ERROR_REDIR_PAUSED",
	ERROR_FILE_EXISTS, L"ERROR_FILE_EXISTS",
	ERROR_CANNOT_MAKE, L"ERROR_CANNOT_MAKE",
	ERROR_FAIL_I24, L"ERROR_FAIL_I24",
	ERROR_OUT_OF_STRUCTURES, L"ERROR_OUT_OF_STRUCTURES",
	ERROR_ALREADY_ASSIGNED, L"ERROR_ALREADY_ASSIGNED",
	ERROR_INVALID_PASSWORD, L"ERROR_INVALID_PASSWORD",
	ERROR_INVALID_PARAMETER, L"ERROR_INVALID_PARAMETER",
	ERROR_NET_WRITE_FAULT, L"ERROR_NET_WRITE_FAULT",
	ERROR_NO_PROC_SLOTS, L"ERROR_NO_PROC_SLOTS",
	ERROR_TOO_MANY_SEMAPHORES, L"ERROR_TOO_MANY_SEMAPHORES",
	ERROR_EXCL_SEM_ALREADY_OWNED, L"ERROR_EXCL_SEM_ALREADY_OWNED",
	ERROR_SEM_IS_SET, L"ERROR_SEM_IS_SET",
	ERROR_TOO_MANY_SEM_REQUESTS, L"ERROR_TOO_MANY_SEM_REQUESTS",
	ERROR_INVALID_AT_INTERRUPT_TIME, L"ERROR_INVALID_AT_INTERRUPT_TIME",
	ERROR_SEM_OWNER_DIED, L"ERROR_SEM_OWNER_DIED",
	ERROR_SEM_USER_LIMIT, L"ERROR_SEM_USER_LIMIT",
	ERROR_DISK_CHANGE, L"ERROR_DISK_CHANGE",
	ERROR_DRIVE_LOCKED, L"ERROR_DRIVE_LOCKED",
	ERROR_BROKEN_PIPE, L"ERROR_BROKEN_PIPE",
	ERROR_OPEN_FAILED, L"ERROR_OPEN_FAILED",
	ERROR_BUFFER_OVERFLOW, L"ERROR_BUFFER_OVERFLOW",
	ERROR_DISK_FULL, L"ERROR_DISK_FULL",
	ERROR_NO_MORE_SEARCH_HANDLES, L"ERROR_NO_MORE_SEARCH_HANDLES",
	ERROR_INVALID_TARGET_HANDLE, L"ERROR_INVALID_TARGET_HANDLE",
	ERROR_INVALID_CATEGORY, L"ERROR_INVALID_CATEGORY",
	ERROR_INVALID_VERIFY_SWITCH, L"ERROR_INVALID_VERIFY_SWITCH",
	ERROR_BAD_DRIVER_LEVEL, L"ERROR_BAD_DRIVER_LEVEL",
	ERROR_CALL_NOT_IMPLEMENTED, L"ERROR_CALL_NOT_IMPLEMENTED",
	ERROR_SEM_TIMEOUT, L"ERROR_SEM_TIMEOUT",
	ERROR_INSUFFICIENT_BUFFER, L"ERROR_INSUFFICIENT_BUFFER",
	ERROR_INVALID_NAME, L"ERROR_INVALID_NAME",
	ERROR_INVALID_LEVEL, L"ERROR_INVALID_LEVEL",
	ERROR_NO_VOLUME_LABEL, L"ERROR_NO_VOLUME_LABEL",
	ERROR_MOD_NOT_FOUND, L"ERROR_MOD_NOT_FOUND",
	ERROR_PROC_NOT_FOUND, L"ERROR_PROC_NOT_FOUND",
	ERROR_WAIT_NO_CHILDREN, L"ERROR_WAIT_NO_CHILDREN",
	ERROR_CHILD_NOT_COMPLETE, L"ERROR_CHILD_NOT_COMPLETE",
	ERROR_DIRECT_ACCESS_HANDLE, L"ERROR_DIRECT_ACCESS_HANDLE",
	ERROR_NEGATIVE_SEEK, L"ERROR_NEGATIVE_SEEK",
	ERROR_SEEK_ON_DEVICE, L"ERROR_SEEK_ON_DEVICE",
	ERROR_IS_JOIN_TARGET, L"ERROR_IS_JOIN_TARGET",
	ERROR_IS_JOINED, L"ERROR_IS_JOINED",
	ERROR_IS_SUBSTED, L"ERROR_IS_SUBSTED",
	ERROR_NOT_JOINED, L"ERROR_NOT_JOINED",
	ERROR_NOT_SUBSTED, L"ERROR_NOT_SUBSTED",
	ERROR_JOIN_TO_JOIN, L"ERROR_JOIN_TO_JOIN",
	ERROR_SUBST_TO_SUBST, L"ERROR_SUBST_TO_SUBST",
	ERROR_JOIN_TO_SUBST, L"ERROR_JOIN_TO_SUBST",
	ERROR_SUBST_TO_JOIN, L"ERROR_SUBST_TO_JOIN",
	ERROR_BUSY_DRIVE, L"ERROR_BUSY_DRIVE",
	ERROR_SAME_DRIVE, L"ERROR_SAME_DRIVE",
	ERROR_DIR_NOT_ROOT, L"ERROR_DIR_NOT_ROOT",
	ERROR_DIR_NOT_EMPTY, L"ERROR_DIR_NOT_EMPTY",
	ERROR_IS_SUBST_PATH, L"ERROR_IS_SUBST_PATH",
	ERROR_IS_JOIN_PATH, L"ERROR_IS_JOIN_PATH",
	ERROR_PATH_BUSY, L"ERROR_PATH_BUSY",
	ERROR_IS_SUBST_TARGET, L"ERROR_IS_SUBST_TARGET",
	ERROR_SYSTEM_TRACE, L"ERROR_SYSTEM_TRACE",
	ERROR_INVALID_EVENT_COUNT, L"ERROR_INVALID_EVENT_COUNT",
	ERROR_TOO_MANY_MUXWAITERS, L"ERROR_TOO_MANY_MUXWAITERS",
	ERROR_INVALID_LIST_FORMAT, L"ERROR_INVALID_LIST_FORMAT",
	ERROR_LABEL_TOO_LONG, L"ERROR_LABEL_TOO_LONG",
	ERROR_TOO_MANY_TCBS, L"ERROR_TOO_MANY_TCBS",
	ERROR_SIGNAL_REFUSED, L"ERROR_SIGNAL_REFUSED",
	ERROR_DISCARDED, L"ERROR_DISCARDED",
	ERROR_NOT_LOCKED, L"ERROR_NOT_LOCKED",
	ERROR_BAD_THREADID_ADDR, L"ERROR_BAD_THREADID_ADDR",
	ERROR_BAD_ARGUMENTS, L"ERROR_BAD_ARGUMENTS",
	ERROR_BAD_PATHNAME, L"ERROR_BAD_PATHNAME",
	ERROR_SIGNAL_PENDING, L"ERROR_SIGNAL_PENDING",
	ERROR_MAX_THRDS_REACHED, L"ERROR_MAX_THRDS_REACHED",
	ERROR_LOCK_FAILED, L"ERROR_LOCK_FAILED",
	ERROR_BUSY, L"ERROR_BUSY",
	ERROR_CANCEL_VIOLATION, L"ERROR_CANCEL_VIOLATION",
	ERROR_ATOMIC_LOCKS_NOT_SUPPORTED, L"ERROR_ATOMIC_LOCKS_NOT_SUPPORTED",
	ERROR_INVALID_SEGMENT_NUMBER, L"ERROR_INVALID_SEGMENT_NUMBER",
	ERROR_INVALID_ORDINAL, L"ERROR_INVALID_ORDINAL",
	ERROR_ALREADY_EXISTS, L"ERROR_ALREADY_EXISTS",
	ERROR_INVALID_FLAG_NUMBER, L"ERROR_INVALID_FLAG_NUMBER",
	ERROR_SEM_NOT_FOUND, L"ERROR_SEM_NOT_FOUND",
	ERROR_INVALID_STARTING_CODESEG, L"ERROR_INVALID_STARTING_CODESEG",
	ERROR_INVALID_STACKSEG, L"ERROR_INVALID_STACKSEG",
	ERROR_INVALID_MODULETYPE, L"ERROR_INVALID_MODULETYPE",
	ERROR_INVALID_EXE_SIGNATURE, L"ERROR_INVALID_EXE_SIGNATURE",
	ERROR_EXE_MARKED_INVALID, L"ERROR_EXE_MARKED_INVALID",
	ERROR_BAD_EXE_FORMAT, L"ERROR_BAD_EXE_FORMAT",
	ERROR_ITERATED_DATA_EXCEEDS_64k, L"ERROR_ITERATED_DATA_EXCEEDS_64k",
	ERROR_INVALID_MINALLOCSIZE, L"ERROR_INVALID_MINALLOCSIZE",
	ERROR_DYNLINK_FROM_INVALID_RING, L"ERROR_DYNLINK_FROM_INVALID_RING",
	ERROR_IOPL_NOT_ENABLED, L"ERROR_IOPL_NOT_ENABLED",
	ERROR_INVALID_SEGDPL, L"ERROR_INVALID_SEGDPL",
	ERROR_AUTODATASEG_EXCEEDS_64k, L"ERROR_AUTODATASEG_EXCEEDS_64k",
	ERROR_RING2SEG_MUST_BE_MOVABLE, L"ERROR_RING2SEG_MUST_BE_MOVABLE",
	ERROR_RELOC_CHAIN_XEEDS_SEGLIM, L"ERROR_RELOC_CHAIN_XEEDS_SEGLIM",
	ERROR_INFLOOP_IN_RELOC_CHAIN, L"ERROR_INFLOOP_IN_RELOC_CHAIN",
	ERROR_ENVVAR_NOT_FOUND, L"ERROR_ENVVAR_NOT_FOUND",
	ERROR_NO_SIGNAL_SENT, L"ERROR_NO_SIGNAL_SENT",
	ERROR_FILENAME_EXCED_RANGE, L"ERROR_FILENAME_EXCED_RANGE",
	ERROR_RING2_STACK_IN_USE, L"ERROR_RING2_STACK_IN_USE",
	ERROR_META_EXPANSION_TOO_LONG, L"ERROR_META_EXPANSION_TOO_LONG",
	ERROR_INVALID_SIGNAL_NUMBER, L"ERROR_INVALID_SIGNAL_NUMBER",
	ERROR_THREAD_1_INACTIVE, L"ERROR_THREAD_1_INACTIVE",
	ERROR_LOCKED, L"ERROR_LOCKED",
	ERROR_TOO_MANY_MODULES, L"ERROR_TOO_MANY_MODULES",
	ERROR_NESTING_NOT_ALLOWED, L"ERROR_NESTING_NOT_ALLOWED",
	ERROR_EXE_MACHINE_TYPE_MISMATCH, L"ERROR_EXE_MACHINE_TYPE_MISMATCH",
	ERROR_EXE_CANNOT_MODIFY_SIGNED_BINARY, L"ERROR_EXE_CANNOT_MODIFY_SIGNED_BINARY",
	ERROR_EXE_CANNOT_MODIFY_STRONG_SIGNED_BINARY, L"ERROR_EXE_CANNOT_MODIFY_STRONG_SIGNED_BINARY",
	ERROR_FILE_CHECKED_OUT, L"ERROR_FILE_CHECKED_OUT",
	ERROR_CHECKOUT_REQUIRED, L"ERROR_CHECKOUT_REQUIRED",
	ERROR_BAD_FILE_TYPE, L"ERROR_BAD_FILE_TYPE",
	ERROR_FILE_TOO_LARGE, L"ERROR_FILE_TOO_LARGE",
	ERROR_FORMS_AUTH_REQUIRED, L"ERROR_FORMS_AUTH_REQUIRED",
	ERROR_VIRUS_INFECTED, L"ERROR_VIRUS_INFECTED",
	ERROR_VIRUS_DELETED, L"ERROR_VIRUS_DELETED",
	ERROR_PIPE_LOCAL, L"ERROR_PIPE_LOCAL",
	ERROR_BAD_PIPE, L"ERROR_BAD_PIPE",
	ERROR_PIPE_BUSY, L"ERROR_PIPE_BUSY",
	ERROR_NO_DATA, L"ERROR_NO_DATA",
	ERROR_PIPE_NOT_CONNECTED, L"ERROR_PIPE_NOT_CONNECTED",
	ERROR_MORE_DATA, L"ERROR_MORE_DATA",
	ERROR_VC_DISCONNECTED, L"ERROR_VC_DISCONNECTED",
	ERROR_INVALID_EA_NAME, L"ERROR_INVALID_EA_NAME",
	ERROR_EA_LIST_INCONSISTENT, L"ERROR_EA_LIST_INCONSISTENT",
	WAIT_TIMEOUT, L"WAIT_TIMEOUT",
	ERROR_NO_MORE_ITEMS, L"ERROR_NO_MORE_ITEMS",
	ERROR_CANNOT_COPY, L"ERROR_CANNOT_COPY",
	ERROR_DIRECTORY, L"ERROR_DIRECTORY",
	ERROR_EAS_DIDNT_FIT, L"ERROR_EAS_DIDNT_FIT",
	ERROR_EA_FILE_CORRUPT, L"ERROR_EA_FILE_CORRUPT",
	ERROR_EA_TABLE_FULL, L"ERROR_EA_TABLE_FULL",
	ERROR_INVALID_EA_HANDLE, L"ERROR_INVALID_EA_HANDLE",
	ERROR_EAS_NOT_SUPPORTED, L"ERROR_EAS_NOT_SUPPORTED",
	ERROR_NOT_OWNER, L"ERROR_NOT_OWNER",
	ERROR_TOO_MANY_POSTS, L"ERROR_TOO_MANY_POSTS",
	ERROR_PARTIAL_COPY, L"ERROR_PARTIAL_COPY",
	ERROR_OPLOCK_NOT_GRANTED, L"ERROR_OPLOCK_NOT_GRANTED",
	ERROR_INVALID_OPLOCK_PROTOCOL, L"ERROR_INVALID_OPLOCK_PROTOCOL",
	ERROR_DISK_TOO_FRAGMENTED, L"ERROR_DISK_TOO_FRAGMENTED",
	ERROR_DELETE_PENDING, L"ERROR_DELETE_PENDING",
	ERROR_INCOMPATIBLE_WITH_GLOBAL_SHORT_NAME_REGISTRY_SETTING, L"ERROR_INCOMPATIBLE_WITH_GLOBAL_SHORT_NAME_REGISTRY_SETTING",
	ERROR_SHORT_NAMES_NOT_ENABLED_ON_VOLUME, L"ERROR_SHORT_NAMES_NOT_ENABLED_ON_VOLUME",
	ERROR_SECURITY_STREAM_IS_INCONSISTENT, L"ERROR_SECURITY_STREAM_IS_INCONSISTENT",
	ERROR_INVALID_LOCK_RANGE, L"ERROR_INVALID_LOCK_RANGE",
	ERROR_IMAGE_SUBSYSTEM_NOT_PRESENT, L"ERROR_IMAGE_SUBSYSTEM_NOT_PRESENT",
	ERROR_NOTIFICATION_GUID_ALREADY_DEFINED, L"ERROR_NOTIFICATION_GUID_ALREADY_DEFINED",
	ERROR_MR_MID_NOT_FOUND, L"ERROR_MR_MID_NOT_FOUND",
	ERROR_SCOPE_NOT_FOUND, L"ERROR_SCOPE_NOT_FOUND",
	ERROR_FAIL_NOACTION_REBOOT, L"ERROR_FAIL_NOACTION_REBOOT",
	ERROR_FAIL_SHUTDOWN, L"ERROR_FAIL_SHUTDOWN",
	ERROR_FAIL_RESTART, L"ERROR_FAIL_RESTART",
	ERROR_MAX_SESSIONS_REACHED, L"ERROR_MAX_SESSIONS_REACHED",
	ERROR_THREAD_MODE_ALREADY_BACKGROUND, L"ERROR_THREAD_MODE_ALREADY_BACKGROUND",
	ERROR_THREAD_MODE_NOT_BACKGROUND, L"ERROR_THREAD_MODE_NOT_BACKGROUND",
	ERROR_PROCESS_MODE_ALREADY_BACKGROUND, L"ERROR_PROCESS_MODE_ALREADY_BACKGROUND",
	ERROR_PROCESS_MODE_NOT_BACKGROUND, L"ERROR_PROCESS_MODE_NOT_BACKGROUND",
	ERROR_INVALID_ADDRESS, L"ERROR_INVALID_ADDRESS",
	ERROR_USER_PROFILE_LOAD, L"ERROR_USER_PROFILE_LOAD",
	ERROR_ARITHMETIC_OVERFLOW, L"ERROR_ARITHMETIC_OVERFLOW",
	ERROR_PIPE_CONNECTED, L"ERROR_PIPE_CONNECTED",
	ERROR_PIPE_LISTENING, L"ERROR_PIPE_LISTENING",
	ERROR_VERIFIER_STOP, L"ERROR_VERIFIER_STOP",
	ERROR_ABIOS_ERROR, L"ERROR_ABIOS_ERROR",
	ERROR_WX86_WARNING, L"ERROR_WX86_WARNING",
	ERROR_WX86_ERROR, L"ERROR_WX86_ERROR",
	ERROR_TIMER_NOT_CANCELED, L"ERROR_TIMER_NOT_CANCELED",
	ERROR_UNWIND, L"ERROR_UNWIND",
	ERROR_BAD_STACK, L"ERROR_BAD_STACK",
	ERROR_INVALID_UNWIND_TARGET, L"ERROR_INVALID_UNWIND_TARGET",
	ERROR_INVALID_PORT_ATTRIBUTES, L"ERROR_INVALID_PORT_ATTRIBUTES",
	ERROR_PORT_MESSAGE_TOO_LONG, L"ERROR_PORT_MESSAGE_TOO_LONG",
	ERROR_INVALID_QUOTA_LOWER, L"ERROR_INVALID_QUOTA_LOWER",
	ERROR_DEVICE_ALREADY_ATTACHED, L"ERROR_DEVICE_ALREADY_ATTACHED",
	ERROR_INSTRUCTION_MISALIGNMENT, L"ERROR_INSTRUCTION_MISALIGNMENT",
	ERROR_PROFILING_NOT_STARTED, L"ERROR_PROFILING_NOT_STARTED",
	ERROR_PROFILING_NOT_STOPPED, L"ERROR_PROFILING_NOT_STOPPED",
	ERROR_COULD_NOT_INTERPRET, L"ERROR_COULD_NOT_INTERPRET",
	ERROR_PROFILING_AT_LIMIT, L"ERROR_PROFILING_AT_LIMIT",
	ERROR_CANT_WAIT, L"ERROR_CANT_WAIT",
	ERROR_CANT_TERMINATE_SELF, L"ERROR_CANT_TERMINATE_SELF",
	ERROR_UNEXPECTED_MM_CREATE_ERR, L"ERROR_UNEXPECTED_MM_CREATE_ERR",
	ERROR_UNEXPECTED_MM_MAP_ERROR, L"ERROR_UNEXPECTED_MM_MAP_ERROR",
	ERROR_UNEXPECTED_MM_EXTEND_ERR, L"ERROR_UNEXPECTED_MM_EXTEND_ERR",
	ERROR_BAD_FUNCTION_TABLE, L"ERROR_BAD_FUNCTION_TABLE",
	ERROR_NO_GUID_TRANSLATION, L"ERROR_NO_GUID_TRANSLATION",
	ERROR_INVALID_LDT_SIZE, L"ERROR_INVALID_LDT_SIZE",
	ERROR_INVALID_LDT_OFFSET, L"ERROR_INVALID_LDT_OFFSET",
	ERROR_INVALID_LDT_DESCRIPTOR, L"ERROR_INVALID_LDT_DESCRIPTOR",
	ERROR_TOO_MANY_THREADS, L"ERROR_TOO_MANY_THREADS",
	ERROR_THREAD_NOT_IN_PROCESS, L"ERROR_THREAD_NOT_IN_PROCESS",
	ERROR_PAGEFILE_QUOTA_EXCEEDED, L"ERROR_PAGEFILE_QUOTA_EXCEEDED",
	ERROR_LOGON_SERVER_CONFLICT, L"ERROR_LOGON_SERVER_CONFLICT",
	ERROR_SYNCHRONIZATION_REQUIRED, L"ERROR_SYNCHRONIZATION_REQUIRED",
	ERROR_NET_OPEN_FAILED, L"ERROR_NET_OPEN_FAILED",
	ERROR_IO_PRIVILEGE_FAILED, L"ERROR_IO_PRIVILEGE_FAILED",
	ERROR_CONTROL_C_EXIT, L"ERROR_CONTROL_C_EXIT",
	ERROR_MISSING_SYSTEMFILE, L"ERROR_MISSING_SYSTEMFILE",
	ERROR_UNHANDLED_EXCEPTION, L"ERROR_UNHANDLED_EXCEPTION",
	ERROR_APP_INIT_FAILURE, L"ERROR_APP_INIT_FAILURE",
	ERROR_PAGEFILE_CREATE_FAILED, L"ERROR_PAGEFILE_CREATE_FAILED",
	ERROR_INVALID_IMAGE_HASH, L"ERROR_INVALID_IMAGE_HASH",
	ERROR_NO_PAGEFILE, L"ERROR_NO_PAGEFILE",
	ERROR_ILLEGAL_FLOAT_CONTEXT, L"ERROR_ILLEGAL_FLOAT_CONTEXT",
	ERROR_NO_EVENT_PAIR, L"ERROR_NO_EVENT_PAIR",
	ERROR_DOMAIN_CTRLR_CONFIG_ERROR, L"ERROR_DOMAIN_CTRLR_CONFIG_ERROR",
	ERROR_ILLEGAL_CHARACTER, L"ERROR_ILLEGAL_CHARACTER",
	ERROR_UNDEFINED_CHARACTER, L"ERROR_UNDEFINED_CHARACTER",
	ERROR_FLOPPY_VOLUME, L"ERROR_FLOPPY_VOLUME",
	ERROR_BIOS_FAILED_TO_CONNECT_INTERRUPT, L"ERROR_BIOS_FAILED_TO_CONNECT_INTERRUPT",
	ERROR_BACKUP_CONTROLLER, L"ERROR_BACKUP_CONTROLLER",
	ERROR_MUTANT_LIMIT_EXCEEDED, L"ERROR_MUTANT_LIMIT_EXCEEDED",
	ERROR_FS_DRIVER_REQUIRED, L"ERROR_FS_DRIVER_REQUIRED",
	ERROR_CANNOT_LOAD_REGISTRY_FILE, L"ERROR_CANNOT_LOAD_REGISTRY_FILE",
	ERROR_DEBUG_ATTACH_FAILED, L"ERROR_DEBUG_ATTACH_FAILED",
	ERROR_SYSTEM_PROCESS_TERMINATED, L"ERROR_SYSTEM_PROCESS_TERMINATED",
	ERROR_DATA_NOT_ACCEPTED, L"ERROR_DATA_NOT_ACCEPTED",
	ERROR_VDM_HARD_ERROR, L"ERROR_VDM_HARD_ERROR",
	ERROR_DRIVER_CANCEL_TIMEOUT, L"ERROR_DRIVER_CANCEL_TIMEOUT",
	ERROR_REPLY_MESSAGE_MISMATCH, L"ERROR_REPLY_MESSAGE_MISMATCH",
	ERROR_LOST_WRITEBEHIND_DATA, L"ERROR_LOST_WRITEBEHIND_DATA",
	ERROR_CLIENT_SERVER_PARAMETERS_INVALID, L"ERROR_CLIENT_SERVER_PARAMETERS_INVALID",
	ERROR_NOT_TINY_STREAM, L"ERROR_NOT_TINY_STREAM",
	ERROR_STACK_OVERFLOW_READ, L"ERROR_STACK_OVERFLOW_READ",
	ERROR_CONVERT_TO_LARGE, L"ERROR_CONVERT_TO_LARGE",
	ERROR_FOUND_OUT_OF_SCOPE, L"ERROR_FOUND_OUT_OF_SCOPE",
	ERROR_ALLOCATE_BUCKET, L"ERROR_ALLOCATE_BUCKET",
	ERROR_MARSHALL_OVERFLOW, L"ERROR_MARSHALL_OVERFLOW",
	ERROR_INVALID_VARIANT, L"ERROR_INVALID_VARIANT",
	ERROR_BAD_COMPRESSION_BUFFER, L"ERROR_BAD_COMPRESSION_BUFFER",
	ERROR_AUDIT_FAILED, L"ERROR_AUDIT_FAILED",
	ERROR_TIMER_RESOLUTION_NOT_SET, L"ERROR_TIMER_RESOLUTION_NOT_SET",
	ERROR_INSUFFICIENT_LOGON_INFO, L"ERROR_INSUFFICIENT_LOGON_INFO",
	ERROR_BAD_DLL_ENTRYPOINT, L"ERROR_BAD_DLL_ENTRYPOINT",
	ERROR_BAD_SERVICE_ENTRYPOINT, L"ERROR_BAD_SERVICE_ENTRYPOINT",
	ERROR_IP_ADDRESS_CONFLICT1, L"ERROR_IP_ADDRESS_CONFLICT1",
	ERROR_IP_ADDRESS_CONFLICT2, L"ERROR_IP_ADDRESS_CONFLICT2",
	ERROR_REGISTRY_QUOTA_LIMIT, L"ERROR_REGISTRY_QUOTA_LIMIT",
	ERROR_NO_CALLBACK_ACTIVE, L"ERROR_NO_CALLBACK_ACTIVE",
	ERROR_PWD_TOO_SHORT, L"ERROR_PWD_TOO_SHORT",
	ERROR_PWD_TOO_RECENT, L"ERROR_PWD_TOO_RECENT",
	ERROR_PWD_HISTORY_CONFLICT, L"ERROR_PWD_HISTORY_CONFLICT",
	ERROR_UNSUPPORTED_COMPRESSION, L"ERROR_UNSUPPORTED_COMPRESSION",
	ERROR_INVALID_HW_PROFILE, L"ERROR_INVALID_HW_PROFILE",
	ERROR_INVALID_PLUGPLAY_DEVICE_PATH, L"ERROR_INVALID_PLUGPLAY_DEVICE_PATH",
	ERROR_QUOTA_LIST_INCONSISTENT, L"ERROR_QUOTA_LIST_INCONSISTENT",
	ERROR_EVALUATION_EXPIRATION, L"ERROR_EVALUATION_EXPIRATION",
	ERROR_ILLEGAL_DLL_RELOCATION, L"ERROR_ILLEGAL_DLL_RELOCATION",
	ERROR_DLL_INIT_FAILED_LOGOFF, L"ERROR_DLL_INIT_FAILED_LOGOFF",
	ERROR_VALIDATE_CONTINUE, L"ERROR_VALIDATE_CONTINUE",
	ERROR_NO_MORE_MATCHES, L"ERROR_NO_MORE_MATCHES",
	ERROR_RANGE_LIST_CONFLICT, L"ERROR_RANGE_LIST_CONFLICT",
	ERROR_SERVER_SID_MISMATCH, L"ERROR_SERVER_SID_MISMATCH",
	ERROR_CANT_ENABLE_DENY_ONLY, L"ERROR_CANT_ENABLE_DENY_ONLY",
	ERROR_FLOAT_MULTIPLE_FAULTS, L"ERROR_FLOAT_MULTIPLE_FAULTS",
	ERROR_FLOAT_MULTIPLE_TRAPS, L"ERROR_FLOAT_MULTIPLE_TRAPS",
	ERROR_NOINTERFACE, L"ERROR_NOINTERFACE",
	ERROR_DRIVER_FAILED_SLEEP, L"ERROR_DRIVER_FAILED_SLEEP",
	ERROR_CORRUPT_SYSTEM_FILE, L"ERROR_CORRUPT_SYSTEM_FILE",
	ERROR_COMMITMENT_MINIMUM, L"ERROR_COMMITMENT_MINIMUM",
	ERROR_PNP_RESTART_ENUMERATION, L"ERROR_PNP_RESTART_ENUMERATION",
	ERROR_SYSTEM_IMAGE_BAD_SIGNATURE, L"ERROR_SYSTEM_IMAGE_BAD_SIGNATURE",
	ERROR_PNP_REBOOT_REQUIRED, L"ERROR_PNP_REBOOT_REQUIRED",
	ERROR_INSUFFICIENT_POWER, L"ERROR_INSUFFICIENT_POWER",
	ERROR_MULTIPLE_FAULT_VIOLATION, L"ERROR_MULTIPLE_FAULT_VIOLATION",
	ERROR_SYSTEM_SHUTDOWN, L"ERROR_SYSTEM_SHUTDOWN",
	ERROR_PORT_NOT_SET, L"ERROR_PORT_NOT_SET",
	ERROR_DS_VERSION_CHECK_FAILURE, L"ERROR_DS_VERSION_CHECK_FAILURE",
	ERROR_RANGE_NOT_FOUND, L"ERROR_RANGE_NOT_FOUND",
	ERROR_NOT_SAFE_MODE_DRIVER, L"ERROR_NOT_SAFE_MODE_DRIVER",
	ERROR_FAILED_DRIVER_ENTRY, L"ERROR_FAILED_DRIVER_ENTRY",
	ERROR_DEVICE_ENUMERATION_ERROR, L"ERROR_DEVICE_ENUMERATION_ERROR",
	ERROR_MOUNT_POINT_NOT_RESOLVED, L"ERROR_MOUNT_POINT_NOT_RESOLVED",
	ERROR_INVALID_DEVICE_OBJECT_PARAMETER, L"ERROR_INVALID_DEVICE_OBJECT_PARAMETER",
	ERROR_MCA_OCCURED, L"ERROR_MCA_OCCURED",
	ERROR_DRIVER_DATABASE_ERROR, L"ERROR_DRIVER_DATABASE_ERROR",
	ERROR_SYSTEM_HIVE_TOO_LARGE, L"ERROR_SYSTEM_HIVE_TOO_LARGE",
	ERROR_DRIVER_FAILED_PRIOR_UNLOAD, L"ERROR_DRIVER_FAILED_PRIOR_UNLOAD",
	ERROR_VOLSNAP_PREPARE_HIBERNATE, L"ERROR_VOLSNAP_PREPARE_HIBERNATE",
	ERROR_HIBERNATION_FAILURE, L"ERROR_HIBERNATION_FAILURE",
	ERROR_FILE_SYSTEM_LIMITATION, L"ERROR_FILE_SYSTEM_LIMITATION",
	ERROR_ASSERTION_FAILURE, L"ERROR_ASSERTION_FAILURE",
	ERROR_ACPI_ERROR, L"ERROR_ACPI_ERROR",
	ERROR_WOW_ASSERTION, L"ERROR_WOW_ASSERTION",
	ERROR_PNP_BAD_MPS_TABLE, L"ERROR_PNP_BAD_MPS_TABLE",
	ERROR_PNP_TRANSLATION_FAILED, L"ERROR_PNP_TRANSLATION_FAILED",
	ERROR_PNP_IRQ_TRANSLATION_FAILED, L"ERROR_PNP_IRQ_TRANSLATION_FAILED",
	ERROR_PNP_INVALID_ID, L"ERROR_PNP_INVALID_ID",
	ERROR_WAKE_SYSTEM_DEBUGGER, L"ERROR_WAKE_SYSTEM_DEBUGGER",
	ERROR_HANDLES_CLOSED, L"ERROR_HANDLES_CLOSED",
	ERROR_EXTRANEOUS_INFORMATION, L"ERROR_EXTRANEOUS_INFORMATION",
	ERROR_RXACT_COMMIT_NECESSARY, L"ERROR_RXACT_COMMIT_NECESSARY",
	ERROR_MEDIA_CHECK, L"ERROR_MEDIA_CHECK",
	ERROR_GUID_SUBSTITUTION_MADE, L"ERROR_GUID_SUBSTITUTION_MADE",
	ERROR_STOPPED_ON_SYMLINK, L"ERROR_STOPPED_ON_SYMLINK",
	ERROR_LONGJUMP, L"ERROR_LONGJUMP",
	ERROR_PLUGPLAY_QUERY_VETOED, L"ERROR_PLUGPLAY_QUERY_VETOED",
	ERROR_UNWIND_CONSOLIDATE, L"ERROR_UNWIND_CONSOLIDATE",
	ERROR_REGISTRY_HIVE_RECOVERED, L"ERROR_REGISTRY_HIVE_RECOVERED",
	ERROR_DLL_MIGHT_BE_INSECURE, L"ERROR_DLL_MIGHT_BE_INSECURE",
	ERROR_DLL_MIGHT_BE_INCOMPATIBLE, L"ERROR_DLL_MIGHT_BE_INCOMPATIBLE",
	ERROR_DBG_EXCEPTION_NOT_HANDLED, L"ERROR_DBG_EXCEPTION_NOT_HANDLED",
	ERROR_DBG_REPLY_LATER, L"ERROR_DBG_REPLY_LATER",
	ERROR_DBG_UNABLE_TO_PROVIDE_HANDLE, L"ERROR_DBG_UNABLE_TO_PROVIDE_HANDLE",
	ERROR_DBG_TERMINATE_THREAD, L"ERROR_DBG_TERMINATE_THREAD",
	ERROR_DBG_TERMINATE_PROCESS, L"ERROR_DBG_TERMINATE_PROCESS",
	ERROR_DBG_CONTROL_C, L"ERROR_DBG_CONTROL_C",
	ERROR_DBG_PRINTEXCEPTION_C, L"ERROR_DBG_PRINTEXCEPTION_C",
	ERROR_DBG_RIPEXCEPTION, L"ERROR_DBG_RIPEXCEPTION",
	ERROR_DBG_CONTROL_BREAK, L"ERROR_DBG_CONTROL_BREAK",
	ERROR_DBG_COMMAND_EXCEPTION, L"ERROR_DBG_COMMAND_EXCEPTION",
	ERROR_OBJECT_NAME_EXISTS, L"ERROR_OBJECT_NAME_EXISTS",
	ERROR_THREAD_WAS_SUSPENDED, L"ERROR_THREAD_WAS_SUSPENDED",
	ERROR_IMAGE_NOT_AT_BASE, L"ERROR_IMAGE_NOT_AT_BASE",
	ERROR_RXACT_STATE_CREATED, L"ERROR_RXACT_STATE_CREATED",
	ERROR_SEGMENT_NOTIFICATION, L"ERROR_SEGMENT_NOTIFICATION",
	ERROR_BAD_CURRENT_DIRECTORY, L"ERROR_BAD_CURRENT_DIRECTORY",
	ERROR_FT_READ_RECOVERY_FROM_BACKUP, L"ERROR_FT_READ_RECOVERY_FROM_BACKUP",
	ERROR_FT_WRITE_RECOVERY, L"ERROR_FT_WRITE_RECOVERY",
	ERROR_IMAGE_MACHINE_TYPE_MISMATCH, L"ERROR_IMAGE_MACHINE_TYPE_MISMATCH",
	ERROR_RECEIVE_PARTIAL, L"ERROR_RECEIVE_PARTIAL",
	ERROR_RECEIVE_EXPEDITED, L"ERROR_RECEIVE_EXPEDITED",
	ERROR_RECEIVE_PARTIAL_EXPEDITED, L"ERROR_RECEIVE_PARTIAL_EXPEDITED",
	ERROR_EVENT_DONE, L"ERROR_EVENT_DONE",
	ERROR_EVENT_PENDING, L"ERROR_EVENT_PENDING",
	ERROR_CHECKING_FILE_SYSTEM, L"ERROR_CHECKING_FILE_SYSTEM",
	ERROR_FATAL_APP_EXIT, L"ERROR_FATAL_APP_EXIT",
	ERROR_PREDEFINED_HANDLE, L"ERROR_PREDEFINED_HANDLE",
	ERROR_WAS_UNLOCKED, L"ERROR_WAS_UNLOCKED",
	ERROR_SERVICE_NOTIFICATION, L"ERROR_SERVICE_NOTIFICATION",
	ERROR_WAS_LOCKED, L"ERROR_WAS_LOCKED",
	ERROR_LOG_HARD_ERROR, L"ERROR_LOG_HARD_ERROR",
	ERROR_ALREADY_WIN32, L"ERROR_ALREADY_WIN32",
	ERROR_IMAGE_MACHINE_TYPE_MISMATCH_EXE, L"ERROR_IMAGE_MACHINE_TYPE_MISMATCH_EXE",
	ERROR_NO_YIELD_PERFORMED, L"ERROR_NO_YIELD_PERFORMED",
	ERROR_TIMER_RESUME_IGNORED, L"ERROR_TIMER_RESUME_IGNORED",
	ERROR_ARBITRATION_UNHANDLED, L"ERROR_ARBITRATION_UNHANDLED",
	ERROR_CARDBUS_NOT_SUPPORTED, L"ERROR_CARDBUS_NOT_SUPPORTED",
	ERROR_MP_PROCESSOR_MISMATCH, L"ERROR_MP_PROCESSOR_MISMATCH",
	ERROR_HIBERNATED, L"ERROR_HIBERNATED",
	ERROR_RESUME_HIBERNATION, L"ERROR_RESUME_HIBERNATION",
	ERROR_FIRMWARE_UPDATED, L"ERROR_FIRMWARE_UPDATED",
	ERROR_DRIVERS_LEAKING_LOCKED_PAGES, L"ERROR_DRIVERS_LEAKING_LOCKED_PAGES",
	ERROR_WAKE_SYSTEM, L"ERROR_WAKE_SYSTEM",
	ERROR_WAIT_1, L"ERROR_WAIT_1",
	ERROR_WAIT_2, L"ERROR_WAIT_2",
	ERROR_WAIT_3, L"ERROR_WAIT_3",
	ERROR_WAIT_63, L"ERROR_WAIT_63",
	ERROR_ABANDONED_WAIT_0, L"ERROR_ABANDONED_WAIT_0",
	ERROR_ABANDONED_WAIT_63, L"ERROR_ABANDONED_WAIT_63",
	ERROR_USER_APC, L"ERROR_USER_APC",
	ERROR_KERNEL_APC, L"ERROR_KERNEL_APC",
	ERROR_ALERTED, L"ERROR_ALERTED",
	ERROR_ELEVATION_REQUIRED, L"ERROR_ELEVATION_REQUIRED",
	ERROR_REPARSE, L"ERROR_REPARSE",
	ERROR_OPLOCK_BREAK_IN_PROGRESS, L"ERROR_OPLOCK_BREAK_IN_PROGRESS",
	ERROR_VOLUME_MOUNTED, L"ERROR_VOLUME_MOUNTED",
	ERROR_RXACT_COMMITTED, L"ERROR_RXACT_COMMITTED",
	ERROR_NOTIFY_CLEANUP, L"ERROR_NOTIFY_CLEANUP",
	ERROR_PRIMARY_TRANSPORT_CONNECT_FAILED, L"ERROR_PRIMARY_TRANSPORT_CONNECT_FAILED",
	ERROR_PAGE_FAULT_TRANSITION, L"ERROR_PAGE_FAULT_TRANSITION",
	ERROR_PAGE_FAULT_DEMAND_ZERO, L"ERROR_PAGE_FAULT_DEMAND_ZERO",
	ERROR_PAGE_FAULT_COPY_ON_WRITE, L"ERROR_PAGE_FAULT_COPY_ON_WRITE",
	ERROR_PAGE_FAULT_GUARD_PAGE, L"ERROR_PAGE_FAULT_GUARD_PAGE",
	ERROR_PAGE_FAULT_PAGING_FILE, L"ERROR_PAGE_FAULT_PAGING_FILE",
	ERROR_CACHE_PAGE_LOCKED, L"ERROR_CACHE_PAGE_LOCKED",
	ERROR_CRASH_DUMP, L"ERROR_CRASH_DUMP",
	ERROR_BUFFER_ALL_ZEROS, L"ERROR_BUFFER_ALL_ZEROS",
	ERROR_REPARSE_OBJECT, L"ERROR_REPARSE_OBJECT",
	ERROR_RESOURCE_REQUIREMENTS_CHANGED, L"ERROR_RESOURCE_REQUIREMENTS_CHANGED",
	ERROR_TRANSLATION_COMPLETE, L"ERROR_TRANSLATION_COMPLETE",
	ERROR_NOTHING_TO_TERMINATE, L"ERROR_NOTHING_TO_TERMINATE",
	ERROR_PROCESS_NOT_IN_JOB, L"ERROR_PROCESS_NOT_IN_JOB",
	ERROR_PROCESS_IN_JOB, L"ERROR_PROCESS_IN_JOB",
	ERROR_VOLSNAP_HIBERNATE_READY, L"ERROR_VOLSNAP_HIBERNATE_READY",
	ERROR_FSFILTER_OP_COMPLETED_SUCCESSFULLY, L"ERROR_FSFILTER_OP_COMPLETED_SUCCESSFULLY",
	ERROR_INTERRUPT_VECTOR_ALREADY_CONNECTED, L"ERROR_INTERRUPT_VECTOR_ALREADY_CONNECTED",
	ERROR_INTERRUPT_STILL_CONNECTED, L"ERROR_INTERRUPT_STILL_CONNECTED",
	ERROR_WAIT_FOR_OPLOCK, L"ERROR_WAIT_FOR_OPLOCK",
	ERROR_DBG_EXCEPTION_HANDLED, L"ERROR_DBG_EXCEPTION_HANDLED",
	ERROR_DBG_CONTINUE, L"ERROR_DBG_CONTINUE",
	ERROR_CALLBACK_POP_STACK, L"ERROR_CALLBACK_POP_STACK",
	ERROR_COMPRESSION_DISABLED, L"ERROR_COMPRESSION_DISABLED",
	ERROR_CANTFETCHBACKWARDS, L"ERROR_CANTFETCHBACKWARDS",
	ERROR_CANTSCROLLBACKWARDS, L"ERROR_CANTSCROLLBACKWARDS",
	ERROR_ROWSNOTRELEASED, L"ERROR_ROWSNOTRELEASED",
	ERROR_BAD_ACCESSOR_FLAGS, L"ERROR_BAD_ACCESSOR_FLAGS",
	ERROR_ERRORS_ENCOUNTERED, L"ERROR_ERRORS_ENCOUNTERED",
	ERROR_NOT_CAPABLE, L"ERROR_NOT_CAPABLE",
	ERROR_REQUEST_OUT_OF_SEQUENCE, L"ERROR_REQUEST_OUT_OF_SEQUENCE",
	ERROR_VERSION_PARSE_ERROR, L"ERROR_VERSION_PARSE_ERROR",
	ERROR_BADSTARTPOSITION, L"ERROR_BADSTARTPOSITION",
	ERROR_MEMORY_HARDWARE, L"ERROR_MEMORY_HARDWARE",
	ERROR_DISK_REPAIR_DISABLED, L"ERROR_DISK_REPAIR_DISABLED",
	ERROR_INSUFFICIENT_RESOURCE_FOR_SPECIFIED_SHARED_SECTION_SIZE, L"ERROR_INSUFFICIENT_RESOURCE_FOR_SPECIFIED_SHARED_SECTION_SIZE",
	ERROR_SYSTEM_POWERSTATE_TRANSITION, L"ERROR_SYSTEM_POWERSTATE_TRANSITION",
	ERROR_SYSTEM_POWERSTATE_COMPLEX_TRANSITION, L"ERROR_SYSTEM_POWERSTATE_COMPLEX_TRANSITION",
	ERROR_MCA_EXCEPTION, L"ERROR_MCA_EXCEPTION",
	ERROR_ACCESS_AUDIT_BY_POLICY, L"ERROR_ACCESS_AUDIT_BY_POLICY",
	ERROR_ACCESS_DISABLED_NO_SAFER_UI_BY_POLICY, L"ERROR_ACCESS_DISABLED_NO_SAFER_UI_BY_POLICY",
	ERROR_ABANDON_HIBERFILE, L"ERROR_ABANDON_HIBERFILE",
	ERROR_LOST_WRITEBEHIND_DATA_NETWORK_DISCONNECTED, L"ERROR_LOST_WRITEBEHIND_DATA_NETWORK_DISCONNECTED",
	ERROR_LOST_WRITEBEHIND_DATA_NETWORK_SERVER_ERROR, L"ERROR_LOST_WRITEBEHIND_DATA_NETWORK_SERVER_ERROR",
	ERROR_LOST_WRITEBEHIND_DATA_LOCAL_DISK_ERROR, L"ERROR_LOST_WRITEBEHIND_DATA_LOCAL_DISK_ERROR",
	ERROR_BAD_MCFG_TABLE, L"ERROR_BAD_MCFG_TABLE",
	ERROR_OPLOCK_SWITCHED_TO_NEW_HANDLE, L"ERROR_OPLOCK_SWITCHED_TO_NEW_HANDLE",
	ERROR_CANNOT_GRANT_REQUESTED_OPLOCK, L"ERROR_CANNOT_GRANT_REQUESTED_OPLOCK",
	ERROR_CANNOT_BREAK_OPLOCK, L"ERROR_CANNOT_BREAK_OPLOCK",
	ERROR_OPLOCK_HANDLE_CLOSED, L"ERROR_OPLOCK_HANDLE_CLOSED",
	ERROR_NO_ACE_CONDITION, L"ERROR_NO_ACE_CONDITION",
	ERROR_INVALID_ACE_CONDITION, L"ERROR_INVALID_ACE_CONDITION",
	ERROR_EA_ACCESS_DENIED, L"ERROR_EA_ACCESS_DENIED",
	ERROR_OPERATION_ABORTED, L"ERROR_OPERATION_ABORTED",
	ERROR_IO_INCOMPLETE, L"ERROR_IO_INCOMPLETE",
	ERROR_IO_PENDING, L"ERROR_IO_PENDING",
	ERROR_NOACCESS, L"ERROR_NOACCESS",
	ERROR_SWAPERROR, L"ERROR_SWAPERROR",
	ERROR_STACK_OVERFLOW, L"ERROR_STACK_OVERFLOW",
	ERROR_INVALID_MESSAGE, L"ERROR_INVALID_MESSAGE",
	ERROR_CAN_NOT_COMPLETE, L"ERROR_CAN_NOT_COMPLETE",
	ERROR_INVALID_FLAGS, L"ERROR_INVALID_FLAGS",
	ERROR_UNRECOGNIZED_VOLUME, L"ERROR_UNRECOGNIZED_VOLUME",
	ERROR_FILE_INVALID, L"ERROR_FILE_INVALID",
	ERROR_FULLSCREEN_MODE, L"ERROR_FULLSCREEN_MODE",
	ERROR_NO_TOKEN, L"ERROR_NO_TOKEN",
	ERROR_BADDB, L"ERROR_BADDB",
	ERROR_BADKEY, L"ERROR_BADKEY",
	ERROR_CANTOPEN, L"ERROR_CANTOPEN",
	ERROR_CANTREAD, L"ERROR_CANTREAD",
	ERROR_CANTWRITE, L"ERROR_CANTWRITE",
	ERROR_REGISTRY_RECOVERED, L"ERROR_REGISTRY_RECOVERED",
	ERROR_REGISTRY_CORRUPT, L"ERROR_REGISTRY_CORRUPT",
	ERROR_REGISTRY_IO_FAILED, L"ERROR_REGISTRY_IO_FAILED",
	ERROR_NOT_REGISTRY_FILE, L"ERROR_NOT_REGISTRY_FILE",
	ERROR_KEY_DELETED, L"ERROR_KEY_DELETED",
	ERROR_NO_LOG_SPACE, L"ERROR_NO_LOG_SPACE",
	ERROR_KEY_HAS_CHILDREN, L"ERROR_KEY_HAS_CHILDREN",
	ERROR_CHILD_MUST_BE_VOLATILE, L"ERROR_CHILD_MUST_BE_VOLATILE",
	ERROR_NOTIFY_ENUM_DIR, L"ERROR_NOTIFY_ENUM_DIR",
	ERROR_DEPENDENT_SERVICES_RUNNING, L"ERROR_DEPENDENT_SERVICES_RUNNING",
	ERROR_INVALID_SERVICE_CONTROL, L"ERROR_INVALID_SERVICE_CONTROL",
	ERROR_SERVICE_REQUEST_TIMEOUT, L"ERROR_SERVICE_REQUEST_TIMEOUT",
	ERROR_SERVICE_NO_THREAD, L"ERROR_SERVICE_NO_THREAD",
	ERROR_SERVICE_DATABASE_LOCKED, L"ERROR_SERVICE_DATABASE_LOCKED",
	ERROR_SERVICE_ALREADY_RUNNING, L"ERROR_SERVICE_ALREADY_RUNNING",
	ERROR_INVALID_SERVICE_ACCOUNT, L"ERROR_INVALID_SERVICE_ACCOUNT",
	ERROR_SERVICE_DISABLED, L"ERROR_SERVICE_DISABLED",
	ERROR_CIRCULAR_DEPENDENCY, L"ERROR_CIRCULAR_DEPENDENCY",
	ERROR_SERVICE_DOES_NOT_EXIST, L"ERROR_SERVICE_DOES_NOT_EXIST",
	ERROR_SERVICE_CANNOT_ACCEPT_CTRL, L"ERROR_SERVICE_CANNOT_ACCEPT_CTRL",
	ERROR_SERVICE_NOT_ACTIVE, L"ERROR_SERVICE_NOT_ACTIVE",
	ERROR_FAILED_SERVICE_CONTROLLER_CONNECT, L"ERROR_FAILED_SERVICE_CONTROLLER_CONNECT",
	ERROR_EXCEPTION_IN_SERVICE, L"ERROR_EXCEPTION_IN_SERVICE",
	ERROR_DATABASE_DOES_NOT_EXIST, L"ERROR_DATABASE_DOES_NOT_EXIST",
	ERROR_SERVICE_SPECIFIC_ERROR, L"ERROR_SERVICE_SPECIFIC_ERROR",
	ERROR_PROCESS_ABORTED, L"ERROR_PROCESS_ABORTED",
	ERROR_SERVICE_DEPENDENCY_FAIL, L"ERROR_SERVICE_DEPENDENCY_FAIL",
	ERROR_SERVICE_LOGON_FAILED, L"ERROR_SERVICE_LOGON_FAILED",
	ERROR_SERVICE_START_HANG, L"ERROR_SERVICE_START_HANG",
	ERROR_INVALID_SERVICE_LOCK, L"ERROR_INVALID_SERVICE_LOCK",
	ERROR_SERVICE_MARKED_FOR_DELETE, L"ERROR_SERVICE_MARKED_FOR_DELETE",
	ERROR_SERVICE_EXISTS, L"ERROR_SERVICE_EXISTS",
	ERROR_ALREADY_RUNNING_LKG, L"ERROR_ALREADY_RUNNING_LKG",
	ERROR_SERVICE_DEPENDENCY_DELETED, L"ERROR_SERVICE_DEPENDENCY_DELETED",
	ERROR_BOOT_ALREADY_ACCEPTED, L"ERROR_BOOT_ALREADY_ACCEPTED",
	ERROR_SERVICE_NEVER_STARTED, L"ERROR_SERVICE_NEVER_STARTED",
	ERROR_DUPLICATE_SERVICE_NAME, L"ERROR_DUPLICATE_SERVICE_NAME",
	ERROR_DIFFERENT_SERVICE_ACCOUNT, L"ERROR_DIFFERENT_SERVICE_ACCOUNT",
	ERROR_CANNOT_DETECT_DRIVER_FAILURE, L"ERROR_CANNOT_DETECT_DRIVER_FAILURE",
	ERROR_CANNOT_DETECT_PROCESS_ABORT, L"ERROR_CANNOT_DETECT_PROCESS_ABORT",
	ERROR_NO_RECOVERY_PROGRAM, L"ERROR_NO_RECOVERY_PROGRAM",
	ERROR_SERVICE_NOT_IN_EXE, L"ERROR_SERVICE_NOT_IN_EXE",
	ERROR_NOT_SAFEBOOT_SERVICE, L"ERROR_NOT_SAFEBOOT_SERVICE",
	ERROR_END_OF_MEDIA, L"ERROR_END_OF_MEDIA",
	ERROR_FILEMARK_DETECTED, L"ERROR_FILEMARK_DETECTED",
	ERROR_BEGINNING_OF_MEDIA, L"ERROR_BEGINNING_OF_MEDIA",
	ERROR_SETMARK_DETECTED, L"ERROR_SETMARK_DETECTED",
	ERROR_NO_DATA_DETECTED, L"ERROR_NO_DATA_DETECTED",
	ERROR_PARTITION_FAILURE, L"ERROR_PARTITION_FAILURE",
	ERROR_INVALID_BLOCK_LENGTH, L"ERROR_INVALID_BLOCK_LENGTH",
	ERROR_DEVICE_NOT_PARTITIONED, L"ERROR_DEVICE_NOT_PARTITIONED",
	ERROR_UNABLE_TO_LOCK_MEDIA, L"ERROR_UNABLE_TO_LOCK_MEDIA",
	ERROR_UNABLE_TO_UNLOAD_MEDIA, L"ERROR_UNABLE_TO_UNLOAD_MEDIA",
	ERROR_MEDIA_CHANGED, L"ERROR_MEDIA_CHANGED",
	ERROR_BUS_RESET, L"ERROR_BUS_RESET",
	ERROR_NO_MEDIA_IN_DRIVE, L"ERROR_NO_MEDIA_IN_DRIVE",
	ERROR_NO_UNICODE_TRANSLATION, L"ERROR_NO_UNICODE_TRANSLATION",
	ERROR_DLL_INIT_FAILED, L"ERROR_DLL_INIT_FAILED",
	ERROR_SHUTDOWN_IN_PROGRESS, L"ERROR_SHUTDOWN_IN_PROGRESS",
	ERROR_NO_SHUTDOWN_IN_PROGRESS, L"ERROR_NO_SHUTDOWN_IN_PROGRESS",
	ERROR_IO_DEVICE, L"ERROR_IO_DEVICE",
	ERROR_SERIAL_NO_DEVICE, L"ERROR_SERIAL_NO_DEVICE",
	ERROR_IRQ_BUSY, L"ERROR_IRQ_BUSY",
	ERROR_MORE_WRITES, L"ERROR_MORE_WRITES",
	ERROR_COUNTER_TIMEOUT, L"ERROR_COUNTER_TIMEOUT",
	ERROR_FLOPPY_ID_MARK_NOT_FOUND, L"ERROR_FLOPPY_ID_MARK_NOT_FOUND",
	ERROR_FLOPPY_WRONG_CYLINDER, L"ERROR_FLOPPY_WRONG_CYLINDER",
	ERROR_FLOPPY_UNKNOWN_ERROR, L"ERROR_FLOPPY_UNKNOWN_ERROR",
	ERROR_FLOPPY_BAD_REGISTERS, L"ERROR_FLOPPY_BAD_REGISTERS",
	ERROR_DISK_RECALIBRATE_FAILED, L"ERROR_DISK_RECALIBRATE_FAILED",
	ERROR_DISK_OPERATION_FAILED, L"ERROR_DISK_OPERATION_FAILED",
	ERROR_DISK_RESET_FAILED, L"ERROR_DISK_RESET_FAILED",
	ERROR_EOM_OVERFLOW, L"ERROR_EOM_OVERFLOW",
	ERROR_NOT_ENOUGH_SERVER_MEMORY, L"ERROR_NOT_ENOUGH_SERVER_MEMORY",
	ERROR_POSSIBLE_DEADLOCK, L"ERROR_POSSIBLE_DEADLOCK",
	ERROR_MAPPED_ALIGNMENT, L"ERROR_MAPPED_ALIGNMENT",
	ERROR_SET_POWER_STATE_VETOED, L"ERROR_SET_POWER_STATE_VETOED",
	ERROR_SET_POWER_STATE_FAILED, L"ERROR_SET_POWER_STATE_FAILED",
	ERROR_TOO_MANY_LINKS, L"ERROR_TOO_MANY_LINKS",
	ERROR_OLD_WIN_VERSION, L"ERROR_OLD_WIN_VERSION",
	ERROR_APP_WRONG_OS, L"ERROR_APP_WRONG_OS",
	ERROR_SINGLE_INSTANCE_APP, L"ERROR_SINGLE_INSTANCE_APP",
	ERROR_RMODE_APP, L"ERROR_RMODE_APP",
	ERROR_INVALID_DLL, L"ERROR_INVALID_DLL",
	ERROR_NO_ASSOCIATION, L"ERROR_NO_ASSOCIATION",
	ERROR_DDE_FAIL, L"ERROR_DDE_FAIL",
	ERROR_DLL_NOT_FOUND, L"ERROR_DLL_NOT_FOUND",
	ERROR_NO_MORE_USER_HANDLES, L"ERROR_NO_MORE_USER_HANDLES",
	ERROR_MESSAGE_SYNC_ONLY, L"ERROR_MESSAGE_SYNC_ONLY",
	ERROR_SOURCE_ELEMENT_EMPTY, L"ERROR_SOURCE_ELEMENT_EMPTY",
	ERROR_DESTINATION_ELEMENT_FULL, L"ERROR_DESTINATION_ELEMENT_FULL",
	ERROR_ILLEGAL_ELEMENT_ADDRESS, L"ERROR_ILLEGAL_ELEMENT_ADDRESS",
	ERROR_MAGAZINE_NOT_PRESENT, L"ERROR_MAGAZINE_NOT_PRESENT",
	ERROR_DEVICE_REINITIALIZATION_NEEDED, L"ERROR_DEVICE_REINITIALIZATION_NEEDED",
	ERROR_DEVICE_REQUIRES_CLEANING, L"ERROR_DEVICE_REQUIRES_CLEANING",
	ERROR_DEVICE_DOOR_OPEN, L"ERROR_DEVICE_DOOR_OPEN",
	ERROR_DEVICE_NOT_CONNECTED, L"ERROR_DEVICE_NOT_CONNECTED",
	ERROR_NOT_FOUND, L"ERROR_NOT_FOUND",
	ERROR_NO_MATCH, L"ERROR_NO_MATCH",
	ERROR_SET_NOT_FOUND, L"ERROR_SET_NOT_FOUND",
	ERROR_POINT_NOT_FOUND, L"ERROR_POINT_NOT_FOUND",
	ERROR_NO_TRACKING_SERVICE, L"ERROR_NO_TRACKING_SERVICE",
	ERROR_NO_VOLUME_ID, L"ERROR_NO_VOLUME_ID",
	ERROR_UNABLE_TO_REMOVE_REPLACED, L"ERROR_UNABLE_TO_REMOVE_REPLACED",
	ERROR_UNABLE_TO_MOVE_REPLACEMENT, L"ERROR_UNABLE_TO_MOVE_REPLACEMENT",
	ERROR_UNABLE_TO_MOVE_REPLACEMENT_2, L"ERROR_UNABLE_TO_MOVE_REPLACEMENT_2",
	ERROR_JOURNAL_DELETE_IN_PROGRESS, L"ERROR_JOURNAL_DELETE_IN_PROGRESS",
	ERROR_JOURNAL_NOT_ACTIVE, L"ERROR_JOURNAL_NOT_ACTIVE",
	ERROR_POTENTIAL_FILE_FOUND, L"ERROR_POTENTIAL_FILE_FOUND",
	ERROR_JOURNAL_ENTRY_DELETED, L"ERROR_JOURNAL_ENTRY_DELETED",
	ERROR_SHUTDOWN_IS_SCHEDULED, L"ERROR_SHUTDOWN_IS_SCHEDULED",
	ERROR_SHUTDOWN_USERS_LOGGED_ON, L"ERROR_SHUTDOWN_USERS_LOGGED_ON",
	ERROR_BAD_DEVICE, L"ERROR_BAD_DEVICE",
	ERROR_CONNECTION_UNAVAIL, L"ERROR_CONNECTION_UNAVAIL",
	ERROR_DEVICE_ALREADY_REMEMBERED, L"ERROR_DEVICE_ALREADY_REMEMBERED",
	ERROR_NO_NET_OR_BAD_PATH, L"ERROR_NO_NET_OR_BAD_PATH",
	ERROR_BAD_PROVIDER, L"ERROR_BAD_PROVIDER",
	ERROR_CANNOT_OPEN_PROFILE, L"ERROR_CANNOT_OPEN_PROFILE",
	ERROR_BAD_PROFILE, L"ERROR_BAD_PROFILE",
	ERROR_NOT_CONTAINER, L"ERROR_NOT_CONTAINER",
	ERROR_EXTENDED_ERROR, L"ERROR_EXTENDED_ERROR",
	ERROR_INVALID_GROUPNAME, L"ERROR_INVALID_GROUPNAME",
	ERROR_INVALID_COMPUTERNAME, L"ERROR_INVALID_COMPUTERNAME",
	ERROR_INVALID_EVENTNAME, L"ERROR_INVALID_EVENTNAME",
	ERROR_INVALID_DOMAINNAME, L"ERROR_INVALID_DOMAINNAME",
	ERROR_INVALID_SERVICENAME, L"ERROR_INVALID_SERVICENAME",
	ERROR_INVALID_NETNAME, L"ERROR_INVALID_NETNAME",
	ERROR_INVALID_SHARENAME, L"ERROR_INVALID_SHARENAME",
	ERROR_INVALID_PASSWORDNAME, L"ERROR_INVALID_PASSWORDNAME",
	ERROR_INVALID_MESSAGENAME, L"ERROR_INVALID_MESSAGENAME",
	ERROR_INVALID_MESSAGEDEST, L"ERROR_INVALID_MESSAGEDEST",
	ERROR_SESSION_CREDENTIAL_CONFLICT, L"ERROR_SESSION_CREDENTIAL_CONFLICT",
	ERROR_REMOTE_SESSION_LIMIT_EXCEEDED, L"ERROR_REMOTE_SESSION_LIMIT_EXCEEDED",
	ERROR_DUP_DOMAINNAME, L"ERROR_DUP_DOMAINNAME",
	ERROR_NO_NETWORK, L"ERROR_NO_NETWORK",
	ERROR_CANCELLED, L"ERROR_CANCELLED",
	ERROR_USER_MAPPED_FILE, L"ERROR_USER_MAPPED_FILE",
	ERROR_CONNECTION_REFUSED, L"ERROR_CONNECTION_REFUSED",
	ERROR_GRACEFUL_DISCONNECT, L"ERROR_GRACEFUL_DISCONNECT",
	ERROR_ADDRESS_ALREADY_ASSOCIATED, L"ERROR_ADDRESS_ALREADY_ASSOCIATED",
	ERROR_ADDRESS_NOT_ASSOCIATED, L"ERROR_ADDRESS_NOT_ASSOCIATED",
	ERROR_CONNECTION_INVALID, L"ERROR_CONNECTION_INVALID",
	ERROR_CONNECTION_ACTIVE, L"ERROR_CONNECTION_ACTIVE",
	ERROR_NETWORK_UNREACHABLE, L"ERROR_NETWORK_UNREACHABLE",
	ERROR_HOST_UNREACHABLE, L"ERROR_HOST_UNREACHABLE",
	ERROR_PROTOCOL_UNREACHABLE, L"ERROR_PROTOCOL_UNREACHABLE",
	ERROR_PORT_UNREACHABLE, L"ERROR_PORT_UNREACHABLE",
	ERROR_REQUEST_ABORTED, L"ERROR_REQUEST_ABORTED",
	ERROR_CONNECTION_ABORTED, L"ERROR_CONNECTION_ABORTED",
	ERROR_RETRY, L"ERROR_RETRY",
	ERROR_CONNECTION_COUNT_LIMIT, L"ERROR_CONNECTION_COUNT_LIMIT",
	ERROR_LOGIN_TIME_RESTRICTION, L"ERROR_LOGIN_TIME_RESTRICTION",
	ERROR_LOGIN_WKSTA_RESTRICTION, L"ERROR_LOGIN_WKSTA_RESTRICTION",
	ERROR_INCORRECT_ADDRESS, L"ERROR_INCORRECT_ADDRESS",
	ERROR_ALREADY_REGISTERED, L"ERROR_ALREADY_REGISTERED",
	ERROR_SERVICE_NOT_FOUND, L"ERROR_SERVICE_NOT_FOUND",
	ERROR_NOT_AUTHENTICATED, L"ERROR_NOT_AUTHENTICATED",
	ERROR_NOT_LOGGED_ON, L"ERROR_NOT_LOGGED_ON",
	ERROR_CONTINUE, L"ERROR_CONTINUE",
	ERROR_ALREADY_INITIALIZED, L"ERROR_ALREADY_INITIALIZED",
	ERROR_NO_MORE_DEVICES, L"ERROR_NO_MORE_DEVICES",
	ERROR_NO_SUCH_SITE, L"ERROR_NO_SUCH_SITE",
	ERROR_DOMAIN_CONTROLLER_EXISTS, L"ERROR_DOMAIN_CONTROLLER_EXISTS",
	ERROR_ONLY_IF_CONNECTED, L"ERROR_ONLY_IF_CONNECTED",
	ERROR_OVERRIDE_NOCHANGES, L"ERROR_OVERRIDE_NOCHANGES",
	ERROR_BAD_USER_PROFILE, L"ERROR_BAD_USER_PROFILE",
	ERROR_NOT_SUPPORTED_ON_SBS, L"ERROR_NOT_SUPPORTED_ON_SBS",
	ERROR_SERVER_SHUTDOWN_IN_PROGRESS, L"ERROR_SERVER_SHUTDOWN_IN_PROGRESS",
	ERROR_HOST_DOWN, L"ERROR_HOST_DOWN",
	ERROR_NON_ACCOUNT_SID, L"ERROR_NON_ACCOUNT_SID",
	ERROR_NON_DOMAIN_SID, L"ERROR_NON_DOMAIN_SID",
	ERROR_APPHELP_BLOCK, L"ERROR_APPHELP_BLOCK",
	ERROR_ACCESS_DISABLED_BY_POLICY, L"ERROR_ACCESS_DISABLED_BY_POLICY",
	ERROR_REG_NAT_CONSUMPTION, L"ERROR_REG_NAT_CONSUMPTION",
	ERROR_CSCSHARE_OFFLINE, L"ERROR_CSCSHARE_OFFLINE",
	ERROR_PKINIT_FAILURE, L"ERROR_PKINIT_FAILURE",
	ERROR_SMARTCARD_SUBSYSTEM_FAILURE, L"ERROR_SMARTCARD_SUBSYSTEM_FAILURE",
	ERROR_DOWNGRADE_DETECTED, L"ERROR_DOWNGRADE_DETECTED",
	ERROR_MACHINE_LOCKED, L"ERROR_MACHINE_LOCKED",
	ERROR_CALLBACK_SUPPLIED_INVALID_DATA, L"ERROR_CALLBACK_SUPPLIED_INVALID_DATA",
	ERROR_SYNC_FOREGROUND_REFRESH_REQUIRED, L"ERROR_SYNC_FOREGROUND_REFRESH_REQUIRED",
	ERROR_DRIVER_BLOCKED, L"ERROR_DRIVER_BLOCKED",
	ERROR_INVALID_IMPORT_OF_NON_DLL, L"ERROR_INVALID_IMPORT_OF_NON_DLL",
	ERROR_ACCESS_DISABLED_WEBBLADE, L"ERROR_ACCESS_DISABLED_WEBBLADE",
	ERROR_ACCESS_DISABLED_WEBBLADE_TAMPER, L"ERROR_ACCESS_DISABLED_WEBBLADE_TAMPER",
	ERROR_RECOVERY_FAILURE, L"ERROR_RECOVERY_FAILURE",
	ERROR_ALREADY_FIBER, L"ERROR_ALREADY_FIBER",
	ERROR_ALREADY_THREAD, L"ERROR_ALREADY_THREAD",
	ERROR_STACK_BUFFER_OVERRUN, L"ERROR_STACK_BUFFER_OVERRUN",
	ERROR_PARAMETER_QUOTA_EXCEEDED, L"ERROR_PARAMETER_QUOTA_EXCEEDED",
	ERROR_DEBUGGER_INACTIVE, L"ERROR_DEBUGGER_INACTIVE",
	ERROR_DELAY_LOAD_FAILED, L"ERROR_DELAY_LOAD_FAILED",
	ERROR_VDM_DISALLOWED, L"ERROR_VDM_DISALLOWED",
	ERROR_UNIDENTIFIED_ERROR, L"ERROR_UNIDENTIFIED_ERROR",
	ERROR_INVALID_CRUNTIME_PARAMETER, L"ERROR_INVALID_CRUNTIME_PARAMETER",
	ERROR_BEYOND_VDL, L"ERROR_BEYOND_VDL",
	ERROR_INCOMPATIBLE_SERVICE_SID_TYPE, L"ERROR_INCOMPATIBLE_SERVICE_SID_TYPE",
	ERROR_DRIVER_PROCESS_TERMINATED, L"ERROR_DRIVER_PROCESS_TERMINATED",
	ERROR_IMPLEMENTATION_LIMIT, L"ERROR_IMPLEMENTATION_LIMIT",
	ERROR_PROCESS_IS_PROTECTED, L"ERROR_PROCESS_IS_PROTECTED",
	ERROR_SERVICE_NOTIFY_CLIENT_LAGGING, L"ERROR_SERVICE_NOTIFY_CLIENT_LAGGING",
	ERROR_DISK_QUOTA_EXCEEDED, L"ERROR_DISK_QUOTA_EXCEEDED",
	ERROR_CONTENT_BLOCKED, L"ERROR_CONTENT_BLOCKED",
	ERROR_INCOMPATIBLE_SERVICE_PRIVILEGE, L"ERROR_INCOMPATIBLE_SERVICE_PRIVILEGE",
	ERROR_APP_HANG, L"ERROR_APP_HANG",
	ERROR_INVALID_LABEL, L"ERROR_INVALID_LABEL",
	ERROR_NOT_ALL_ASSIGNED, L"ERROR_NOT_ALL_ASSIGNED",
	ERROR_SOME_NOT_MAPPED, L"ERROR_SOME_NOT_MAPPED",
	ERROR_NO_QUOTAS_FOR_ACCOUNT, L"ERROR_NO_QUOTAS_FOR_ACCOUNT",
	ERROR_LOCAL_USER_SESSION_KEY, L"ERROR_LOCAL_USER_SESSION_KEY",
	ERROR_NULL_LM_PASSWORD, L"ERROR_NULL_LM_PASSWORD",
	ERROR_UNKNOWN_REVISION, L"ERROR_UNKNOWN_REVISION",
	ERROR_REVISION_MISMATCH, L"ERROR_REVISION_MISMATCH",
	ERROR_INVALID_OWNER, L"ERROR_INVALID_OWNER",
	ERROR_INVALID_PRIMARY_GROUP, L"ERROR_INVALID_PRIMARY_GROUP",
	ERROR_NO_IMPERSONATION_TOKEN, L"ERROR_NO_IMPERSONATION_TOKEN",
	ERROR_CANT_DISABLE_MANDATORY, L"ERROR_CANT_DISABLE_MANDATORY",
	ERROR_NO_LOGON_SERVERS, L"ERROR_NO_LOGON_SERVERS",
	ERROR_NO_SUCH_LOGON_SESSION, L"ERROR_NO_SUCH_LOGON_SESSION",
	ERROR_NO_SUCH_PRIVILEGE, L"ERROR_NO_SUCH_PRIVILEGE",
	ERROR_PRIVILEGE_NOT_HELD, L"ERROR_PRIVILEGE_NOT_HELD",
	ERROR_INVALID_ACCOUNT_NAME, L"ERROR_INVALID_ACCOUNT_NAME",
	ERROR_USER_EXISTS, L"ERROR_USER_EXISTS",
	ERROR_NO_SUCH_USER, L"ERROR_NO_SUCH_USER",
	ERROR_GROUP_EXISTS, L"ERROR_GROUP_EXISTS",
	ERROR_NO_SUCH_GROUP, L"ERROR_NO_SUCH_GROUP",
	ERROR_MEMBER_IN_GROUP, L"ERROR_MEMBER_IN_GROUP",
	ERROR_MEMBER_NOT_IN_GROUP, L"ERROR_MEMBER_NOT_IN_GROUP",
	ERROR_LAST_ADMIN, L"ERROR_LAST_ADMIN",
	ERROR_WRONG_PASSWORD, L"ERROR_WRONG_PASSWORD",
	ERROR_ILL_FORMED_PASSWORD, L"ERROR_ILL_FORMED_PASSWORD",
	ERROR_PASSWORD_RESTRICTION, L"ERROR_PASSWORD_RESTRICTION",
	ERROR_LOGON_FAILURE, L"ERROR_LOGON_FAILURE",
	ERROR_ACCOUNT_RESTRICTION, L"ERROR_ACCOUNT_RESTRICTION",
	ERROR_INVALID_LOGON_HOURS, L"ERROR_INVALID_LOGON_HOURS",
	ERROR_INVALID_WORKSTATION, L"ERROR_INVALID_WORKSTATION",
	ERROR_PASSWORD_EXPIRED, L"ERROR_PASSWORD_EXPIRED",
	ERROR_ACCOUNT_DISABLED, L"ERROR_ACCOUNT_DISABLED",
	ERROR_NONE_MAPPED, L"ERROR_NONE_MAPPED",
	ERROR_TOO_MANY_LUIDS_REQUESTED, L"ERROR_TOO_MANY_LUIDS_REQUESTED",
	ERROR_LUIDS_EXHAUSTED, L"ERROR_LUIDS_EXHAUSTED",
	ERROR_INVALID_SUB_AUTHORITY, L"ERROR_INVALID_SUB_AUTHORITY",
	ERROR_INVALID_ACL, L"ERROR_INVALID_ACL",
	ERROR_INVALID_SID, L"ERROR_INVALID_SID",
	ERROR_INVALID_SECURITY_DESCR, L"ERROR_INVALID_SECURITY_DESCR",
	ERROR_BAD_INHERITANCE_ACL, L"ERROR_BAD_INHERITANCE_ACL",
	ERROR_SERVER_DISABLED, L"ERROR_SERVER_DISABLED",
	ERROR_SERVER_NOT_DISABLED, L"ERROR_SERVER_NOT_DISABLED",
	ERROR_INVALID_ID_AUTHORITY, L"ERROR_INVALID_ID_AUTHORITY",
	ERROR_ALLOTTED_SPACE_EXCEEDED, L"ERROR_ALLOTTED_SPACE_EXCEEDED",
	ERROR_INVALID_GROUP_ATTRIBUTES, L"ERROR_INVALID_GROUP_ATTRIBUTES",
	ERROR_BAD_IMPERSONATION_LEVEL, L"ERROR_BAD_IMPERSONATION_LEVEL",
	ERROR_CANT_OPEN_ANONYMOUS, L"ERROR_CANT_OPEN_ANONYMOUS",
	ERROR_BAD_VALIDATION_CLASS, L"ERROR_BAD_VALIDATION_CLASS",
	ERROR_BAD_TOKEN_TYPE, L"ERROR_BAD_TOKEN_TYPE",
	ERROR_NO_SECURITY_ON_OBJECT, L"ERROR_NO_SECURITY_ON_OBJECT",
	ERROR_CANT_ACCESS_DOMAIN_INFO, L"ERROR_CANT_ACCESS_DOMAIN_INFO",
	ERROR_INVALID_SERVER_STATE, L"ERROR_INVALID_SERVER_STATE",
	ERROR_INVALID_DOMAIN_STATE, L"ERROR_INVALID_DOMAIN_STATE",
	ERROR_INVALID_DOMAIN_ROLE, L"ERROR_INVALID_DOMAIN_ROLE",
	ERROR_NO_SUCH_DOMAIN, L"ERROR_NO_SUCH_DOMAIN",
	ERROR_DOMAIN_EXISTS, L"ERROR_DOMAIN_EXISTS",
	ERROR_DOMAIN_LIMIT_EXCEEDED, L"ERROR_DOMAIN_LIMIT_EXCEEDED",
	ERROR_INTERNAL_DB_CORRUPTION, L"ERROR_INTERNAL_DB_CORRUPTION",
	ERROR_INTERNAL_ERROR, L"ERROR_INTERNAL_ERROR",
	ERROR_GENERIC_NOT_MAPPED, L"ERROR_GENERIC_NOT_MAPPED",
	ERROR_BAD_DESCRIPTOR_FORMAT, L"ERROR_BAD_DESCRIPTOR_FORMAT",
	ERROR_NOT_LOGON_PROCESS, L"ERROR_NOT_LOGON_PROCESS",
	ERROR_LOGON_SESSION_EXISTS, L"ERROR_LOGON_SESSION_EXISTS",
	ERROR_NO_SUCH_PACKAGE, L"ERROR_NO_SUCH_PACKAGE",
	ERROR_BAD_LOGON_SESSION_STATE, L"ERROR_BAD_LOGON_SESSION_STATE",
	ERROR_LOGON_SESSION_COLLISION, L"ERROR_LOGON_SESSION_COLLISION",
	ERROR_INVALID_LOGON_TYPE, L"ERROR_INVALID_LOGON_TYPE",
	ERROR_CANNOT_IMPERSONATE, L"ERROR_CANNOT_IMPERSONATE",
	ERROR_RXACT_INVALID_STATE, L"ERROR_RXACT_INVALID_STATE",
	ERROR_RXACT_COMMIT_FAILURE, L"ERROR_RXACT_COMMIT_FAILURE",
	ERROR_SPECIAL_ACCOUNT, L"ERROR_SPECIAL_ACCOUNT",
	ERROR_SPECIAL_GROUP, L"ERROR_SPECIAL_GROUP",
	ERROR_SPECIAL_USER, L"ERROR_SPECIAL_USER",
	ERROR_MEMBERS_PRIMARY_GROUP, L"ERROR_MEMBERS_PRIMARY_GROUP",
	ERROR_TOKEN_ALREADY_IN_USE, L"ERROR_TOKEN_ALREADY_IN_USE",
	ERROR_NO_SUCH_ALIAS, L"ERROR_NO_SUCH_ALIAS",
	ERROR_MEMBER_NOT_IN_ALIAS, L"ERROR_MEMBER_NOT_IN_ALIAS",
	ERROR_MEMBER_IN_ALIAS, L"ERROR_MEMBER_IN_ALIAS",
	ERROR_ALIAS_EXISTS, L"ERROR_ALIAS_EXISTS",
	ERROR_LOGON_NOT_GRANTED, L"ERROR_LOGON_NOT_GRANTED",
	ERROR_TOO_MANY_SECRETS, L"ERROR_TOO_MANY_SECRETS",
	ERROR_SECRET_TOO_LONG, L"ERROR_SECRET_TOO_LONG",
	ERROR_INTERNAL_DB_ERROR, L"ERROR_INTERNAL_DB_ERROR",
	ERROR_TOO_MANY_CONTEXT_IDS, L"ERROR_TOO_MANY_CONTEXT_IDS",
	ERROR_LOGON_TYPE_NOT_GRANTED, L"ERROR_LOGON_TYPE_NOT_GRANTED",
	ERROR_NT_CROSS_ENCRYPTION_REQUIRED, L"ERROR_NT_CROSS_ENCRYPTION_REQUIRED",
	ERROR_NO_SUCH_MEMBER, L"ERROR_NO_SUCH_MEMBER",
	ERROR_INVALID_MEMBER, L"ERROR_INVALID_MEMBER",
	ERROR_TOO_MANY_SIDS, L"ERROR_TOO_MANY_SIDS",
	ERROR_LM_CROSS_ENCRYPTION_REQUIRED, L"ERROR_LM_CROSS_ENCRYPTION_REQUIRED",
	ERROR_NO_INHERITANCE, L"ERROR_NO_INHERITANCE",
	ERROR_FILE_CORRUPT, L"ERROR_FILE_CORRUPT",
	ERROR_DISK_CORRUPT, L"ERROR_DISK_CORRUPT",
	ERROR_NO_USER_SESSION_KEY, L"ERROR_NO_USER_SESSION_KEY",
	ERROR_LICENSE_QUOTA_EXCEEDED, L"ERROR_LICENSE_QUOTA_EXCEEDED",
	ERROR_WRONG_TARGET_NAME, L"ERROR_WRONG_TARGET_NAME",
	ERROR_MUTUAL_AUTH_FAILED, L"ERROR_MUTUAL_AUTH_FAILED",
	ERROR_TIME_SKEW, L"ERROR_TIME_SKEW",
	ERROR_CURRENT_DOMAIN_NOT_ALLOWED, L"ERROR_CURRENT_DOMAIN_NOT_ALLOWED",
	ERROR_INVALID_WINDOW_HANDLE, L"ERROR_INVALID_WINDOW_HANDLE",
	ERROR_INVALID_MENU_HANDLE, L"ERROR_INVALID_MENU_HANDLE",
	ERROR_INVALID_CURSOR_HANDLE, L"ERROR_INVALID_CURSOR_HANDLE",
	ERROR_INVALID_ACCEL_HANDLE, L"ERROR_INVALID_ACCEL_HANDLE",
	ERROR_INVALID_HOOK_HANDLE, L"ERROR_INVALID_HOOK_HANDLE",
	ERROR_INVALID_DWP_HANDLE, L"ERROR_INVALID_DWP_HANDLE",
	ERROR_TLW_WITH_WSCHILD, L"ERROR_TLW_WITH_WSCHILD",
	ERROR_CANNOT_FIND_WND_CLASS, L"ERROR_CANNOT_FIND_WND_CLASS",
	ERROR_WINDOW_OF_OTHER_THREAD, L"ERROR_WINDOW_OF_OTHER_THREAD",
	ERROR_HOTKEY_ALREADY_REGISTERED, L"ERROR_HOTKEY_ALREADY_REGISTERED",
	ERROR_CLASS_ALREADY_EXISTS, L"ERROR_CLASS_ALREADY_EXISTS",
	ERROR_CLASS_DOES_NOT_EXIST, L"ERROR_CLASS_DOES_NOT_EXIST",
	ERROR_CLASS_HAS_WINDOWS, L"ERROR_CLASS_HAS_WINDOWS",
	ERROR_INVALID_INDEX, L"ERROR_INVALID_INDEX",
	ERROR_INVALID_ICON_HANDLE, L"ERROR_INVALID_ICON_HANDLE",
	ERROR_PRIVATE_DIALOG_INDEX, L"ERROR_PRIVATE_DIALOG_INDEX",
	ERROR_LISTBOX_ID_NOT_FOUND, L"ERROR_LISTBOX_ID_NOT_FOUND",
	ERROR_NO_WILDCARD_CHARACTERS, L"ERROR_NO_WILDCARD_CHARACTERS",
	ERROR_CLIPBOARD_NOT_OPEN, L"ERROR_CLIPBOARD_NOT_OPEN",
	ERROR_HOTKEY_NOT_REGISTERED, L"ERROR_HOTKEY_NOT_REGISTERED",
	ERROR_WINDOW_NOT_DIALOG, L"ERROR_WINDOW_NOT_DIALOG",
	ERROR_CONTROL_ID_NOT_FOUND, L"ERROR_CONTROL_ID_NOT_FOUND",
	ERROR_INVALID_COMBOBOX_MESSAGE, L"ERROR_INVALID_COMBOBOX_MESSAGE",
	ERROR_WINDOW_NOT_COMBOBOX, L"ERROR_WINDOW_NOT_COMBOBOX",
	ERROR_INVALID_EDIT_HEIGHT, L"ERROR_INVALID_EDIT_HEIGHT",
	ERROR_DC_NOT_FOUND, L"ERROR_DC_NOT_FOUND",
	ERROR_INVALID_HOOK_FILTER, L"ERROR_INVALID_HOOK_FILTER",
	ERROR_INVALID_FILTER_PROC, L"ERROR_INVALID_FILTER_PROC",
	ERROR_HOOK_NEEDS_HMOD, L"ERROR_HOOK_NEEDS_HMOD",
	ERROR_GLOBAL_ONLY_HOOK, L"ERROR_GLOBAL_ONLY_HOOK",
	ERROR_JOURNAL_HOOK_SET, L"ERROR_JOURNAL_HOOK_SET",
	ERROR_HOOK_NOT_INSTALLED, L"ERROR_HOOK_NOT_INSTALLED",
	ERROR_INVALID_LB_MESSAGE, L"ERROR_INVALID_LB_MESSAGE",
	ERROR_SETCOUNT_ON_BAD_LB, L"ERROR_SETCOUNT_ON_BAD_LB",
	ERROR_LB_WITHOUT_TABSTOPS, L"ERROR_LB_WITHOUT_TABSTOPS",
	ERROR_DESTROY_OBJECT_OF_OTHER_THREAD, L"ERROR_DESTROY_OBJECT_OF_OTHER_THREAD",
	ERROR_CHILD_WINDOW_MENU, L"ERROR_CHILD_WINDOW_MENU",
	ERROR_NO_SYSTEM_MENU, L"ERROR_NO_SYSTEM_MENU",
	ERROR_INVALID_MSGBOX_STYLE, L"ERROR_INVALID_MSGBOX_STYLE",
	ERROR_INVALID_SPI_VALUE, L"ERROR_INVALID_SPI_VALUE",
	ERROR_SCREEN_ALREADY_LOCKED, L"ERROR_SCREEN_ALREADY_LOCKED",
	ERROR_HWNDS_HAVE_DIFF_PARENT, L"ERROR_HWNDS_HAVE_DIFF_PARENT",
	ERROR_NOT_CHILD_WINDOW, L"ERROR_NOT_CHILD_WINDOW",
	ERROR_INVALID_GW_COMMAND, L"ERROR_INVALID_GW_COMMAND",
	ERROR_INVALID_THREAD_ID, L"ERROR_INVALID_THREAD_ID",
	ERROR_NON_MDICHILD_WINDOW, L"ERROR_NON_MDICHILD_WINDOW",
	ERROR_POPUP_ALREADY_ACTIVE, L"ERROR_POPUP_ALREADY_ACTIVE",
	ERROR_NO_SCROLLBARS, L"ERROR_NO_SCROLLBARS",
	ERROR_INVALID_SCROLLBAR_RANGE, L"ERROR_INVALID_SCROLLBAR_RANGE",
	ERROR_INVALID_SHOWWIN_COMMAND, L"ERROR_INVALID_SHOWWIN_COMMAND",
	ERROR_NO_SYSTEM_RESOURCES, L"ERROR_NO_SYSTEM_RESOURCES",
	ERROR_NONPAGED_SYSTEM_RESOURCES, L"ERROR_NONPAGED_SYSTEM_RESOURCES",
	ERROR_PAGED_SYSTEM_RESOURCES, L"ERROR_PAGED_SYSTEM_RESOURCES",
	ERROR_WORKING_SET_QUOTA, L"ERROR_WORKING_SET_QUOTA",
	ERROR_PAGEFILE_QUOTA, L"ERROR_PAGEFILE_QUOTA",
	ERROR_COMMITMENT_LIMIT, L"ERROR_COMMITMENT_LIMIT",
	ERROR_MENU_ITEM_NOT_FOUND, L"ERROR_MENU_ITEM_NOT_FOUND",
	ERROR_INVALID_KEYBOARD_HANDLE, L"ERROR_INVALID_KEYBOARD_HANDLE",
	ERROR_HOOK_TYPE_NOT_ALLOWED, L"ERROR_HOOK_TYPE_NOT_ALLOWED",
	ERROR_REQUIRES_INTERACTIVE_WINDOWSTATION, L"ERROR_REQUIRES_INTERACTIVE_WINDOWSTATION",
	ERROR_TIMEOUT, L"ERROR_TIMEOUT",
	ERROR_INVALID_MONITOR_HANDLE, L"ERROR_INVALID_MONITOR_HANDLE",
	ERROR_INCORRECT_SIZE, L"ERROR_INCORRECT_SIZE",
	ERROR_SYMLINK_CLASS_DISABLED, L"ERROR_SYMLINK_CLASS_DISABLED",
	ERROR_SYMLINK_NOT_SUPPORTED, L"ERROR_SYMLINK_NOT_SUPPORTED",
	ERROR_XML_PARSE_ERROR, L"ERROR_XML_PARSE_ERROR",
	ERROR_XMLDSIG_ERROR, L"ERROR_XMLDSIG_ERROR",
	ERROR_RESTART_APPLICATION, L"ERROR_RESTART_APPLICATION",
	ERROR_WRONG_COMPARTMENT, L"ERROR_WRONG_COMPARTMENT",
	ERROR_AUTHIP_FAILURE, L"ERROR_AUTHIP_FAILURE",
	ERROR_NO_NVRAM_RESOURCES, L"ERROR_NO_NVRAM_RESOURCES",
	ERROR_EVENTLOG_FILE_CORRUPT, L"ERROR_EVENTLOG_FILE_CORRUPT",
	ERROR_EVENTLOG_CANT_START, L"ERROR_EVENTLOG_CANT_START",
	ERROR_LOG_FILE_FULL, L"ERROR_LOG_FILE_FULL",
	ERROR_EVENTLOG_FILE_CHANGED, L"ERROR_EVENTLOG_FILE_CHANGED",
	ERROR_INVALID_TASK_NAME, L"ERROR_INVALID_TASK_NAME",
	ERROR_INVALID_TASK_INDEX, L"ERROR_INVALID_TASK_INDEX",
	ERROR_THREAD_ALREADY_IN_TASK, L"ERROR_THREAD_ALREADY_IN_TASK",
	ERROR_INSTALL_SERVICE_FAILURE, L"ERROR_INSTALL_SERVICE_FAILURE",
	ERROR_INSTALL_USEREXIT, L"ERROR_INSTALL_USEREXIT",
	ERROR_INSTALL_FAILURE, L"ERROR_INSTALL_FAILURE",
	ERROR_INSTALL_SUSPEND, L"ERROR_INSTALL_SUSPEND",
	ERROR_UNKNOWN_PRODUCT, L"ERROR_UNKNOWN_PRODUCT",
	ERROR_UNKNOWN_FEATURE, L"ERROR_UNKNOWN_FEATURE",
	ERROR_UNKNOWN_COMPONENT, L"ERROR_UNKNOWN_COMPONENT",
	ERROR_UNKNOWN_PROPERTY, L"ERROR_UNKNOWN_PROPERTY",
	ERROR_INVALID_HANDLE_STATE, L"ERROR_INVALID_HANDLE_STATE",
	ERROR_BAD_CONFIGURATION, L"ERROR_BAD_CONFIGURATION",
	ERROR_INDEX_ABSENT, L"ERROR_INDEX_ABSENT",
	ERROR_INSTALL_SOURCE_ABSENT, L"ERROR_INSTALL_SOURCE_ABSENT",
	ERROR_INSTALL_PACKAGE_VERSION, L"ERROR_INSTALL_PACKAGE_VERSION",
	ERROR_PRODUCT_UNINSTALLED, L"ERROR_PRODUCT_UNINSTALLED",
	ERROR_BAD_QUERY_SYNTAX, L"ERROR_BAD_QUERY_SYNTAX",
	ERROR_INVALID_FIELD, L"ERROR_INVALID_FIELD",
	ERROR_DEVICE_REMOVED, L"ERROR_DEVICE_REMOVED",
	ERROR_INSTALL_ALREADY_RUNNING, L"ERROR_INSTALL_ALREADY_RUNNING",
	ERROR_INSTALL_PACKAGE_OPEN_FAILED, L"ERROR_INSTALL_PACKAGE_OPEN_FAILED",
	ERROR_INSTALL_PACKAGE_INVALID, L"ERROR_INSTALL_PACKAGE_INVALID",
	ERROR_INSTALL_UI_FAILURE, L"ERROR_INSTALL_UI_FAILURE",
	ERROR_INSTALL_LOG_FAILURE, L"ERROR_INSTALL_LOG_FAILURE",
	ERROR_INSTALL_LANGUAGE_UNSUPPORTED, L"ERROR_INSTALL_LANGUAGE_UNSUPPORTED",
	ERROR_INSTALL_TRANSFORM_FAILURE, L"ERROR_INSTALL_TRANSFORM_FAILURE",
	ERROR_INSTALL_PACKAGE_REJECTED, L"ERROR_INSTALL_PACKAGE_REJECTED",
	ERROR_FUNCTION_NOT_CALLED, L"ERROR_FUNCTION_NOT_CALLED",
	ERROR_FUNCTION_FAILED, L"ERROR_FUNCTION_FAILED",
	ERROR_INVALID_TABLE, L"ERROR_INVALID_TABLE",
	ERROR_DATATYPE_MISMATCH, L"ERROR_DATATYPE_MISMATCH",
	ERROR_UNSUPPORTED_TYPE, L"ERROR_UNSUPPORTED_TYPE",
	ERROR_CREATE_FAILED, L"ERROR_CREATE_FAILED",
	ERROR_INSTALL_TEMP_UNWRITABLE, L"ERROR_INSTALL_TEMP_UNWRITABLE",
	ERROR_INSTALL_PLATFORM_UNSUPPORTED, L"ERROR_INSTALL_PLATFORM_UNSUPPORTED",
	ERROR_INSTALL_NOTUSED, L"ERROR_INSTALL_NOTUSED",
	ERROR_PATCH_PACKAGE_OPEN_FAILED, L"ERROR_PATCH_PACKAGE_OPEN_FAILED",
	ERROR_PATCH_PACKAGE_INVALID, L"ERROR_PATCH_PACKAGE_INVALID",
	ERROR_PATCH_PACKAGE_UNSUPPORTED, L"ERROR_PATCH_PACKAGE_UNSUPPORTED",
	ERROR_PRODUCT_VERSION, L"ERROR_PRODUCT_VERSION",
	ERROR_INVALID_COMMAND_LINE, L"ERROR_INVALID_COMMAND_LINE",
	ERROR_INSTALL_REMOTE_DISALLOWED, L"ERROR_INSTALL_REMOTE_DISALLOWED",
	ERROR_SUCCESS_REBOOT_INITIATED, L"ERROR_SUCCESS_REBOOT_INITIATED",
	ERROR_PATCH_TARGET_NOT_FOUND, L"ERROR_PATCH_TARGET_NOT_FOUND",
	ERROR_PATCH_PACKAGE_REJECTED, L"ERROR_PATCH_PACKAGE_REJECTED",
	ERROR_INSTALL_TRANSFORM_REJECTED, L"ERROR_INSTALL_TRANSFORM_REJECTED",
	ERROR_INSTALL_REMOTE_PROHIBITED, L"ERROR_INSTALL_REMOTE_PROHIBITED",
	ERROR_PATCH_REMOVAL_UNSUPPORTED, L"ERROR_PATCH_REMOVAL_UNSUPPORTED",
	ERROR_UNKNOWN_PATCH, L"ERROR_UNKNOWN_PATCH",
	ERROR_PATCH_NO_SEQUENCE, L"ERROR_PATCH_NO_SEQUENCE",
	ERROR_PATCH_REMOVAL_DISALLOWED, L"ERROR_PATCH_REMOVAL_DISALLOWED",
	ERROR_INVALID_PATCH_XML, L"ERROR_INVALID_PATCH_XML",
	ERROR_PATCH_MANAGED_ADVERTISED_PRODUCT, L"ERROR_PATCH_MANAGED_ADVERTISED_PRODUCT",
	ERROR_INSTALL_SERVICE_SAFEBOOT, L"ERROR_INSTALL_SERVICE_SAFEBOOT",
	ERROR_FAIL_FAST_EXCEPTION, L"ERROR_FAIL_FAST_EXCEPTION",
	RPC_S_INVALID_STRING_BINDING, L"RPC_S_INVALID_STRING_BINDING",
	RPC_S_WRONG_KIND_OF_BINDING, L"RPC_S_WRONG_KIND_OF_BINDING",
	RPC_S_INVALID_BINDING, L"RPC_S_INVALID_BINDING",
	RPC_S_PROTSEQ_NOT_SUPPORTED, L"RPC_S_PROTSEQ_NOT_SUPPORTED",
	RPC_S_INVALID_RPC_PROTSEQ, L"RPC_S_INVALID_RPC_PROTSEQ",
	RPC_S_INVALID_STRING_UUID, L"RPC_S_INVALID_STRING_UUID",
	RPC_S_INVALID_ENDPOINT_FORMAT, L"RPC_S_INVALID_ENDPOINT_FORMAT",
	RPC_S_INVALID_NET_ADDR, L"RPC_S_INVALID_NET_ADDR",
	RPC_S_NO_ENDPOINT_FOUND, L"RPC_S_NO_ENDPOINT_FOUND",
	RPC_S_INVALID_TIMEOUT, L"RPC_S_INVALID_TIMEOUT",
	RPC_S_OBJECT_NOT_FOUND, L"RPC_S_OBJECT_NOT_FOUND",
	RPC_S_ALREADY_REGISTERED, L"RPC_S_ALREADY_REGISTERED",
	RPC_S_TYPE_ALREADY_REGISTERED, L"RPC_S_TYPE_ALREADY_REGISTERED",
	RPC_S_ALREADY_LISTENING, L"RPC_S_ALREADY_LISTENING",
	RPC_S_NO_PROTSEQS_REGISTERED, L"RPC_S_NO_PROTSEQS_REGISTERED",
	RPC_S_NOT_LISTENING, L"RPC_S_NOT_LISTENING",
	RPC_S_UNKNOWN_MGR_TYPE, L"RPC_S_UNKNOWN_MGR_TYPE",
	RPC_S_UNKNOWN_IF, L"RPC_S_UNKNOWN_IF",
	RPC_S_NO_BINDINGS, L"RPC_S_NO_BINDINGS",
	RPC_S_NO_PROTSEQS, L"RPC_S_NO_PROTSEQS",
	RPC_S_CANT_CREATE_ENDPOINT, L"RPC_S_CANT_CREATE_ENDPOINT",
	RPC_S_OUT_OF_RESOURCES, L"RPC_S_OUT_OF_RESOURCES",
	RPC_S_SERVER_UNAVAILABLE, L"RPC_S_SERVER_UNAVAILABLE",
	RPC_S_SERVER_TOO_BUSY, L"RPC_S_SERVER_TOO_BUSY",
	RPC_S_INVALID_NETWORK_OPTIONS, L"RPC_S_INVALID_NETWORK_OPTIONS",
	RPC_S_NO_CALL_ACTIVE, L"RPC_S_NO_CALL_ACTIVE",
	RPC_S_CALL_FAILED, L"RPC_S_CALL_FAILED",
	RPC_S_CALL_FAILED_DNE, L"RPC_S_CALL_FAILED_DNE",
	RPC_S_PROTOCOL_ERROR, L"RPC_S_PROTOCOL_ERROR",
	RPC_S_PROXY_ACCESS_DENIED, L"RPC_S_PROXY_ACCESS_DENIED",
	RPC_S_UNSUPPORTED_TRANS_SYN, L"RPC_S_UNSUPPORTED_TRANS_SYN",
	RPC_S_UNSUPPORTED_TYPE, L"RPC_S_UNSUPPORTED_TYPE",
	RPC_S_INVALID_TAG, L"RPC_S_INVALID_TAG",
	RPC_S_INVALID_BOUND, L"RPC_S_INVALID_BOUND",
	RPC_S_NO_ENTRY_NAME, L"RPC_S_NO_ENTRY_NAME",
	RPC_S_INVALID_NAME_SYNTAX, L"RPC_S_INVALID_NAME_SYNTAX",
	RPC_S_UNSUPPORTED_NAME_SYNTAX, L"RPC_S_UNSUPPORTED_NAME_SYNTAX",
	RPC_S_UUID_NO_ADDRESS, L"RPC_S_UUID_NO_ADDRESS",
	RPC_S_DUPLICATE_ENDPOINT, L"RPC_S_DUPLICATE_ENDPOINT",
	RPC_S_UNKNOWN_AUTHN_TYPE, L"RPC_S_UNKNOWN_AUTHN_TYPE",
	RPC_S_MAX_CALLS_TOO_SMALL, L"RPC_S_MAX_CALLS_TOO_SMALL",
	RPC_S_STRING_TOO_LONG, L"RPC_S_STRING_TOO_LONG",
	RPC_S_PROTSEQ_NOT_FOUND, L"RPC_S_PROTSEQ_NOT_FOUND",
	RPC_S_PROCNUM_OUT_OF_RANGE, L"RPC_S_PROCNUM_OUT_OF_RANGE",
	RPC_S_BINDING_HAS_NO_AUTH, L"RPC_S_BINDING_HAS_NO_AUTH",
	RPC_S_UNKNOWN_AUTHN_SERVICE, L"RPC_S_UNKNOWN_AUTHN_SERVICE",
	RPC_S_UNKNOWN_AUTHN_LEVEL, L"RPC_S_UNKNOWN_AUTHN_LEVEL",
	RPC_S_INVALID_AUTH_IDENTITY, L"RPC_S_INVALID_AUTH_IDENTITY",
	RPC_S_UNKNOWN_AUTHZ_SERVICE, L"RPC_S_UNKNOWN_AUTHZ_SERVICE",
	EPT_S_INVALID_ENTRY, L"EPT_S_INVALID_ENTRY",
	EPT_S_CANT_PERFORM_OP, L"EPT_S_CANT_PERFORM_OP",
	EPT_S_NOT_REGISTERED, L"EPT_S_NOT_REGISTERED",
	RPC_S_NOTHING_TO_EXPORT, L"RPC_S_NOTHING_TO_EXPORT",
	RPC_S_INCOMPLETE_NAME, L"RPC_S_INCOMPLETE_NAME",
	RPC_S_INVALID_VERS_OPTION, L"RPC_S_INVALID_VERS_OPTION",
	RPC_S_NO_MORE_MEMBERS, L"RPC_S_NO_MORE_MEMBERS",
	RPC_S_NOT_ALL_OBJS_UNEXPORTED, L"RPC_S_NOT_ALL_OBJS_UNEXPORTED",
	RPC_S_INTERFACE_NOT_FOUND, L"RPC_S_INTERFACE_NOT_FOUND",
	RPC_S_ENTRY_ALREADY_EXISTS, L"RPC_S_ENTRY_ALREADY_EXISTS",
	RPC_S_ENTRY_NOT_FOUND, L"RPC_S_ENTRY_NOT_FOUND",
	RPC_S_NAME_SERVICE_UNAVAILABLE, L"RPC_S_NAME_SERVICE_UNAVAILABLE",
	RPC_S_INVALID_NAF_ID, L"RPC_S_INVALID_NAF_ID",
	RPC_S_CANNOT_SUPPORT, L"RPC_S_CANNOT_SUPPORT",
	RPC_S_NO_CONTEXT_AVAILABLE, L"RPC_S_NO_CONTEXT_AVAILABLE",
	RPC_S_INTERNAL_ERROR, L"RPC_S_INTERNAL_ERROR",
	RPC_S_ZERO_DIVIDE, L"RPC_S_ZERO_DIVIDE",
	RPC_S_ADDRESS_ERROR, L"RPC_S_ADDRESS_ERROR",
	RPC_S_FP_DIV_ZERO, L"RPC_S_FP_DIV_ZERO",
	RPC_S_FP_UNDERFLOW, L"RPC_S_FP_UNDERFLOW",
	RPC_S_FP_OVERFLOW, L"RPC_S_FP_OVERFLOW",
	RPC_X_NO_MORE_ENTRIES, L"RPC_X_NO_MORE_ENTRIES",
	RPC_X_SS_CHAR_TRANS_OPEN_FAIL, L"RPC_X_SS_CHAR_TRANS_OPEN_FAIL",
	RPC_X_SS_CHAR_TRANS_SHORT_FILE, L"RPC_X_SS_CHAR_TRANS_SHORT_FILE",
	RPC_X_SS_IN_NULL_CONTEXT, L"RPC_X_SS_IN_NULL_CONTEXT",
	RPC_X_SS_CONTEXT_DAMAGED, L"RPC_X_SS_CONTEXT_DAMAGED",
	RPC_X_SS_HANDLES_MISMATCH, L"RPC_X_SS_HANDLES_MISMATCH",
	RPC_X_SS_CANNOT_GET_CALL_HANDLE, L"RPC_X_SS_CANNOT_GET_CALL_HANDLE",
	RPC_X_NULL_REF_POINTER, L"RPC_X_NULL_REF_POINTER",
	RPC_X_ENUM_VALUE_OUT_OF_RANGE, L"RPC_X_ENUM_VALUE_OUT_OF_RANGE",
	RPC_X_BYTE_COUNT_TOO_SMALL, L"RPC_X_BYTE_COUNT_TOO_SMALL",
	RPC_X_BAD_STUB_DATA, L"RPC_X_BAD_STUB_DATA",
	ERROR_INVALID_USER_BUFFER, L"ERROR_INVALID_USER_BUFFER",
	ERROR_UNRECOGNIZED_MEDIA, L"ERROR_UNRECOGNIZED_MEDIA",
	ERROR_NO_TRUST_LSA_SECRET, L"ERROR_NO_TRUST_LSA_SECRET",
	ERROR_NO_TRUST_SAM_ACCOUNT, L"ERROR_NO_TRUST_SAM_ACCOUNT",
	ERROR_TRUSTED_DOMAIN_FAILURE, L"ERROR_TRUSTED_DOMAIN_FAILURE",
	ERROR_TRUSTED_RELATIONSHIP_FAILURE, L"ERROR_TRUSTED_RELATIONSHIP_FAILURE",
	ERROR_TRUST_FAILURE, L"ERROR_TRUST_FAILURE",
	RPC_S_CALL_IN_PROGRESS, L"RPC_S_CALL_IN_PROGRESS",
	ERROR_NETLOGON_NOT_STARTED, L"ERROR_NETLOGON_NOT_STARTED",
	ERROR_ACCOUNT_EXPIRED, L"ERROR_ACCOUNT_EXPIRED",
	ERROR_REDIRECTOR_HAS_OPEN_HANDLES, L"ERROR_REDIRECTOR_HAS_OPEN_HANDLES",
	ERROR_PRINTER_DRIVER_ALREADY_INSTALLED, L"ERROR_PRINTER_DRIVER_ALREADY_INSTALLED",
	ERROR_UNKNOWN_PORT, L"ERROR_UNKNOWN_PORT",
	ERROR_UNKNOWN_PRINTER_DRIVER, L"ERROR_UNKNOWN_PRINTER_DRIVER",
	ERROR_UNKNOWN_PRINTPROCESSOR, L"ERROR_UNKNOWN_PRINTPROCESSOR",
	ERROR_INVALID_SEPARATOR_FILE, L"ERROR_INVALID_SEPARATOR_FILE",
	ERROR_INVALID_PRIORITY, L"ERROR_INVALID_PRIORITY",
	ERROR_INVALID_PRINTER_NAME, L"ERROR_INVALID_PRINTER_NAME",
	ERROR_PRINTER_ALREADY_EXISTS, L"ERROR_PRINTER_ALREADY_EXISTS",
	ERROR_INVALID_PRINTER_COMMAND, L"ERROR_INVALID_PRINTER_COMMAND",
	ERROR_INVALID_DATATYPE, L"ERROR_INVALID_DATATYPE",
	ERROR_INVALID_ENVIRONMENT, L"ERROR_INVALID_ENVIRONMENT",
	RPC_S_NO_MORE_BINDINGS, L"RPC_S_NO_MORE_BINDINGS",
	ERROR_NOLOGON_INTERDOMAIN_TRUST_ACCOUNT, L"ERROR_NOLOGON_INTERDOMAIN_TRUST_ACCOUNT",
	ERROR_NOLOGON_WORKSTATION_TRUST_ACCOUNT, L"ERROR_NOLOGON_WORKSTATION_TRUST_ACCOUNT",
	ERROR_NOLOGON_SERVER_TRUST_ACCOUNT, L"ERROR_NOLOGON_SERVER_TRUST_ACCOUNT",
	ERROR_DOMAIN_TRUST_INCONSISTENT, L"ERROR_DOMAIN_TRUST_INCONSISTENT",
	ERROR_SERVER_HAS_OPEN_HANDLES, L"ERROR_SERVER_HAS_OPEN_HANDLES",
	ERROR_RESOURCE_DATA_NOT_FOUND, L"ERROR_RESOURCE_DATA_NOT_FOUND",
	ERROR_RESOURCE_TYPE_NOT_FOUND, L"ERROR_RESOURCE_TYPE_NOT_FOUND",
	ERROR_RESOURCE_NAME_NOT_FOUND, L"ERROR_RESOURCE_NAME_NOT_FOUND",
	ERROR_RESOURCE_LANG_NOT_FOUND, L"ERROR_RESOURCE_LANG_NOT_FOUND",
	ERROR_NOT_ENOUGH_QUOTA, L"ERROR_NOT_ENOUGH_QUOTA",
	RPC_S_NO_INTERFACES, L"RPC_S_NO_INTERFACES",
	RPC_S_CALL_CANCELLED, L"RPC_S_CALL_CANCELLED",
	RPC_S_BINDING_INCOMPLETE, L"RPC_S_BINDING_INCOMPLETE",
	RPC_S_COMM_FAILURE, L"RPC_S_COMM_FAILURE",
	RPC_S_UNSUPPORTED_AUTHN_LEVEL, L"RPC_S_UNSUPPORTED_AUTHN_LEVEL",
	RPC_S_NO_PRINC_NAME, L"RPC_S_NO_PRINC_NAME",
	RPC_S_NOT_RPC_ERROR, L"RPC_S_NOT_RPC_ERROR",
	RPC_S_UUID_LOCAL_ONLY, L"RPC_S_UUID_LOCAL_ONLY",
	RPC_S_SEC_PKG_ERROR, L"RPC_S_SEC_PKG_ERROR",
	RPC_S_NOT_CANCELLED, L"RPC_S_NOT_CANCELLED",
	RPC_X_INVALID_ES_ACTION, L"RPC_X_INVALID_ES_ACTION",
	RPC_X_WRONG_ES_VERSION, L"RPC_X_WRONG_ES_VERSION",
	RPC_X_WRONG_STUB_VERSION, L"RPC_X_WRONG_STUB_VERSION",
	RPC_X_INVALID_PIPE_OBJECT, L"RPC_X_INVALID_PIPE_OBJECT",
	RPC_X_WRONG_PIPE_ORDER, L"RPC_X_WRONG_PIPE_ORDER",
	RPC_X_WRONG_PIPE_VERSION, L"RPC_X_WRONG_PIPE_VERSION",
	RPC_S_COOKIE_AUTH_FAILED, L"RPC_S_COOKIE_AUTH_FAILED",
	RPC_S_GROUP_MEMBER_NOT_FOUND, L"RPC_S_GROUP_MEMBER_NOT_FOUND",
	EPT_S_CANT_CREATE, L"EPT_S_CANT_CREATE",
	RPC_S_INVALID_OBJECT, L"RPC_S_INVALID_OBJECT",
	ERROR_INVALID_TIME, L"ERROR_INVALID_TIME",
	ERROR_INVALID_FORM_NAME, L"ERROR_INVALID_FORM_NAME",
	ERROR_INVALID_FORM_SIZE, L"ERROR_INVALID_FORM_SIZE",
	ERROR_ALREADY_WAITING, L"ERROR_ALREADY_WAITING",
	ERROR_PRINTER_DELETED, L"ERROR_PRINTER_DELETED",
	ERROR_INVALID_PRINTER_STATE, L"ERROR_INVALID_PRINTER_STATE",
	ERROR_PASSWORD_MUST_CHANGE, L"ERROR_PASSWORD_MUST_CHANGE",
	ERROR_DOMAIN_CONTROLLER_NOT_FOUND, L"ERROR_DOMAIN_CONTROLLER_NOT_FOUND",
	ERROR_ACCOUNT_LOCKED_OUT, L"ERROR_ACCOUNT_LOCKED_OUT",
	OR_INVALID_OXID, L"OR_INVALID_OXID",
	OR_INVALID_OID, L"OR_INVALID_OID",
	OR_INVALID_SET, L"OR_INVALID_SET",
	RPC_S_SEND_INCOMPLETE, L"RPC_S_SEND_INCOMPLETE",
	RPC_S_INVALID_ASYNC_HANDLE, L"RPC_S_INVALID_ASYNC_HANDLE",
	RPC_S_INVALID_ASYNC_CALL, L"RPC_S_INVALID_ASYNC_CALL",
	RPC_X_PIPE_CLOSED, L"RPC_X_PIPE_CLOSED",
	RPC_X_PIPE_DISCIPLINE_ERROR, L"RPC_X_PIPE_DISCIPLINE_ERROR",
	RPC_X_PIPE_EMPTY, L"RPC_X_PIPE_EMPTY",
	ERROR_NO_SITENAME, L"ERROR_NO_SITENAME",
	ERROR_CANT_ACCESS_FILE, L"ERROR_CANT_ACCESS_FILE",
	ERROR_CANT_RESOLVE_FILENAME, L"ERROR_CANT_RESOLVE_FILENAME",
	RPC_S_ENTRY_TYPE_MISMATCH, L"RPC_S_ENTRY_TYPE_MISMATCH",
	RPC_S_NOT_ALL_OBJS_EXPORTED, L"RPC_S_NOT_ALL_OBJS_EXPORTED",
	RPC_S_INTERFACE_NOT_EXPORTED, L"RPC_S_INTERFACE_NOT_EXPORTED",
	RPC_S_PROFILE_NOT_ADDED, L"RPC_S_PROFILE_NOT_ADDED",
	RPC_S_PRF_ELT_NOT_ADDED, L"RPC_S_PRF_ELT_NOT_ADDED",
	RPC_S_PRF_ELT_NOT_REMOVED, L"RPC_S_PRF_ELT_NOT_REMOVED",
	RPC_S_GRP_ELT_NOT_ADDED, L"RPC_S_GRP_ELT_NOT_ADDED",
	RPC_S_GRP_ELT_NOT_REMOVED, L"RPC_S_GRP_ELT_NOT_REMOVED",
	ERROR_KM_DRIVER_BLOCKED, L"ERROR_KM_DRIVER_BLOCKED",
	ERROR_CONTEXT_EXPIRED, L"ERROR_CONTEXT_EXPIRED",
	ERROR_PER_USER_TRUST_QUOTA_EXCEEDED, L"ERROR_PER_USER_TRUST_QUOTA_EXCEEDED",
	ERROR_ALL_USER_TRUST_QUOTA_EXCEEDED, L"ERROR_ALL_USER_TRUST_QUOTA_EXCEEDED",
	ERROR_USER_DELETE_TRUST_QUOTA_EXCEEDED, L"ERROR_USER_DELETE_TRUST_QUOTA_EXCEEDED",
	ERROR_AUTHENTICATION_FIREWALL_FAILED, L"ERROR_AUTHENTICATION_FIREWALL_FAILED",
	ERROR_REMOTE_PRINT_CONNECTIONS_BLOCKED, L"ERROR_REMOTE_PRINT_CONNECTIONS_BLOCKED",
	ERROR_NTLM_BLOCKED, L"ERROR_NTLM_BLOCKED",
	ERROR_INVALID_PIXEL_FORMAT, L"ERROR_INVALID_PIXEL_FORMAT",
	ERROR_BAD_DRIVER, L"ERROR_BAD_DRIVER",
	ERROR_INVALID_WINDOW_STYLE, L"ERROR_INVALID_WINDOW_STYLE",
	ERROR_METAFILE_NOT_SUPPORTED, L"ERROR_METAFILE_NOT_SUPPORTED",
	ERROR_TRANSFORM_NOT_SUPPORTED, L"ERROR_TRANSFORM_NOT_SUPPORTED",
	ERROR_CLIPPING_NOT_SUPPORTED, L"ERROR_CLIPPING_NOT_SUPPORTED",
	ERROR_INVALID_CMM, L"ERROR_INVALID_CMM",
	ERROR_INVALID_PROFILE, L"ERROR_INVALID_PROFILE",
	ERROR_TAG_NOT_FOUND, L"ERROR_TAG_NOT_FOUND",
	ERROR_TAG_NOT_PRESENT, L"ERROR_TAG_NOT_PRESENT",
	ERROR_DUPLICATE_TAG, L"ERROR_DUPLICATE_TAG",
	ERROR_PROFILE_NOT_ASSOCIATED_WITH_DEVICE, L"ERROR_PROFILE_NOT_ASSOCIATED_WITH_DEVICE",
	ERROR_PROFILE_NOT_FOUND, L"ERROR_PROFILE_NOT_FOUND",
	ERROR_INVALID_COLORSPACE, L"ERROR_INVALID_COLORSPACE",
	ERROR_ICM_NOT_ENABLED, L"ERROR_ICM_NOT_ENABLED",
	ERROR_DELETING_ICM_XFORM, L"ERROR_DELETING_ICM_XFORM",
	ERROR_INVALID_TRANSFORM, L"ERROR_INVALID_TRANSFORM",
	ERROR_COLORSPACE_MISMATCH, L"ERROR_COLORSPACE_MISMATCH",
	ERROR_INVALID_COLORINDEX, L"ERROR_INVALID_COLORINDEX",
	ERROR_PROFILE_DOES_NOT_MATCH_DEVICE, L"ERROR_PROFILE_DOES_NOT_MATCH_DEVICE",
	ERROR_CONNECTED_OTHER_PASSWORD, L"ERROR_CONNECTED_OTHER_PASSWORD",
	ERROR_CONNECTED_OTHER_PASSWORD_DEFAULT, L"ERROR_CONNECTED_OTHER_PASSWORD_DEFAULT",
	ERROR_BAD_USERNAME, L"ERROR_BAD_USERNAME",
	ERROR_NOT_CONNECTED, L"ERROR_NOT_CONNECTED",
	ERROR_OPEN_FILES, L"ERROR_OPEN_FILES",
	ERROR_ACTIVE_CONNECTIONS, L"ERROR_ACTIVE_CONNECTIONS",
	ERROR_DEVICE_IN_USE, L"ERROR_DEVICE_IN_USE",
	ERROR_UNKNOWN_PRINT_MONITOR, L"ERROR_UNKNOWN_PRINT_MONITOR",
	ERROR_PRINTER_DRIVER_IN_USE, L"ERROR_PRINTER_DRIVER_IN_USE",
	ERROR_SPOOL_FILE_NOT_FOUND, L"ERROR_SPOOL_FILE_NOT_FOUND",
	ERROR_SPL_NO_STARTDOC, L"ERROR_SPL_NO_STARTDOC",
	ERROR_SPL_NO_ADDJOB, L"ERROR_SPL_NO_ADDJOB",
	ERROR_PRINT_PROCESSOR_ALREADY_INSTALLED, L"ERROR_PRINT_PROCESSOR_ALREADY_INSTALLED",
	ERROR_PRINT_MONITOR_ALREADY_INSTALLED, L"ERROR_PRINT_MONITOR_ALREADY_INSTALLED",
	ERROR_INVALID_PRINT_MONITOR, L"ERROR_INVALID_PRINT_MONITOR",
	ERROR_PRINT_MONITOR_IN_USE, L"ERROR_PRINT_MONITOR_IN_USE",
	ERROR_PRINTER_HAS_JOBS_QUEUED, L"ERROR_PRINTER_HAS_JOBS_QUEUED",
	ERROR_SUCCESS_REBOOT_REQUIRED, L"ERROR_SUCCESS_REBOOT_REQUIRED",
	ERROR_SUCCESS_RESTART_REQUIRED, L"ERROR_SUCCESS_RESTART_REQUIRED",
	ERROR_PRINTER_NOT_FOUND, L"ERROR_PRINTER_NOT_FOUND",
	ERROR_PRINTER_DRIVER_WARNED, L"ERROR_PRINTER_DRIVER_WARNED",
	ERROR_PRINTER_DRIVER_BLOCKED, L"ERROR_PRINTER_DRIVER_BLOCKED",
	ERROR_PRINTER_DRIVER_PACKAGE_IN_USE, L"ERROR_PRINTER_DRIVER_PACKAGE_IN_USE",
	ERROR_CORE_DRIVER_PACKAGE_NOT_FOUND, L"ERROR_CORE_DRIVER_PACKAGE_NOT_FOUND",
	ERROR_FAIL_REBOOT_REQUIRED, L"ERROR_FAIL_REBOOT_REQUIRED",
	ERROR_FAIL_REBOOT_INITIATED, L"ERROR_FAIL_REBOOT_INITIATED",
	ERROR_PRINTER_DRIVER_DOWNLOAD_NEEDED, L"ERROR_PRINTER_DRIVER_DOWNLOAD_NEEDED",
	ERROR_PRINT_JOB_RESTART_REQUIRED, L"ERROR_PRINT_JOB_RESTART_REQUIRED",
	ERROR_IO_REISSUE_AS_CACHED, L"ERROR_IO_REISSUE_AS_CACHED",
	ERROR_WINS_INTERNAL, L"ERROR_WINS_INTERNAL",
	ERROR_CAN_NOT_DEL_LOCAL_WINS, L"ERROR_CAN_NOT_DEL_LOCAL_WINS",
	ERROR_STATIC_INIT, L"ERROR_STATIC_INIT",
	ERROR_INC_BACKUP, L"ERROR_INC_BACKUP",
	ERROR_FULL_BACKUP, L"ERROR_FULL_BACKUP",
	ERROR_REC_NON_EXISTENT, L"ERROR_REC_NON_EXISTENT",
	ERROR_RPL_NOT_ALLOWED, L"ERROR_RPL_NOT_ALLOWED",
	PEERDIST_ERROR_CONTENTINFO_VERSION_UNSUPPORTED, L"PEERDIST_ERROR_CONTENTINFO_VERSION_UNSUPPORTED",
	PEERDIST_ERROR_CANNOT_PARSE_CONTENTINFO, L"PEERDIST_ERROR_CANNOT_PARSE_CONTENTINFO",
	PEERDIST_ERROR_MISSING_DATA, L"PEERDIST_ERROR_MISSING_DATA",
	PEERDIST_ERROR_NO_MORE, L"PEERDIST_ERROR_NO_MORE",
	PEERDIST_ERROR_NOT_INITIALIZED, L"PEERDIST_ERROR_NOT_INITIALIZED",
	PEERDIST_ERROR_ALREADY_INITIALIZED, L"PEERDIST_ERROR_ALREADY_INITIALIZED",
	PEERDIST_ERROR_SHUTDOWN_IN_PROGRESS, L"PEERDIST_ERROR_SHUTDOWN_IN_PROGRESS",
	PEERDIST_ERROR_INVALIDATED, L"PEERDIST_ERROR_INVALIDATED",
	PEERDIST_ERROR_ALREADY_EXISTS, L"PEERDIST_ERROR_ALREADY_EXISTS",
	PEERDIST_ERROR_OPERATION_NOTFOUND, L"PEERDIST_ERROR_OPERATION_NOTFOUND",
	PEERDIST_ERROR_ALREADY_COMPLETED, L"PEERDIST_ERROR_ALREADY_COMPLETED",
	PEERDIST_ERROR_OUT_OF_BOUNDS, L"PEERDIST_ERROR_OUT_OF_BOUNDS",
	PEERDIST_ERROR_VERSION_UNSUPPORTED, L"PEERDIST_ERROR_VERSION_UNSUPPORTED",
	PEERDIST_ERROR_INVALID_CONFIGURATION, L"PEERDIST_ERROR_INVALID_CONFIGURATION",
	PEERDIST_ERROR_NOT_LICENSED, L"PEERDIST_ERROR_NOT_LICENSED",
	PEERDIST_ERROR_SERVICE_UNAVAILABLE, L"PEERDIST_ERROR_SERVICE_UNAVAILABLE",
	ERROR_DHCP_ADDRESS_CONFLICT, L"ERROR_DHCP_ADDRESS_CONFLICT",
	ERROR_WMI_GUID_NOT_FOUND, L"ERROR_WMI_GUID_NOT_FOUND",
	ERROR_WMI_INSTANCE_NOT_FOUND, L"ERROR_WMI_INSTANCE_NOT_FOUND",
	ERROR_WMI_ITEMID_NOT_FOUND, L"ERROR_WMI_ITEMID_NOT_FOUND",
	ERROR_WMI_TRY_AGAIN, L"ERROR_WMI_TRY_AGAIN",
	ERROR_WMI_DP_NOT_FOUND, L"ERROR_WMI_DP_NOT_FOUND",
	ERROR_WMI_UNRESOLVED_INSTANCE_REF, L"ERROR_WMI_UNRESOLVED_INSTANCE_REF",
	ERROR_WMI_ALREADY_ENABLED, L"ERROR_WMI_ALREADY_ENABLED",
	ERROR_WMI_GUID_DISCONNECTED, L"ERROR_WMI_GUID_DISCONNECTED",
	ERROR_WMI_SERVER_UNAVAILABLE, L"ERROR_WMI_SERVER_UNAVAILABLE",
	ERROR_WMI_DP_FAILED, L"ERROR_WMI_DP_FAILED",
	ERROR_WMI_INVALID_MOF, L"ERROR_WMI_INVALID_MOF",
	ERROR_WMI_INVALID_REGINFO, L"ERROR_WMI_INVALID_REGINFO",
	ERROR_WMI_ALREADY_DISABLED, L"ERROR_WMI_ALREADY_DISABLED",
	ERROR_WMI_READ_ONLY, L"ERROR_WMI_READ_ONLY",
	ERROR_WMI_SET_FAILURE, L"ERROR_WMI_SET_FAILURE",
	ERROR_INVALID_MEDIA, L"ERROR_INVALID_MEDIA",
	ERROR_INVALID_LIBRARY, L"ERROR_INVALID_LIBRARY",
	ERROR_INVALID_MEDIA_POOL, L"ERROR_INVALID_MEDIA_POOL",
	ERROR_DRIVE_MEDIA_MISMATCH, L"ERROR_DRIVE_MEDIA_MISMATCH",
	ERROR_MEDIA_OFFLINE, L"ERROR_MEDIA_OFFLINE",
	ERROR_LIBRARY_OFFLINE, L"ERROR_LIBRARY_OFFLINE",
	ERROR_EMPTY, L"ERROR_EMPTY",
	ERROR_NOT_EMPTY, L"ERROR_NOT_EMPTY",
	ERROR_MEDIA_UNAVAILABLE, L"ERROR_MEDIA_UNAVAILABLE",
	ERROR_RESOURCE_DISABLED, L"ERROR_RESOURCE_DISABLED",
	ERROR_INVALID_CLEANER, L"ERROR_INVALID_CLEANER",
	ERROR_UNABLE_TO_CLEAN, L"ERROR_UNABLE_TO_CLEAN",
	ERROR_OBJECT_NOT_FOUND, L"ERROR_OBJECT_NOT_FOUND",
	ERROR_DATABASE_FAILURE, L"ERROR_DATABASE_FAILURE",
	ERROR_DATABASE_FULL, L"ERROR_DATABASE_FULL",
	ERROR_MEDIA_INCOMPATIBLE, L"ERROR_MEDIA_INCOMPATIBLE",
	ERROR_RESOURCE_NOT_PRESENT, L"ERROR_RESOURCE_NOT_PRESENT",
	ERROR_INVALID_OPERATION, L"ERROR_INVALID_OPERATION",
	ERROR_MEDIA_NOT_AVAILABLE, L"ERROR_MEDIA_NOT_AVAILABLE",
	ERROR_DEVICE_NOT_AVAILABLE, L"ERROR_DEVICE_NOT_AVAILABLE",
	ERROR_REQUEST_REFUSED, L"ERROR_REQUEST_REFUSED",
	ERROR_INVALID_DRIVE_OBJECT, L"ERROR_INVALID_DRIVE_OBJECT",
	ERROR_LIBRARY_FULL, L"ERROR_LIBRARY_FULL",
	ERROR_MEDIUM_NOT_ACCESSIBLE, L"ERROR_MEDIUM_NOT_ACCESSIBLE",
	ERROR_UNABLE_TO_LOAD_MEDIUM, L"ERROR_UNABLE_TO_LOAD_MEDIUM",
	ERROR_UNABLE_TO_INVENTORY_DRIVE, L"ERROR_UNABLE_TO_INVENTORY_DRIVE",
	ERROR_UNABLE_TO_INVENTORY_SLOT, L"ERROR_UNABLE_TO_INVENTORY_SLOT",
	ERROR_UNABLE_TO_INVENTORY_TRANSPORT, L"ERROR_UNABLE_TO_INVENTORY_TRANSPORT",
	ERROR_TRANSPORT_FULL, L"ERROR_TRANSPORT_FULL",
	ERROR_CONTROLLING_IEPORT, L"ERROR_CONTROLLING_IEPORT",
	ERROR_UNABLE_TO_EJECT_MOUNTED_MEDIA, L"ERROR_UNABLE_TO_EJECT_MOUNTED_MEDIA",
	ERROR_CLEANER_SLOT_SET, L"ERROR_CLEANER_SLOT_SET",
	ERROR_CLEANER_SLOT_NOT_SET, L"ERROR_CLEANER_SLOT_NOT_SET",
	ERROR_CLEANER_CARTRIDGE_SPENT, L"ERROR_CLEANER_CARTRIDGE_SPENT",
	ERROR_UNEXPECTED_OMID, L"ERROR_UNEXPECTED_OMID",
	ERROR_CANT_DELETE_LAST_ITEM, L"ERROR_CANT_DELETE_LAST_ITEM",
	ERROR_MESSAGE_EXCEEDS_MAX_SIZE, L"ERROR_MESSAGE_EXCEEDS_MAX_SIZE",
	ERROR_VOLUME_CONTAINS_SYS_FILES, L"ERROR_VOLUME_CONTAINS_SYS_FILES",
	ERROR_INDIGENOUS_TYPE, L"ERROR_INDIGENOUS_TYPE",
	ERROR_NO_SUPPORTING_DRIVES, L"ERROR_NO_SUPPORTING_DRIVES",
	ERROR_CLEANER_CARTRIDGE_INSTALLED, L"ERROR_CLEANER_CARTRIDGE_INSTALLED",
	ERROR_IEPORT_FULL, L"ERROR_IEPORT_FULL",
	ERROR_FILE_OFFLINE, L"ERROR_FILE_OFFLINE",
	ERROR_REMOTE_STORAGE_NOT_ACTIVE, L"ERROR_REMOTE_STORAGE_NOT_ACTIVE",
	ERROR_REMOTE_STORAGE_MEDIA_ERROR, L"ERROR_REMOTE_STORAGE_MEDIA_ERROR",
	ERROR_NOT_A_REPARSE_POINT, L"ERROR_NOT_A_REPARSE_POINT",
	ERROR_REPARSE_ATTRIBUTE_CONFLICT, L"ERROR_REPARSE_ATTRIBUTE_CONFLICT",
	ERROR_INVALID_REPARSE_DATA, L"ERROR_INVALID_REPARSE_DATA",
	ERROR_REPARSE_TAG_INVALID, L"ERROR_REPARSE_TAG_INVALID",
	ERROR_REPARSE_TAG_MISMATCH, L"ERROR_REPARSE_TAG_MISMATCH",
	ERROR_VOLUME_NOT_SIS_ENABLED, L"ERROR_VOLUME_NOT_SIS_ENABLED",
	ERROR_DEPENDENT_RESOURCE_EXISTS, L"ERROR_DEPENDENT_RESOURCE_EXISTS",
	ERROR_DEPENDENCY_NOT_FOUND, L"ERROR_DEPENDENCY_NOT_FOUND",
	ERROR_DEPENDENCY_ALREADY_EXISTS, L"ERROR_DEPENDENCY_ALREADY_EXISTS",
	ERROR_RESOURCE_NOT_ONLINE, L"ERROR_RESOURCE_NOT_ONLINE",
	ERROR_HOST_NODE_NOT_AVAILABLE, L"ERROR_HOST_NODE_NOT_AVAILABLE",
	ERROR_RESOURCE_NOT_AVAILABLE, L"ERROR_RESOURCE_NOT_AVAILABLE",
	ERROR_RESOURCE_NOT_FOUND, L"ERROR_RESOURCE_NOT_FOUND",
	ERROR_SHUTDOWN_CLUSTER, L"ERROR_SHUTDOWN_CLUSTER",
	ERROR_CANT_EVICT_ACTIVE_NODE, L"ERROR_CANT_EVICT_ACTIVE_NODE",
	ERROR_OBJECT_ALREADY_EXISTS, L"ERROR_OBJECT_ALREADY_EXISTS",
	ERROR_OBJECT_IN_LIST, L"ERROR_OBJECT_IN_LIST",
	ERROR_GROUP_NOT_AVAILABLE, L"ERROR_GROUP_NOT_AVAILABLE",
	ERROR_GROUP_NOT_FOUND, L"ERROR_GROUP_NOT_FOUND",
	ERROR_GROUP_NOT_ONLINE, L"ERROR_GROUP_NOT_ONLINE",
	ERROR_HOST_NODE_NOT_RESOURCE_OWNER, L"ERROR_HOST_NODE_NOT_RESOURCE_OWNER",
	ERROR_HOST_NODE_NOT_GROUP_OWNER, L"ERROR_HOST_NODE_NOT_GROUP_OWNER",
	ERROR_RESMON_CREATE_FAILED, L"ERROR_RESMON_CREATE_FAILED",
	ERROR_RESMON_ONLINE_FAILED, L"ERROR_RESMON_ONLINE_FAILED",
	ERROR_RESOURCE_ONLINE, L"ERROR_RESOURCE_ONLINE",
	ERROR_QUORUM_RESOURCE, L"ERROR_QUORUM_RESOURCE",
	ERROR_NOT_QUORUM_CAPABLE, L"ERROR_NOT_QUORUM_CAPABLE",
	ERROR_CLUSTER_SHUTTING_DOWN, L"ERROR_CLUSTER_SHUTTING_DOWN",
	ERROR_INVALID_STATE, L"ERROR_INVALID_STATE",
	ERROR_RESOURCE_PROPERTIES_STORED, L"ERROR_RESOURCE_PROPERTIES_STORED",
	ERROR_NOT_QUORUM_CLASS, L"ERROR_NOT_QUORUM_CLASS",
	ERROR_CORE_RESOURCE, L"ERROR_CORE_RESOURCE",
	ERROR_QUORUM_RESOURCE_ONLINE_FAILED, L"ERROR_QUORUM_RESOURCE_ONLINE_FAILED",
	ERROR_QUORUMLOG_OPEN_FAILED, L"ERROR_QUORUMLOG_OPEN_FAILED",
	ERROR_CLUSTERLOG_CORRUPT, L"ERROR_CLUSTERLOG_CORRUPT",
	ERROR_CLUSTERLOG_RECORD_EXCEEDS_MAXSIZE, L"ERROR_CLUSTERLOG_RECORD_EXCEEDS_MAXSIZE",
	ERROR_CLUSTERLOG_EXCEEDS_MAXSIZE, L"ERROR_CLUSTERLOG_EXCEEDS_MAXSIZE",
	ERROR_CLUSTERLOG_CHKPOINT_NOT_FOUND, L"ERROR_CLUSTERLOG_CHKPOINT_NOT_FOUND",
	ERROR_CLUSTERLOG_NOT_ENOUGH_SPACE, L"ERROR_CLUSTERLOG_NOT_ENOUGH_SPACE",
	ERROR_QUORUM_OWNER_ALIVE, L"ERROR_QUORUM_OWNER_ALIVE",
	ERROR_NETWORK_NOT_AVAILABLE, L"ERROR_NETWORK_NOT_AVAILABLE",
	ERROR_NODE_NOT_AVAILABLE, L"ERROR_NODE_NOT_AVAILABLE",
	ERROR_ALL_NODES_NOT_AVAILABLE, L"ERROR_ALL_NODES_NOT_AVAILABLE",
	ERROR_RESOURCE_FAILED, L"ERROR_RESOURCE_FAILED",
	ERROR_CLUSTER_INVALID_NODE, L"ERROR_CLUSTER_INVALID_NODE",
	ERROR_CLUSTER_NODE_EXISTS, L"ERROR_CLUSTER_NODE_EXISTS",
	ERROR_CLUSTER_JOIN_IN_PROGRESS, L"ERROR_CLUSTER_JOIN_IN_PROGRESS",
	ERROR_CLUSTER_NODE_NOT_FOUND, L"ERROR_CLUSTER_NODE_NOT_FOUND",
	ERROR_CLUSTER_LOCAL_NODE_NOT_FOUND, L"ERROR_CLUSTER_LOCAL_NODE_NOT_FOUND",
	ERROR_CLUSTER_NETWORK_EXISTS, L"ERROR_CLUSTER_NETWORK_EXISTS",
	ERROR_CLUSTER_NETWORK_NOT_FOUND, L"ERROR_CLUSTER_NETWORK_NOT_FOUND",
	ERROR_CLUSTER_NETINTERFACE_EXISTS, L"ERROR_CLUSTER_NETINTERFACE_EXISTS",
	ERROR_CLUSTER_NETINTERFACE_NOT_FOUND, L"ERROR_CLUSTER_NETINTERFACE_NOT_FOUND",
	ERROR_CLUSTER_INVALID_REQUEST, L"ERROR_CLUSTER_INVALID_REQUEST",
	ERROR_CLUSTER_INVALID_NETWORK_PROVIDER, L"ERROR_CLUSTER_INVALID_NETWORK_PROVIDER",
	ERROR_CLUSTER_NODE_DOWN, L"ERROR_CLUSTER_NODE_DOWN",
	ERROR_CLUSTER_NODE_UNREACHABLE, L"ERROR_CLUSTER_NODE_UNREACHABLE",
	ERROR_CLUSTER_NODE_NOT_MEMBER, L"ERROR_CLUSTER_NODE_NOT_MEMBER",
	ERROR_CLUSTER_JOIN_NOT_IN_PROGRESS, L"ERROR_CLUSTER_JOIN_NOT_IN_PROGRESS",
	ERROR_CLUSTER_INVALID_NETWORK, L"ERROR_CLUSTER_INVALID_NETWORK",
	ERROR_CLUSTER_NODE_UP, L"ERROR_CLUSTER_NODE_UP",
	ERROR_CLUSTER_IPADDR_IN_USE, L"ERROR_CLUSTER_IPADDR_IN_USE",
	ERROR_CLUSTER_NODE_NOT_PAUSED, L"ERROR_CLUSTER_NODE_NOT_PAUSED",
	ERROR_CLUSTER_NO_SECURITY_CONTEXT, L"ERROR_CLUSTER_NO_SECURITY_CONTEXT",
	ERROR_CLUSTER_NETWORK_NOT_INTERNAL, L"ERROR_CLUSTER_NETWORK_NOT_INTERNAL",
	ERROR_CLUSTER_NODE_ALREADY_UP, L"ERROR_CLUSTER_NODE_ALREADY_UP",
	ERROR_CLUSTER_NODE_ALREADY_DOWN, L"ERROR_CLUSTER_NODE_ALREADY_DOWN",
	ERROR_CLUSTER_NETWORK_ALREADY_ONLINE, L"ERROR_CLUSTER_NETWORK_ALREADY_ONLINE",
	ERROR_CLUSTER_NETWORK_ALREADY_OFFLINE, L"ERROR_CLUSTER_NETWORK_ALREADY_OFFLINE",
	ERROR_CLUSTER_NODE_ALREADY_MEMBER, L"ERROR_CLUSTER_NODE_ALREADY_MEMBER",
	ERROR_CLUSTER_LAST_INTERNAL_NETWORK, L"ERROR_CLUSTER_LAST_INTERNAL_NETWORK",
	ERROR_CLUSTER_NETWORK_HAS_DEPENDENTS, L"ERROR_CLUSTER_NETWORK_HAS_DEPENDENTS",
	ERROR_INVALID_OPERATION_ON_QUORUM, L"ERROR_INVALID_OPERATION_ON_QUORUM",
	ERROR_DEPENDENCY_NOT_ALLOWED, L"ERROR_DEPENDENCY_NOT_ALLOWED",
	ERROR_CLUSTER_NODE_PAUSED, L"ERROR_CLUSTER_NODE_PAUSED",
	ERROR_NODE_CANT_HOST_RESOURCE, L"ERROR_NODE_CANT_HOST_RESOURCE",
	ERROR_CLUSTER_NODE_NOT_READY, L"ERROR_CLUSTER_NODE_NOT_READY",
	ERROR_CLUSTER_NODE_SHUTTING_DOWN, L"ERROR_CLUSTER_NODE_SHUTTING_DOWN",
	ERROR_CLUSTER_JOIN_ABORTED, L"ERROR_CLUSTER_JOIN_ABORTED",
	ERROR_CLUSTER_INCOMPATIBLE_VERSIONS, L"ERROR_CLUSTER_INCOMPATIBLE_VERSIONS",
	ERROR_CLUSTER_MAXNUM_OF_RESOURCES_EXCEEDED, L"ERROR_CLUSTER_MAXNUM_OF_RESOURCES_EXCEEDED",
	ERROR_CLUSTER_SYSTEM_CONFIG_CHANGED, L"ERROR_CLUSTER_SYSTEM_CONFIG_CHANGED",
	ERROR_CLUSTER_RESOURCE_TYPE_NOT_FOUND, L"ERROR_CLUSTER_RESOURCE_TYPE_NOT_FOUND",
	ERROR_CLUSTER_RESTYPE_NOT_SUPPORTED, L"ERROR_CLUSTER_RESTYPE_NOT_SUPPORTED",
	ERROR_CLUSTER_RESNAME_NOT_FOUND, L"ERROR_CLUSTER_RESNAME_NOT_FOUND",
	ERROR_CLUSTER_NO_RPC_PACKAGES_REGISTERED, L"ERROR_CLUSTER_NO_RPC_PACKAGES_REGISTERED",
	ERROR_CLUSTER_OWNER_NOT_IN_PREFLIST, L"ERROR_CLUSTER_OWNER_NOT_IN_PREFLIST",
	ERROR_CLUSTER_DATABASE_SEQMISMATCH, L"ERROR_CLUSTER_DATABASE_SEQMISMATCH",
	ERROR_RESMON_INVALID_STATE, L"ERROR_RESMON_INVALID_STATE",
	ERROR_CLUSTER_GUM_NOT_LOCKER, L"ERROR_CLUSTER_GUM_NOT_LOCKER",
	ERROR_QUORUM_DISK_NOT_FOUND, L"ERROR_QUORUM_DISK_NOT_FOUND",
	ERROR_DATABASE_BACKUP_CORRUPT, L"ERROR_DATABASE_BACKUP_CORRUPT",
	ERROR_CLUSTER_NODE_ALREADY_HAS_DFS_ROOT, L"ERROR_CLUSTER_NODE_ALREADY_HAS_DFS_ROOT",
	ERROR_RESOURCE_PROPERTY_UNCHANGEABLE, L"ERROR_RESOURCE_PROPERTY_UNCHANGEABLE",
	ERROR_CLUSTER_MEMBERSHIP_INVALID_STATE, L"ERROR_CLUSTER_MEMBERSHIP_INVALID_STATE",
	ERROR_CLUSTER_QUORUMLOG_NOT_FOUND, L"ERROR_CLUSTER_QUORUMLOG_NOT_FOUND",
	ERROR_CLUSTER_MEMBERSHIP_HALT, L"ERROR_CLUSTER_MEMBERSHIP_HALT",
	ERROR_CLUSTER_INSTANCE_ID_MISMATCH, L"ERROR_CLUSTER_INSTANCE_ID_MISMATCH",
	ERROR_CLUSTER_NETWORK_NOT_FOUND_FOR_IP, L"ERROR_CLUSTER_NETWORK_NOT_FOUND_FOR_IP",
	ERROR_CLUSTER_PROPERTY_DATA_TYPE_MISMATCH, L"ERROR_CLUSTER_PROPERTY_DATA_TYPE_MISMATCH",
	ERROR_CLUSTER_EVICT_WITHOUT_CLEANUP, L"ERROR_CLUSTER_EVICT_WITHOUT_CLEANUP",
	ERROR_CLUSTER_PARAMETER_MISMATCH, L"ERROR_CLUSTER_PARAMETER_MISMATCH",
	ERROR_NODE_CANNOT_BE_CLUSTERED, L"ERROR_NODE_CANNOT_BE_CLUSTERED",
	ERROR_CLUSTER_WRONG_OS_VERSION, L"ERROR_CLUSTER_WRONG_OS_VERSION",
	ERROR_CLUSTER_CANT_CREATE_DUP_CLUSTER_NAME, L"ERROR_CLUSTER_CANT_CREATE_DUP_CLUSTER_NAME",
	ERROR_CLUSCFG_ALREADY_COMMITTED, L"ERROR_CLUSCFG_ALREADY_COMMITTED",
	ERROR_CLUSCFG_ROLLBACK_FAILED, L"ERROR_CLUSCFG_ROLLBACK_FAILED",
	ERROR_CLUSCFG_SYSTEM_DISK_DRIVE_LETTER_CONFLICT, L"ERROR_CLUSCFG_SYSTEM_DISK_DRIVE_LETTER_CONFLICT",
	ERROR_CLUSTER_OLD_VERSION, L"ERROR_CLUSTER_OLD_VERSION",
	ERROR_CLUSTER_MISMATCHED_COMPUTER_ACCT_NAME, L"ERROR_CLUSTER_MISMATCHED_COMPUTER_ACCT_NAME",
	ERROR_CLUSTER_NO_NET_ADAPTERS, L"ERROR_CLUSTER_NO_NET_ADAPTERS",
	ERROR_CLUSTER_POISONED, L"ERROR_CLUSTER_POISONED",
	ERROR_CLUSTER_GROUP_MOVING, L"ERROR_CLUSTER_GROUP_MOVING",
	ERROR_CLUSTER_RESOURCE_TYPE_BUSY, L"ERROR_CLUSTER_RESOURCE_TYPE_BUSY",
	ERROR_RESOURCE_CALL_TIMED_OUT, L"ERROR_RESOURCE_CALL_TIMED_OUT",
	ERROR_INVALID_CLUSTER_IPV6_ADDRESS, L"ERROR_INVALID_CLUSTER_IPV6_ADDRESS",
	ERROR_CLUSTER_INTERNAL_INVALID_FUNCTION, L"ERROR_CLUSTER_INTERNAL_INVALID_FUNCTION",
	ERROR_CLUSTER_PARAMETER_OUT_OF_BOUNDS, L"ERROR_CLUSTER_PARAMETER_OUT_OF_BOUNDS",
	ERROR_CLUSTER_PARTIAL_SEND, L"ERROR_CLUSTER_PARTIAL_SEND",
	ERROR_CLUSTER_REGISTRY_INVALID_FUNCTION, L"ERROR_CLUSTER_REGISTRY_INVALID_FUNCTION",
	ERROR_CLUSTER_INVALID_STRING_TERMINATION, L"ERROR_CLUSTER_INVALID_STRING_TERMINATION",
	ERROR_CLUSTER_INVALID_STRING_FORMAT, L"ERROR_CLUSTER_INVALID_STRING_FORMAT",
	ERROR_CLUSTER_DATABASE_TRANSACTION_IN_PROGRESS, L"ERROR_CLUSTER_DATABASE_TRANSACTION_IN_PROGRESS",
	ERROR_CLUSTER_DATABASE_TRANSACTION_NOT_IN_PROGRESS, L"ERROR_CLUSTER_DATABASE_TRANSACTION_NOT_IN_PROGRESS",
	ERROR_CLUSTER_NULL_DATA, L"ERROR_CLUSTER_NULL_DATA",
	ERROR_CLUSTER_PARTIAL_READ, L"ERROR_CLUSTER_PARTIAL_READ",
	ERROR_CLUSTER_PARTIAL_WRITE, L"ERROR_CLUSTER_PARTIAL_WRITE",
	ERROR_CLUSTER_CANT_DESERIALIZE_DATA, L"ERROR_CLUSTER_CANT_DESERIALIZE_DATA",
	ERROR_DEPENDENT_RESOURCE_PROPERTY_CONFLICT, L"ERROR_DEPENDENT_RESOURCE_PROPERTY_CONFLICT",
	ERROR_CLUSTER_NO_QUORUM, L"ERROR_CLUSTER_NO_QUORUM",
	ERROR_CLUSTER_INVALID_IPV6_NETWORK, L"ERROR_CLUSTER_INVALID_IPV6_NETWORK",
	ERROR_CLUSTER_INVALID_IPV6_TUNNEL_NETWORK, L"ERROR_CLUSTER_INVALID_IPV6_TUNNEL_NETWORK",
	ERROR_QUORUM_NOT_ALLOWED_IN_THIS_GROUP, L"ERROR_QUORUM_NOT_ALLOWED_IN_THIS_GROUP",
	ERROR_DEPENDENCY_TREE_TOO_COMPLEX, L"ERROR_DEPENDENCY_TREE_TOO_COMPLEX",
	ERROR_EXCEPTION_IN_RESOURCE_CALL, L"ERROR_EXCEPTION_IN_RESOURCE_CALL",
	ERROR_CLUSTER_RHS_FAILED_INITIALIZATION, L"ERROR_CLUSTER_RHS_FAILED_INITIALIZATION",
	ERROR_CLUSTER_NOT_INSTALLED, L"ERROR_CLUSTER_NOT_INSTALLED",
	ERROR_CLUSTER_RESOURCES_MUST_BE_ONLINE_ON_THE_SAME_NODE, L"ERROR_CLUSTER_RESOURCES_MUST_BE_ONLINE_ON_THE_SAME_NODE",
	ERROR_CLUSTER_MAX_NODES_IN_CLUSTER, L"ERROR_CLUSTER_MAX_NODES_IN_CLUSTER",
	ERROR_CLUSTER_TOO_MANY_NODES, L"ERROR_CLUSTER_TOO_MANY_NODES",
	ERROR_CLUSTER_OBJECT_ALREADY_USED, L"ERROR_CLUSTER_OBJECT_ALREADY_USED",
	ERROR_NONCORE_GROUPS_FOUND, L"ERROR_NONCORE_GROUPS_FOUND",
	ERROR_FILE_SHARE_RESOURCE_CONFLICT, L"ERROR_FILE_SHARE_RESOURCE_CONFLICT",
	ERROR_CLUSTER_EVICT_INVALID_REQUEST, L"ERROR_CLUSTER_EVICT_INVALID_REQUEST",
	ERROR_CLUSTER_SINGLETON_RESOURCE, L"ERROR_CLUSTER_SINGLETON_RESOURCE",
	ERROR_CLUSTER_GROUP_SINGLETON_RESOURCE, L"ERROR_CLUSTER_GROUP_SINGLETON_RESOURCE",
	ERROR_CLUSTER_RESOURCE_PROVIDER_FAILED, L"ERROR_CLUSTER_RESOURCE_PROVIDER_FAILED",
	ERROR_CLUSTER_RESOURCE_CONFIGURATION_ERROR, L"ERROR_CLUSTER_RESOURCE_CONFIGURATION_ERROR",
	ERROR_CLUSTER_GROUP_BUSY, L"ERROR_CLUSTER_GROUP_BUSY",
	ERROR_CLUSTER_NOT_SHARED_VOLUME, L"ERROR_CLUSTER_NOT_SHARED_VOLUME",
	ERROR_CLUSTER_INVALID_SECURITY_DESCRIPTOR, L"ERROR_CLUSTER_INVALID_SECURITY_DESCRIPTOR",
	ERROR_CLUSTER_SHARED_VOLUMES_IN_USE, L"ERROR_CLUSTER_SHARED_VOLUMES_IN_USE",
	ERROR_CLUSTER_USE_SHARED_VOLUMES_API, L"ERROR_CLUSTER_USE_SHARED_VOLUMES_API",
	ERROR_CLUSTER_BACKUP_IN_PROGRESS, L"ERROR_CLUSTER_BACKUP_IN_PROGRESS",
	ERROR_NON_CSV_PATH, L"ERROR_NON_CSV_PATH",
	ERROR_CSV_VOLUME_NOT_LOCAL, L"ERROR_CSV_VOLUME_NOT_LOCAL",
	ERROR_CLUSTER_WATCHDOG_TERMINATING, L"ERROR_CLUSTER_WATCHDOG_TERMINATING",
	ERROR_ENCRYPTION_FAILED, L"ERROR_ENCRYPTION_FAILED",
	ERROR_DECRYPTION_FAILED, L"ERROR_DECRYPTION_FAILED",
	ERROR_FILE_ENCRYPTED, L"ERROR_FILE_ENCRYPTED",
	ERROR_NO_RECOVERY_POLICY, L"ERROR_NO_RECOVERY_POLICY",
	ERROR_NO_EFS, L"ERROR_NO_EFS",
	ERROR_WRONG_EFS, L"ERROR_WRONG_EFS",
	ERROR_NO_USER_KEYS, L"ERROR_NO_USER_KEYS",
	ERROR_FILE_NOT_ENCRYPTED, L"ERROR_FILE_NOT_ENCRYPTED",
	ERROR_NOT_EXPORT_FORMAT, L"ERROR_NOT_EXPORT_FORMAT",
	ERROR_FILE_READ_ONLY, L"ERROR_FILE_READ_ONLY",
	ERROR_DIR_EFS_DISALLOWED, L"ERROR_DIR_EFS_DISALLOWED",
	ERROR_EFS_SERVER_NOT_TRUSTED, L"ERROR_EFS_SERVER_NOT_TRUSTED",
	ERROR_BAD_RECOVERY_POLICY, L"ERROR_BAD_RECOVERY_POLICY",
	ERROR_EFS_ALG_BLOB_TOO_BIG, L"ERROR_EFS_ALG_BLOB_TOO_BIG",
	ERROR_VOLUME_NOT_SUPPORT_EFS, L"ERROR_VOLUME_NOT_SUPPORT_EFS",
	ERROR_EFS_DISABLED, L"ERROR_EFS_DISABLED",
	ERROR_EFS_VERSION_NOT_SUPPORT, L"ERROR_EFS_VERSION_NOT_SUPPORT",
	ERROR_CS_ENCRYPTION_INVALID_SERVER_RESPONSE, L"ERROR_CS_ENCRYPTION_INVALID_SERVER_RESPONSE",
	ERROR_CS_ENCRYPTION_UNSUPPORTED_SERVER, L"ERROR_CS_ENCRYPTION_UNSUPPORTED_SERVER",
	ERROR_CS_ENCRYPTION_EXISTING_ENCRYPTED_FILE, L"ERROR_CS_ENCRYPTION_EXISTING_ENCRYPTED_FILE",
	ERROR_CS_ENCRYPTION_NEW_ENCRYPTED_FILE, L"ERROR_CS_ENCRYPTION_NEW_ENCRYPTED_FILE",
	ERROR_CS_ENCRYPTION_FILE_NOT_CSE, L"ERROR_CS_ENCRYPTION_FILE_NOT_CSE",
	ERROR_ENCRYPTION_POLICY_DENIES_OPERATION, L"ERROR_ENCRYPTION_POLICY_DENIES_OPERATION",
	ERROR_NO_BROWSER_SERVERS_FOUND, L"ERROR_NO_BROWSER_SERVERS_FOUND",
	SCHED_E_SERVICE_NOT_LOCALSYSTEM, L"SCHED_E_SERVICE_NOT_LOCALSYSTEM",
	ERROR_LOG_SECTOR_INVALID, L"ERROR_LOG_SECTOR_INVALID",
	ERROR_LOG_SECTOR_PARITY_INVALID, L"ERROR_LOG_SECTOR_PARITY_INVALID",
	ERROR_LOG_SECTOR_REMAPPED, L"ERROR_LOG_SECTOR_REMAPPED",
	ERROR_LOG_BLOCK_INCOMPLETE, L"ERROR_LOG_BLOCK_INCOMPLETE",
	ERROR_LOG_INVALID_RANGE, L"ERROR_LOG_INVALID_RANGE",
	ERROR_LOG_BLOCKS_EXHAUSTED, L"ERROR_LOG_BLOCKS_EXHAUSTED",
	ERROR_LOG_READ_CONTEXT_INVALID, L"ERROR_LOG_READ_CONTEXT_INVALID",
	ERROR_LOG_RESTART_INVALID, L"ERROR_LOG_RESTART_INVALID",
	ERROR_LOG_BLOCK_VERSION, L"ERROR_LOG_BLOCK_VERSION",
	ERROR_LOG_BLOCK_INVALID, L"ERROR_LOG_BLOCK_INVALID",
	ERROR_LOG_READ_MODE_INVALID, L"ERROR_LOG_READ_MODE_INVALID",
	ERROR_LOG_NO_RESTART, L"ERROR_LOG_NO_RESTART",
	ERROR_LOG_METADATA_CORRUPT, L"ERROR_LOG_METADATA_CORRUPT",
	ERROR_LOG_METADATA_INVALID, L"ERROR_LOG_METADATA_INVALID",
	ERROR_LOG_METADATA_INCONSISTENT, L"ERROR_LOG_METADATA_INCONSISTENT",
	ERROR_LOG_RESERVATION_INVALID, L"ERROR_LOG_RESERVATION_INVALID",
	ERROR_LOG_CANT_DELETE, L"ERROR_LOG_CANT_DELETE",
	ERROR_LOG_CONTAINER_LIMIT_EXCEEDED, L"ERROR_LOG_CONTAINER_LIMIT_EXCEEDED",
	ERROR_LOG_START_OF_LOG, L"ERROR_LOG_START_OF_LOG",
	ERROR_LOG_POLICY_ALREADY_INSTALLED, L"ERROR_LOG_POLICY_ALREADY_INSTALLED",
	ERROR_LOG_POLICY_NOT_INSTALLED, L"ERROR_LOG_POLICY_NOT_INSTALLED",
	ERROR_LOG_POLICY_INVALID, L"ERROR_LOG_POLICY_INVALID",
	ERROR_LOG_POLICY_CONFLICT, L"ERROR_LOG_POLICY_CONFLICT",
	ERROR_LOG_PINNED_ARCHIVE_TAIL, L"ERROR_LOG_PINNED_ARCHIVE_TAIL",
	ERROR_LOG_RECORD_NONEXISTENT, L"ERROR_LOG_RECORD_NONEXISTENT",
	ERROR_LOG_RECORDS_RESERVED_INVALID, L"ERROR_LOG_RECORDS_RESERVED_INVALID",
	ERROR_LOG_SPACE_RESERVED_INVALID, L"ERROR_LOG_SPACE_RESERVED_INVALID",
	ERROR_LOG_TAIL_INVALID, L"ERROR_LOG_TAIL_INVALID",
	ERROR_LOG_FULL, L"ERROR_LOG_FULL",
	ERROR_COULD_NOT_RESIZE_LOG, L"ERROR_COULD_NOT_RESIZE_LOG",
	ERROR_LOG_MULTIPLEXED, L"ERROR_LOG_MULTIPLEXED",
	ERROR_LOG_DEDICATED, L"ERROR_LOG_DEDICATED",
	ERROR_LOG_ARCHIVE_NOT_IN_PROGRESS, L"ERROR_LOG_ARCHIVE_NOT_IN_PROGRESS",
	ERROR_LOG_ARCHIVE_IN_PROGRESS, L"ERROR_LOG_ARCHIVE_IN_PROGRESS",
	ERROR_LOG_EPHEMERAL, L"ERROR_LOG_EPHEMERAL",
	ERROR_LOG_NOT_ENOUGH_CONTAINERS, L"ERROR_LOG_NOT_ENOUGH_CONTAINERS",
	ERROR_LOG_CLIENT_ALREADY_REGISTERED, L"ERROR_LOG_CLIENT_ALREADY_REGISTERED",
	ERROR_LOG_CLIENT_NOT_REGISTERED, L"ERROR_LOG_CLIENT_NOT_REGISTERED",
	ERROR_LOG_FULL_HANDLER_IN_PROGRESS, L"ERROR_LOG_FULL_HANDLER_IN_PROGRESS",
	ERROR_LOG_CONTAINER_READ_FAILED, L"ERROR_LOG_CONTAINER_READ_FAILED",
	ERROR_LOG_CONTAINER_WRITE_FAILED, L"ERROR_LOG_CONTAINER_WRITE_FAILED",
	ERROR_LOG_CONTAINER_OPEN_FAILED, L"ERROR_LOG_CONTAINER_OPEN_FAILED",
	ERROR_LOG_CONTAINER_STATE_INVALID, L"ERROR_LOG_CONTAINER_STATE_INVALID",
	ERROR_LOG_STATE_INVALID, L"ERROR_LOG_STATE_INVALID",
	ERROR_LOG_PINNED, L"ERROR_LOG_PINNED",
	ERROR_LOG_METADATA_FLUSH_FAILED, L"ERROR_LOG_METADATA_FLUSH_FAILED",
	ERROR_LOG_INCONSISTENT_SECURITY, L"ERROR_LOG_INCONSISTENT_SECURITY",
	ERROR_LOG_APPENDED_FLUSH_FAILED, L"ERROR_LOG_APPENDED_FLUSH_FAILED",
	ERROR_LOG_PINNED_RESERVATION, L"ERROR_LOG_PINNED_RESERVATION",
	ERROR_INVALID_TRANSACTION, L"ERROR_INVALID_TRANSACTION",
	ERROR_TRANSACTION_NOT_ACTIVE, L"ERROR_TRANSACTION_NOT_ACTIVE",
	ERROR_TRANSACTION_REQUEST_NOT_VALID, L"ERROR_TRANSACTION_REQUEST_NOT_VALID",
	ERROR_TRANSACTION_NOT_REQUESTED, L"ERROR_TRANSACTION_NOT_REQUESTED",
	ERROR_TRANSACTION_ALREADY_ABORTED, L"ERROR_TRANSACTION_ALREADY_ABORTED",
	ERROR_TRANSACTION_ALREADY_COMMITTED, L"ERROR_TRANSACTION_ALREADY_COMMITTED",
	ERROR_TM_INITIALIZATION_FAILED, L"ERROR_TM_INITIALIZATION_FAILED",
	ERROR_RESOURCEMANAGER_READ_ONLY, L"ERROR_RESOURCEMANAGER_READ_ONLY",
	ERROR_TRANSACTION_NOT_JOINED, L"ERROR_TRANSACTION_NOT_JOINED",
	ERROR_TRANSACTION_SUPERIOR_EXISTS, L"ERROR_TRANSACTION_SUPERIOR_EXISTS",
	ERROR_CRM_PROTOCOL_ALREADY_EXISTS, L"ERROR_CRM_PROTOCOL_ALREADY_EXISTS",
	ERROR_TRANSACTION_PROPAGATION_FAILED, L"ERROR_TRANSACTION_PROPAGATION_FAILED",
	ERROR_CRM_PROTOCOL_NOT_FOUND, L"ERROR_CRM_PROTOCOL_NOT_FOUND",
	ERROR_TRANSACTION_INVALID_MARSHALL_BUFFER, L"ERROR_TRANSACTION_INVALID_MARSHALL_BUFFER",
	ERROR_CURRENT_TRANSACTION_NOT_VALID, L"ERROR_CURRENT_TRANSACTION_NOT_VALID",
	ERROR_TRANSACTION_NOT_FOUND, L"ERROR_TRANSACTION_NOT_FOUND",
	ERROR_RESOURCEMANAGER_NOT_FOUND, L"ERROR_RESOURCEMANAGER_NOT_FOUND",
	ERROR_ENLISTMENT_NOT_FOUND, L"ERROR_ENLISTMENT_NOT_FOUND",
	ERROR_TRANSACTIONMANAGER_NOT_FOUND, L"ERROR_TRANSACTIONMANAGER_NOT_FOUND",
	ERROR_TRANSACTIONMANAGER_NOT_ONLINE, L"ERROR_TRANSACTIONMANAGER_NOT_ONLINE",
	ERROR_TRANSACTIONMANAGER_RECOVERY_NAME_COLLISION, L"ERROR_TRANSACTIONMANAGER_RECOVERY_NAME_COLLISION",
	ERROR_TRANSACTION_NOT_ROOT, L"ERROR_TRANSACTION_NOT_ROOT",
	ERROR_TRANSACTION_OBJECT_EXPIRED, L"ERROR_TRANSACTION_OBJECT_EXPIRED",
	ERROR_TRANSACTION_RESPONSE_NOT_ENLISTED, L"ERROR_TRANSACTION_RESPONSE_NOT_ENLISTED",
	ERROR_TRANSACTION_RECORD_TOO_LONG, L"ERROR_TRANSACTION_RECORD_TOO_LONG",
	ERROR_IMPLICIT_TRANSACTION_NOT_SUPPORTED, L"ERROR_IMPLICIT_TRANSACTION_NOT_SUPPORTED",
	ERROR_TRANSACTION_INTEGRITY_VIOLATED, L"ERROR_TRANSACTION_INTEGRITY_VIOLATED",
	ERROR_TRANSACTIONMANAGER_IDENTITY_MISMATCH, L"ERROR_TRANSACTIONMANAGER_IDENTITY_MISMATCH",
	ERROR_RM_CANNOT_BE_FROZEN_FOR_SNAPSHOT, L"ERROR_RM_CANNOT_BE_FROZEN_FOR_SNAPSHOT",
	ERROR_TRANSACTION_MUST_WRITETHROUGH, L"ERROR_TRANSACTION_MUST_WRITETHROUGH",
	ERROR_TRANSACTION_NO_SUPERIOR, L"ERROR_TRANSACTION_NO_SUPERIOR",
	ERROR_HEURISTIC_DAMAGE_POSSIBLE, L"ERROR_HEURISTIC_DAMAGE_POSSIBLE",
	ERROR_TRANSACTIONAL_CONFLICT, L"ERROR_TRANSACTIONAL_CONFLICT",
	ERROR_RM_NOT_ACTIVE, L"ERROR_RM_NOT_ACTIVE",
	ERROR_RM_METADATA_CORRUPT, L"ERROR_RM_METADATA_CORRUPT",
	ERROR_DIRECTORY_NOT_RM, L"ERROR_DIRECTORY_NOT_RM",
	ERROR_TRANSACTIONS_UNSUPPORTED_REMOTE, L"ERROR_TRANSACTIONS_UNSUPPORTED_REMOTE",
	ERROR_LOG_RESIZE_INVALID_SIZE, L"ERROR_LOG_RESIZE_INVALID_SIZE",
	ERROR_OBJECT_NO_LONGER_EXISTS, L"ERROR_OBJECT_NO_LONGER_EXISTS",
	ERROR_STREAM_MINIVERSION_NOT_FOUND, L"ERROR_STREAM_MINIVERSION_NOT_FOUND",
	ERROR_STREAM_MINIVERSION_NOT_VALID, L"ERROR_STREAM_MINIVERSION_NOT_VALID",
	ERROR_MINIVERSION_INACCESSIBLE_FROM_SPECIFIED_TRANSACTION, L"ERROR_MINIVERSION_INACCESSIBLE_FROM_SPECIFIED_TRANSACTION",
	ERROR_CANT_OPEN_MINIVERSION_WITH_MODIFY_INTENT, L"ERROR_CANT_OPEN_MINIVERSION_WITH_MODIFY_INTENT",
	ERROR_CANT_CREATE_MORE_STREAM_MINIVERSIONS, L"ERROR_CANT_CREATE_MORE_STREAM_MINIVERSIONS",
	ERROR_REMOTE_FILE_VERSION_MISMATCH, L"ERROR_REMOTE_FILE_VERSION_MISMATCH",
	ERROR_HANDLE_NO_LONGER_VALID, L"ERROR_HANDLE_NO_LONGER_VALID",
	ERROR_NO_TXF_METADATA, L"ERROR_NO_TXF_METADATA",
	ERROR_LOG_CORRUPTION_DETECTED, L"ERROR_LOG_CORRUPTION_DETECTED",
	ERROR_CANT_RECOVER_WITH_HANDLE_OPEN, L"ERROR_CANT_RECOVER_WITH_HANDLE_OPEN",
	ERROR_RM_DISCONNECTED, L"ERROR_RM_DISCONNECTED",
	ERROR_ENLISTMENT_NOT_SUPERIOR, L"ERROR_ENLISTMENT_NOT_SUPERIOR",
	ERROR_RECOVERY_NOT_NEEDED, L"ERROR_RECOVERY_NOT_NEEDED",
	ERROR_RM_ALREADY_STARTED, L"ERROR_RM_ALREADY_STARTED",
	ERROR_FILE_IDENTITY_NOT_PERSISTENT, L"ERROR_FILE_IDENTITY_NOT_PERSISTENT",
	ERROR_CANT_BREAK_TRANSACTIONAL_DEPENDENCY, L"ERROR_CANT_BREAK_TRANSACTIONAL_DEPENDENCY",
	ERROR_CANT_CROSS_RM_BOUNDARY, L"ERROR_CANT_CROSS_RM_BOUNDARY",
	ERROR_TXF_DIR_NOT_EMPTY, L"ERROR_TXF_DIR_NOT_EMPTY",
	ERROR_INDOUBT_TRANSACTIONS_EXIST, L"ERROR_INDOUBT_TRANSACTIONS_EXIST",
	ERROR_TM_VOLATILE, L"ERROR_TM_VOLATILE",
	ERROR_ROLLBACK_TIMER_EXPIRED, L"ERROR_ROLLBACK_TIMER_EXPIRED",
	ERROR_TXF_ATTRIBUTE_CORRUPT, L"ERROR_TXF_ATTRIBUTE_CORRUPT",
	ERROR_EFS_NOT_ALLOWED_IN_TRANSACTION, L"ERROR_EFS_NOT_ALLOWED_IN_TRANSACTION",
	ERROR_TRANSACTIONAL_OPEN_NOT_ALLOWED, L"ERROR_TRANSACTIONAL_OPEN_NOT_ALLOWED",
	ERROR_LOG_GROWTH_FAILED, L"ERROR_LOG_GROWTH_FAILED",
	ERROR_TRANSACTED_MAPPING_UNSUPPORTED_REMOTE, L"ERROR_TRANSACTED_MAPPING_UNSUPPORTED_REMOTE",
	ERROR_TXF_METADATA_ALREADY_PRESENT, L"ERROR_TXF_METADATA_ALREADY_PRESENT",
	ERROR_TRANSACTION_SCOPE_CALLBACKS_NOT_SET, L"ERROR_TRANSACTION_SCOPE_CALLBACKS_NOT_SET",
	ERROR_TRANSACTION_REQUIRED_PROMOTION, L"ERROR_TRANSACTION_REQUIRED_PROMOTION",
	ERROR_CANNOT_EXECUTE_FILE_IN_TRANSACTION, L"ERROR_CANNOT_EXECUTE_FILE_IN_TRANSACTION",
	ERROR_TRANSACTIONS_NOT_FROZEN, L"ERROR_TRANSACTIONS_NOT_FROZEN",
	ERROR_TRANSACTION_FREEZE_IN_PROGRESS, L"ERROR_TRANSACTION_FREEZE_IN_PROGRESS",
	ERROR_NOT_SNAPSHOT_VOLUME, L"ERROR_NOT_SNAPSHOT_VOLUME",
	ERROR_NO_SAVEPOINT_WITH_OPEN_FILES, L"ERROR_NO_SAVEPOINT_WITH_OPEN_FILES",
	ERROR_DATA_LOST_REPAIR, L"ERROR_DATA_LOST_REPAIR",
	ERROR_SPARSE_NOT_ALLOWED_IN_TRANSACTION, L"ERROR_SPARSE_NOT_ALLOWED_IN_TRANSACTION",
	ERROR_TM_IDENTITY_MISMATCH, L"ERROR_TM_IDENTITY_MISMATCH",
	ERROR_FLOATED_SECTION, L"ERROR_FLOATED_SECTION",
	ERROR_CANNOT_ACCEPT_TRANSACTED_WORK, L"ERROR_CANNOT_ACCEPT_TRANSACTED_WORK",
	ERROR_CANNOT_ABORT_TRANSACTIONS, L"ERROR_CANNOT_ABORT_TRANSACTIONS",
	ERROR_BAD_CLUSTERS, L"ERROR_BAD_CLUSTERS",
	ERROR_COMPRESSION_NOT_ALLOWED_IN_TRANSACTION, L"ERROR_COMPRESSION_NOT_ALLOWED_IN_TRANSACTION",
	ERROR_VOLUME_DIRTY, L"ERROR_VOLUME_DIRTY",
	ERROR_NO_LINK_TRACKING_IN_TRANSACTION, L"ERROR_NO_LINK_TRACKING_IN_TRANSACTION",
	ERROR_OPERATION_NOT_SUPPORTED_IN_TRANSACTION, L"ERROR_OPERATION_NOT_SUPPORTED_IN_TRANSACTION",
	ERROR_EXPIRED_HANDLE, L"ERROR_EXPIRED_HANDLE",
	ERROR_TRANSACTION_NOT_ENLISTED, L"ERROR_TRANSACTION_NOT_ENLISTED",
	ERROR_CTX_WINSTATION_NAME_INVALID, L"ERROR_CTX_WINSTATION_NAME_INVALID",
	ERROR_CTX_INVALID_PD, L"ERROR_CTX_INVALID_PD",
	ERROR_CTX_PD_NOT_FOUND, L"ERROR_CTX_PD_NOT_FOUND",
	ERROR_CTX_WD_NOT_FOUND, L"ERROR_CTX_WD_NOT_FOUND",
	ERROR_CTX_CANNOT_MAKE_EVENTLOG_ENTRY, L"ERROR_CTX_CANNOT_MAKE_EVENTLOG_ENTRY",
	ERROR_CTX_SERVICE_NAME_COLLISION, L"ERROR_CTX_SERVICE_NAME_COLLISION",
	ERROR_CTX_CLOSE_PENDING, L"ERROR_CTX_CLOSE_PENDING",
	ERROR_CTX_NO_OUTBUF, L"ERROR_CTX_NO_OUTBUF",
	ERROR_CTX_MODEM_INF_NOT_FOUND, L"ERROR_CTX_MODEM_INF_NOT_FOUND",
	ERROR_CTX_INVALID_MODEMNAME, L"ERROR_CTX_INVALID_MODEMNAME",
	ERROR_CTX_MODEM_RESPONSE_ERROR, L"ERROR_CTX_MODEM_RESPONSE_ERROR",
	ERROR_CTX_MODEM_RESPONSE_TIMEOUT, L"ERROR_CTX_MODEM_RESPONSE_TIMEOUT",
	ERROR_CTX_MODEM_RESPONSE_NO_CARRIER, L"ERROR_CTX_MODEM_RESPONSE_NO_CARRIER",
	ERROR_CTX_MODEM_RESPONSE_NO_DIALTONE, L"ERROR_CTX_MODEM_RESPONSE_NO_DIALTONE",
	ERROR_CTX_MODEM_RESPONSE_BUSY, L"ERROR_CTX_MODEM_RESPONSE_BUSY",
	ERROR_CTX_MODEM_RESPONSE_VOICE, L"ERROR_CTX_MODEM_RESPONSE_VOICE",
	ERROR_CTX_TD_ERROR, L"ERROR_CTX_TD_ERROR",
	ERROR_CTX_WINSTATION_NOT_FOUND, L"ERROR_CTX_WINSTATION_NOT_FOUND",
	ERROR_CTX_WINSTATION_ALREADY_EXISTS, L"ERROR_CTX_WINSTATION_ALREADY_EXISTS",
	ERROR_CTX_WINSTATION_BUSY, L"ERROR_CTX_WINSTATION_BUSY",
	ERROR_CTX_BAD_VIDEO_MODE, L"ERROR_CTX_BAD_VIDEO_MODE",
	ERROR_CTX_GRAPHICS_INVALID, L"ERROR_CTX_GRAPHICS_INVALID",
	ERROR_CTX_LOGON_DISABLED, L"ERROR_CTX_LOGON_DISABLED",
	ERROR_CTX_NOT_CONSOLE, L"ERROR_CTX_NOT_CONSOLE",
	ERROR_CTX_CLIENT_QUERY_TIMEOUT, L"ERROR_CTX_CLIENT_QUERY_TIMEOUT",
	ERROR_CTX_CONSOLE_DISCONNECT, L"ERROR_CTX_CONSOLE_DISCONNECT",
	ERROR_CTX_CONSOLE_CONNECT, L"ERROR_CTX_CONSOLE_CONNECT",
	ERROR_CTX_SHADOW_DENIED, L"ERROR_CTX_SHADOW_DENIED",
	ERROR_CTX_WINSTATION_ACCESS_DENIED, L"ERROR_CTX_WINSTATION_ACCESS_DENIED",
	ERROR_CTX_INVALID_WD, L"ERROR_CTX_INVALID_WD",
	ERROR_CTX_SHADOW_INVALID, L"ERROR_CTX_SHADOW_INVALID",
	ERROR_CTX_SHADOW_DISABLED, L"ERROR_CTX_SHADOW_DISABLED",
	ERROR_CTX_CLIENT_LICENSE_IN_USE, L"ERROR_CTX_CLIENT_LICENSE_IN_USE",
	ERROR_CTX_CLIENT_LICENSE_NOT_SET, L"ERROR_CTX_CLIENT_LICENSE_NOT_SET",
	ERROR_CTX_LICENSE_NOT_AVAILABLE, L"ERROR_CTX_LICENSE_NOT_AVAILABLE",
	ERROR_CTX_LICENSE_CLIENT_INVALID, L"ERROR_CTX_LICENSE_CLIENT_INVALID",
	ERROR_CTX_LICENSE_EXPIRED, L"ERROR_CTX_LICENSE_EXPIRED",
	ERROR_CTX_SHADOW_NOT_RUNNING, L"ERROR_CTX_SHADOW_NOT_RUNNING",
	ERROR_CTX_SHADOW_ENDED_BY_MODE_CHANGE, L"ERROR_CTX_SHADOW_ENDED_BY_MODE_CHANGE",
	ERROR_ACTIVATION_COUNT_EXCEEDED, L"ERROR_ACTIVATION_COUNT_EXCEEDED",
	ERROR_CTX_WINSTATIONS_DISABLED, L"ERROR_CTX_WINSTATIONS_DISABLED",
	ERROR_CTX_ENCRYPTION_LEVEL_REQUIRED, L"ERROR_CTX_ENCRYPTION_LEVEL_REQUIRED",
	ERROR_CTX_SESSION_IN_USE, L"ERROR_CTX_SESSION_IN_USE",
	ERROR_CTX_NO_FORCE_LOGOFF, L"ERROR_CTX_NO_FORCE_LOGOFF",
	ERROR_CTX_ACCOUNT_RESTRICTION, L"ERROR_CTX_ACCOUNT_RESTRICTION",
	ERROR_RDP_PROTOCOL_ERROR, L"ERROR_RDP_PROTOCOL_ERROR",
	ERROR_CTX_CDM_CONNECT, L"ERROR_CTX_CDM_CONNECT",
	ERROR_CTX_CDM_DISCONNECT, L"ERROR_CTX_CDM_DISCONNECT",
	ERROR_CTX_SECURITY_LAYER_ERROR, L"ERROR_CTX_SECURITY_LAYER_ERROR",
	ERROR_TS_INCOMPATIBLE_SESSIONS, L"ERROR_TS_INCOMPATIBLE_SESSIONS",
	ERROR_TS_VIDEO_SUBSYSTEM_ERROR, L"ERROR_TS_VIDEO_SUBSYSTEM_ERROR",
	FRS_ERR_INVALID_API_SEQUENCE, L"FRS_ERR_INVALID_API_SEQUENCE",
	FRS_ERR_STARTING_SERVICE, L"FRS_ERR_STARTING_SERVICE",
	FRS_ERR_STOPPING_SERVICE, L"FRS_ERR_STOPPING_SERVICE",
	FRS_ERR_INTERNAL_API, L"FRS_ERR_INTERNAL_API",
	FRS_ERR_INTERNAL, L"FRS_ERR_INTERNAL",
	FRS_ERR_SERVICE_COMM, L"FRS_ERR_SERVICE_COMM",
	FRS_ERR_INSUFFICIENT_PRIV, L"FRS_ERR_INSUFFICIENT_PRIV",
	FRS_ERR_AUTHENTICATION, L"FRS_ERR_AUTHENTICATION",
	FRS_ERR_PARENT_INSUFFICIENT_PRIV, L"FRS_ERR_PARENT_INSUFFICIENT_PRIV",
	FRS_ERR_PARENT_AUTHENTICATION, L"FRS_ERR_PARENT_AUTHENTICATION",
	FRS_ERR_CHILD_TO_PARENT_COMM, L"FRS_ERR_CHILD_TO_PARENT_COMM",
	FRS_ERR_PARENT_TO_CHILD_COMM, L"FRS_ERR_PARENT_TO_CHILD_COMM",
	FRS_ERR_SYSVOL_POPULATE, L"FRS_ERR_SYSVOL_POPULATE",
	FRS_ERR_SYSVOL_POPULATE_TIMEOUT, L"FRS_ERR_SYSVOL_POPULATE_TIMEOUT",
	FRS_ERR_SYSVOL_IS_BUSY, L"FRS_ERR_SYSVOL_IS_BUSY",
	FRS_ERR_SYSVOL_DEMOTE, L"FRS_ERR_SYSVOL_DEMOTE",
	FRS_ERR_INVALID_SERVICE_PARAMETER, L"FRS_ERR_INVALID_SERVICE_PARAMETER",
	DS_S_SUCCESS, L"DS_S_SUCCESS",
	ERROR_DS_NOT_INSTALLED, L"ERROR_DS_NOT_INSTALLED",
	ERROR_DS_MEMBERSHIP_EVALUATED_LOCALLY, L"ERROR_DS_MEMBERSHIP_EVALUATED_LOCALLY",
	ERROR_DS_NO_ATTRIBUTE_OR_VALUE, L"ERROR_DS_NO_ATTRIBUTE_OR_VALUE",
	ERROR_DS_INVALID_ATTRIBUTE_SYNTAX, L"ERROR_DS_INVALID_ATTRIBUTE_SYNTAX",
	ERROR_DS_ATTRIBUTE_TYPE_UNDEFINED, L"ERROR_DS_ATTRIBUTE_TYPE_UNDEFINED",
	ERROR_DS_ATTRIBUTE_OR_VALUE_EXISTS, L"ERROR_DS_ATTRIBUTE_OR_VALUE_EXISTS",
	ERROR_DS_BUSY, L"ERROR_DS_BUSY",
	ERROR_DS_UNAVAILABLE, L"ERROR_DS_UNAVAILABLE",
	ERROR_DS_NO_RIDS_ALLOCATED, L"ERROR_DS_NO_RIDS_ALLOCATED",
	ERROR_DS_NO_MORE_RIDS, L"ERROR_DS_NO_MORE_RIDS",
	ERROR_DS_INCORRECT_ROLE_OWNER, L"ERROR_DS_INCORRECT_ROLE_OWNER",
	ERROR_DS_RIDMGR_INIT_ERROR, L"ERROR_DS_RIDMGR_INIT_ERROR",
	ERROR_DS_OBJ_CLASS_VIOLATION, L"ERROR_DS_OBJ_CLASS_VIOLATION",
	ERROR_DS_CANT_ON_NON_LEAF, L"ERROR_DS_CANT_ON_NON_LEAF",
	ERROR_DS_CANT_ON_RDN, L"ERROR_DS_CANT_ON_RDN",
	ERROR_DS_CANT_MOD_OBJ_CLASS, L"ERROR_DS_CANT_MOD_OBJ_CLASS",
	ERROR_DS_CROSS_DOM_MOVE_ERROR, L"ERROR_DS_CROSS_DOM_MOVE_ERROR",
	ERROR_DS_GC_NOT_AVAILABLE, L"ERROR_DS_GC_NOT_AVAILABLE",
	ERROR_SHARED_POLICY, L"ERROR_SHARED_POLICY",
	ERROR_POLICY_OBJECT_NOT_FOUND, L"ERROR_POLICY_OBJECT_NOT_FOUND",
	ERROR_POLICY_ONLY_IN_DS, L"ERROR_POLICY_ONLY_IN_DS",
	ERROR_PROMOTION_ACTIVE, L"ERROR_PROMOTION_ACTIVE",
	ERROR_NO_PROMOTION_ACTIVE, L"ERROR_NO_PROMOTION_ACTIVE",
	ERROR_DS_OPERATIONS_ERROR, L"ERROR_DS_OPERATIONS_ERROR",
	ERROR_DS_PROTOCOL_ERROR, L"ERROR_DS_PROTOCOL_ERROR",
	ERROR_DS_TIMELIMIT_EXCEEDED, L"ERROR_DS_TIMELIMIT_EXCEEDED",
	ERROR_DS_SIZELIMIT_EXCEEDED, L"ERROR_DS_SIZELIMIT_EXCEEDED",
	ERROR_DS_ADMIN_LIMIT_EXCEEDED, L"ERROR_DS_ADMIN_LIMIT_EXCEEDED",
	ERROR_DS_COMPARE_FALSE, L"ERROR_DS_COMPARE_FALSE",
	ERROR_DS_COMPARE_TRUE, L"ERROR_DS_COMPARE_TRUE",
	ERROR_DS_AUTH_METHOD_NOT_SUPPORTED, L"ERROR_DS_AUTH_METHOD_NOT_SUPPORTED",
	ERROR_DS_STRONG_AUTH_REQUIRED, L"ERROR_DS_STRONG_AUTH_REQUIRED",
	ERROR_DS_INAPPROPRIATE_AUTH, L"ERROR_DS_INAPPROPRIATE_AUTH",
	ERROR_DS_AUTH_UNKNOWN, L"ERROR_DS_AUTH_UNKNOWN",
	ERROR_DS_REFERRAL, L"ERROR_DS_REFERRAL",
	ERROR_DS_UNAVAILABLE_CRIT_EXTENSION, L"ERROR_DS_UNAVAILABLE_CRIT_EXTENSION",
	ERROR_DS_CONFIDENTIALITY_REQUIRED, L"ERROR_DS_CONFIDENTIALITY_REQUIRED",
	ERROR_DS_INAPPROPRIATE_MATCHING, L"ERROR_DS_INAPPROPRIATE_MATCHING",
	ERROR_DS_CONSTRAINT_VIOLATION, L"ERROR_DS_CONSTRAINT_VIOLATION",
	ERROR_DS_NO_SUCH_OBJECT, L"ERROR_DS_NO_SUCH_OBJECT",
	ERROR_DS_ALIAS_PROBLEM, L"ERROR_DS_ALIAS_PROBLEM",
	ERROR_DS_INVALID_DN_SYNTAX, L"ERROR_DS_INVALID_DN_SYNTAX",
	ERROR_DS_IS_LEAF, L"ERROR_DS_IS_LEAF",
	ERROR_DS_ALIAS_DEREF_PROBLEM, L"ERROR_DS_ALIAS_DEREF_PROBLEM",
	ERROR_DS_UNWILLING_TO_PERFORM, L"ERROR_DS_UNWILLING_TO_PERFORM",
	ERROR_DS_LOOP_DETECT, L"ERROR_DS_LOOP_DETECT",
	ERROR_DS_NAMING_VIOLATION, L"ERROR_DS_NAMING_VIOLATION",
	ERROR_DS_OBJECT_RESULTS_TOO_LARGE, L"ERROR_DS_OBJECT_RESULTS_TOO_LARGE",
	ERROR_DS_AFFECTS_MULTIPLE_DSAS, L"ERROR_DS_AFFECTS_MULTIPLE_DSAS",
	ERROR_DS_SERVER_DOWN, L"ERROR_DS_SERVER_DOWN",
	ERROR_DS_LOCAL_ERROR, L"ERROR_DS_LOCAL_ERROR",
	ERROR_DS_ENCODING_ERROR, L"ERROR_DS_ENCODING_ERROR",
	ERROR_DS_DECODING_ERROR, L"ERROR_DS_DECODING_ERROR",
	ERROR_DS_FILTER_UNKNOWN, L"ERROR_DS_FILTER_UNKNOWN",
	ERROR_DS_PARAM_ERROR, L"ERROR_DS_PARAM_ERROR",
	ERROR_DS_NOT_SUPPORTED, L"ERROR_DS_NOT_SUPPORTED",
	ERROR_DS_NO_RESULTS_RETURNED, L"ERROR_DS_NO_RESULTS_RETURNED",
	ERROR_DS_CONTROL_NOT_FOUND, L"ERROR_DS_CONTROL_NOT_FOUND",
	ERROR_DS_CLIENT_LOOP, L"ERROR_DS_CLIENT_LOOP",
	ERROR_DS_REFERRAL_LIMIT_EXCEEDED, L"ERROR_DS_REFERRAL_LIMIT_EXCEEDED",
	ERROR_DS_SORT_CONTROL_MISSING, L"ERROR_DS_SORT_CONTROL_MISSING",
	ERROR_DS_OFFSET_RANGE_ERROR, L"ERROR_DS_OFFSET_RANGE_ERROR",
	ERROR_DS_ROOT_MUST_BE_NC, L"ERROR_DS_ROOT_MUST_BE_NC",
	ERROR_DS_ADD_REPLICA_INHIBITED, L"ERROR_DS_ADD_REPLICA_INHIBITED",
	ERROR_DS_ATT_NOT_DEF_IN_SCHEMA, L"ERROR_DS_ATT_NOT_DEF_IN_SCHEMA",
	ERROR_DS_MAX_OBJ_SIZE_EXCEEDED, L"ERROR_DS_MAX_OBJ_SIZE_EXCEEDED",
	ERROR_DS_OBJ_STRING_NAME_EXISTS, L"ERROR_DS_OBJ_STRING_NAME_EXISTS",
	ERROR_DS_NO_RDN_DEFINED_IN_SCHEMA, L"ERROR_DS_NO_RDN_DEFINED_IN_SCHEMA",
	ERROR_DS_RDN_DOESNT_MATCH_SCHEMA, L"ERROR_DS_RDN_DOESNT_MATCH_SCHEMA",
	ERROR_DS_NO_REQUESTED_ATTS_FOUND, L"ERROR_DS_NO_REQUESTED_ATTS_FOUND",
	ERROR_DS_USER_BUFFER_TO_SMALL, L"ERROR_DS_USER_BUFFER_TO_SMALL",
	ERROR_DS_ATT_IS_NOT_ON_OBJ, L"ERROR_DS_ATT_IS_NOT_ON_OBJ",
	ERROR_DS_ILLEGAL_MOD_OPERATION, L"ERROR_DS_ILLEGAL_MOD_OPERATION",
	ERROR_DS_OBJ_TOO_LARGE, L"ERROR_DS_OBJ_TOO_LARGE",
	ERROR_DS_BAD_INSTANCE_TYPE, L"ERROR_DS_BAD_INSTANCE_TYPE",
	ERROR_DS_MASTERDSA_REQUIRED, L"ERROR_DS_MASTERDSA_REQUIRED",
	ERROR_DS_OBJECT_CLASS_REQUIRED, L"ERROR_DS_OBJECT_CLASS_REQUIRED",
	ERROR_DS_MISSING_REQUIRED_ATT, L"ERROR_DS_MISSING_REQUIRED_ATT",
	ERROR_DS_ATT_NOT_DEF_FOR_CLASS, L"ERROR_DS_ATT_NOT_DEF_FOR_CLASS",
	ERROR_DS_ATT_ALREADY_EXISTS, L"ERROR_DS_ATT_ALREADY_EXISTS",
	ERROR_DS_CANT_ADD_ATT_VALUES, L"ERROR_DS_CANT_ADD_ATT_VALUES",
	ERROR_DS_SINGLE_VALUE_CONSTRAINT, L"ERROR_DS_SINGLE_VALUE_CONSTRAINT",
	ERROR_DS_RANGE_CONSTRAINT, L"ERROR_DS_RANGE_CONSTRAINT",
	ERROR_DS_ATT_VAL_ALREADY_EXISTS, L"ERROR_DS_ATT_VAL_ALREADY_EXISTS",
	ERROR_DS_CANT_REM_MISSING_ATT, L"ERROR_DS_CANT_REM_MISSING_ATT",
	ERROR_DS_CANT_REM_MISSING_ATT_VAL, L"ERROR_DS_CANT_REM_MISSING_ATT_VAL",
	ERROR_DS_ROOT_CANT_BE_SUBREF, L"ERROR_DS_ROOT_CANT_BE_SUBREF",
	ERROR_DS_NO_CHAINING, L"ERROR_DS_NO_CHAINING",
	ERROR_DS_NO_CHAINED_EVAL, L"ERROR_DS_NO_CHAINED_EVAL",
	ERROR_DS_NO_PARENT_OBJECT, L"ERROR_DS_NO_PARENT_OBJECT",
	ERROR_DS_PARENT_IS_AN_ALIAS, L"ERROR_DS_PARENT_IS_AN_ALIAS",
	ERROR_DS_CANT_MIX_MASTER_AND_REPS, L"ERROR_DS_CANT_MIX_MASTER_AND_REPS",
	ERROR_DS_CHILDREN_EXIST, L"ERROR_DS_CHILDREN_EXIST",
	ERROR_DS_OBJ_NOT_FOUND, L"ERROR_DS_OBJ_NOT_FOUND",
	ERROR_DS_ALIASED_OBJ_MISSING, L"ERROR_DS_ALIASED_OBJ_MISSING",
	ERROR_DS_BAD_NAME_SYNTAX, L"ERROR_DS_BAD_NAME_SYNTAX",
	ERROR_DS_ALIAS_POINTS_TO_ALIAS, L"ERROR_DS_ALIAS_POINTS_TO_ALIAS",
	ERROR_DS_CANT_DEREF_ALIAS, L"ERROR_DS_CANT_DEREF_ALIAS",
	ERROR_DS_OUT_OF_SCOPE, L"ERROR_DS_OUT_OF_SCOPE",
	ERROR_DS_OBJECT_BEING_REMOVED, L"ERROR_DS_OBJECT_BEING_REMOVED",
	ERROR_DS_CANT_DELETE_DSA_OBJ, L"ERROR_DS_CANT_DELETE_DSA_OBJ",
	ERROR_DS_GENERIC_ERROR, L"ERROR_DS_GENERIC_ERROR",
	ERROR_DS_DSA_MUST_BE_INT_MASTER, L"ERROR_DS_DSA_MUST_BE_INT_MASTER",
	ERROR_DS_CLASS_NOT_DSA, L"ERROR_DS_CLASS_NOT_DSA",
	ERROR_DS_INSUFF_ACCESS_RIGHTS, L"ERROR_DS_INSUFF_ACCESS_RIGHTS",
	ERROR_DS_ILLEGAL_SUPERIOR, L"ERROR_DS_ILLEGAL_SUPERIOR",
	ERROR_DS_ATTRIBUTE_OWNED_BY_SAM, L"ERROR_DS_ATTRIBUTE_OWNED_BY_SAM",
	ERROR_DS_NAME_TOO_MANY_PARTS, L"ERROR_DS_NAME_TOO_MANY_PARTS",
	ERROR_DS_NAME_TOO_LONG, L"ERROR_DS_NAME_TOO_LONG",
	ERROR_DS_NAME_VALUE_TOO_LONG, L"ERROR_DS_NAME_VALUE_TOO_LONG",
	ERROR_DS_NAME_UNPARSEABLE, L"ERROR_DS_NAME_UNPARSEABLE",
	ERROR_DS_NAME_TYPE_UNKNOWN, L"ERROR_DS_NAME_TYPE_UNKNOWN",
	ERROR_DS_NOT_AN_OBJECT, L"ERROR_DS_NOT_AN_OBJECT",
	ERROR_DS_SEC_DESC_TOO_SHORT, L"ERROR_DS_SEC_DESC_TOO_SHORT",
	ERROR_DS_SEC_DESC_INVALID, L"ERROR_DS_SEC_DESC_INVALID",
	ERROR_DS_NO_DELETED_NAME, L"ERROR_DS_NO_DELETED_NAME",
	ERROR_DS_SUBREF_MUST_HAVE_PARENT, L"ERROR_DS_SUBREF_MUST_HAVE_PARENT",
	ERROR_DS_NCNAME_MUST_BE_NC, L"ERROR_DS_NCNAME_MUST_BE_NC",
	ERROR_DS_CANT_ADD_SYSTEM_ONLY, L"ERROR_DS_CANT_ADD_SYSTEM_ONLY",
	ERROR_DS_CLASS_MUST_BE_CONCRETE, L"ERROR_DS_CLASS_MUST_BE_CONCRETE",
	ERROR_DS_INVALID_DMD, L"ERROR_DS_INVALID_DMD",
	ERROR_DS_OBJ_GUID_EXISTS, L"ERROR_DS_OBJ_GUID_EXISTS",
	ERROR_DS_NOT_ON_BACKLINK, L"ERROR_DS_NOT_ON_BACKLINK",
	ERROR_DS_NO_CROSSREF_FOR_NC, L"ERROR_DS_NO_CROSSREF_FOR_NC",
	ERROR_DS_SHUTTING_DOWN, L"ERROR_DS_SHUTTING_DOWN",
	ERROR_DS_UNKNOWN_OPERATION, L"ERROR_DS_UNKNOWN_OPERATION",
	ERROR_DS_INVALID_ROLE_OWNER, L"ERROR_DS_INVALID_ROLE_OWNER",
	ERROR_DS_COULDNT_CONTACT_FSMO, L"ERROR_DS_COULDNT_CONTACT_FSMO",
	ERROR_DS_CROSS_NC_DN_RENAME, L"ERROR_DS_CROSS_NC_DN_RENAME",
	ERROR_DS_CANT_MOD_SYSTEM_ONLY, L"ERROR_DS_CANT_MOD_SYSTEM_ONLY",
	ERROR_DS_REPLICATOR_ONLY, L"ERROR_DS_REPLICATOR_ONLY",
	ERROR_DS_OBJ_CLASS_NOT_DEFINED, L"ERROR_DS_OBJ_CLASS_NOT_DEFINED",
	ERROR_DS_OBJ_CLASS_NOT_SUBCLASS, L"ERROR_DS_OBJ_CLASS_NOT_SUBCLASS",
	ERROR_DS_NAME_REFERENCE_INVALID, L"ERROR_DS_NAME_REFERENCE_INVALID",
	ERROR_DS_CROSS_REF_EXISTS, L"ERROR_DS_CROSS_REF_EXISTS",
	ERROR_DS_CANT_DEL_MASTER_CROSSREF, L"ERROR_DS_CANT_DEL_MASTER_CROSSREF",
	ERROR_DS_SUBTREE_NOTIFY_NOT_NC_HEAD, L"ERROR_DS_SUBTREE_NOTIFY_NOT_NC_HEAD",
	ERROR_DS_NOTIFY_FILTER_TOO_COMPLEX, L"ERROR_DS_NOTIFY_FILTER_TOO_COMPLEX",
	ERROR_DS_DUP_RDN, L"ERROR_DS_DUP_RDN",
	ERROR_DS_DUP_OID, L"ERROR_DS_DUP_OID",
	ERROR_DS_DUP_MAPI_ID, L"ERROR_DS_DUP_MAPI_ID",
	ERROR_DS_DUP_SCHEMA_ID_GUID, L"ERROR_DS_DUP_SCHEMA_ID_GUID",
	ERROR_DS_DUP_LDAP_DISPLAY_NAME, L"ERROR_DS_DUP_LDAP_DISPLAY_NAME",
	ERROR_DS_SEMANTIC_ATT_TEST, L"ERROR_DS_SEMANTIC_ATT_TEST",
	ERROR_DS_SYNTAX_MISMATCH, L"ERROR_DS_SYNTAX_MISMATCH",
	ERROR_DS_EXISTS_IN_MUST_HAVE, L"ERROR_DS_EXISTS_IN_MUST_HAVE",
	ERROR_DS_EXISTS_IN_MAY_HAVE, L"ERROR_DS_EXISTS_IN_MAY_HAVE",
	ERROR_DS_NONEXISTENT_MAY_HAVE, L"ERROR_DS_NONEXISTENT_MAY_HAVE",
	ERROR_DS_NONEXISTENT_MUST_HAVE, L"ERROR_DS_NONEXISTENT_MUST_HAVE",
	ERROR_DS_AUX_CLS_TEST_FAIL, L"ERROR_DS_AUX_CLS_TEST_FAIL",
	ERROR_DS_NONEXISTENT_POSS_SUP, L"ERROR_DS_NONEXISTENT_POSS_SUP",
	ERROR_DS_SUB_CLS_TEST_FAIL, L"ERROR_DS_SUB_CLS_TEST_FAIL",
	ERROR_DS_BAD_RDN_ATT_ID_SYNTAX, L"ERROR_DS_BAD_RDN_ATT_ID_SYNTAX",
	ERROR_DS_EXISTS_IN_AUX_CLS, L"ERROR_DS_EXISTS_IN_AUX_CLS",
	ERROR_DS_EXISTS_IN_SUB_CLS, L"ERROR_DS_EXISTS_IN_SUB_CLS",
	ERROR_DS_EXISTS_IN_POSS_SUP, L"ERROR_DS_EXISTS_IN_POSS_SUP",
	ERROR_DS_RECALCSCHEMA_FAILED, L"ERROR_DS_RECALCSCHEMA_FAILED",
	ERROR_DS_TREE_DELETE_NOT_FINISHED, L"ERROR_DS_TREE_DELETE_NOT_FINISHED",
	ERROR_DS_CANT_DELETE, L"ERROR_DS_CANT_DELETE",
	ERROR_DS_ATT_SCHEMA_REQ_ID, L"ERROR_DS_ATT_SCHEMA_REQ_ID",
	ERROR_DS_BAD_ATT_SCHEMA_SYNTAX, L"ERROR_DS_BAD_ATT_SCHEMA_SYNTAX",
	ERROR_DS_CANT_CACHE_ATT, L"ERROR_DS_CANT_CACHE_ATT",
	ERROR_DS_CANT_CACHE_CLASS, L"ERROR_DS_CANT_CACHE_CLASS",
	ERROR_DS_CANT_REMOVE_ATT_CACHE, L"ERROR_DS_CANT_REMOVE_ATT_CACHE",
	ERROR_DS_CANT_REMOVE_CLASS_CACHE, L"ERROR_DS_CANT_REMOVE_CLASS_CACHE",
	ERROR_DS_CANT_RETRIEVE_DN, L"ERROR_DS_CANT_RETRIEVE_DN",
	ERROR_DS_MISSING_SUPREF, L"ERROR_DS_MISSING_SUPREF",
	ERROR_DS_CANT_RETRIEVE_INSTANCE, L"ERROR_DS_CANT_RETRIEVE_INSTANCE",
	ERROR_DS_CODE_INCONSISTENCY, L"ERROR_DS_CODE_INCONSISTENCY",
	ERROR_DS_DATABASE_ERROR, L"ERROR_DS_DATABASE_ERROR",
	ERROR_DS_GOVERNSID_MISSING, L"ERROR_DS_GOVERNSID_MISSING",
	ERROR_DS_MISSING_EXPECTED_ATT, L"ERROR_DS_MISSING_EXPECTED_ATT",
	ERROR_DS_NCNAME_MISSING_CR_REF, L"ERROR_DS_NCNAME_MISSING_CR_REF",
	ERROR_DS_SECURITY_CHECKING_ERROR, L"ERROR_DS_SECURITY_CHECKING_ERROR",
	ERROR_DS_SCHEMA_NOT_LOADED, L"ERROR_DS_SCHEMA_NOT_LOADED",
	ERROR_DS_SCHEMA_ALLOC_FAILED, L"ERROR_DS_SCHEMA_ALLOC_FAILED",
	ERROR_DS_ATT_SCHEMA_REQ_SYNTAX, L"ERROR_DS_ATT_SCHEMA_REQ_SYNTAX",
	ERROR_DS_GCVERIFY_ERROR, L"ERROR_DS_GCVERIFY_ERROR",
	ERROR_DS_DRA_SCHEMA_MISMATCH, L"ERROR_DS_DRA_SCHEMA_MISMATCH",
	ERROR_DS_CANT_FIND_DSA_OBJ, L"ERROR_DS_CANT_FIND_DSA_OBJ",
	ERROR_DS_CANT_FIND_EXPECTED_NC, L"ERROR_DS_CANT_FIND_EXPECTED_NC",
	ERROR_DS_CANT_FIND_NC_IN_CACHE, L"ERROR_DS_CANT_FIND_NC_IN_CACHE",
	ERROR_DS_CANT_RETRIEVE_CHILD, L"ERROR_DS_CANT_RETRIEVE_CHILD",
	ERROR_DS_SECURITY_ILLEGAL_MODIFY, L"ERROR_DS_SECURITY_ILLEGAL_MODIFY",
	ERROR_DS_CANT_REPLACE_HIDDEN_REC, L"ERROR_DS_CANT_REPLACE_HIDDEN_REC",
	ERROR_DS_BAD_HIERARCHY_FILE, L"ERROR_DS_BAD_HIERARCHY_FILE",
	ERROR_DS_BUILD_HIERARCHY_TABLE_FAILED, L"ERROR_DS_BUILD_HIERARCHY_TABLE_FAILED",
	ERROR_DS_CONFIG_PARAM_MISSING, L"ERROR_DS_CONFIG_PARAM_MISSING",
	ERROR_DS_COUNTING_AB_INDICES_FAILED, L"ERROR_DS_COUNTING_AB_INDICES_FAILED",
	ERROR_DS_HIERARCHY_TABLE_MALLOC_FAILED, L"ERROR_DS_HIERARCHY_TABLE_MALLOC_FAILED",
	ERROR_DS_INTERNAL_FAILURE, L"ERROR_DS_INTERNAL_FAILURE",
	ERROR_DS_UNKNOWN_ERROR, L"ERROR_DS_UNKNOWN_ERROR",
	ERROR_DS_ROOT_REQUIRES_CLASS_TOP, L"ERROR_DS_ROOT_REQUIRES_CLASS_TOP",
	ERROR_DS_REFUSING_FSMO_ROLES, L"ERROR_DS_REFUSING_FSMO_ROLES",
	ERROR_DS_MISSING_FSMO_SETTINGS, L"ERROR_DS_MISSING_FSMO_SETTINGS",
	ERROR_DS_UNABLE_TO_SURRENDER_ROLES, L"ERROR_DS_UNABLE_TO_SURRENDER_ROLES",
	ERROR_DS_DRA_GENERIC, L"ERROR_DS_DRA_GENERIC",
	ERROR_DS_DRA_INVALID_PARAMETER, L"ERROR_DS_DRA_INVALID_PARAMETER",
	ERROR_DS_DRA_BUSY, L"ERROR_DS_DRA_BUSY",
	ERROR_DS_DRA_BAD_DN, L"ERROR_DS_DRA_BAD_DN",
	ERROR_DS_DRA_BAD_NC, L"ERROR_DS_DRA_BAD_NC",
	ERROR_DS_DRA_DN_EXISTS, L"ERROR_DS_DRA_DN_EXISTS",
	ERROR_DS_DRA_INTERNAL_ERROR, L"ERROR_DS_DRA_INTERNAL_ERROR",
	ERROR_DS_DRA_INCONSISTENT_DIT, L"ERROR_DS_DRA_INCONSISTENT_DIT",
	ERROR_DS_DRA_CONNECTION_FAILED, L"ERROR_DS_DRA_CONNECTION_FAILED",
	ERROR_DS_DRA_BAD_INSTANCE_TYPE, L"ERROR_DS_DRA_BAD_INSTANCE_TYPE",
	ERROR_DS_DRA_OUT_OF_MEM, L"ERROR_DS_DRA_OUT_OF_MEM",
	ERROR_DS_DRA_MAIL_PROBLEM, L"ERROR_DS_DRA_MAIL_PROBLEM",
	ERROR_DS_DRA_REF_ALREADY_EXISTS, L"ERROR_DS_DRA_REF_ALREADY_EXISTS",
	ERROR_DS_DRA_REF_NOT_FOUND, L"ERROR_DS_DRA_REF_NOT_FOUND",
	ERROR_DS_DRA_OBJ_IS_REP_SOURCE, L"ERROR_DS_DRA_OBJ_IS_REP_SOURCE",
	ERROR_DS_DRA_DB_ERROR, L"ERROR_DS_DRA_DB_ERROR",
	ERROR_DS_DRA_NO_REPLICA, L"ERROR_DS_DRA_NO_REPLICA",
	ERROR_DS_DRA_ACCESS_DENIED, L"ERROR_DS_DRA_ACCESS_DENIED",
	ERROR_DS_DRA_NOT_SUPPORTED, L"ERROR_DS_DRA_NOT_SUPPORTED",
	ERROR_DS_DRA_RPC_CANCELLED, L"ERROR_DS_DRA_RPC_CANCELLED",
	ERROR_DS_DRA_SOURCE_DISABLED, L"ERROR_DS_DRA_SOURCE_DISABLED",
	ERROR_DS_DRA_SINK_DISABLED, L"ERROR_DS_DRA_SINK_DISABLED",
	ERROR_DS_DRA_NAME_COLLISION, L"ERROR_DS_DRA_NAME_COLLISION",
	ERROR_DS_DRA_SOURCE_REINSTALLED, L"ERROR_DS_DRA_SOURCE_REINSTALLED",
	ERROR_DS_DRA_MISSING_PARENT, L"ERROR_DS_DRA_MISSING_PARENT",
	ERROR_DS_DRA_PREEMPTED, L"ERROR_DS_DRA_PREEMPTED",
	ERROR_DS_DRA_ABANDON_SYNC, L"ERROR_DS_DRA_ABANDON_SYNC",
	ERROR_DS_DRA_SHUTDOWN, L"ERROR_DS_DRA_SHUTDOWN",
	ERROR_DS_DRA_INCOMPATIBLE_PARTIAL_SET, L"ERROR_DS_DRA_INCOMPATIBLE_PARTIAL_SET",
	ERROR_DS_DRA_SOURCE_IS_PARTIAL_REPLICA, L"ERROR_DS_DRA_SOURCE_IS_PARTIAL_REPLICA",
	ERROR_DS_DRA_EXTN_CONNECTION_FAILED, L"ERROR_DS_DRA_EXTN_CONNECTION_FAILED",
	ERROR_DS_INSTALL_SCHEMA_MISMATCH, L"ERROR_DS_INSTALL_SCHEMA_MISMATCH",
	ERROR_DS_DUP_LINK_ID, L"ERROR_DS_DUP_LINK_ID",
	ERROR_DS_NAME_ERROR_RESOLVING, L"ERROR_DS_NAME_ERROR_RESOLVING",
	ERROR_DS_NAME_ERROR_NOT_FOUND, L"ERROR_DS_NAME_ERROR_NOT_FOUND",
	ERROR_DS_NAME_ERROR_NOT_UNIQUE, L"ERROR_DS_NAME_ERROR_NOT_UNIQUE",
	ERROR_DS_NAME_ERROR_NO_MAPPING, L"ERROR_DS_NAME_ERROR_NO_MAPPING",
	ERROR_DS_NAME_ERROR_DOMAIN_ONLY, L"ERROR_DS_NAME_ERROR_DOMAIN_ONLY",
	ERROR_DS_NAME_ERROR_NO_SYNTACTICAL_MAPPING, L"ERROR_DS_NAME_ERROR_NO_SYNTACTICAL_MAPPING",
	ERROR_DS_CONSTRUCTED_ATT_MOD, L"ERROR_DS_CONSTRUCTED_ATT_MOD",
	ERROR_DS_WRONG_OM_OBJ_CLASS, L"ERROR_DS_WRONG_OM_OBJ_CLASS",
	ERROR_DS_DRA_REPL_PENDING, L"ERROR_DS_DRA_REPL_PENDING",
	ERROR_DS_DS_REQUIRED, L"ERROR_DS_DS_REQUIRED",
	ERROR_DS_INVALID_LDAP_DISPLAY_NAME, L"ERROR_DS_INVALID_LDAP_DISPLAY_NAME",
	ERROR_DS_NON_BASE_SEARCH, L"ERROR_DS_NON_BASE_SEARCH",
	ERROR_DS_CANT_RETRIEVE_ATTS, L"ERROR_DS_CANT_RETRIEVE_ATTS",
	ERROR_DS_BACKLINK_WITHOUT_LINK, L"ERROR_DS_BACKLINK_WITHOUT_LINK",
	ERROR_DS_EPOCH_MISMATCH, L"ERROR_DS_EPOCH_MISMATCH",
	ERROR_DS_SRC_NAME_MISMATCH, L"ERROR_DS_SRC_NAME_MISMATCH",
	ERROR_DS_SRC_AND_DST_NC_IDENTICAL, L"ERROR_DS_SRC_AND_DST_NC_IDENTICAL",
	ERROR_DS_DST_NC_MISMATCH, L"ERROR_DS_DST_NC_MISMATCH",
	ERROR_DS_NOT_AUTHORITIVE_FOR_DST_NC, L"ERROR_DS_NOT_AUTHORITIVE_FOR_DST_NC",
	ERROR_DS_SRC_GUID_MISMATCH, L"ERROR_DS_SRC_GUID_MISMATCH",
	ERROR_DS_CANT_MOVE_DELETED_OBJECT, L"ERROR_DS_CANT_MOVE_DELETED_OBJECT",
	ERROR_DS_PDC_OPERATION_IN_PROGRESS, L"ERROR_DS_PDC_OPERATION_IN_PROGRESS",
	ERROR_DS_CROSS_DOMAIN_CLEANUP_REQD, L"ERROR_DS_CROSS_DOMAIN_CLEANUP_REQD",
	ERROR_DS_ILLEGAL_XDOM_MOVE_OPERATION, L"ERROR_DS_ILLEGAL_XDOM_MOVE_OPERATION",
	ERROR_DS_CANT_WITH_ACCT_GROUP_MEMBERSHPS, L"ERROR_DS_CANT_WITH_ACCT_GROUP_MEMBERSHPS",
	ERROR_DS_NC_MUST_HAVE_NC_PARENT, L"ERROR_DS_NC_MUST_HAVE_NC_PARENT",
	ERROR_DS_CR_IMPOSSIBLE_TO_VALIDATE, L"ERROR_DS_CR_IMPOSSIBLE_TO_VALIDATE",
	ERROR_DS_DST_DOMAIN_NOT_NATIVE, L"ERROR_DS_DST_DOMAIN_NOT_NATIVE",
	ERROR_DS_MISSING_INFRASTRUCTURE_CONTAINER, L"ERROR_DS_MISSING_INFRASTRUCTURE_CONTAINER",
	ERROR_DS_CANT_MOVE_ACCOUNT_GROUP, L"ERROR_DS_CANT_MOVE_ACCOUNT_GROUP",
	ERROR_DS_CANT_MOVE_RESOURCE_GROUP, L"ERROR_DS_CANT_MOVE_RESOURCE_GROUP",
	ERROR_DS_INVALID_SEARCH_FLAG, L"ERROR_DS_INVALID_SEARCH_FLAG",
	ERROR_DS_NO_TREE_DELETE_ABOVE_NC, L"ERROR_DS_NO_TREE_DELETE_ABOVE_NC",
	ERROR_DS_COULDNT_LOCK_TREE_FOR_DELETE, L"ERROR_DS_COULDNT_LOCK_TREE_FOR_DELETE",
	ERROR_DS_COULDNT_IDENTIFY_OBJECTS_FOR_TREE_DELETE, L"ERROR_DS_COULDNT_IDENTIFY_OBJECTS_FOR_TREE_DELETE",
	ERROR_DS_SAM_INIT_FAILURE, L"ERROR_DS_SAM_INIT_FAILURE",
	ERROR_DS_SENSITIVE_GROUP_VIOLATION, L"ERROR_DS_SENSITIVE_GROUP_VIOLATION",
	ERROR_DS_CANT_MOD_PRIMARYGROUPID, L"ERROR_DS_CANT_MOD_PRIMARYGROUPID",
	ERROR_DS_ILLEGAL_BASE_SCHEMA_MOD, L"ERROR_DS_ILLEGAL_BASE_SCHEMA_MOD",
	ERROR_DS_NONSAFE_SCHEMA_CHANGE, L"ERROR_DS_NONSAFE_SCHEMA_CHANGE",
	ERROR_DS_SCHEMA_UPDATE_DISALLOWED, L"ERROR_DS_SCHEMA_UPDATE_DISALLOWED",
	ERROR_DS_CANT_CREATE_UNDER_SCHEMA, L"ERROR_DS_CANT_CREATE_UNDER_SCHEMA",
	ERROR_DS_INSTALL_NO_SRC_SCH_VERSION, L"ERROR_DS_INSTALL_NO_SRC_SCH_VERSION",
	ERROR_DS_INSTALL_NO_SCH_VERSION_IN_INIFILE, L"ERROR_DS_INSTALL_NO_SCH_VERSION_IN_INIFILE",
	ERROR_DS_INVALID_GROUP_TYPE, L"ERROR_DS_INVALID_GROUP_TYPE",
	ERROR_DS_NO_NEST_GLOBALGROUP_IN_MIXEDDOMAIN, L"ERROR_DS_NO_NEST_GLOBALGROUP_IN_MIXEDDOMAIN",
	ERROR_DS_NO_NEST_LOCALGROUP_IN_MIXEDDOMAIN, L"ERROR_DS_NO_NEST_LOCALGROUP_IN_MIXEDDOMAIN",
	ERROR_DS_GLOBAL_CANT_HAVE_LOCAL_MEMBER, L"ERROR_DS_GLOBAL_CANT_HAVE_LOCAL_MEMBER",
	ERROR_DS_GLOBAL_CANT_HAVE_UNIVERSAL_MEMBER, L"ERROR_DS_GLOBAL_CANT_HAVE_UNIVERSAL_MEMBER",
	ERROR_DS_UNIVERSAL_CANT_HAVE_LOCAL_MEMBER, L"ERROR_DS_UNIVERSAL_CANT_HAVE_LOCAL_MEMBER",
	ERROR_DS_GLOBAL_CANT_HAVE_CROSSDOMAIN_MEMBER, L"ERROR_DS_GLOBAL_CANT_HAVE_CROSSDOMAIN_MEMBER",
	ERROR_DS_LOCAL_CANT_HAVE_CROSSDOMAIN_LOCAL_MEMBER, L"ERROR_DS_LOCAL_CANT_HAVE_CROSSDOMAIN_LOCAL_MEMBER",
	ERROR_DS_HAVE_PRIMARY_MEMBERS, L"ERROR_DS_HAVE_PRIMARY_MEMBERS",
	ERROR_DS_STRING_SD_CONVERSION_FAILED, L"ERROR_DS_STRING_SD_CONVERSION_FAILED",
	ERROR_DS_NAMING_MASTER_GC, L"ERROR_DS_NAMING_MASTER_GC",
	ERROR_DS_DNS_LOOKUP_FAILURE, L"ERROR_DS_DNS_LOOKUP_FAILURE",
	ERROR_DS_COULDNT_UPDATE_SPNS, L"ERROR_DS_COULDNT_UPDATE_SPNS",
	ERROR_DS_CANT_RETRIEVE_SD, L"ERROR_DS_CANT_RETRIEVE_SD",
	ERROR_DS_KEY_NOT_UNIQUE, L"ERROR_DS_KEY_NOT_UNIQUE",
	ERROR_DS_WRONG_LINKED_ATT_SYNTAX, L"ERROR_DS_WRONG_LINKED_ATT_SYNTAX",
	ERROR_DS_SAM_NEED_BOOTKEY_PASSWORD, L"ERROR_DS_SAM_NEED_BOOTKEY_PASSWORD",
	ERROR_DS_SAM_NEED_BOOTKEY_FLOPPY, L"ERROR_DS_SAM_NEED_BOOTKEY_FLOPPY",
	ERROR_DS_CANT_START, L"ERROR_DS_CANT_START",
	ERROR_DS_INIT_FAILURE, L"ERROR_DS_INIT_FAILURE",
	ERROR_DS_NO_PKT_PRIVACY_ON_CONNECTION, L"ERROR_DS_NO_PKT_PRIVACY_ON_CONNECTION",
	ERROR_DS_SOURCE_DOMAIN_IN_FOREST, L"ERROR_DS_SOURCE_DOMAIN_IN_FOREST",
	ERROR_DS_DESTINATION_DOMAIN_NOT_IN_FOREST, L"ERROR_DS_DESTINATION_DOMAIN_NOT_IN_FOREST",
	ERROR_DS_DESTINATION_AUDITING_NOT_ENABLED, L"ERROR_DS_DESTINATION_AUDITING_NOT_ENABLED",
	ERROR_DS_CANT_FIND_DC_FOR_SRC_DOMAIN, L"ERROR_DS_CANT_FIND_DC_FOR_SRC_DOMAIN",
	ERROR_DS_SRC_OBJ_NOT_GROUP_OR_USER, L"ERROR_DS_SRC_OBJ_NOT_GROUP_OR_USER",
	ERROR_DS_SRC_SID_EXISTS_IN_FOREST, L"ERROR_DS_SRC_SID_EXISTS_IN_FOREST",
	ERROR_DS_SRC_AND_DST_OBJECT_CLASS_MISMATCH, L"ERROR_DS_SRC_AND_DST_OBJECT_CLASS_MISMATCH",
	ERROR_SAM_INIT_FAILURE, L"ERROR_SAM_INIT_FAILURE",
	ERROR_DS_DRA_SCHEMA_INFO_SHIP, L"ERROR_DS_DRA_SCHEMA_INFO_SHIP",
	ERROR_DS_DRA_SCHEMA_CONFLICT, L"ERROR_DS_DRA_SCHEMA_CONFLICT",
	ERROR_DS_DRA_EARLIER_SCHEMA_CONFLICT, L"ERROR_DS_DRA_EARLIER_SCHEMA_CONFLICT",
	ERROR_DS_DRA_OBJ_NC_MISMATCH, L"ERROR_DS_DRA_OBJ_NC_MISMATCH",
	ERROR_DS_NC_STILL_HAS_DSAS, L"ERROR_DS_NC_STILL_HAS_DSAS",
	ERROR_DS_GC_REQUIRED, L"ERROR_DS_GC_REQUIRED",
	ERROR_DS_LOCAL_MEMBER_OF_LOCAL_ONLY, L"ERROR_DS_LOCAL_MEMBER_OF_LOCAL_ONLY",
	ERROR_DS_NO_FPO_IN_UNIVERSAL_GROUPS, L"ERROR_DS_NO_FPO_IN_UNIVERSAL_GROUPS",
	ERROR_DS_CANT_ADD_TO_GC, L"ERROR_DS_CANT_ADD_TO_GC",
	ERROR_DS_NO_CHECKPOINT_WITH_PDC, L"ERROR_DS_NO_CHECKPOINT_WITH_PDC",
	ERROR_DS_SOURCE_AUDITING_NOT_ENABLED, L"ERROR_DS_SOURCE_AUDITING_NOT_ENABLED",
	ERROR_DS_CANT_CREATE_IN_NONDOMAIN_NC, L"ERROR_DS_CANT_CREATE_IN_NONDOMAIN_NC",
	ERROR_DS_INVALID_NAME_FOR_SPN, L"ERROR_DS_INVALID_NAME_FOR_SPN",
	ERROR_DS_FILTER_USES_CONTRUCTED_ATTRS, L"ERROR_DS_FILTER_USES_CONTRUCTED_ATTRS",
	ERROR_DS_UNICODEPWD_NOT_IN_QUOTES, L"ERROR_DS_UNICODEPWD_NOT_IN_QUOTES",
	ERROR_DS_MACHINE_ACCOUNT_QUOTA_EXCEEDED, L"ERROR_DS_MACHINE_ACCOUNT_QUOTA_EXCEEDED",
	ERROR_DS_MUST_BE_RUN_ON_DST_DC, L"ERROR_DS_MUST_BE_RUN_ON_DST_DC",
	ERROR_DS_SRC_DC_MUST_BE_SP4_OR_GREATER, L"ERROR_DS_SRC_DC_MUST_BE_SP4_OR_GREATER",
	ERROR_DS_CANT_TREE_DELETE_CRITICAL_OBJ, L"ERROR_DS_CANT_TREE_DELETE_CRITICAL_OBJ",
	ERROR_DS_INIT_FAILURE_CONSOLE, L"ERROR_DS_INIT_FAILURE_CONSOLE",
	ERROR_DS_SAM_INIT_FAILURE_CONSOLE, L"ERROR_DS_SAM_INIT_FAILURE_CONSOLE",
	ERROR_DS_FOREST_VERSION_TOO_HIGH, L"ERROR_DS_FOREST_VERSION_TOO_HIGH",
	ERROR_DS_DOMAIN_VERSION_TOO_HIGH, L"ERROR_DS_DOMAIN_VERSION_TOO_HIGH",
	ERROR_DS_FOREST_VERSION_TOO_LOW, L"ERROR_DS_FOREST_VERSION_TOO_LOW",
	ERROR_DS_DOMAIN_VERSION_TOO_LOW, L"ERROR_DS_DOMAIN_VERSION_TOO_LOW",
	ERROR_DS_INCOMPATIBLE_VERSION, L"ERROR_DS_INCOMPATIBLE_VERSION",
	ERROR_DS_LOW_DSA_VERSION, L"ERROR_DS_LOW_DSA_VERSION",
	ERROR_DS_NO_BEHAVIOR_VERSION_IN_MIXEDDOMAIN, L"ERROR_DS_NO_BEHAVIOR_VERSION_IN_MIXEDDOMAIN",
	ERROR_DS_NOT_SUPPORTED_SORT_ORDER, L"ERROR_DS_NOT_SUPPORTED_SORT_ORDER",
	ERROR_DS_NAME_NOT_UNIQUE, L"ERROR_DS_NAME_NOT_UNIQUE",
	ERROR_DS_MACHINE_ACCOUNT_CREATED_PRENT4, L"ERROR_DS_MACHINE_ACCOUNT_CREATED_PRENT4",
	ERROR_DS_OUT_OF_VERSION_STORE, L"ERROR_DS_OUT_OF_VERSION_STORE",
	ERROR_DS_INCOMPATIBLE_CONTROLS_USED, L"ERROR_DS_INCOMPATIBLE_CONTROLS_USED",
	ERROR_DS_NO_REF_DOMAIN, L"ERROR_DS_NO_REF_DOMAIN",
	ERROR_DS_RESERVED_LINK_ID, L"ERROR_DS_RESERVED_LINK_ID",
	ERROR_DS_LINK_ID_NOT_AVAILABLE, L"ERROR_DS_LINK_ID_NOT_AVAILABLE",
	ERROR_DS_AG_CANT_HAVE_UNIVERSAL_MEMBER, L"ERROR_DS_AG_CANT_HAVE_UNIVERSAL_MEMBER",
	ERROR_DS_MODIFYDN_DISALLOWED_BY_INSTANCE_TYPE, L"ERROR_DS_MODIFYDN_DISALLOWED_BY_INSTANCE_TYPE",
	ERROR_DS_NO_OBJECT_MOVE_IN_SCHEMA_NC, L"ERROR_DS_NO_OBJECT_MOVE_IN_SCHEMA_NC",
	ERROR_DS_MODIFYDN_DISALLOWED_BY_FLAG, L"ERROR_DS_MODIFYDN_DISALLOWED_BY_FLAG",
	ERROR_DS_MODIFYDN_WRONG_GRANDPARENT, L"ERROR_DS_MODIFYDN_WRONG_GRANDPARENT",
	ERROR_DS_NAME_ERROR_TRUST_REFERRAL, L"ERROR_DS_NAME_ERROR_TRUST_REFERRAL",
	ERROR_NOT_SUPPORTED_ON_STANDARD_SERVER, L"ERROR_NOT_SUPPORTED_ON_STANDARD_SERVER",
	ERROR_DS_CANT_ACCESS_REMOTE_PART_OF_AD, L"ERROR_DS_CANT_ACCESS_REMOTE_PART_OF_AD",
	ERROR_DS_CR_IMPOSSIBLE_TO_VALIDATE_V2, L"ERROR_DS_CR_IMPOSSIBLE_TO_VALIDATE_V2",
	ERROR_DS_THREAD_LIMIT_EXCEEDED, L"ERROR_DS_THREAD_LIMIT_EXCEEDED",
	ERROR_DS_NOT_CLOSEST, L"ERROR_DS_NOT_CLOSEST",
	ERROR_DS_CANT_DERIVE_SPN_WITHOUT_SERVER_REF, L"ERROR_DS_CANT_DERIVE_SPN_WITHOUT_SERVER_REF",
	ERROR_DS_SINGLE_USER_MODE_FAILED, L"ERROR_DS_SINGLE_USER_MODE_FAILED",
	ERROR_DS_NTDSCRIPT_SYNTAX_ERROR, L"ERROR_DS_NTDSCRIPT_SYNTAX_ERROR",
	ERROR_DS_NTDSCRIPT_PROCESS_ERROR, L"ERROR_DS_NTDSCRIPT_PROCESS_ERROR",
	ERROR_DS_DIFFERENT_REPL_EPOCHS, L"ERROR_DS_DIFFERENT_REPL_EPOCHS",
	ERROR_DS_DRS_EXTENSIONS_CHANGED, L"ERROR_DS_DRS_EXTENSIONS_CHANGED",
	ERROR_DS_REPLICA_SET_CHANGE_NOT_ALLOWED_ON_DISABLED_CR, L"ERROR_DS_REPLICA_SET_CHANGE_NOT_ALLOWED_ON_DISABLED_CR",
	ERROR_DS_NO_MSDS_INTID, L"ERROR_DS_NO_MSDS_INTID",
	ERROR_DS_DUP_MSDS_INTID, L"ERROR_DS_DUP_MSDS_INTID",
	ERROR_DS_EXISTS_IN_RDNATTID, L"ERROR_DS_EXISTS_IN_RDNATTID",
	ERROR_DS_AUTHORIZATION_FAILED, L"ERROR_DS_AUTHORIZATION_FAILED",
	ERROR_DS_INVALID_SCRIPT, L"ERROR_DS_INVALID_SCRIPT",
	ERROR_DS_REMOTE_CROSSREF_OP_FAILED, L"ERROR_DS_REMOTE_CROSSREF_OP_FAILED",
	ERROR_DS_CROSS_REF_BUSY, L"ERROR_DS_CROSS_REF_BUSY",
	ERROR_DS_CANT_DERIVE_SPN_FOR_DELETED_DOMAIN, L"ERROR_DS_CANT_DERIVE_SPN_FOR_DELETED_DOMAIN",
	ERROR_DS_CANT_DEMOTE_WITH_WRITEABLE_NC, L"ERROR_DS_CANT_DEMOTE_WITH_WRITEABLE_NC",
	ERROR_DS_DUPLICATE_ID_FOUND, L"ERROR_DS_DUPLICATE_ID_FOUND",
	ERROR_DS_INSUFFICIENT_ATTR_TO_CREATE_OBJECT, L"ERROR_DS_INSUFFICIENT_ATTR_TO_CREATE_OBJECT",
	ERROR_DS_GROUP_CONVERSION_ERROR, L"ERROR_DS_GROUP_CONVERSION_ERROR",
	ERROR_DS_CANT_MOVE_APP_BASIC_GROUP, L"ERROR_DS_CANT_MOVE_APP_BASIC_GROUP",
	ERROR_DS_CANT_MOVE_APP_QUERY_GROUP, L"ERROR_DS_CANT_MOVE_APP_QUERY_GROUP",
	ERROR_DS_ROLE_NOT_VERIFIED, L"ERROR_DS_ROLE_NOT_VERIFIED",
	ERROR_DS_WKO_CONTAINER_CANNOT_BE_SPECIAL, L"ERROR_DS_WKO_CONTAINER_CANNOT_BE_SPECIAL",
	ERROR_DS_DOMAIN_RENAME_IN_PROGRESS, L"ERROR_DS_DOMAIN_RENAME_IN_PROGRESS",
	ERROR_DS_EXISTING_AD_CHILD_NC, L"ERROR_DS_EXISTING_AD_CHILD_NC",
	ERROR_DS_REPL_LIFETIME_EXCEEDED, L"ERROR_DS_REPL_LIFETIME_EXCEEDED",
	ERROR_DS_DISALLOWED_IN_SYSTEM_CONTAINER, L"ERROR_DS_DISALLOWED_IN_SYSTEM_CONTAINER",
	ERROR_DS_LDAP_SEND_QUEUE_FULL, L"ERROR_DS_LDAP_SEND_QUEUE_FULL",
	ERROR_DS_DRA_OUT_SCHEDULE_WINDOW, L"ERROR_DS_DRA_OUT_SCHEDULE_WINDOW",
	ERROR_DS_POLICY_NOT_KNOWN, L"ERROR_DS_POLICY_NOT_KNOWN",
	ERROR_NO_SITE_SETTINGS_OBJECT, L"ERROR_NO_SITE_SETTINGS_OBJECT",
	ERROR_NO_SECRETS, L"ERROR_NO_SECRETS",
	ERROR_NO_WRITABLE_DC_FOUND, L"ERROR_NO_WRITABLE_DC_FOUND",
	ERROR_DS_NO_SERVER_OBJECT, L"ERROR_DS_NO_SERVER_OBJECT",
	ERROR_DS_NO_NTDSA_OBJECT, L"ERROR_DS_NO_NTDSA_OBJECT",
	ERROR_DS_NON_ASQ_SEARCH, L"ERROR_DS_NON_ASQ_SEARCH",
	ERROR_DS_AUDIT_FAILURE, L"ERROR_DS_AUDIT_FAILURE",
	ERROR_DS_INVALID_SEARCH_FLAG_SUBTREE, L"ERROR_DS_INVALID_SEARCH_FLAG_SUBTREE",
	ERROR_DS_INVALID_SEARCH_FLAG_TUPLE, L"ERROR_DS_INVALID_SEARCH_FLAG_TUPLE",
	ERROR_DS_HIERARCHY_TABLE_TOO_DEEP, L"ERROR_DS_HIERARCHY_TABLE_TOO_DEEP",
	ERROR_DS_DRA_CORRUPT_UTD_VECTOR, L"ERROR_DS_DRA_CORRUPT_UTD_VECTOR",
	ERROR_DS_DRA_SECRETS_DENIED, L"ERROR_DS_DRA_SECRETS_DENIED",
	ERROR_DS_RESERVED_MAPI_ID, L"ERROR_DS_RESERVED_MAPI_ID",
	ERROR_DS_MAPI_ID_NOT_AVAILABLE, L"ERROR_DS_MAPI_ID_NOT_AVAILABLE",
	ERROR_DS_DRA_MISSING_KRBTGT_SECRET, L"ERROR_DS_DRA_MISSING_KRBTGT_SECRET",
	ERROR_DS_DOMAIN_NAME_EXISTS_IN_FOREST, L"ERROR_DS_DOMAIN_NAME_EXISTS_IN_FOREST",
	ERROR_DS_FLAT_NAME_EXISTS_IN_FOREST, L"ERROR_DS_FLAT_NAME_EXISTS_IN_FOREST",
	ERROR_INVALID_USER_PRINCIPAL_NAME, L"ERROR_INVALID_USER_PRINCIPAL_NAME",
	ERROR_DS_OID_MAPPED_GROUP_CANT_HAVE_MEMBERS, L"ERROR_DS_OID_MAPPED_GROUP_CANT_HAVE_MEMBERS",
	ERROR_DS_OID_NOT_FOUND, L"ERROR_DS_OID_NOT_FOUND",
	ERROR_DS_DRA_RECYCLED_TARGET, L"ERROR_DS_DRA_RECYCLED_TARGET",
	DNS_ERROR_RESPONSE_CODES_BASE, L"DNS_ERROR_RESPONSE_CODES_BASE",
	DNS_ERROR_RCODE_NO_ERROR, L"DNS_ERROR_RCODE_NO_ERROR",
	DNS_ERROR_MASK, L"DNS_ERROR_MASK",
	DNS_ERROR_RCODE_FORMAT_ERROR, L"DNS_ERROR_RCODE_FORMAT_ERROR",
	DNS_ERROR_RCODE_SERVER_FAILURE, L"DNS_ERROR_RCODE_SERVER_FAILURE",
	DNS_ERROR_RCODE_NAME_ERROR, L"DNS_ERROR_RCODE_NAME_ERROR",
	DNS_ERROR_RCODE_NOT_IMPLEMENTED, L"DNS_ERROR_RCODE_NOT_IMPLEMENTED",
	DNS_ERROR_RCODE_REFUSED, L"DNS_ERROR_RCODE_REFUSED",
	DNS_ERROR_RCODE_YXDOMAIN, L"DNS_ERROR_RCODE_YXDOMAIN",
	DNS_ERROR_RCODE_YXRRSET, L"DNS_ERROR_RCODE_YXRRSET",
	DNS_ERROR_RCODE_NXRRSET, L"DNS_ERROR_RCODE_NXRRSET",
	DNS_ERROR_RCODE_NOTAUTH, L"DNS_ERROR_RCODE_NOTAUTH",
	DNS_ERROR_RCODE_NOTZONE, L"DNS_ERROR_RCODE_NOTZONE",
	DNS_ERROR_RCODE_BADSIG, L"DNS_ERROR_RCODE_BADSIG",
	DNS_ERROR_RCODE_BADKEY, L"DNS_ERROR_RCODE_BADKEY",
	DNS_ERROR_RCODE_BADTIME, L"DNS_ERROR_RCODE_BADTIME",
	DNS_ERROR_RCODE_LAST, L"DNS_ERROR_RCODE_LAST",
	DNS_ERROR_PACKET_FMT_BASE, L"DNS_ERROR_PACKET_FMT_BASE",
	DNS_INFO_NO_RECORDS, L"DNS_INFO_NO_RECORDS",
	DNS_ERROR_BAD_PACKET, L"DNS_ERROR_BAD_PACKET",
	DNS_ERROR_NO_PACKET, L"DNS_ERROR_NO_PACKET",
	DNS_ERROR_RCODE, L"DNS_ERROR_RCODE",
	DNS_ERROR_UNSECURE_PACKET, L"DNS_ERROR_UNSECURE_PACKET",
	DNS_STATUS_PACKET_UNSECURE, L"DNS_STATUS_PACKET_UNSECURE",
	DNS_ERROR_NO_MEMORY, L"DNS_ERROR_NO_MEMORY",
	DNS_ERROR_INVALID_NAME, L"DNS_ERROR_INVALID_NAME",
	DNS_ERROR_INVALID_DATA, L"DNS_ERROR_INVALID_DATA",
	DNS_ERROR_GENERAL_API_BASE, L"DNS_ERROR_GENERAL_API_BASE",
	DNS_ERROR_INVALID_TYPE, L"DNS_ERROR_INVALID_TYPE",
	DNS_ERROR_INVALID_IP_ADDRESS, L"DNS_ERROR_INVALID_IP_ADDRESS",
	DNS_ERROR_INVALID_PROPERTY, L"DNS_ERROR_INVALID_PROPERTY",
	DNS_ERROR_TRY_AGAIN_LATER, L"DNS_ERROR_TRY_AGAIN_LATER",
	DNS_ERROR_NOT_UNIQUE, L"DNS_ERROR_NOT_UNIQUE",
	DNS_ERROR_NON_RFC_NAME, L"DNS_ERROR_NON_RFC_NAME",
	DNS_STATUS_FQDN, L"DNS_STATUS_FQDN",
	DNS_STATUS_DOTTED_NAME, L"DNS_STATUS_DOTTED_NAME",
	DNS_STATUS_SINGLE_PART_NAME, L"DNS_STATUS_SINGLE_PART_NAME",
	DNS_ERROR_INVALID_NAME_CHAR, L"DNS_ERROR_INVALID_NAME_CHAR",
	DNS_ERROR_NUMERIC_NAME, L"DNS_ERROR_NUMERIC_NAME",
	DNS_ERROR_NOT_ALLOWED_ON_ROOT_SERVER, L"DNS_ERROR_NOT_ALLOWED_ON_ROOT_SERVER",
	DNS_ERROR_NOT_ALLOWED_UNDER_DELEGATION, L"DNS_ERROR_NOT_ALLOWED_UNDER_DELEGATION",
	DNS_ERROR_CANNOT_FIND_ROOT_HINTS, L"DNS_ERROR_CANNOT_FIND_ROOT_HINTS",
	DNS_ERROR_INCONSISTENT_ROOT_HINTS, L"DNS_ERROR_INCONSISTENT_ROOT_HINTS",
	DNS_ERROR_DWORD_VALUE_TOO_SMALL, L"DNS_ERROR_DWORD_VALUE_TOO_SMALL",
	DNS_ERROR_DWORD_VALUE_TOO_LARGE, L"DNS_ERROR_DWORD_VALUE_TOO_LARGE",
	DNS_ERROR_BACKGROUND_LOADING, L"DNS_ERROR_BACKGROUND_LOADING",
	DNS_ERROR_NOT_ALLOWED_ON_RODC, L"DNS_ERROR_NOT_ALLOWED_ON_RODC",
	DNS_ERROR_NOT_ALLOWED_UNDER_DNAME, L"DNS_ERROR_NOT_ALLOWED_UNDER_DNAME",
	DNS_ERROR_DELEGATION_REQUIRED, L"DNS_ERROR_DELEGATION_REQUIRED",
	DNS_ERROR_INVALID_POLICY_TABLE, L"DNS_ERROR_INVALID_POLICY_TABLE",
	DNS_ERROR_ZONE_BASE, L"DNS_ERROR_ZONE_BASE",
	DNS_ERROR_ZONE_DOES_NOT_EXIST, L"DNS_ERROR_ZONE_DOES_NOT_EXIST",
	DNS_ERROR_NO_ZONE_INFO, L"DNS_ERROR_NO_ZONE_INFO",
	DNS_ERROR_INVALID_ZONE_OPERATION, L"DNS_ERROR_INVALID_ZONE_OPERATION",
	DNS_ERROR_ZONE_CONFIGURATION_ERROR, L"DNS_ERROR_ZONE_CONFIGURATION_ERROR",
	DNS_ERROR_ZONE_HAS_NO_SOA_RECORD, L"DNS_ERROR_ZONE_HAS_NO_SOA_RECORD",
	DNS_ERROR_ZONE_HAS_NO_NS_RECORDS, L"DNS_ERROR_ZONE_HAS_NO_NS_RECORDS",
	DNS_ERROR_ZONE_LOCKED, L"DNS_ERROR_ZONE_LOCKED",
	DNS_ERROR_ZONE_CREATION_FAILED, L"DNS_ERROR_ZONE_CREATION_FAILED",
	DNS_ERROR_ZONE_ALREADY_EXISTS, L"DNS_ERROR_ZONE_ALREADY_EXISTS",
	DNS_ERROR_AUTOZONE_ALREADY_EXISTS, L"DNS_ERROR_AUTOZONE_ALREADY_EXISTS",
	DNS_ERROR_INVALID_ZONE_TYPE, L"DNS_ERROR_INVALID_ZONE_TYPE",
	DNS_ERROR_SECONDARY_REQUIRES_MASTER_IP, L"DNS_ERROR_SECONDARY_REQUIRES_MASTER_IP",
	DNS_ERROR_ZONE_NOT_SECONDARY, L"DNS_ERROR_ZONE_NOT_SECONDARY",
	DNS_ERROR_NEED_SECONDARY_ADDRESSES, L"DNS_ERROR_NEED_SECONDARY_ADDRESSES",
	DNS_ERROR_WINS_INIT_FAILED, L"DNS_ERROR_WINS_INIT_FAILED",
	DNS_ERROR_NEED_WINS_SERVERS, L"DNS_ERROR_NEED_WINS_SERVERS",
	DNS_ERROR_NBSTAT_INIT_FAILED, L"DNS_ERROR_NBSTAT_INIT_FAILED",
	DNS_ERROR_SOA_DELETE_INVALID, L"DNS_ERROR_SOA_DELETE_INVALID",
	DNS_ERROR_FORWARDER_ALREADY_EXISTS, L"DNS_ERROR_FORWARDER_ALREADY_EXISTS",
	DNS_ERROR_ZONE_REQUIRES_MASTER_IP, L"DNS_ERROR_ZONE_REQUIRES_MASTER_IP",
	DNS_ERROR_ZONE_IS_SHUTDOWN, L"DNS_ERROR_ZONE_IS_SHUTDOWN",
	DNS_ERROR_DATAFILE_BASE, L"DNS_ERROR_DATAFILE_BASE",
	DNS_ERROR_PRIMARY_REQUIRES_DATAFILE, L"DNS_ERROR_PRIMARY_REQUIRES_DATAFILE",
	DNS_ERROR_INVALID_DATAFILE_NAME, L"DNS_ERROR_INVALID_DATAFILE_NAME",
	DNS_ERROR_DATAFILE_OPEN_FAILURE, L"DNS_ERROR_DATAFILE_OPEN_FAILURE",
	DNS_ERROR_FILE_WRITEBACK_FAILED, L"DNS_ERROR_FILE_WRITEBACK_FAILED",
	DNS_ERROR_DATAFILE_PARSING, L"DNS_ERROR_DATAFILE_PARSING",
	DNS_ERROR_DATABASE_BASE, L"DNS_ERROR_DATABASE_BASE",
	DNS_ERROR_RECORD_DOES_NOT_EXIST, L"DNS_ERROR_RECORD_DOES_NOT_EXIST",
	DNS_ERROR_RECORD_FORMAT, L"DNS_ERROR_RECORD_FORMAT",
	DNS_ERROR_NODE_CREATION_FAILED, L"DNS_ERROR_NODE_CREATION_FAILED",
	DNS_ERROR_UNKNOWN_RECORD_TYPE, L"DNS_ERROR_UNKNOWN_RECORD_TYPE",
	DNS_ERROR_RECORD_TIMED_OUT, L"DNS_ERROR_RECORD_TIMED_OUT",
	DNS_ERROR_NAME_NOT_IN_ZONE, L"DNS_ERROR_NAME_NOT_IN_ZONE",
	DNS_ERROR_CNAME_LOOP, L"DNS_ERROR_CNAME_LOOP",
	DNS_ERROR_NODE_IS_CNAME, L"DNS_ERROR_NODE_IS_CNAME",
	DNS_ERROR_CNAME_COLLISION, L"DNS_ERROR_CNAME_COLLISION",
	DNS_ERROR_RECORD_ONLY_AT_ZONE_ROOT, L"DNS_ERROR_RECORD_ONLY_AT_ZONE_ROOT",
	DNS_ERROR_RECORD_ALREADY_EXISTS, L"DNS_ERROR_RECORD_ALREADY_EXISTS",
	DNS_ERROR_SECONDARY_DATA, L"DNS_ERROR_SECONDARY_DATA",
	DNS_ERROR_NO_CREATE_CACHE_DATA, L"DNS_ERROR_NO_CREATE_CACHE_DATA",
	DNS_ERROR_NAME_DOES_NOT_EXIST, L"DNS_ERROR_NAME_DOES_NOT_EXIST",
	DNS_WARNING_PTR_CREATE_FAILED, L"DNS_WARNING_PTR_CREATE_FAILED",
	DNS_WARNING_DOMAIN_UNDELETED, L"DNS_WARNING_DOMAIN_UNDELETED",
	DNS_ERROR_DS_UNAVAILABLE, L"DNS_ERROR_DS_UNAVAILABLE",
	DNS_ERROR_DS_ZONE_ALREADY_EXISTS, L"DNS_ERROR_DS_ZONE_ALREADY_EXISTS",
	DNS_ERROR_NO_BOOTFILE_IF_DS_ZONE, L"DNS_ERROR_NO_BOOTFILE_IF_DS_ZONE",
	DNS_ERROR_NODE_IS_DNAME, L"DNS_ERROR_NODE_IS_DNAME",
	DNS_ERROR_DNAME_COLLISION, L"DNS_ERROR_DNAME_COLLISION",
	DNS_ERROR_ALIAS_LOOP, L"DNS_ERROR_ALIAS_LOOP",
	DNS_ERROR_OPERATION_BASE, L"DNS_ERROR_OPERATION_BASE",
	DNS_INFO_AXFR_COMPLETE, L"DNS_INFO_AXFR_COMPLETE",
	DNS_ERROR_AXFR, L"DNS_ERROR_AXFR",
	DNS_INFO_ADDED_LOCAL_WINS, L"DNS_INFO_ADDED_LOCAL_WINS",
	DNS_ERROR_SECURE_BASE, L"DNS_ERROR_SECURE_BASE",
	DNS_STATUS_CONTINUE_NEEDED, L"DNS_STATUS_CONTINUE_NEEDED",
	DNS_ERROR_SETUP_BASE, L"DNS_ERROR_SETUP_BASE",
	DNS_ERROR_NO_TCPIP, L"DNS_ERROR_NO_TCPIP",
	DNS_ERROR_NO_DNS_SERVERS, L"DNS_ERROR_NO_DNS_SERVERS",
	DNS_ERROR_DP_BASE, L"DNS_ERROR_DP_BASE",
	DNS_ERROR_DP_DOES_NOT_EXIST, L"DNS_ERROR_DP_DOES_NOT_EXIST",
	DNS_ERROR_DP_ALREADY_EXISTS, L"DNS_ERROR_DP_ALREADY_EXISTS",
	DNS_ERROR_DP_NOT_ENLISTED, L"DNS_ERROR_DP_NOT_ENLISTED",
	DNS_ERROR_DP_ALREADY_ENLISTED, L"DNS_ERROR_DP_ALREADY_ENLISTED",
	DNS_ERROR_DP_NOT_AVAILABLE, L"DNS_ERROR_DP_NOT_AVAILABLE",
	DNS_ERROR_DP_FSMO_ERROR, L"DNS_ERROR_DP_FSMO_ERROR",
	WSABASEERR, L"WSABASEERR",
	WSAEINTR, L"WSAEINTR",
	WSAEBADF, L"WSAEBADF",
	WSAEACCES, L"WSAEACCES",
	WSAEFAULT, L"WSAEFAULT",
	WSAEINVAL, L"WSAEINVAL",
	WSAEMFILE, L"WSAEMFILE",
	WSAEWOULDBLOCK, L"WSAEWOULDBLOCK",
	WSAEINPROGRESS, L"WSAEINPROGRESS",
	WSAEALREADY, L"WSAEALREADY",
	WSAENOTSOCK, L"WSAENOTSOCK",
	WSAEDESTADDRREQ, L"WSAEDESTADDRREQ",
	WSAEMSGSIZE, L"WSAEMSGSIZE",
	WSAEPROTOTYPE, L"WSAEPROTOTYPE",
	WSAENOPROTOOPT, L"WSAENOPROTOOPT",
	WSAEPROTONOSUPPORT, L"WSAEPROTONOSUPPORT",
	WSAESOCKTNOSUPPORT, L"WSAESOCKTNOSUPPORT",
	WSAEOPNOTSUPP, L"WSAEOPNOTSUPP",
	WSAEPFNOSUPPORT, L"WSAEPFNOSUPPORT",
	WSAEAFNOSUPPORT, L"WSAEAFNOSUPPORT",
	WSAEADDRINUSE, L"WSAEADDRINUSE",
	WSAEADDRNOTAVAIL, L"WSAEADDRNOTAVAIL",
	WSAENETDOWN, L"WSAENETDOWN",
	WSAENETUNREACH, L"WSAENETUNREACH",
	WSAENETRESET, L"WSAENETRESET",
	WSAECONNABORTED, L"WSAECONNABORTED",
	WSAECONNRESET, L"WSAECONNRESET",
	WSAENOBUFS, L"WSAENOBUFS",
	WSAEISCONN, L"WSAEISCONN",
	WSAENOTCONN, L"WSAENOTCONN",
	WSAESHUTDOWN, L"WSAESHUTDOWN",
	WSAETOOMANYREFS, L"WSAETOOMANYREFS",
	WSAETIMEDOUT, L"WSAETIMEDOUT",
	WSAECONNREFUSED, L"WSAECONNREFUSED",
	WSAELOOP, L"WSAELOOP",
	WSAENAMETOOLONG, L"WSAENAMETOOLONG",
	WSAEHOSTDOWN, L"WSAEHOSTDOWN",
	WSAEHOSTUNREACH, L"WSAEHOSTUNREACH",
	WSAENOTEMPTY, L"WSAENOTEMPTY",
	WSAEPROCLIM, L"WSAEPROCLIM",
	WSAEUSERS, L"WSAEUSERS",
	WSAEDQUOT, L"WSAEDQUOT",
	WSAESTALE, L"WSAESTALE",
	WSAEREMOTE, L"WSAEREMOTE",
	WSASYSNOTREADY, L"WSASYSNOTREADY",
	WSAVERNOTSUPPORTED, L"WSAVERNOTSUPPORTED",
	WSANOTINITIALISED, L"WSANOTINITIALISED",
	WSAEDISCON, L"WSAEDISCON",
	WSAENOMORE, L"WSAENOMORE",
	WSAECANCELLED, L"WSAECANCELLED",
	WSAEINVALIDPROCTABLE, L"WSAEINVALIDPROCTABLE",
	WSAEINVALIDPROVIDER, L"WSAEINVALIDPROVIDER",
	WSAEPROVIDERFAILEDINIT, L"WSAEPROVIDERFAILEDINIT",
	WSASYSCALLFAILURE, L"WSASYSCALLFAILURE",
	WSASERVICE_NOT_FOUND, L"WSASERVICE_NOT_FOUND",
	WSATYPE_NOT_FOUND, L"WSATYPE_NOT_FOUND",
	WSA_E_NO_MORE, L"WSA_E_NO_MORE",
	WSA_E_CANCELLED, L"WSA_E_CANCELLED",
	WSAEREFUSED, L"WSAEREFUSED",
	WSAHOST_NOT_FOUND, L"WSAHOST_NOT_FOUND",
	WSATRY_AGAIN, L"WSATRY_AGAIN",
	WSANO_RECOVERY, L"WSANO_RECOVERY",
	WSANO_DATA, L"WSANO_DATA",
	WSA_QOS_RECEIVERS, L"WSA_QOS_RECEIVERS",
	WSA_QOS_SENDERS, L"WSA_QOS_SENDERS",
	WSA_QOS_NO_SENDERS, L"WSA_QOS_NO_SENDERS",
	WSA_QOS_NO_RECEIVERS, L"WSA_QOS_NO_RECEIVERS",
	WSA_QOS_REQUEST_CONFIRMED, L"WSA_QOS_REQUEST_CONFIRMED",
	WSA_QOS_ADMISSION_FAILURE, L"WSA_QOS_ADMISSION_FAILURE",
	WSA_QOS_POLICY_FAILURE, L"WSA_QOS_POLICY_FAILURE",
	WSA_QOS_BAD_STYLE, L"WSA_QOS_BAD_STYLE",
	WSA_QOS_BAD_OBJECT, L"WSA_QOS_BAD_OBJECT",
	WSA_QOS_TRAFFIC_CTRL_ERROR, L"WSA_QOS_TRAFFIC_CTRL_ERROR",
	WSA_QOS_GENERIC_ERROR, L"WSA_QOS_GENERIC_ERROR",
	WSA_QOS_ESERVICETYPE, L"WSA_QOS_ESERVICETYPE",
	WSA_QOS_EFLOWSPEC, L"WSA_QOS_EFLOWSPEC",
	WSA_QOS_EPROVSPECBUF, L"WSA_QOS_EPROVSPECBUF",
	WSA_QOS_EFILTERSTYLE, L"WSA_QOS_EFILTERSTYLE",
	WSA_QOS_EFILTERTYPE, L"WSA_QOS_EFILTERTYPE",
	WSA_QOS_EFILTERCOUNT, L"WSA_QOS_EFILTERCOUNT",
	WSA_QOS_EOBJLENGTH, L"WSA_QOS_EOBJLENGTH",
	WSA_QOS_EFLOWCOUNT, L"WSA_QOS_EFLOWCOUNT",
	WSA_QOS_EUNKOWNPSOBJ, L"WSA_QOS_EUNKOWNPSOBJ",
	WSA_QOS_EPOLICYOBJ, L"WSA_QOS_EPOLICYOBJ",
	WSA_QOS_EFLOWDESC, L"WSA_QOS_EFLOWDESC",
	WSA_QOS_EPSFLOWSPEC, L"WSA_QOS_EPSFLOWSPEC",
	WSA_QOS_EPSFILTERSPEC, L"WSA_QOS_EPSFILTERSPEC",
	WSA_QOS_ESDMODEOBJ, L"WSA_QOS_ESDMODEOBJ",
	WSA_QOS_ESHAPERATEOBJ, L"WSA_QOS_ESHAPERATEOBJ",
	WSA_QOS_RESERVED_PETYPE, L"WSA_QOS_RESERVED_PETYPE",
	WSA_SECURE_HOST_NOT_FOUND, L"WSA_SECURE_HOST_NOT_FOUND",
	WSA_IPSEC_NAME_POLICY_ERROR, L"WSA_IPSEC_NAME_POLICY_ERROR",
	ERROR_IPSEC_QM_POLICY_EXISTS, L"ERROR_IPSEC_QM_POLICY_EXISTS",
	ERROR_IPSEC_QM_POLICY_NOT_FOUND, L"ERROR_IPSEC_QM_POLICY_NOT_FOUND",
	ERROR_IPSEC_QM_POLICY_IN_USE, L"ERROR_IPSEC_QM_POLICY_IN_USE",
	ERROR_IPSEC_MM_POLICY_EXISTS, L"ERROR_IPSEC_MM_POLICY_EXISTS",
	ERROR_IPSEC_MM_POLICY_NOT_FOUND, L"ERROR_IPSEC_MM_POLICY_NOT_FOUND",
	ERROR_IPSEC_MM_POLICY_IN_USE, L"ERROR_IPSEC_MM_POLICY_IN_USE",
	ERROR_IPSEC_MM_FILTER_EXISTS, L"ERROR_IPSEC_MM_FILTER_EXISTS",
	ERROR_IPSEC_MM_FILTER_NOT_FOUND, L"ERROR_IPSEC_MM_FILTER_NOT_FOUND",
	ERROR_IPSEC_TRANSPORT_FILTER_EXISTS, L"ERROR_IPSEC_TRANSPORT_FILTER_EXISTS",
	ERROR_IPSEC_TRANSPORT_FILTER_NOT_FOUND, L"ERROR_IPSEC_TRANSPORT_FILTER_NOT_FOUND",
	ERROR_IPSEC_MM_AUTH_EXISTS, L"ERROR_IPSEC_MM_AUTH_EXISTS",
	ERROR_IPSEC_MM_AUTH_NOT_FOUND, L"ERROR_IPSEC_MM_AUTH_NOT_FOUND",
	ERROR_IPSEC_MM_AUTH_IN_USE, L"ERROR_IPSEC_MM_AUTH_IN_USE",
	ERROR_IPSEC_DEFAULT_MM_POLICY_NOT_FOUND, L"ERROR_IPSEC_DEFAULT_MM_POLICY_NOT_FOUND",
	ERROR_IPSEC_DEFAULT_MM_AUTH_NOT_FOUND, L"ERROR_IPSEC_DEFAULT_MM_AUTH_NOT_FOUND",
	ERROR_IPSEC_DEFAULT_QM_POLICY_NOT_FOUND, L"ERROR_IPSEC_DEFAULT_QM_POLICY_NOT_FOUND",
	ERROR_IPSEC_TUNNEL_FILTER_EXISTS, L"ERROR_IPSEC_TUNNEL_FILTER_EXISTS",
	ERROR_IPSEC_TUNNEL_FILTER_NOT_FOUND, L"ERROR_IPSEC_TUNNEL_FILTER_NOT_FOUND",
	ERROR_IPSEC_MM_FILTER_PENDING_DELETION, L"ERROR_IPSEC_MM_FILTER_PENDING_DELETION",
	ERROR_IPSEC_TRANSPORT_FILTER_PENDING_DELETION, L"ERROR_IPSEC_TRANSPORT_FILTER_PENDING_DELETION",
	ERROR_IPSEC_TUNNEL_FILTER_PENDING_DELETION, L"ERROR_IPSEC_TUNNEL_FILTER_PENDING_DELETION",
	ERROR_IPSEC_MM_POLICY_PENDING_DELETION, L"ERROR_IPSEC_MM_POLICY_PENDING_DELETION",
	ERROR_IPSEC_MM_AUTH_PENDING_DELETION, L"ERROR_IPSEC_MM_AUTH_PENDING_DELETION",
	ERROR_IPSEC_QM_POLICY_PENDING_DELETION, L"ERROR_IPSEC_QM_POLICY_PENDING_DELETION",
	WARNING_IPSEC_MM_POLICY_PRUNED, L"WARNING_IPSEC_MM_POLICY_PRUNED",
	WARNING_IPSEC_QM_POLICY_PRUNED, L"WARNING_IPSEC_QM_POLICY_PRUNED",
	ERROR_IPSEC_IKE_NEG_STATUS_BEGIN, L"ERROR_IPSEC_IKE_NEG_STATUS_BEGIN",
	ERROR_IPSEC_IKE_AUTH_FAIL, L"ERROR_IPSEC_IKE_AUTH_FAIL",
	ERROR_IPSEC_IKE_ATTRIB_FAIL, L"ERROR_IPSEC_IKE_ATTRIB_FAIL",
	ERROR_IPSEC_IKE_NEGOTIATION_PENDING, L"ERROR_IPSEC_IKE_NEGOTIATION_PENDING",
	ERROR_IPSEC_IKE_GENERAL_PROCESSING_ERROR, L"ERROR_IPSEC_IKE_GENERAL_PROCESSING_ERROR",
	ERROR_IPSEC_IKE_TIMED_OUT, L"ERROR_IPSEC_IKE_TIMED_OUT",
	ERROR_IPSEC_IKE_NO_CERT, L"ERROR_IPSEC_IKE_NO_CERT",
	ERROR_IPSEC_IKE_SA_DELETED, L"ERROR_IPSEC_IKE_SA_DELETED",
	ERROR_IPSEC_IKE_SA_REAPED, L"ERROR_IPSEC_IKE_SA_REAPED",
	ERROR_IPSEC_IKE_MM_ACQUIRE_DROP, L"ERROR_IPSEC_IKE_MM_ACQUIRE_DROP",
	ERROR_IPSEC_IKE_QM_ACQUIRE_DROP, L"ERROR_IPSEC_IKE_QM_ACQUIRE_DROP",
	ERROR_IPSEC_IKE_QUEUE_DROP_MM, L"ERROR_IPSEC_IKE_QUEUE_DROP_MM",
	ERROR_IPSEC_IKE_QUEUE_DROP_NO_MM, L"ERROR_IPSEC_IKE_QUEUE_DROP_NO_MM",
	ERROR_IPSEC_IKE_DROP_NO_RESPONSE, L"ERROR_IPSEC_IKE_DROP_NO_RESPONSE",
	ERROR_IPSEC_IKE_MM_DELAY_DROP, L"ERROR_IPSEC_IKE_MM_DELAY_DROP",
	ERROR_IPSEC_IKE_QM_DELAY_DROP, L"ERROR_IPSEC_IKE_QM_DELAY_DROP",
	ERROR_IPSEC_IKE_ERROR, L"ERROR_IPSEC_IKE_ERROR",
	ERROR_IPSEC_IKE_CRL_FAILED, L"ERROR_IPSEC_IKE_CRL_FAILED",
	ERROR_IPSEC_IKE_INVALID_KEY_USAGE, L"ERROR_IPSEC_IKE_INVALID_KEY_USAGE",
	ERROR_IPSEC_IKE_INVALID_CERT_TYPE, L"ERROR_IPSEC_IKE_INVALID_CERT_TYPE",
	ERROR_IPSEC_IKE_NO_PRIVATE_KEY, L"ERROR_IPSEC_IKE_NO_PRIVATE_KEY",
	ERROR_IPSEC_IKE_SIMULTANEOUS_REKEY, L"ERROR_IPSEC_IKE_SIMULTANEOUS_REKEY",
	ERROR_IPSEC_IKE_DH_FAIL, L"ERROR_IPSEC_IKE_DH_FAIL",
	ERROR_IPSEC_IKE_CRITICAL_PAYLOAD_NOT_RECOGNIZED, L"ERROR_IPSEC_IKE_CRITICAL_PAYLOAD_NOT_RECOGNIZED",
	ERROR_IPSEC_IKE_INVALID_HEADER, L"ERROR_IPSEC_IKE_INVALID_HEADER",
	ERROR_IPSEC_IKE_NO_POLICY, L"ERROR_IPSEC_IKE_NO_POLICY",
	ERROR_IPSEC_IKE_INVALID_SIGNATURE, L"ERROR_IPSEC_IKE_INVALID_SIGNATURE",
	ERROR_IPSEC_IKE_KERBEROS_ERROR, L"ERROR_IPSEC_IKE_KERBEROS_ERROR",
	ERROR_IPSEC_IKE_NO_PUBLIC_KEY, L"ERROR_IPSEC_IKE_NO_PUBLIC_KEY",
	ERROR_IPSEC_IKE_PROCESS_ERR, L"ERROR_IPSEC_IKE_PROCESS_ERR",
	ERROR_IPSEC_IKE_PROCESS_ERR_SA, L"ERROR_IPSEC_IKE_PROCESS_ERR_SA",
	ERROR_IPSEC_IKE_PROCESS_ERR_PROP, L"ERROR_IPSEC_IKE_PROCESS_ERR_PROP",
	ERROR_IPSEC_IKE_PROCESS_ERR_TRANS, L"ERROR_IPSEC_IKE_PROCESS_ERR_TRANS",
	ERROR_IPSEC_IKE_PROCESS_ERR_KE, L"ERROR_IPSEC_IKE_PROCESS_ERR_KE",
	ERROR_IPSEC_IKE_PROCESS_ERR_ID, L"ERROR_IPSEC_IKE_PROCESS_ERR_ID",
	ERROR_IPSEC_IKE_PROCESS_ERR_CERT, L"ERROR_IPSEC_IKE_PROCESS_ERR_CERT",
	ERROR_IPSEC_IKE_PROCESS_ERR_CERT_REQ, L"ERROR_IPSEC_IKE_PROCESS_ERR_CERT_REQ",
	ERROR_IPSEC_IKE_PROCESS_ERR_HASH, L"ERROR_IPSEC_IKE_PROCESS_ERR_HASH",
	ERROR_IPSEC_IKE_PROCESS_ERR_SIG, L"ERROR_IPSEC_IKE_PROCESS_ERR_SIG",
	ERROR_IPSEC_IKE_PROCESS_ERR_NONCE, L"ERROR_IPSEC_IKE_PROCESS_ERR_NONCE",
	ERROR_IPSEC_IKE_PROCESS_ERR_NOTIFY, L"ERROR_IPSEC_IKE_PROCESS_ERR_NOTIFY",
	ERROR_IPSEC_IKE_PROCESS_ERR_DELETE, L"ERROR_IPSEC_IKE_PROCESS_ERR_DELETE",
	ERROR_IPSEC_IKE_PROCESS_ERR_VENDOR, L"ERROR_IPSEC_IKE_PROCESS_ERR_VENDOR",
	ERROR_IPSEC_IKE_INVALID_PAYLOAD, L"ERROR_IPSEC_IKE_INVALID_PAYLOAD",
	ERROR_IPSEC_IKE_LOAD_SOFT_SA, L"ERROR_IPSEC_IKE_LOAD_SOFT_SA",
	ERROR_IPSEC_IKE_SOFT_SA_TORN_DOWN, L"ERROR_IPSEC_IKE_SOFT_SA_TORN_DOWN",
	ERROR_IPSEC_IKE_INVALID_COOKIE, L"ERROR_IPSEC_IKE_INVALID_COOKIE",
	ERROR_IPSEC_IKE_NO_PEER_CERT, L"ERROR_IPSEC_IKE_NO_PEER_CERT",
	ERROR_IPSEC_IKE_PEER_CRL_FAILED, L"ERROR_IPSEC_IKE_PEER_CRL_FAILED",
	ERROR_IPSEC_IKE_POLICY_CHANGE, L"ERROR_IPSEC_IKE_POLICY_CHANGE",
	ERROR_IPSEC_IKE_NO_MM_POLICY, L"ERROR_IPSEC_IKE_NO_MM_POLICY",
	ERROR_IPSEC_IKE_NOTCBPRIV, L"ERROR_IPSEC_IKE_NOTCBPRIV",
	ERROR_IPSEC_IKE_SECLOADFAIL, L"ERROR_IPSEC_IKE_SECLOADFAIL",
	ERROR_IPSEC_IKE_FAILSSPINIT, L"ERROR_IPSEC_IKE_FAILSSPINIT",
	ERROR_IPSEC_IKE_FAILQUERYSSP, L"ERROR_IPSEC_IKE_FAILQUERYSSP",
	ERROR_IPSEC_IKE_SRVACQFAIL, L"ERROR_IPSEC_IKE_SRVACQFAIL",
	ERROR_IPSEC_IKE_SRVQUERYCRED, L"ERROR_IPSEC_IKE_SRVQUERYCRED",
	ERROR_IPSEC_IKE_GETSPIFAIL, L"ERROR_IPSEC_IKE_GETSPIFAIL",
	ERROR_IPSEC_IKE_INVALID_FILTER, L"ERROR_IPSEC_IKE_INVALID_FILTER",
	ERROR_IPSEC_IKE_OUT_OF_MEMORY, L"ERROR_IPSEC_IKE_OUT_OF_MEMORY",
	ERROR_IPSEC_IKE_ADD_UPDATE_KEY_FAILED, L"ERROR_IPSEC_IKE_ADD_UPDATE_KEY_FAILED",
	ERROR_IPSEC_IKE_INVALID_POLICY, L"ERROR_IPSEC_IKE_INVALID_POLICY",
	ERROR_IPSEC_IKE_UNKNOWN_DOI, L"ERROR_IPSEC_IKE_UNKNOWN_DOI",
	ERROR_IPSEC_IKE_INVALID_SITUATION, L"ERROR_IPSEC_IKE_INVALID_SITUATION",
	ERROR_IPSEC_IKE_DH_FAILURE, L"ERROR_IPSEC_IKE_DH_FAILURE",
	ERROR_IPSEC_IKE_INVALID_GROUP, L"ERROR_IPSEC_IKE_INVALID_GROUP",
	ERROR_IPSEC_IKE_ENCRYPT, L"ERROR_IPSEC_IKE_ENCRYPT",
	ERROR_IPSEC_IKE_DECRYPT, L"ERROR_IPSEC_IKE_DECRYPT",
	ERROR_IPSEC_IKE_POLICY_MATCH, L"ERROR_IPSEC_IKE_POLICY_MATCH",
	ERROR_IPSEC_IKE_UNSUPPORTED_ID, L"ERROR_IPSEC_IKE_UNSUPPORTED_ID",
	ERROR_IPSEC_IKE_INVALID_HASH, L"ERROR_IPSEC_IKE_INVALID_HASH",
	ERROR_IPSEC_IKE_INVALID_HASH_ALG, L"ERROR_IPSEC_IKE_INVALID_HASH_ALG",
	ERROR_IPSEC_IKE_INVALID_HASH_SIZE, L"ERROR_IPSEC_IKE_INVALID_HASH_SIZE",
	ERROR_IPSEC_IKE_INVALID_ENCRYPT_ALG, L"ERROR_IPSEC_IKE_INVALID_ENCRYPT_ALG",
	ERROR_IPSEC_IKE_INVALID_AUTH_ALG, L"ERROR_IPSEC_IKE_INVALID_AUTH_ALG",
	ERROR_IPSEC_IKE_INVALID_SIG, L"ERROR_IPSEC_IKE_INVALID_SIG",
	ERROR_IPSEC_IKE_LOAD_FAILED, L"ERROR_IPSEC_IKE_LOAD_FAILED",
	ERROR_IPSEC_IKE_RPC_DELETE, L"ERROR_IPSEC_IKE_RPC_DELETE",
	ERROR_IPSEC_IKE_BENIGN_REINIT, L"ERROR_IPSEC_IKE_BENIGN_REINIT",
	ERROR_IPSEC_IKE_INVALID_RESPONDER_LIFETIME_NOTIFY, L"ERROR_IPSEC_IKE_INVALID_RESPONDER_LIFETIME_NOTIFY",
	ERROR_IPSEC_IKE_INVALID_MAJOR_VERSION, L"ERROR_IPSEC_IKE_INVALID_MAJOR_VERSION",
	ERROR_IPSEC_IKE_INVALID_CERT_KEYLEN, L"ERROR_IPSEC_IKE_INVALID_CERT_KEYLEN",
	ERROR_IPSEC_IKE_MM_LIMIT, L"ERROR_IPSEC_IKE_MM_LIMIT",
	ERROR_IPSEC_IKE_NEGOTIATION_DISABLED, L"ERROR_IPSEC_IKE_NEGOTIATION_DISABLED",
	ERROR_IPSEC_IKE_QM_LIMIT, L"ERROR_IPSEC_IKE_QM_LIMIT",
	ERROR_IPSEC_IKE_MM_EXPIRED, L"ERROR_IPSEC_IKE_MM_EXPIRED",
	ERROR_IPSEC_IKE_PEER_MM_ASSUMED_INVALID, L"ERROR_IPSEC_IKE_PEER_MM_ASSUMED_INVALID",
	ERROR_IPSEC_IKE_CERT_CHAIN_POLICY_MISMATCH, L"ERROR_IPSEC_IKE_CERT_CHAIN_POLICY_MISMATCH",
	ERROR_IPSEC_IKE_UNEXPECTED_MESSAGE_ID, L"ERROR_IPSEC_IKE_UNEXPECTED_MESSAGE_ID",
	ERROR_IPSEC_IKE_INVALID_AUTH_PAYLOAD, L"ERROR_IPSEC_IKE_INVALID_AUTH_PAYLOAD",
	ERROR_IPSEC_IKE_DOS_COOKIE_SENT, L"ERROR_IPSEC_IKE_DOS_COOKIE_SENT",
	ERROR_IPSEC_IKE_SHUTTING_DOWN, L"ERROR_IPSEC_IKE_SHUTTING_DOWN",
	ERROR_IPSEC_IKE_CGA_AUTH_FAILED, L"ERROR_IPSEC_IKE_CGA_AUTH_FAILED",
	ERROR_IPSEC_IKE_PROCESS_ERR_NATOA, L"ERROR_IPSEC_IKE_PROCESS_ERR_NATOA",
	ERROR_IPSEC_IKE_INVALID_MM_FOR_QM, L"ERROR_IPSEC_IKE_INVALID_MM_FOR_QM",
	ERROR_IPSEC_IKE_QM_EXPIRED, L"ERROR_IPSEC_IKE_QM_EXPIRED",
	ERROR_IPSEC_IKE_TOO_MANY_FILTERS, L"ERROR_IPSEC_IKE_TOO_MANY_FILTERS",
	ERROR_IPSEC_IKE_NEG_STATUS_END, L"ERROR_IPSEC_IKE_NEG_STATUS_END",
	ERROR_IPSEC_IKE_KILL_DUMMY_NAP_TUNNEL, L"ERROR_IPSEC_IKE_KILL_DUMMY_NAP_TUNNEL",
	ERROR_IPSEC_IKE_INNER_IP_ASSIGNMENT_FAILURE, L"ERROR_IPSEC_IKE_INNER_IP_ASSIGNMENT_FAILURE",
	ERROR_IPSEC_IKE_REQUIRE_CP_PAYLOAD_MISSING, L"ERROR_IPSEC_IKE_REQUIRE_CP_PAYLOAD_MISSING",
	ERROR_IPSEC_KEY_MODULE_IMPERSONATION_NEGOTIATION_PENDING, L"ERROR_IPSEC_KEY_MODULE_IMPERSONATION_NEGOTIATION_PENDING",
	ERROR_IPSEC_IKE_COEXISTENCE_SUPPRESS, L"ERROR_IPSEC_IKE_COEXISTENCE_SUPPRESS",
	ERROR_IPSEC_IKE_RATELIMIT_DROP, L"ERROR_IPSEC_IKE_RATELIMIT_DROP",
	ERROR_IPSEC_IKE_PEER_DOESNT_SUPPORT_MOBIKE, L"ERROR_IPSEC_IKE_PEER_DOESNT_SUPPORT_MOBIKE",
	ERROR_IPSEC_IKE_AUTHORIZATION_FAILURE, L"ERROR_IPSEC_IKE_AUTHORIZATION_FAILURE",
	ERROR_IPSEC_IKE_STRONG_CRED_AUTHORIZATION_FAILURE, L"ERROR_IPSEC_IKE_STRONG_CRED_AUTHORIZATION_FAILURE",
	ERROR_IPSEC_IKE_AUTHORIZATION_FAILURE_WITH_OPTIONAL_RETRY, L"ERROR_IPSEC_IKE_AUTHORIZATION_FAILURE_WITH_OPTIONAL_RETRY",
	ERROR_IPSEC_IKE_STRONG_CRED_AUTHORIZATION_AND_CERTMAP_FAILURE, L"ERROR_IPSEC_IKE_STRONG_CRED_AUTHORIZATION_AND_CERTMAP_FAILURE",
	ERROR_IPSEC_IKE_NEG_STATUS_EXTENDED_END, L"ERROR_IPSEC_IKE_NEG_STATUS_EXTENDED_END",
	ERROR_IPSEC_BAD_SPI, L"ERROR_IPSEC_BAD_SPI",
	ERROR_IPSEC_SA_LIFETIME_EXPIRED, L"ERROR_IPSEC_SA_LIFETIME_EXPIRED",
	ERROR_IPSEC_WRONG_SA, L"ERROR_IPSEC_WRONG_SA",
	ERROR_IPSEC_REPLAY_CHECK_FAILED, L"ERROR_IPSEC_REPLAY_CHECK_FAILED",
	ERROR_IPSEC_INVALID_PACKET, L"ERROR_IPSEC_INVALID_PACKET",
	ERROR_IPSEC_INTEGRITY_CHECK_FAILED, L"ERROR_IPSEC_INTEGRITY_CHECK_FAILED",
	ERROR_IPSEC_CLEAR_TEXT_DROP, L"ERROR_IPSEC_CLEAR_TEXT_DROP",
	ERROR_IPSEC_AUTH_FIREWALL_DROP, L"ERROR_IPSEC_AUTH_FIREWALL_DROP",
	ERROR_IPSEC_THROTTLE_DROP, L"ERROR_IPSEC_THROTTLE_DROP",
	ERROR_IPSEC_DOSP_BLOCK, L"ERROR_IPSEC_DOSP_BLOCK",
	ERROR_IPSEC_DOSP_RECEIVED_MULTICAST, L"ERROR_IPSEC_DOSP_RECEIVED_MULTICAST",
	ERROR_IPSEC_DOSP_INVALID_PACKET, L"ERROR_IPSEC_DOSP_INVALID_PACKET",
	ERROR_IPSEC_DOSP_STATE_LOOKUP_FAILED, L"ERROR_IPSEC_DOSP_STATE_LOOKUP_FAILED",
	ERROR_IPSEC_DOSP_MAX_ENTRIES, L"ERROR_IPSEC_DOSP_MAX_ENTRIES",
	ERROR_IPSEC_DOSP_KEYMOD_NOT_ALLOWED, L"ERROR_IPSEC_DOSP_KEYMOD_NOT_ALLOWED",
	ERROR_IPSEC_DOSP_NOT_INSTALLED, L"ERROR_IPSEC_DOSP_NOT_INSTALLED",
	ERROR_IPSEC_DOSP_MAX_PER_IP_RATELIMIT_QUEUES, L"ERROR_IPSEC_DOSP_MAX_PER_IP_RATELIMIT_QUEUES",
	ERROR_SXS_SECTION_NOT_FOUND, L"ERROR_SXS_SECTION_NOT_FOUND",
	ERROR_SXS_CANT_GEN_ACTCTX, L"ERROR_SXS_CANT_GEN_ACTCTX",
	ERROR_SXS_INVALID_ACTCTXDATA_FORMAT, L"ERROR_SXS_INVALID_ACTCTXDATA_FORMAT",
	ERROR_SXS_ASSEMBLY_NOT_FOUND, L"ERROR_SXS_ASSEMBLY_NOT_FOUND",
	ERROR_SXS_MANIFEST_FORMAT_ERROR, L"ERROR_SXS_MANIFEST_FORMAT_ERROR",
	ERROR_SXS_MANIFEST_PARSE_ERROR, L"ERROR_SXS_MANIFEST_PARSE_ERROR",
	ERROR_SXS_ACTIVATION_CONTEXT_DISABLED, L"ERROR_SXS_ACTIVATION_CONTEXT_DISABLED",
	ERROR_SXS_KEY_NOT_FOUND, L"ERROR_SXS_KEY_NOT_FOUND",
	ERROR_SXS_VERSION_CONFLICT, L"ERROR_SXS_VERSION_CONFLICT",
	ERROR_SXS_WRONG_SECTION_TYPE, L"ERROR_SXS_WRONG_SECTION_TYPE",
	ERROR_SXS_THREAD_QUERIES_DISABLED, L"ERROR_SXS_THREAD_QUERIES_DISABLED",
	ERROR_SXS_PROCESS_DEFAULT_ALREADY_SET, L"ERROR_SXS_PROCESS_DEFAULT_ALREADY_SET",
	ERROR_SXS_UNKNOWN_ENCODING_GROUP, L"ERROR_SXS_UNKNOWN_ENCODING_GROUP",
	ERROR_SXS_UNKNOWN_ENCODING, L"ERROR_SXS_UNKNOWN_ENCODING",
	ERROR_SXS_INVALID_XML_NAMESPACE_URI, L"ERROR_SXS_INVALID_XML_NAMESPACE_URI",
	ERROR_SXS_ROOT_MANIFEST_DEPENDENCY_NOT_INSTALLED, L"ERROR_SXS_ROOT_MANIFEST_DEPENDENCY_NOT_INSTALLED",
	ERROR_SXS_LEAF_MANIFEST_DEPENDENCY_NOT_INSTALLED, L"ERROR_SXS_LEAF_MANIFEST_DEPENDENCY_NOT_INSTALLED",
	ERROR_SXS_INVALID_ASSEMBLY_IDENTITY_ATTRIBUTE, L"ERROR_SXS_INVALID_ASSEMBLY_IDENTITY_ATTRIBUTE",
	ERROR_SXS_MANIFEST_MISSING_REQUIRED_DEFAULT_NAMESPACE, L"ERROR_SXS_MANIFEST_MISSING_REQUIRED_DEFAULT_NAMESPACE",
	ERROR_SXS_MANIFEST_INVALID_REQUIRED_DEFAULT_NAMESPACE, L"ERROR_SXS_MANIFEST_INVALID_REQUIRED_DEFAULT_NAMESPACE",
	ERROR_SXS_PRIVATE_MANIFEST_CROSS_PATH_WITH_REPARSE_POINT, L"ERROR_SXS_PRIVATE_MANIFEST_CROSS_PATH_WITH_REPARSE_POINT",
	ERROR_SXS_DUPLICATE_DLL_NAME, L"ERROR_SXS_DUPLICATE_DLL_NAME",
	ERROR_SXS_DUPLICATE_WINDOWCLASS_NAME, L"ERROR_SXS_DUPLICATE_WINDOWCLASS_NAME",
	ERROR_SXS_DUPLICATE_CLSID, L"ERROR_SXS_DUPLICATE_CLSID",
	ERROR_SXS_DUPLICATE_IID, L"ERROR_SXS_DUPLICATE_IID",
	ERROR_SXS_DUPLICATE_TLBID, L"ERROR_SXS_DUPLICATE_TLBID",
	ERROR_SXS_DUPLICATE_PROGID, L"ERROR_SXS_DUPLICATE_PROGID",
	ERROR_SXS_DUPLICATE_ASSEMBLY_NAME, L"ERROR_SXS_DUPLICATE_ASSEMBLY_NAME",
	ERROR_SXS_FILE_HASH_MISMATCH, L"ERROR_SXS_FILE_HASH_MISMATCH",
	ERROR_SXS_POLICY_PARSE_ERROR, L"ERROR_SXS_POLICY_PARSE_ERROR",
	ERROR_SXS_XML_E_MISSINGQUOTE, L"ERROR_SXS_XML_E_MISSINGQUOTE",
	ERROR_SXS_XML_E_COMMENTSYNTAX, L"ERROR_SXS_XML_E_COMMENTSYNTAX",
	ERROR_SXS_XML_E_BADSTARTNAMECHAR, L"ERROR_SXS_XML_E_BADSTARTNAMECHAR",
	ERROR_SXS_XML_E_BADNAMECHAR, L"ERROR_SXS_XML_E_BADNAMECHAR",
	ERROR_SXS_XML_E_BADCHARINSTRING, L"ERROR_SXS_XML_E_BADCHARINSTRING",
	ERROR_SXS_XML_E_XMLDECLSYNTAX, L"ERROR_SXS_XML_E_XMLDECLSYNTAX",
	ERROR_SXS_XML_E_BADCHARDATA, L"ERROR_SXS_XML_E_BADCHARDATA",
	ERROR_SXS_XML_E_MISSINGWHITESPACE, L"ERROR_SXS_XML_E_MISSINGWHITESPACE",
	ERROR_SXS_XML_E_EXPECTINGTAGEND, L"ERROR_SXS_XML_E_EXPECTINGTAGEND",
	ERROR_SXS_XML_E_MISSINGSEMICOLON, L"ERROR_SXS_XML_E_MISSINGSEMICOLON",
	ERROR_SXS_XML_E_UNBALANCEDPAREN, L"ERROR_SXS_XML_E_UNBALANCEDPAREN",
	ERROR_SXS_XML_E_INTERNALERROR, L"ERROR_SXS_XML_E_INTERNALERROR",
	ERROR_SXS_XML_E_UNEXPECTED_WHITESPACE, L"ERROR_SXS_XML_E_UNEXPECTED_WHITESPACE",
	ERROR_SXS_XML_E_INCOMPLETE_ENCODING, L"ERROR_SXS_XML_E_INCOMPLETE_ENCODING",
	ERROR_SXS_XML_E_MISSING_PAREN, L"ERROR_SXS_XML_E_MISSING_PAREN",
	ERROR_SXS_XML_E_EXPECTINGCLOSEQUOTE, L"ERROR_SXS_XML_E_EXPECTINGCLOSEQUOTE",
	ERROR_SXS_XML_E_MULTIPLE_COLONS, L"ERROR_SXS_XML_E_MULTIPLE_COLONS",
	ERROR_SXS_XML_E_INVALID_DECIMAL, L"ERROR_SXS_XML_E_INVALID_DECIMAL",
	ERROR_SXS_XML_E_INVALID_HEXIDECIMAL, L"ERROR_SXS_XML_E_INVALID_HEXIDECIMAL",
	ERROR_SXS_XML_E_INVALID_UNICODE, L"ERROR_SXS_XML_E_INVALID_UNICODE",
	ERROR_SXS_XML_E_WHITESPACEORQUESTIONMARK, L"ERROR_SXS_XML_E_WHITESPACEORQUESTIONMARK",
	ERROR_SXS_XML_E_UNEXPECTEDENDTAG, L"ERROR_SXS_XML_E_UNEXPECTEDENDTAG",
	ERROR_SXS_XML_E_UNCLOSEDTAG, L"ERROR_SXS_XML_E_UNCLOSEDTAG",
	ERROR_SXS_XML_E_DUPLICATEATTRIBUTE, L"ERROR_SXS_XML_E_DUPLICATEATTRIBUTE",
	ERROR_SXS_XML_E_MULTIPLEROOTS, L"ERROR_SXS_XML_E_MULTIPLEROOTS",
	ERROR_SXS_XML_E_INVALIDATROOTLEVEL, L"ERROR_SXS_XML_E_INVALIDATROOTLEVEL",
	ERROR_SXS_XML_E_BADXMLDECL, L"ERROR_SXS_XML_E_BADXMLDECL",
	ERROR_SXS_XML_E_MISSINGROOT, L"ERROR_SXS_XML_E_MISSINGROOT",
	ERROR_SXS_XML_E_UNEXPECTEDEOF, L"ERROR_SXS_XML_E_UNEXPECTEDEOF",
	ERROR_SXS_XML_E_BADPEREFINSUBSET, L"ERROR_SXS_XML_E_BADPEREFINSUBSET",
	ERROR_SXS_XML_E_UNCLOSEDSTARTTAG, L"ERROR_SXS_XML_E_UNCLOSEDSTARTTAG",
	ERROR_SXS_XML_E_UNCLOSEDENDTAG, L"ERROR_SXS_XML_E_UNCLOSEDENDTAG",
	ERROR_SXS_XML_E_UNCLOSEDSTRING, L"ERROR_SXS_XML_E_UNCLOSEDSTRING",
	ERROR_SXS_XML_E_UNCLOSEDCOMMENT, L"ERROR_SXS_XML_E_UNCLOSEDCOMMENT",
	ERROR_SXS_XML_E_UNCLOSEDDECL, L"ERROR_SXS_XML_E_UNCLOSEDDECL",
	ERROR_SXS_XML_E_UNCLOSEDCDATA, L"ERROR_SXS_XML_E_UNCLOSEDCDATA",
	ERROR_SXS_XML_E_RESERVEDNAMESPACE, L"ERROR_SXS_XML_E_RESERVEDNAMESPACE",
	ERROR_SXS_XML_E_INVALIDENCODING, L"ERROR_SXS_XML_E_INVALIDENCODING",
	ERROR_SXS_XML_E_INVALIDSWITCH, L"ERROR_SXS_XML_E_INVALIDSWITCH",
	ERROR_SXS_XML_E_BADXMLCASE, L"ERROR_SXS_XML_E_BADXMLCASE",
	ERROR_SXS_XML_E_INVALID_STANDALONE, L"ERROR_SXS_XML_E_INVALID_STANDALONE",
	ERROR_SXS_XML_E_UNEXPECTED_STANDALONE, L"ERROR_SXS_XML_E_UNEXPECTED_STANDALONE",
	ERROR_SXS_XML_E_INVALID_VERSION, L"ERROR_SXS_XML_E_INVALID_VERSION",
	ERROR_SXS_XML_E_MISSINGEQUALS, L"ERROR_SXS_XML_E_MISSINGEQUALS",
	ERROR_SXS_PROTECTION_RECOVERY_FAILED, L"ERROR_SXS_PROTECTION_RECOVERY_FAILED",
	ERROR_SXS_PROTECTION_PUBLIC_KEY_TOO_SHORT, L"ERROR_SXS_PROTECTION_PUBLIC_KEY_TOO_SHORT",
	ERROR_SXS_PROTECTION_CATALOG_NOT_VALID, L"ERROR_SXS_PROTECTION_CATALOG_NOT_VALID",
	ERROR_SXS_UNTRANSLATABLE_HRESULT, L"ERROR_SXS_UNTRANSLATABLE_HRESULT",
	ERROR_SXS_PROTECTION_CATALOG_FILE_MISSING, L"ERROR_SXS_PROTECTION_CATALOG_FILE_MISSING",
	ERROR_SXS_MISSING_ASSEMBLY_IDENTITY_ATTRIBUTE, L"ERROR_SXS_MISSING_ASSEMBLY_IDENTITY_ATTRIBUTE",
	ERROR_SXS_INVALID_ASSEMBLY_IDENTITY_ATTRIBUTE_NAME, L"ERROR_SXS_INVALID_ASSEMBLY_IDENTITY_ATTRIBUTE_NAME",
	ERROR_SXS_ASSEMBLY_MISSING, L"ERROR_SXS_ASSEMBLY_MISSING",
	ERROR_SXS_CORRUPT_ACTIVATION_STACK, L"ERROR_SXS_CORRUPT_ACTIVATION_STACK",
	ERROR_SXS_CORRUPTION, L"ERROR_SXS_CORRUPTION",
	ERROR_SXS_EARLY_DEACTIVATION, L"ERROR_SXS_EARLY_DEACTIVATION",
	ERROR_SXS_INVALID_DEACTIVATION, L"ERROR_SXS_INVALID_DEACTIVATION",
	ERROR_SXS_MULTIPLE_DEACTIVATION, L"ERROR_SXS_MULTIPLE_DEACTIVATION",
	ERROR_SXS_PROCESS_TERMINATION_REQUESTED, L"ERROR_SXS_PROCESS_TERMINATION_REQUESTED",
	ERROR_SXS_RELEASE_ACTIVATION_CONTEXT, L"ERROR_SXS_RELEASE_ACTIVATION_CONTEXT",
	ERROR_SXS_SYSTEM_DEFAULT_ACTIVATION_CONTEXT_EMPTY, L"ERROR_SXS_SYSTEM_DEFAULT_ACTIVATION_CONTEXT_EMPTY",
	ERROR_SXS_INVALID_IDENTITY_ATTRIBUTE_VALUE, L"ERROR_SXS_INVALID_IDENTITY_ATTRIBUTE_VALUE",
	ERROR_SXS_INVALID_IDENTITY_ATTRIBUTE_NAME, L"ERROR_SXS_INVALID_IDENTITY_ATTRIBUTE_NAME",
	ERROR_SXS_IDENTITY_DUPLICATE_ATTRIBUTE, L"ERROR_SXS_IDENTITY_DUPLICATE_ATTRIBUTE",
	ERROR_SXS_IDENTITY_PARSE_ERROR, L"ERROR_SXS_IDENTITY_PARSE_ERROR",
	ERROR_MALFORMED_SUBSTITUTION_STRING, L"ERROR_MALFORMED_SUBSTITUTION_STRING",
	ERROR_SXS_INCORRECT_PUBLIC_KEY_TOKEN, L"ERROR_SXS_INCORRECT_PUBLIC_KEY_TOKEN",
	ERROR_UNMAPPED_SUBSTITUTION_STRING, L"ERROR_UNMAPPED_SUBSTITUTION_STRING",
	ERROR_SXS_ASSEMBLY_NOT_LOCKED, L"ERROR_SXS_ASSEMBLY_NOT_LOCKED",
	ERROR_SXS_COMPONENT_STORE_CORRUPT, L"ERROR_SXS_COMPONENT_STORE_CORRUPT",
	ERROR_ADVANCED_INSTALLER_FAILED, L"ERROR_ADVANCED_INSTALLER_FAILED",
	ERROR_XML_ENCODING_MISMATCH, L"ERROR_XML_ENCODING_MISMATCH",
	ERROR_SXS_MANIFEST_IDENTITY_SAME_BUT_CONTENTS_DIFFERENT, L"ERROR_SXS_MANIFEST_IDENTITY_SAME_BUT_CONTENTS_DIFFERENT",
	ERROR_SXS_IDENTITIES_DIFFERENT, L"ERROR_SXS_IDENTITIES_DIFFERENT",
	ERROR_SXS_ASSEMBLY_IS_NOT_A_DEPLOYMENT, L"ERROR_SXS_ASSEMBLY_IS_NOT_A_DEPLOYMENT",
	ERROR_SXS_FILE_NOT_PART_OF_ASSEMBLY, L"ERROR_SXS_FILE_NOT_PART_OF_ASSEMBLY",
	ERROR_SXS_MANIFEST_TOO_BIG, L"ERROR_SXS_MANIFEST_TOO_BIG",
	ERROR_SXS_SETTING_NOT_REGISTERED, L"ERROR_SXS_SETTING_NOT_REGISTERED",
	ERROR_SXS_TRANSACTION_CLOSURE_INCOMPLETE, L"ERROR_SXS_TRANSACTION_CLOSURE_INCOMPLETE",
	ERROR_SMI_PRIMITIVE_INSTALLER_FAILED, L"ERROR_SMI_PRIMITIVE_INSTALLER_FAILED",
	ERROR_GENERIC_COMMAND_FAILED, L"ERROR_GENERIC_COMMAND_FAILED",
	ERROR_SXS_FILE_HASH_MISSING, L"ERROR_SXS_FILE_HASH_MISSING",
	ERROR_EVT_INVALID_CHANNEL_PATH, L"ERROR_EVT_INVALID_CHANNEL_PATH",
	ERROR_EVT_INVALID_QUERY, L"ERROR_EVT_INVALID_QUERY",
	ERROR_EVT_PUBLISHER_METADATA_NOT_FOUND, L"ERROR_EVT_PUBLISHER_METADATA_NOT_FOUND",
	ERROR_EVT_EVENT_TEMPLATE_NOT_FOUND, L"ERROR_EVT_EVENT_TEMPLATE_NOT_FOUND",
	ERROR_EVT_INVALID_PUBLISHER_NAME, L"ERROR_EVT_INVALID_PUBLISHER_NAME",
	ERROR_EVT_INVALID_EVENT_DATA, L"ERROR_EVT_INVALID_EVENT_DATA",
	ERROR_EVT_CHANNEL_NOT_FOUND, L"ERROR_EVT_CHANNEL_NOT_FOUND",
	ERROR_EVT_MALFORMED_XML_TEXT, L"ERROR_EVT_MALFORMED_XML_TEXT",
	ERROR_EVT_SUBSCRIPTION_TO_DIRECT_CHANNEL, L"ERROR_EVT_SUBSCRIPTION_TO_DIRECT_CHANNEL",
	ERROR_EVT_CONFIGURATION_ERROR, L"ERROR_EVT_CONFIGURATION_ERROR",
	ERROR_EVT_QUERY_RESULT_STALE, L"ERROR_EVT_QUERY_RESULT_STALE",
	ERROR_EVT_QUERY_RESULT_INVALID_POSITION, L"ERROR_EVT_QUERY_RESULT_INVALID_POSITION",
	ERROR_EVT_NON_VALIDATING_MSXML, L"ERROR_EVT_NON_VALIDATING_MSXML",
	ERROR_EVT_FILTER_ALREADYSCOPED, L"ERROR_EVT_FILTER_ALREADYSCOPED",
	ERROR_EVT_FILTER_NOTELTSET, L"ERROR_EVT_FILTER_NOTELTSET",
	ERROR_EVT_FILTER_INVARG, L"ERROR_EVT_FILTER_INVARG",
	ERROR_EVT_FILTER_INVTEST, L"ERROR_EVT_FILTER_INVTEST",
	ERROR_EVT_FILTER_INVTYPE, L"ERROR_EVT_FILTER_INVTYPE",
	ERROR_EVT_FILTER_PARSEERR, L"ERROR_EVT_FILTER_PARSEERR",
	ERROR_EVT_FILTER_UNSUPPORTEDOP, L"ERROR_EVT_FILTER_UNSUPPORTEDOP",
	ERROR_EVT_FILTER_UNEXPECTEDTOKEN, L"ERROR_EVT_FILTER_UNEXPECTEDTOKEN",
	ERROR_EVT_INVALID_OPERATION_OVER_ENABLED_DIRECT_CHANNEL, L"ERROR_EVT_INVALID_OPERATION_OVER_ENABLED_DIRECT_CHANNEL",
	ERROR_EVT_INVALID_CHANNEL_PROPERTY_VALUE, L"ERROR_EVT_INVALID_CHANNEL_PROPERTY_VALUE",
	ERROR_EVT_INVALID_PUBLISHER_PROPERTY_VALUE, L"ERROR_EVT_INVALID_PUBLISHER_PROPERTY_VALUE",
	ERROR_EVT_CHANNEL_CANNOT_ACTIVATE, L"ERROR_EVT_CHANNEL_CANNOT_ACTIVATE",
	ERROR_EVT_FILTER_TOO_COMPLEX, L"ERROR_EVT_FILTER_TOO_COMPLEX",
	ERROR_EVT_MESSAGE_NOT_FOUND, L"ERROR_EVT_MESSAGE_NOT_FOUND",
	ERROR_EVT_MESSAGE_ID_NOT_FOUND, L"ERROR_EVT_MESSAGE_ID_NOT_FOUND",
	ERROR_EVT_UNRESOLVED_VALUE_INSERT, L"ERROR_EVT_UNRESOLVED_VALUE_INSERT",
	ERROR_EVT_UNRESOLVED_PARAMETER_INSERT, L"ERROR_EVT_UNRESOLVED_PARAMETER_INSERT",
	ERROR_EVT_MAX_INSERTS_REACHED, L"ERROR_EVT_MAX_INSERTS_REACHED",
	ERROR_EVT_EVENT_DEFINITION_NOT_FOUND, L"ERROR_EVT_EVENT_DEFINITION_NOT_FOUND",
	ERROR_EVT_MESSAGE_LOCALE_NOT_FOUND, L"ERROR_EVT_MESSAGE_LOCALE_NOT_FOUND",
	ERROR_EVT_VERSION_TOO_OLD, L"ERROR_EVT_VERSION_TOO_OLD",
	ERROR_EVT_VERSION_TOO_NEW, L"ERROR_EVT_VERSION_TOO_NEW",
	ERROR_EVT_CANNOT_OPEN_CHANNEL_OF_QUERY, L"ERROR_EVT_CANNOT_OPEN_CHANNEL_OF_QUERY",
	ERROR_EVT_PUBLISHER_DISABLED, L"ERROR_EVT_PUBLISHER_DISABLED",
	ERROR_EVT_FILTER_OUT_OF_RANGE, L"ERROR_EVT_FILTER_OUT_OF_RANGE",
	ERROR_EC_SUBSCRIPTION_CANNOT_ACTIVATE, L"ERROR_EC_SUBSCRIPTION_CANNOT_ACTIVATE",
	ERROR_EC_LOG_DISABLED, L"ERROR_EC_LOG_DISABLED",
	ERROR_EC_CIRCULAR_FORWARDING, L"ERROR_EC_CIRCULAR_FORWARDING",
	ERROR_EC_CREDSTORE_FULL, L"ERROR_EC_CREDSTORE_FULL",
	ERROR_EC_CRED_NOT_FOUND, L"ERROR_EC_CRED_NOT_FOUND",
	ERROR_EC_NO_ACTIVE_CHANNEL, L"ERROR_EC_NO_ACTIVE_CHANNEL",
	ERROR_MUI_FILE_NOT_FOUND, L"ERROR_MUI_FILE_NOT_FOUND",
	ERROR_MUI_INVALID_FILE, L"ERROR_MUI_INVALID_FILE",
	ERROR_MUI_INVALID_RC_CONFIG, L"ERROR_MUI_INVALID_RC_CONFIG",
	ERROR_MUI_INVALID_LOCALE_NAME, L"ERROR_MUI_INVALID_LOCALE_NAME",
	ERROR_MUI_INVALID_ULTIMATEFALLBACK_NAME, L"ERROR_MUI_INVALID_ULTIMATEFALLBACK_NAME",
	ERROR_MUI_FILE_NOT_LOADED, L"ERROR_MUI_FILE_NOT_LOADED",
	ERROR_RESOURCE_ENUM_USER_STOP, L"ERROR_RESOURCE_ENUM_USER_STOP",
	ERROR_MUI_INTLSETTINGS_UILANG_NOT_INSTALLED, L"ERROR_MUI_INTLSETTINGS_UILANG_NOT_INSTALLED",
	ERROR_MUI_INTLSETTINGS_INVALID_LOCALE_NAME, L"ERROR_MUI_INTLSETTINGS_INVALID_LOCALE_NAME",
	ERROR_MCA_INVALID_CAPABILITIES_STRING, L"ERROR_MCA_INVALID_CAPABILITIES_STRING",
	ERROR_MCA_INVALID_VCP_VERSION, L"ERROR_MCA_INVALID_VCP_VERSION",
	ERROR_MCA_MONITOR_VIOLATES_MCCS_SPECIFICATION, L"ERROR_MCA_MONITOR_VIOLATES_MCCS_SPECIFICATION",
	ERROR_MCA_MCCS_VERSION_MISMATCH, L"ERROR_MCA_MCCS_VERSION_MISMATCH",
	ERROR_MCA_UNSUPPORTED_MCCS_VERSION, L"ERROR_MCA_UNSUPPORTED_MCCS_VERSION",
	ERROR_MCA_INTERNAL_ERROR, L"ERROR_MCA_INTERNAL_ERROR",
	ERROR_MCA_INVALID_TECHNOLOGY_TYPE_RETURNED, L"ERROR_MCA_INVALID_TECHNOLOGY_TYPE_RETURNED",
	ERROR_MCA_UNSUPPORTED_COLOR_TEMPERATURE, L"ERROR_MCA_UNSUPPORTED_COLOR_TEMPERATURE",
	ERROR_AMBIGUOUS_SYSTEM_DEVICE, L"ERROR_AMBIGUOUS_SYSTEM_DEVICE",
	ERROR_SYSTEM_DEVICE_NOT_FOUND, L"ERROR_SYSTEM_DEVICE_NOT_FOUND",
	ERROR_HASH_NOT_SUPPORTED, L"ERROR_HASH_NOT_SUPPORTED",
	ERROR_HASH_NOT_PRESENT, L"ERROR_HASH_NOT_PRESENT",
	SEVERITY_SUCCESS, L"SEVERITY_SUCCESS",
	SEVERITY_ERROR, L"SEVERITY_ERROR",
	FACILITY_NT_BIT, L"FACILITY_NT_BIT",
	E_NOT_SET, L"E_NOT_SET",
	E_NOT_VALID_STATE, L"E_NOT_VALID_STATE",
	E_NOT_SUFFICIENT_BUFFER, L"E_NOT_SUFFICIENT_BUFFER",
	NOERROR, L"NOERROR",
	E_UNEXPECTED, L"E_UNEXPECTED",
	E_NOTIMPL, L"E_NOTIMPL",
	E_OUTOFMEMORY, L"E_OUTOFMEMORY",
	E_INVALIDARG, L"E_INVALIDARG",
	E_NOINTERFACE, L"E_NOINTERFACE",
	E_POINTER, L"E_POINTER",
	E_HANDLE, L"E_HANDLE",
	E_ABORT, L"E_ABORT",
	E_FAIL, L"E_FAIL",
	E_ACCESSDENIED, L"E_ACCESSDENIED",
	E_NOTIMPL, L"E_NOTIMPL",
	E_OUTOFMEMORY, L"E_OUTOFMEMORY",
	E_INVALIDARG, L"E_INVALIDARG",
	E_NOINTERFACE, L"E_NOINTERFACE",
	E_POINTER, L"E_POINTER",
	E_HANDLE, L"E_HANDLE",
	E_ABORT, L"E_ABORT",
	E_FAIL, L"E_FAIL",
	E_ACCESSDENIED, L"E_ACCESSDENIED",
	E_PENDING, L"E_PENDING",
	CO_E_INIT_TLS, L"CO_E_INIT_TLS",
	CO_E_INIT_SHARED_ALLOCATOR, L"CO_E_INIT_SHARED_ALLOCATOR",
	CO_E_INIT_MEMORY_ALLOCATOR, L"CO_E_INIT_MEMORY_ALLOCATOR",
	CO_E_INIT_CLASS_CACHE, L"CO_E_INIT_CLASS_CACHE",
	CO_E_INIT_RPC_CHANNEL, L"CO_E_INIT_RPC_CHANNEL",
	CO_E_INIT_TLS_SET_CHANNEL_CONTROL, L"CO_E_INIT_TLS_SET_CHANNEL_CONTROL",
	CO_E_INIT_TLS_CHANNEL_CONTROL, L"CO_E_INIT_TLS_CHANNEL_CONTROL",
	CO_E_INIT_UNACCEPTED_USER_ALLOCATOR, L"CO_E_INIT_UNACCEPTED_USER_ALLOCATOR",
	CO_E_INIT_SCM_MUTEX_EXISTS, L"CO_E_INIT_SCM_MUTEX_EXISTS",
	CO_E_INIT_SCM_FILE_MAPPING_EXISTS, L"CO_E_INIT_SCM_FILE_MAPPING_EXISTS",
	CO_E_INIT_SCM_MAP_VIEW_OF_FILE, L"CO_E_INIT_SCM_MAP_VIEW_OF_FILE",
	CO_E_INIT_SCM_EXEC_FAILURE, L"CO_E_INIT_SCM_EXEC_FAILURE",
	CO_E_INIT_ONLY_SINGLE_THREADED, L"CO_E_INIT_ONLY_SINGLE_THREADED",
	CO_E_CANT_REMOTE, L"CO_E_CANT_REMOTE",
	CO_E_BAD_SERVER_NAME, L"CO_E_BAD_SERVER_NAME",
	CO_E_WRONG_SERVER_IDENTITY, L"CO_E_WRONG_SERVER_IDENTITY",
	CO_E_OLE1DDE_DISABLED, L"CO_E_OLE1DDE_DISABLED",
	CO_E_RUNAS_SYNTAX, L"CO_E_RUNAS_SYNTAX",
	CO_E_CREATEPROCESS_FAILURE, L"CO_E_CREATEPROCESS_FAILURE",
	CO_E_RUNAS_CREATEPROCESS_FAILURE, L"CO_E_RUNAS_CREATEPROCESS_FAILURE",
	CO_E_RUNAS_LOGON_FAILURE, L"CO_E_RUNAS_LOGON_FAILURE",
	CO_E_LAUNCH_PERMSSION_DENIED, L"CO_E_LAUNCH_PERMSSION_DENIED",
	CO_E_START_SERVICE_FAILURE, L"CO_E_START_SERVICE_FAILURE",
	CO_E_REMOTE_COMMUNICATION_FAILURE, L"CO_E_REMOTE_COMMUNICATION_FAILURE",
	CO_E_SERVER_START_TIMEOUT, L"CO_E_SERVER_START_TIMEOUT",
	CO_E_CLSREG_INCONSISTENT, L"CO_E_CLSREG_INCONSISTENT",
	CO_E_IIDREG_INCONSISTENT, L"CO_E_IIDREG_INCONSISTENT",
	CO_E_NOT_SUPPORTED, L"CO_E_NOT_SUPPORTED",
	CO_E_RELOAD_DLL, L"CO_E_RELOAD_DLL",
	CO_E_MSI_ERROR, L"CO_E_MSI_ERROR",
	CO_E_ATTEMPT_TO_CREATE_OUTSIDE_CLIENT_CONTEXT, L"CO_E_ATTEMPT_TO_CREATE_OUTSIDE_CLIENT_CONTEXT",
	CO_E_SERVER_PAUSED, L"CO_E_SERVER_PAUSED",
	CO_E_SERVER_NOT_PAUSED, L"CO_E_SERVER_NOT_PAUSED",
	CO_E_CLASS_DISABLED, L"CO_E_CLASS_DISABLED",
	CO_E_CLRNOTAVAILABLE, L"CO_E_CLRNOTAVAILABLE",
	CO_E_ASYNC_WORK_REJECTED, L"CO_E_ASYNC_WORK_REJECTED",
	CO_E_SERVER_INIT_TIMEOUT, L"CO_E_SERVER_INIT_TIMEOUT",
	CO_E_NO_SECCTX_IN_ACTIVATE, L"CO_E_NO_SECCTX_IN_ACTIVATE",
	CO_E_TRACKER_CONFIG, L"CO_E_TRACKER_CONFIG",
	CO_E_THREADPOOL_CONFIG, L"CO_E_THREADPOOL_CONFIG",
	CO_E_SXS_CONFIG, L"CO_E_SXS_CONFIG",
	CO_E_MALFORMED_SPN, L"CO_E_MALFORMED_SPN",
	S_OK, L"S_OK",
	S_FALSE, L"S_FALSE",
	OLE_E_FIRST, L"OLE_E_FIRST",
	OLE_E_LAST, L"OLE_E_LAST",
	OLE_S_FIRST, L"OLE_S_FIRST",
	OLE_S_LAST, L"OLE_S_LAST",
	OLE_E_OLEVERB, L"OLE_E_OLEVERB",
	OLE_E_ADVF, L"OLE_E_ADVF",
	OLE_E_ENUM_NOMORE, L"OLE_E_ENUM_NOMORE",
	OLE_E_ADVISENOTSUPPORTED, L"OLE_E_ADVISENOTSUPPORTED",
	OLE_E_NOCONNECTION, L"OLE_E_NOCONNECTION",
	OLE_E_NOTRUNNING, L"OLE_E_NOTRUNNING",
	OLE_E_NOCACHE, L"OLE_E_NOCACHE",
	OLE_E_BLANK, L"OLE_E_BLANK",
	OLE_E_CLASSDIFF, L"OLE_E_CLASSDIFF",
	OLE_E_CANT_GETMONIKER, L"OLE_E_CANT_GETMONIKER",
	OLE_E_CANT_BINDTOSOURCE, L"OLE_E_CANT_BINDTOSOURCE",
	OLE_E_STATIC, L"OLE_E_STATIC",
	OLE_E_PROMPTSAVECANCELLED, L"OLE_E_PROMPTSAVECANCELLED",
	OLE_E_INVALIDRECT, L"OLE_E_INVALIDRECT",
	OLE_E_WRONGCOMPOBJ, L"OLE_E_WRONGCOMPOBJ",
	OLE_E_INVALIDHWND, L"OLE_E_INVALIDHWND",
	OLE_E_NOT_INPLACEACTIVE, L"OLE_E_NOT_INPLACEACTIVE",
	OLE_E_CANTCONVERT, L"OLE_E_CANTCONVERT",
	OLE_E_NOSTORAGE, L"OLE_E_NOSTORAGE",
	DV_E_FORMATETC, L"DV_E_FORMATETC",
	DV_E_DVTARGETDEVICE, L"DV_E_DVTARGETDEVICE",
	DV_E_STGMEDIUM, L"DV_E_STGMEDIUM",
	DV_E_STATDATA, L"DV_E_STATDATA",
	DV_E_LINDEX, L"DV_E_LINDEX",
	DV_E_TYMED, L"DV_E_TYMED",
	DV_E_CLIPFORMAT, L"DV_E_CLIPFORMAT",
	DV_E_DVASPECT, L"DV_E_DVASPECT",
	DV_E_DVTARGETDEVICE_SIZE, L"DV_E_DVTARGETDEVICE_SIZE",
	DV_E_NOIVIEWOBJECT, L"DV_E_NOIVIEWOBJECT",
	DRAGDROP_E_FIRST, L"DRAGDROP_E_FIRST",
	DRAGDROP_E_LAST, L"DRAGDROP_E_LAST",
	DRAGDROP_S_FIRST, L"DRAGDROP_S_FIRST",
	DRAGDROP_S_LAST, L"DRAGDROP_S_LAST",
	DRAGDROP_E_NOTREGISTERED, L"DRAGDROP_E_NOTREGISTERED",
	DRAGDROP_E_ALREADYREGISTERED, L"DRAGDROP_E_ALREADYREGISTERED",
	DRAGDROP_E_INVALIDHWND, L"DRAGDROP_E_INVALIDHWND",
	CLASSFACTORY_E_FIRST, L"CLASSFACTORY_E_FIRST",
	CLASSFACTORY_E_LAST, L"CLASSFACTORY_E_LAST",
	CLASSFACTORY_S_FIRST, L"CLASSFACTORY_S_FIRST",
	CLASSFACTORY_S_LAST, L"CLASSFACTORY_S_LAST",
	CLASS_E_NOAGGREGATION, L"CLASS_E_NOAGGREGATION",
	CLASS_E_CLASSNOTAVAILABLE, L"CLASS_E_CLASSNOTAVAILABLE",
	CLASS_E_NOTLICENSED, L"CLASS_E_NOTLICENSED",
	MARSHAL_E_FIRST, L"MARSHAL_E_FIRST",
	MARSHAL_E_LAST, L"MARSHAL_E_LAST",
	MARSHAL_S_FIRST, L"MARSHAL_S_FIRST",
	MARSHAL_S_LAST, L"MARSHAL_S_LAST",
	DATA_E_FIRST, L"DATA_E_FIRST",
	DATA_E_LAST, L"DATA_E_LAST",
	DATA_S_FIRST, L"DATA_S_FIRST",
	DATA_S_LAST, L"DATA_S_LAST",
	VIEW_E_FIRST, L"VIEW_E_FIRST",
	VIEW_E_LAST, L"VIEW_E_LAST",
	VIEW_S_FIRST, L"VIEW_S_FIRST",
	VIEW_S_LAST, L"VIEW_S_LAST",
	VIEW_E_DRAW, L"VIEW_E_DRAW",
	REGDB_E_FIRST, L"REGDB_E_FIRST",
	REGDB_E_LAST, L"REGDB_E_LAST",
	REGDB_S_FIRST, L"REGDB_S_FIRST",
	REGDB_S_LAST, L"REGDB_S_LAST",
	REGDB_E_READREGDB, L"REGDB_E_READREGDB",
	REGDB_E_WRITEREGDB, L"REGDB_E_WRITEREGDB",
	REGDB_E_KEYMISSING, L"REGDB_E_KEYMISSING",
	REGDB_E_INVALIDVALUE, L"REGDB_E_INVALIDVALUE",
	REGDB_E_CLASSNOTREG, L"REGDB_E_CLASSNOTREG",
	REGDB_E_IIDNOTREG, L"REGDB_E_IIDNOTREG",
	REGDB_E_BADTHREADINGMODEL, L"REGDB_E_BADTHREADINGMODEL",
	CAT_E_FIRST, L"CAT_E_FIRST",
	CAT_E_LAST, L"CAT_E_LAST",
	CAT_E_CATIDNOEXIST, L"CAT_E_CATIDNOEXIST",
	CAT_E_NODESCRIPTION, L"CAT_E_NODESCRIPTION",
	CS_E_FIRST, L"CS_E_FIRST",
	CS_E_LAST, L"CS_E_LAST",
	CS_E_PACKAGE_NOTFOUND, L"CS_E_PACKAGE_NOTFOUND",
	CS_E_NOT_DELETABLE, L"CS_E_NOT_DELETABLE",
	CS_E_CLASS_NOTFOUND, L"CS_E_CLASS_NOTFOUND",
	CS_E_INVALID_VERSION, L"CS_E_INVALID_VERSION",
	CS_E_NO_CLASSSTORE, L"CS_E_NO_CLASSSTORE",
	CS_E_OBJECT_NOTFOUND, L"CS_E_OBJECT_NOTFOUND",
	CS_E_OBJECT_ALREADY_EXISTS, L"CS_E_OBJECT_ALREADY_EXISTS",
	CS_E_INVALID_PATH, L"CS_E_INVALID_PATH",
	CS_E_NETWORK_ERROR, L"CS_E_NETWORK_ERROR",
	CS_E_ADMIN_LIMIT_EXCEEDED, L"CS_E_ADMIN_LIMIT_EXCEEDED",
	CS_E_SCHEMA_MISMATCH, L"CS_E_SCHEMA_MISMATCH",
	CS_E_INTERNAL_ERROR, L"CS_E_INTERNAL_ERROR",
	CACHE_E_FIRST, L"CACHE_E_FIRST",
	CACHE_E_LAST, L"CACHE_E_LAST",
	CACHE_S_FIRST, L"CACHE_S_FIRST",
	CACHE_S_LAST, L"CACHE_S_LAST",
	CACHE_E_NOCACHE_UPDATED, L"CACHE_E_NOCACHE_UPDATED",
	OLEOBJ_E_FIRST, L"OLEOBJ_E_FIRST",
	OLEOBJ_E_LAST, L"OLEOBJ_E_LAST",
	OLEOBJ_S_FIRST, L"OLEOBJ_S_FIRST",
	OLEOBJ_S_LAST, L"OLEOBJ_S_LAST",
	OLEOBJ_E_NOVERBS, L"OLEOBJ_E_NOVERBS",
	OLEOBJ_E_INVALIDVERB, L"OLEOBJ_E_INVALIDVERB",
	CLIENTSITE_E_FIRST, L"CLIENTSITE_E_FIRST",
	CLIENTSITE_E_LAST, L"CLIENTSITE_E_LAST",
	CLIENTSITE_S_FIRST, L"CLIENTSITE_S_FIRST",
	CLIENTSITE_S_LAST, L"CLIENTSITE_S_LAST",
	INPLACE_E_NOTUNDOABLE, L"INPLACE_E_NOTUNDOABLE",
	INPLACE_E_NOTOOLSPACE, L"INPLACE_E_NOTOOLSPACE",
	INPLACE_E_FIRST, L"INPLACE_E_FIRST",
	INPLACE_E_LAST, L"INPLACE_E_LAST",
	INPLACE_S_FIRST, L"INPLACE_S_FIRST",
	INPLACE_S_LAST, L"INPLACE_S_LAST",
	ENUM_E_FIRST, L"ENUM_E_FIRST",
	ENUM_E_LAST, L"ENUM_E_LAST",
	ENUM_S_FIRST, L"ENUM_S_FIRST",
	ENUM_S_LAST, L"ENUM_S_LAST",
	CONVERT10_E_FIRST, L"CONVERT10_E_FIRST",
	CONVERT10_E_LAST, L"CONVERT10_E_LAST",
	CONVERT10_S_FIRST, L"CONVERT10_S_FIRST",
	CONVERT10_S_LAST, L"CONVERT10_S_LAST",
	CONVERT10_E_OLESTREAM_GET, L"CONVERT10_E_OLESTREAM_GET",
	CONVERT10_E_OLESTREAM_PUT, L"CONVERT10_E_OLESTREAM_PUT",
	CONVERT10_E_OLESTREAM_FMT, L"CONVERT10_E_OLESTREAM_FMT",
	CONVERT10_E_OLESTREAM_BITMAP_TO_DIB, L"CONVERT10_E_OLESTREAM_BITMAP_TO_DIB",
	CONVERT10_E_STG_FMT, L"CONVERT10_E_STG_FMT",
	CONVERT10_E_STG_NO_STD_STREAM, L"CONVERT10_E_STG_NO_STD_STREAM",
	CONVERT10_E_STG_DIB_TO_BITMAP, L"CONVERT10_E_STG_DIB_TO_BITMAP",
	CLIPBRD_E_FIRST, L"CLIPBRD_E_FIRST",
	CLIPBRD_E_LAST, L"CLIPBRD_E_LAST",
	CLIPBRD_S_FIRST, L"CLIPBRD_S_FIRST",
	CLIPBRD_S_LAST, L"CLIPBRD_S_LAST",
	CLIPBRD_E_CANT_OPEN, L"CLIPBRD_E_CANT_OPEN",
	CLIPBRD_E_CANT_EMPTY, L"CLIPBRD_E_CANT_EMPTY",
	CLIPBRD_E_CANT_SET, L"CLIPBRD_E_CANT_SET",
	CLIPBRD_E_BAD_DATA, L"CLIPBRD_E_BAD_DATA",
	CLIPBRD_E_CANT_CLOSE, L"CLIPBRD_E_CANT_CLOSE",
	MK_E_FIRST, L"MK_E_FIRST",
	MK_E_LAST, L"MK_E_LAST",
	MK_S_FIRST, L"MK_S_FIRST",
	MK_S_LAST, L"MK_S_LAST",
	MK_E_CONNECTMANUALLY, L"MK_E_CONNECTMANUALLY",
	MK_E_EXCEEDEDDEADLINE, L"MK_E_EXCEEDEDDEADLINE",
	MK_E_NEEDGENERIC, L"MK_E_NEEDGENERIC",
	MK_E_UNAVAILABLE, L"MK_E_UNAVAILABLE",
	MK_E_SYNTAX, L"MK_E_SYNTAX",
	MK_E_NOOBJECT, L"MK_E_NOOBJECT",
	MK_E_INVALIDEXTENSION, L"MK_E_INVALIDEXTENSION",
	MK_E_INTERMEDIATEINTERFACENOTSUPPORTED, L"MK_E_INTERMEDIATEINTERFACENOTSUPPORTED",
	MK_E_NOTBINDABLE, L"MK_E_NOTBINDABLE",
	MK_E_NOTBOUND, L"MK_E_NOTBOUND",
	MK_E_CANTOPENFILE, L"MK_E_CANTOPENFILE",
	MK_E_MUSTBOTHERUSER, L"MK_E_MUSTBOTHERUSER",
	MK_E_NOINVERSE, L"MK_E_NOINVERSE",
	MK_E_NOSTORAGE, L"MK_E_NOSTORAGE",
	MK_E_NOPREFIX, L"MK_E_NOPREFIX",
	MK_E_ENUMERATION_FAILED, L"MK_E_ENUMERATION_FAILED",
	CO_E_FIRST, L"CO_E_FIRST",
	CO_E_LAST, L"CO_E_LAST",
	CO_S_FIRST, L"CO_S_FIRST",
	CO_S_LAST, L"CO_S_LAST",
	CO_E_NOTINITIALIZED, L"CO_E_NOTINITIALIZED",
	CO_E_ALREADYINITIALIZED, L"CO_E_ALREADYINITIALIZED",
	CO_E_CANTDETERMINECLASS, L"CO_E_CANTDETERMINECLASS",
	CO_E_CLASSSTRING, L"CO_E_CLASSSTRING",
	CO_E_IIDSTRING, L"CO_E_IIDSTRING",
	CO_E_APPNOTFOUND, L"CO_E_APPNOTFOUND",
	CO_E_APPSINGLEUSE, L"CO_E_APPSINGLEUSE",
	CO_E_ERRORINAPP, L"CO_E_ERRORINAPP",
	CO_E_DLLNOTFOUND, L"CO_E_DLLNOTFOUND",
	CO_E_ERRORINDLL, L"CO_E_ERRORINDLL",
	CO_E_WRONGOSFORAPP, L"CO_E_WRONGOSFORAPP",
	CO_E_OBJNOTREG, L"CO_E_OBJNOTREG",
	CO_E_OBJISREG, L"CO_E_OBJISREG",
	CO_E_OBJNOTCONNECTED, L"CO_E_OBJNOTCONNECTED",
	CO_E_APPDIDNTREG, L"CO_E_APPDIDNTREG",
	CO_E_RELEASED, L"CO_E_RELEASED",
	EVENT_E_FIRST, L"EVENT_E_FIRST",
	EVENT_E_LAST, L"EVENT_E_LAST",
	EVENT_S_FIRST, L"EVENT_S_FIRST",
	EVENT_S_LAST, L"EVENT_S_LAST",
	EVENT_S_SOME_SUBSCRIBERS_FAILED, L"EVENT_S_SOME_SUBSCRIBERS_FAILED",
	EVENT_E_ALL_SUBSCRIBERS_FAILED, L"EVENT_E_ALL_SUBSCRIBERS_FAILED",
	EVENT_S_NOSUBSCRIBERS, L"EVENT_S_NOSUBSCRIBERS",
	EVENT_E_QUERYSYNTAX, L"EVENT_E_QUERYSYNTAX",
	EVENT_E_QUERYFIELD, L"EVENT_E_QUERYFIELD",
	EVENT_E_INTERNALEXCEPTION, L"EVENT_E_INTERNALEXCEPTION",
	EVENT_E_INTERNALERROR, L"EVENT_E_INTERNALERROR",
	EVENT_E_INVALID_PER_USER_SID, L"EVENT_E_INVALID_PER_USER_SID",
	EVENT_E_USER_EXCEPTION, L"EVENT_E_USER_EXCEPTION",
	EVENT_E_TOO_MANY_METHODS, L"EVENT_E_TOO_MANY_METHODS",
	EVENT_E_MISSING_EVENTCLASS, L"EVENT_E_MISSING_EVENTCLASS",
	EVENT_E_NOT_ALL_REMOVED, L"EVENT_E_NOT_ALL_REMOVED",
	EVENT_E_COMPLUS_NOT_INSTALLED, L"EVENT_E_COMPLUS_NOT_INSTALLED",
	EVENT_E_CANT_MODIFY_OR_DELETE_UNCONFIGURED_OBJECT, L"EVENT_E_CANT_MODIFY_OR_DELETE_UNCONFIGURED_OBJECT",
	EVENT_E_CANT_MODIFY_OR_DELETE_CONFIGURED_OBJECT, L"EVENT_E_CANT_MODIFY_OR_DELETE_CONFIGURED_OBJECT",
	EVENT_E_INVALID_EVENT_CLASS_PARTITION, L"EVENT_E_INVALID_EVENT_CLASS_PARTITION",
	EVENT_E_PER_USER_SID_NOT_LOGGED_ON, L"EVENT_E_PER_USER_SID_NOT_LOGGED_ON",
	XACT_E_FIRST, L"XACT_E_FIRST",
	XACT_E_LAST, L"XACT_E_LAST",
	XACT_S_FIRST, L"XACT_S_FIRST",
	XACT_S_LAST, L"XACT_S_LAST",
	XACT_E_ALREADYOTHERSINGLEPHASE, L"XACT_E_ALREADYOTHERSINGLEPHASE",
	XACT_E_CANTRETAIN, L"XACT_E_CANTRETAIN",
	XACT_E_COMMITFAILED, L"XACT_E_COMMITFAILED",
	XACT_E_COMMITPREVENTED, L"XACT_E_COMMITPREVENTED",
	XACT_E_HEURISTICABORT, L"XACT_E_HEURISTICABORT",
	XACT_E_HEURISTICCOMMIT, L"XACT_E_HEURISTICCOMMIT",
	XACT_E_HEURISTICDAMAGE, L"XACT_E_HEURISTICDAMAGE",
	XACT_E_HEURISTICDANGER, L"XACT_E_HEURISTICDANGER",
	XACT_E_ISOLATIONLEVEL, L"XACT_E_ISOLATIONLEVEL",
	XACT_E_NOASYNC, L"XACT_E_NOASYNC",
	XACT_E_NOENLIST, L"XACT_E_NOENLIST",
	XACT_E_NOISORETAIN, L"XACT_E_NOISORETAIN",
	XACT_E_NORESOURCE, L"XACT_E_NORESOURCE",
	XACT_E_NOTCURRENT, L"XACT_E_NOTCURRENT",
	XACT_E_NOTRANSACTION, L"XACT_E_NOTRANSACTION",
	XACT_E_NOTSUPPORTED, L"XACT_E_NOTSUPPORTED",
	XACT_E_UNKNOWNRMGRID, L"XACT_E_UNKNOWNRMGRID",
	XACT_E_WRONGSTATE, L"XACT_E_WRONGSTATE",
	XACT_E_WRONGUOW, L"XACT_E_WRONGUOW",
	XACT_E_XTIONEXISTS, L"XACT_E_XTIONEXISTS",
	XACT_E_NOIMPORTOBJECT, L"XACT_E_NOIMPORTOBJECT",
	XACT_E_INVALIDCOOKIE, L"XACT_E_INVALIDCOOKIE",
	XACT_E_INDOUBT, L"XACT_E_INDOUBT",
	XACT_E_NOTIMEOUT, L"XACT_E_NOTIMEOUT",
	XACT_E_ALREADYINPROGRESS, L"XACT_E_ALREADYINPROGRESS",
	XACT_E_ABORTED, L"XACT_E_ABORTED",
	XACT_E_LOGFULL, L"XACT_E_LOGFULL",
	XACT_E_TMNOTAVAILABLE, L"XACT_E_TMNOTAVAILABLE",
	XACT_E_CONNECTION_DOWN, L"XACT_E_CONNECTION_DOWN",
	XACT_E_CONNECTION_DENIED, L"XACT_E_CONNECTION_DENIED",
	XACT_E_REENLISTTIMEOUT, L"XACT_E_REENLISTTIMEOUT",
	XACT_E_TIP_CONNECT_FAILED, L"XACT_E_TIP_CONNECT_FAILED",
	XACT_E_TIP_PROTOCOL_ERROR, L"XACT_E_TIP_PROTOCOL_ERROR",
	XACT_E_TIP_PULL_FAILED, L"XACT_E_TIP_PULL_FAILED",
	XACT_E_DEST_TMNOTAVAILABLE, L"XACT_E_DEST_TMNOTAVAILABLE",
	XACT_E_TIP_DISABLED, L"XACT_E_TIP_DISABLED",
	XACT_E_NETWORK_TX_DISABLED, L"XACT_E_NETWORK_TX_DISABLED",
	XACT_E_PARTNER_NETWORK_TX_DISABLED, L"XACT_E_PARTNER_NETWORK_TX_DISABLED",
	XACT_E_XA_TX_DISABLED, L"XACT_E_XA_TX_DISABLED",
	XACT_E_UNABLE_TO_READ_DTC_CONFIG, L"XACT_E_UNABLE_TO_READ_DTC_CONFIG",
	XACT_E_UNABLE_TO_LOAD_DTC_PROXY, L"XACT_E_UNABLE_TO_LOAD_DTC_PROXY",
	XACT_E_ABORTING, L"XACT_E_ABORTING",
	XACT_E_PUSH_COMM_FAILURE, L"XACT_E_PUSH_COMM_FAILURE",
	XACT_E_PULL_COMM_FAILURE, L"XACT_E_PULL_COMM_FAILURE",
	XACT_E_LU_TX_DISABLED, L"XACT_E_LU_TX_DISABLED",
	XACT_E_CLERKNOTFOUND, L"XACT_E_CLERKNOTFOUND",
	XACT_E_CLERKEXISTS, L"XACT_E_CLERKEXISTS",
	XACT_E_RECOVERYINPROGRESS, L"XACT_E_RECOVERYINPROGRESS",
	XACT_E_TRANSACTIONCLOSED, L"XACT_E_TRANSACTIONCLOSED",
	XACT_E_INVALIDLSN, L"XACT_E_INVALIDLSN",
	XACT_E_REPLAYREQUEST, L"XACT_E_REPLAYREQUEST",
	XACT_S_ASYNC, L"XACT_S_ASYNC",
	XACT_S_DEFECT, L"XACT_S_DEFECT",
	XACT_S_READONLY, L"XACT_S_READONLY",
	XACT_S_SOMENORETAIN, L"XACT_S_SOMENORETAIN",
	XACT_S_OKINFORM, L"XACT_S_OKINFORM",
	XACT_S_MADECHANGESCONTENT, L"XACT_S_MADECHANGESCONTENT",
	XACT_S_MADECHANGESINFORM, L"XACT_S_MADECHANGESINFORM",
	XACT_S_ALLNORETAIN, L"XACT_S_ALLNORETAIN",
	XACT_S_ABORTING, L"XACT_S_ABORTING",
	XACT_S_SINGLEPHASE, L"XACT_S_SINGLEPHASE",
	XACT_S_LOCALLY_OK, L"XACT_S_LOCALLY_OK",
	XACT_S_LASTRESOURCEMANAGER, L"XACT_S_LASTRESOURCEMANAGER",
	CONTEXT_E_FIRST, L"CONTEXT_E_FIRST",
	CONTEXT_E_LAST, L"CONTEXT_E_LAST",
	CONTEXT_S_FIRST, L"CONTEXT_S_FIRST",
	CONTEXT_S_LAST, L"CONTEXT_S_LAST",
	CONTEXT_E_ABORTED, L"CONTEXT_E_ABORTED",
	CONTEXT_E_ABORTING, L"CONTEXT_E_ABORTING",
	CONTEXT_E_NOCONTEXT, L"CONTEXT_E_NOCONTEXT",
	CONTEXT_E_WOULD_DEADLOCK, L"CONTEXT_E_WOULD_DEADLOCK",
	CONTEXT_E_SYNCH_TIMEOUT, L"CONTEXT_E_SYNCH_TIMEOUT",
	CONTEXT_E_OLDREF, L"CONTEXT_E_OLDREF",
	CONTEXT_E_ROLENOTFOUND, L"CONTEXT_E_ROLENOTFOUND",
	CONTEXT_E_TMNOTAVAILABLE, L"CONTEXT_E_TMNOTAVAILABLE",
	CO_E_ACTIVATIONFAILED, L"CO_E_ACTIVATIONFAILED",
	CO_E_ACTIVATIONFAILED_EVENTLOGGED, L"CO_E_ACTIVATIONFAILED_EVENTLOGGED",
	CO_E_ACTIVATIONFAILED_CATALOGERROR, L"CO_E_ACTIVATIONFAILED_CATALOGERROR",
	CO_E_ACTIVATIONFAILED_TIMEOUT, L"CO_E_ACTIVATIONFAILED_TIMEOUT",
	CO_E_INITIALIZATIONFAILED, L"CO_E_INITIALIZATIONFAILED",
	CONTEXT_E_NOJIT, L"CONTEXT_E_NOJIT",
	CONTEXT_E_NOTRANSACTION, L"CONTEXT_E_NOTRANSACTION",
	CO_E_THREADINGMODEL_CHANGED, L"CO_E_THREADINGMODEL_CHANGED",
	CO_E_NOIISINTRINSICS, L"CO_E_NOIISINTRINSICS",
	CO_E_NOCOOKIES, L"CO_E_NOCOOKIES",
	CO_E_DBERROR, L"CO_E_DBERROR",
	CO_E_NOTPOOLED, L"CO_E_NOTPOOLED",
	CO_E_NOTCONSTRUCTED, L"CO_E_NOTCONSTRUCTED",
	CO_E_NOSYNCHRONIZATION, L"CO_E_NOSYNCHRONIZATION",
	CO_E_ISOLEVELMISMATCH, L"CO_E_ISOLEVELMISMATCH",
	CO_E_CALL_OUT_OF_TX_SCOPE_NOT_ALLOWED, L"CO_E_CALL_OUT_OF_TX_SCOPE_NOT_ALLOWED",
	CO_E_EXIT_TRANSACTION_SCOPE_NOT_CALLED, L"CO_E_EXIT_TRANSACTION_SCOPE_NOT_CALLED",
	OLE_S_USEREG, L"OLE_S_USEREG",
	OLE_S_STATIC, L"OLE_S_STATIC",
	OLE_S_MAC_CLIPFORMAT, L"OLE_S_MAC_CLIPFORMAT",
	DRAGDROP_S_DROP, L"DRAGDROP_S_DROP",
	DRAGDROP_S_CANCEL, L"DRAGDROP_S_CANCEL",
	DRAGDROP_S_USEDEFAULTCURSORS, L"DRAGDROP_S_USEDEFAULTCURSORS",
	DATA_S_SAMEFORMATETC, L"DATA_S_SAMEFORMATETC",
	VIEW_S_ALREADY_FROZEN, L"VIEW_S_ALREADY_FROZEN",
	CACHE_S_FORMATETC_NOTSUPPORTED, L"CACHE_S_FORMATETC_NOTSUPPORTED",
	CACHE_S_SAMECACHE, L"CACHE_S_SAMECACHE",
	CACHE_S_SOMECACHES_NOTUPDATED, L"CACHE_S_SOMECACHES_NOTUPDATED",
	OLEOBJ_S_INVALIDVERB, L"OLEOBJ_S_INVALIDVERB",
	OLEOBJ_S_CANNOT_DOVERB_NOW, L"OLEOBJ_S_CANNOT_DOVERB_NOW",
	OLEOBJ_S_INVALIDHWND, L"OLEOBJ_S_INVALIDHWND",
	INPLACE_S_TRUNCATED, L"INPLACE_S_TRUNCATED",
	CONVERT10_S_NO_PRESENTATION, L"CONVERT10_S_NO_PRESENTATION",
	MK_S_REDUCED_TO_SELF, L"MK_S_REDUCED_TO_SELF",
	MK_S_ME, L"MK_S_ME",
	MK_S_HIM, L"MK_S_HIM",
	MK_S_US, L"MK_S_US",
	MK_S_MONIKERALREADYREGISTERED, L"MK_S_MONIKERALREADYREGISTERED",
	SCHED_S_TASK_READY, L"SCHED_S_TASK_READY",
	SCHED_S_TASK_RUNNING, L"SCHED_S_TASK_RUNNING",
	SCHED_S_TASK_DISABLED, L"SCHED_S_TASK_DISABLED",
	SCHED_S_TASK_HAS_NOT_RUN, L"SCHED_S_TASK_HAS_NOT_RUN",
	SCHED_S_TASK_NO_MORE_RUNS, L"SCHED_S_TASK_NO_MORE_RUNS",
	SCHED_S_TASK_NOT_SCHEDULED, L"SCHED_S_TASK_NOT_SCHEDULED",
	SCHED_S_TASK_TERMINATED, L"SCHED_S_TASK_TERMINATED",
	SCHED_S_TASK_NO_VALID_TRIGGERS, L"SCHED_S_TASK_NO_VALID_TRIGGERS",
	SCHED_S_EVENT_TRIGGER, L"SCHED_S_EVENT_TRIGGER",
	SCHED_E_TRIGGER_NOT_FOUND, L"SCHED_E_TRIGGER_NOT_FOUND",
	SCHED_E_TASK_NOT_READY, L"SCHED_E_TASK_NOT_READY",
	SCHED_E_TASK_NOT_RUNNING, L"SCHED_E_TASK_NOT_RUNNING",
	SCHED_E_SERVICE_NOT_INSTALLED, L"SCHED_E_SERVICE_NOT_INSTALLED",
	SCHED_E_CANNOT_OPEN_TASK, L"SCHED_E_CANNOT_OPEN_TASK",
	SCHED_E_INVALID_TASK, L"SCHED_E_INVALID_TASK",
	SCHED_E_ACCOUNT_INFORMATION_NOT_SET, L"SCHED_E_ACCOUNT_INFORMATION_NOT_SET",
	SCHED_E_ACCOUNT_NAME_NOT_FOUND, L"SCHED_E_ACCOUNT_NAME_NOT_FOUND",
	SCHED_E_ACCOUNT_DBASE_CORRUPT, L"SCHED_E_ACCOUNT_DBASE_CORRUPT",
	SCHED_E_NO_SECURITY_SERVICES, L"SCHED_E_NO_SECURITY_SERVICES",
	SCHED_E_UNKNOWN_OBJECT_VERSION, L"SCHED_E_UNKNOWN_OBJECT_VERSION",
	SCHED_E_UNSUPPORTED_ACCOUNT_OPTION, L"SCHED_E_UNSUPPORTED_ACCOUNT_OPTION",
	SCHED_E_SERVICE_NOT_RUNNING, L"SCHED_E_SERVICE_NOT_RUNNING",
	SCHED_E_UNEXPECTEDNODE, L"SCHED_E_UNEXPECTEDNODE",
	SCHED_E_NAMESPACE, L"SCHED_E_NAMESPACE",
	SCHED_E_INVALIDVALUE, L"SCHED_E_INVALIDVALUE",
	SCHED_E_MISSINGNODE, L"SCHED_E_MISSINGNODE",
	SCHED_E_MALFORMEDXML, L"SCHED_E_MALFORMEDXML",
	SCHED_S_SOME_TRIGGERS_FAILED, L"SCHED_S_SOME_TRIGGERS_FAILED",
	SCHED_S_BATCH_LOGON_PROBLEM, L"SCHED_S_BATCH_LOGON_PROBLEM",
	SCHED_E_TOO_MANY_NODES, L"SCHED_E_TOO_MANY_NODES",
	SCHED_E_PAST_END_BOUNDARY, L"SCHED_E_PAST_END_BOUNDARY",
	SCHED_E_ALREADY_RUNNING, L"SCHED_E_ALREADY_RUNNING",
	SCHED_E_USER_NOT_LOGGED_ON, L"SCHED_E_USER_NOT_LOGGED_ON",
	SCHED_E_INVALID_TASK_HASH, L"SCHED_E_INVALID_TASK_HASH",
	SCHED_E_SERVICE_NOT_AVAILABLE, L"SCHED_E_SERVICE_NOT_AVAILABLE",
	SCHED_E_SERVICE_TOO_BUSY, L"SCHED_E_SERVICE_TOO_BUSY",
	SCHED_E_TASK_ATTEMPTED, L"SCHED_E_TASK_ATTEMPTED",
	SCHED_S_TASK_QUEUED, L"SCHED_S_TASK_QUEUED",
	SCHED_E_TASK_DISABLED, L"SCHED_E_TASK_DISABLED",
	SCHED_E_TASK_NOT_V1_COMPAT, L"SCHED_E_TASK_NOT_V1_COMPAT",
	SCHED_E_START_ON_DEMAND, L"SCHED_E_START_ON_DEMAND",
	CO_E_CLASS_CREATE_FAILED, L"CO_E_CLASS_CREATE_FAILED",
	CO_E_SCM_ERROR, L"CO_E_SCM_ERROR",
	CO_E_SCM_RPC_FAILURE, L"CO_E_SCM_RPC_FAILURE",
	CO_E_BAD_PATH, L"CO_E_BAD_PATH",
	CO_E_SERVER_EXEC_FAILURE, L"CO_E_SERVER_EXEC_FAILURE",
	CO_E_OBJSRV_RPC_FAILURE, L"CO_E_OBJSRV_RPC_FAILURE",
	MK_E_NO_NORMALIZED, L"MK_E_NO_NORMALIZED",
	CO_E_SERVER_STOPPING, L"CO_E_SERVER_STOPPING",
	MEM_E_INVALID_ROOT, L"MEM_E_INVALID_ROOT",
	MEM_E_INVALID_LINK, L"MEM_E_INVALID_LINK",
	MEM_E_INVALID_SIZE, L"MEM_E_INVALID_SIZE",
	CO_S_NOTALLINTERFACES, L"CO_S_NOTALLINTERFACES",
	CO_S_MACHINENAMENOTFOUND, L"CO_S_MACHINENAMENOTFOUND",
	CO_E_MISSING_DISPLAYNAME, L"CO_E_MISSING_DISPLAYNAME",
	CO_E_RUNAS_VALUE_MUST_BE_AAA, L"CO_E_RUNAS_VALUE_MUST_BE_AAA",
	CO_E_ELEVATION_DISABLED, L"CO_E_ELEVATION_DISABLED",
	DISP_E_UNKNOWNINTERFACE, L"DISP_E_UNKNOWNINTERFACE",
	DISP_E_MEMBERNOTFOUND, L"DISP_E_MEMBERNOTFOUND",
	DISP_E_PARAMNOTFOUND, L"DISP_E_PARAMNOTFOUND",
	DISP_E_TYPEMISMATCH, L"DISP_E_TYPEMISMATCH",
	DISP_E_UNKNOWNNAME, L"DISP_E_UNKNOWNNAME",
	DISP_E_NONAMEDARGS, L"DISP_E_NONAMEDARGS",
	DISP_E_BADVARTYPE, L"DISP_E_BADVARTYPE",
	DISP_E_EXCEPTION, L"DISP_E_EXCEPTION",
	DISP_E_OVERFLOW, L"DISP_E_OVERFLOW",
	DISP_E_BADINDEX, L"DISP_E_BADINDEX",
	DISP_E_UNKNOWNLCID, L"DISP_E_UNKNOWNLCID",
	DISP_E_ARRAYISLOCKED, L"DISP_E_ARRAYISLOCKED",
	DISP_E_BADPARAMCOUNT, L"DISP_E_BADPARAMCOUNT",
	DISP_E_PARAMNOTOPTIONAL, L"DISP_E_PARAMNOTOPTIONAL",
	DISP_E_BADCALLEE, L"DISP_E_BADCALLEE",
	DISP_E_NOTACOLLECTION, L"DISP_E_NOTACOLLECTION",
	DISP_E_DIVBYZERO, L"DISP_E_DIVBYZERO",
	DISP_E_BUFFERTOOSMALL, L"DISP_E_BUFFERTOOSMALL",
	TYPE_E_BUFFERTOOSMALL, L"TYPE_E_BUFFERTOOSMALL",
	TYPE_E_FIELDNOTFOUND, L"TYPE_E_FIELDNOTFOUND",
	TYPE_E_INVDATAREAD, L"TYPE_E_INVDATAREAD",
	TYPE_E_UNSUPFORMAT, L"TYPE_E_UNSUPFORMAT",
	TYPE_E_REGISTRYACCESS, L"TYPE_E_REGISTRYACCESS",
	TYPE_E_LIBNOTREGISTERED, L"TYPE_E_LIBNOTREGISTERED",
	TYPE_E_UNDEFINEDTYPE, L"TYPE_E_UNDEFINEDTYPE",
	TYPE_E_QUALIFIEDNAMEDISALLOWED, L"TYPE_E_QUALIFIEDNAMEDISALLOWED",
	TYPE_E_INVALIDSTATE, L"TYPE_E_INVALIDSTATE",
	TYPE_E_WRONGTYPEKIND, L"TYPE_E_WRONGTYPEKIND",
	TYPE_E_ELEMENTNOTFOUND, L"TYPE_E_ELEMENTNOTFOUND",
	TYPE_E_AMBIGUOUSNAME, L"TYPE_E_AMBIGUOUSNAME",
	TYPE_E_NAMECONFLICT, L"TYPE_E_NAMECONFLICT",
	TYPE_E_UNKNOWNLCID, L"TYPE_E_UNKNOWNLCID",
	TYPE_E_DLLFUNCTIONNOTFOUND, L"TYPE_E_DLLFUNCTIONNOTFOUND",
	TYPE_E_BADMODULEKIND, L"TYPE_E_BADMODULEKIND",
	TYPE_E_SIZETOOBIG, L"TYPE_E_SIZETOOBIG",
	TYPE_E_DUPLICATEID, L"TYPE_E_DUPLICATEID",
	TYPE_E_INVALIDID, L"TYPE_E_INVALIDID",
	TYPE_E_TYPEMISMATCH, L"TYPE_E_TYPEMISMATCH",
	TYPE_E_OUTOFBOUNDS, L"TYPE_E_OUTOFBOUNDS",
	TYPE_E_IOERROR, L"TYPE_E_IOERROR",
	TYPE_E_CANTCREATETMPFILE, L"TYPE_E_CANTCREATETMPFILE",
	TYPE_E_CANTLOADLIBRARY, L"TYPE_E_CANTLOADLIBRARY",
	TYPE_E_INCONSISTENTPROPFUNCS, L"TYPE_E_INCONSISTENTPROPFUNCS",
	TYPE_E_CIRCULARTYPE, L"TYPE_E_CIRCULARTYPE",
	STG_E_INVALIDFUNCTION, L"STG_E_INVALIDFUNCTION",
	STG_E_FILENOTFOUND, L"STG_E_FILENOTFOUND",
	STG_E_PATHNOTFOUND, L"STG_E_PATHNOTFOUND",
	STG_E_TOOMANYOPENFILES, L"STG_E_TOOMANYOPENFILES",
	STG_E_ACCESSDENIED, L"STG_E_ACCESSDENIED",
	STG_E_INVALIDHANDLE, L"STG_E_INVALIDHANDLE",
	STG_E_INSUFFICIENTMEMORY, L"STG_E_INSUFFICIENTMEMORY",
	STG_E_INVALIDPOINTER, L"STG_E_INVALIDPOINTER",
	STG_E_NOMOREFILES, L"STG_E_NOMOREFILES",
	STG_E_DISKISWRITEPROTECTED, L"STG_E_DISKISWRITEPROTECTED",
	STG_E_SEEKERROR, L"STG_E_SEEKERROR",
	STG_E_WRITEFAULT, L"STG_E_WRITEFAULT",
	STG_E_READFAULT, L"STG_E_READFAULT",
	STG_E_SHAREVIOLATION, L"STG_E_SHAREVIOLATION",
	STG_E_LOCKVIOLATION, L"STG_E_LOCKVIOLATION",
	STG_E_FILEALREADYEXISTS, L"STG_E_FILEALREADYEXISTS",
	STG_E_INVALIDPARAMETER, L"STG_E_INVALIDPARAMETER",
	STG_E_MEDIUMFULL, L"STG_E_MEDIUMFULL",
	STG_E_PROPSETMISMATCHED, L"STG_E_PROPSETMISMATCHED",
	STG_E_ABNORMALAPIEXIT, L"STG_E_ABNORMALAPIEXIT",
	STG_E_INVALIDHEADER, L"STG_E_INVALIDHEADER",
	STG_E_INVALIDNAME, L"STG_E_INVALIDNAME",
	STG_E_UNKNOWN, L"STG_E_UNKNOWN",
	STG_E_UNIMPLEMENTEDFUNCTION, L"STG_E_UNIMPLEMENTEDFUNCTION",
	STG_E_INVALIDFLAG, L"STG_E_INVALIDFLAG",
	STG_E_INUSE, L"STG_E_INUSE",
	STG_E_NOTCURRENT, L"STG_E_NOTCURRENT",
	STG_E_REVERTED, L"STG_E_REVERTED",
	STG_E_CANTSAVE, L"STG_E_CANTSAVE",
	STG_E_OLDFORMAT, L"STG_E_OLDFORMAT",
	STG_E_OLDDLL, L"STG_E_OLDDLL",
	STG_E_SHAREREQUIRED, L"STG_E_SHAREREQUIRED",
	STG_E_NOTFILEBASEDSTORAGE, L"STG_E_NOTFILEBASEDSTORAGE",
	STG_E_EXTANTMARSHALLINGS, L"STG_E_EXTANTMARSHALLINGS",
	STG_E_DOCFILECORRUPT, L"STG_E_DOCFILECORRUPT",
	STG_E_BADBASEADDRESS, L"STG_E_BADBASEADDRESS",
	STG_E_DOCFILETOOLARGE, L"STG_E_DOCFILETOOLARGE",
	STG_E_NOTSIMPLEFORMAT, L"STG_E_NOTSIMPLEFORMAT",
	STG_E_INCOMPLETE, L"STG_E_INCOMPLETE",
	STG_E_TERMINATED, L"STG_E_TERMINATED",
	STG_S_CONVERTED, L"STG_S_CONVERTED",
	STG_S_BLOCK, L"STG_S_BLOCK",
	STG_S_RETRYNOW, L"STG_S_RETRYNOW",
	STG_S_MONITORING, L"STG_S_MONITORING",
	STG_S_MULTIPLEOPENS, L"STG_S_MULTIPLEOPENS",
	STG_S_CONSOLIDATIONFAILED, L"STG_S_CONSOLIDATIONFAILED",
	STG_S_CANNOTCONSOLIDATE, L"STG_S_CANNOTCONSOLIDATE",
	STG_E_STATUS_COPY_PROTECTION_FAILURE, L"STG_E_STATUS_COPY_PROTECTION_FAILURE",
	STG_E_CSS_AUTHENTICATION_FAILURE, L"STG_E_CSS_AUTHENTICATION_FAILURE",
	STG_E_CSS_KEY_NOT_PRESENT, L"STG_E_CSS_KEY_NOT_PRESENT",
	STG_E_CSS_KEY_NOT_ESTABLISHED, L"STG_E_CSS_KEY_NOT_ESTABLISHED",
	STG_E_CSS_SCRAMBLED_SECTOR, L"STG_E_CSS_SCRAMBLED_SECTOR",
	STG_E_CSS_REGION_MISMATCH, L"STG_E_CSS_REGION_MISMATCH",
	STG_E_RESETS_EXHAUSTED, L"STG_E_RESETS_EXHAUSTED",
	RPC_E_CALL_REJECTED, L"RPC_E_CALL_REJECTED",
	RPC_E_CALL_CANCELED, L"RPC_E_CALL_CANCELED",
	RPC_E_CANTPOST_INSENDCALL, L"RPC_E_CANTPOST_INSENDCALL",
	RPC_E_CANTCALLOUT_INASYNCCALL, L"RPC_E_CANTCALLOUT_INASYNCCALL",
	RPC_E_CANTCALLOUT_INEXTERNALCALL, L"RPC_E_CANTCALLOUT_INEXTERNALCALL",
	RPC_E_CONNECTION_TERMINATED, L"RPC_E_CONNECTION_TERMINATED",
	RPC_E_SERVER_DIED, L"RPC_E_SERVER_DIED",
	RPC_E_CLIENT_DIED, L"RPC_E_CLIENT_DIED",
	RPC_E_INVALID_DATAPACKET, L"RPC_E_INVALID_DATAPACKET",
	RPC_E_CANTTRANSMIT_CALL, L"RPC_E_CANTTRANSMIT_CALL",
	RPC_E_CLIENT_CANTMARSHAL_DATA, L"RPC_E_CLIENT_CANTMARSHAL_DATA",
	RPC_E_CLIENT_CANTUNMARSHAL_DATA, L"RPC_E_CLIENT_CANTUNMARSHAL_DATA",
	RPC_E_SERVER_CANTMARSHAL_DATA, L"RPC_E_SERVER_CANTMARSHAL_DATA",
	RPC_E_SERVER_CANTUNMARSHAL_DATA, L"RPC_E_SERVER_CANTUNMARSHAL_DATA",
	RPC_E_INVALID_DATA, L"RPC_E_INVALID_DATA",
	RPC_E_INVALID_PARAMETER, L"RPC_E_INVALID_PARAMETER",
	RPC_E_CANTCALLOUT_AGAIN, L"RPC_E_CANTCALLOUT_AGAIN",
	RPC_E_SERVER_DIED_DNE, L"RPC_E_SERVER_DIED_DNE",
	RPC_E_SYS_CALL_FAILED, L"RPC_E_SYS_CALL_FAILED",
	RPC_E_OUT_OF_RESOURCES, L"RPC_E_OUT_OF_RESOURCES",
	RPC_E_ATTEMPTED_MULTITHREAD, L"RPC_E_ATTEMPTED_MULTITHREAD",
	RPC_E_NOT_REGISTERED, L"RPC_E_NOT_REGISTERED",
	RPC_E_FAULT, L"RPC_E_FAULT",
	RPC_E_SERVERFAULT, L"RPC_E_SERVERFAULT",
	RPC_E_CHANGED_MODE, L"RPC_E_CHANGED_MODE",
	RPC_E_INVALIDMETHOD, L"RPC_E_INVALIDMETHOD",
	RPC_E_DISCONNECTED, L"RPC_E_DISCONNECTED",
	RPC_E_RETRY, L"RPC_E_RETRY",
	RPC_E_SERVERCALL_RETRYLATER, L"RPC_E_SERVERCALL_RETRYLATER",
	RPC_E_SERVERCALL_REJECTED, L"RPC_E_SERVERCALL_REJECTED",
	RPC_E_INVALID_CALLDATA, L"RPC_E_INVALID_CALLDATA",
	RPC_E_CANTCALLOUT_ININPUTSYNCCALL, L"RPC_E_CANTCALLOUT_ININPUTSYNCCALL",
	RPC_E_WRONG_THREAD, L"RPC_E_WRONG_THREAD",
	RPC_E_THREAD_NOT_INIT, L"RPC_E_THREAD_NOT_INIT",
	RPC_E_VERSION_MISMATCH, L"RPC_E_VERSION_MISMATCH",
	RPC_E_INVALID_HEADER, L"RPC_E_INVALID_HEADER",
	RPC_E_INVALID_EXTENSION, L"RPC_E_INVALID_EXTENSION",
	RPC_E_INVALID_IPID, L"RPC_E_INVALID_IPID",
	RPC_E_INVALID_OBJECT, L"RPC_E_INVALID_OBJECT",
	RPC_S_CALLPENDING, L"RPC_S_CALLPENDING",
	RPC_S_WAITONTIMER, L"RPC_S_WAITONTIMER",
	RPC_E_CALL_COMPLETE, L"RPC_E_CALL_COMPLETE",
	RPC_E_UNSECURE_CALL, L"RPC_E_UNSECURE_CALL",
	RPC_E_TOO_LATE, L"RPC_E_TOO_LATE",
	RPC_E_NO_GOOD_SECURITY_PACKAGES, L"RPC_E_NO_GOOD_SECURITY_PACKAGES",
	RPC_E_ACCESS_DENIED, L"RPC_E_ACCESS_DENIED",
	RPC_E_REMOTE_DISABLED, L"RPC_E_REMOTE_DISABLED",
	RPC_E_INVALID_OBJREF, L"RPC_E_INVALID_OBJREF",
	RPC_E_NO_CONTEXT, L"RPC_E_NO_CONTEXT",
	RPC_E_TIMEOUT, L"RPC_E_TIMEOUT",
	RPC_E_NO_SYNC, L"RPC_E_NO_SYNC",
	RPC_E_FULLSIC_REQUIRED, L"RPC_E_FULLSIC_REQUIRED",
	RPC_E_INVALID_STD_NAME, L"RPC_E_INVALID_STD_NAME",
	CO_E_FAILEDTOIMPERSONATE, L"CO_E_FAILEDTOIMPERSONATE",
	CO_E_FAILEDTOGETSECCTX, L"CO_E_FAILEDTOGETSECCTX",
	CO_E_FAILEDTOOPENTHREADTOKEN, L"CO_E_FAILEDTOOPENTHREADTOKEN",
	CO_E_FAILEDTOGETTOKENINFO, L"CO_E_FAILEDTOGETTOKENINFO",
	CO_E_TRUSTEEDOESNTMATCHCLIENT, L"CO_E_TRUSTEEDOESNTMATCHCLIENT",
	CO_E_FAILEDTOQUERYCLIENTBLANKET, L"CO_E_FAILEDTOQUERYCLIENTBLANKET",
	CO_E_FAILEDTOSETDACL, L"CO_E_FAILEDTOSETDACL",
	CO_E_ACCESSCHECKFAILED, L"CO_E_ACCESSCHECKFAILED",
	CO_E_NETACCESSAPIFAILED, L"CO_E_NETACCESSAPIFAILED",
	CO_E_WRONGTRUSTEENAMESYNTAX, L"CO_E_WRONGTRUSTEENAMESYNTAX",
	CO_E_INVALIDSID, L"CO_E_INVALIDSID",
	CO_E_CONVERSIONFAILED, L"CO_E_CONVERSIONFAILED",
	CO_E_NOMATCHINGSIDFOUND, L"CO_E_NOMATCHINGSIDFOUND",
	CO_E_LOOKUPACCSIDFAILED, L"CO_E_LOOKUPACCSIDFAILED",
	CO_E_NOMATCHINGNAMEFOUND, L"CO_E_NOMATCHINGNAMEFOUND",
	CO_E_LOOKUPACCNAMEFAILED, L"CO_E_LOOKUPACCNAMEFAILED",
	CO_E_SETSERLHNDLFAILED, L"CO_E_SETSERLHNDLFAILED",
	CO_E_FAILEDTOGETWINDIR, L"CO_E_FAILEDTOGETWINDIR",
	CO_E_PATHTOOLONG, L"CO_E_PATHTOOLONG",
	CO_E_FAILEDTOGENUUID, L"CO_E_FAILEDTOGENUUID",
	CO_E_FAILEDTOCREATEFILE, L"CO_E_FAILEDTOCREATEFILE",
	CO_E_FAILEDTOCLOSEHANDLE, L"CO_E_FAILEDTOCLOSEHANDLE",
	CO_E_EXCEEDSYSACLLIMIT, L"CO_E_EXCEEDSYSACLLIMIT",
	CO_E_ACESINWRONGORDER, L"CO_E_ACESINWRONGORDER",
	CO_E_INCOMPATIBLESTREAMVERSION, L"CO_E_INCOMPATIBLESTREAMVERSION",
	CO_E_FAILEDTOOPENPROCESSTOKEN, L"CO_E_FAILEDTOOPENPROCESSTOKEN",
	CO_E_DECODEFAILED, L"CO_E_DECODEFAILED",
	CO_E_ACNOTINITIALIZED, L"CO_E_ACNOTINITIALIZED",
	CO_E_CANCEL_DISABLED, L"CO_E_CANCEL_DISABLED",
	RPC_E_UNEXPECTED, L"RPC_E_UNEXPECTED",
	ERROR_AUDITING_DISABLED, L"ERROR_AUDITING_DISABLED",
	ERROR_ALL_SIDS_FILTERED, L"ERROR_ALL_SIDS_FILTERED",
	ERROR_BIZRULES_NOT_ENABLED, L"ERROR_BIZRULES_NOT_ENABLED",
	NTE_BAD_UID, L"NTE_BAD_UID",
	NTE_BAD_HASH, L"NTE_BAD_HASH",
	NTE_BAD_KEY, L"NTE_BAD_KEY",
	NTE_BAD_LEN, L"NTE_BAD_LEN",
	NTE_BAD_DATA, L"NTE_BAD_DATA",
	NTE_BAD_SIGNATURE, L"NTE_BAD_SIGNATURE",
	NTE_BAD_VER, L"NTE_BAD_VER",
	NTE_BAD_ALGID, L"NTE_BAD_ALGID",
	NTE_BAD_FLAGS, L"NTE_BAD_FLAGS",
	NTE_BAD_TYPE, L"NTE_BAD_TYPE",
	NTE_BAD_KEY_STATE, L"NTE_BAD_KEY_STATE",
	NTE_BAD_HASH_STATE, L"NTE_BAD_HASH_STATE",
	NTE_NO_KEY, L"NTE_NO_KEY",
	NTE_NO_MEMORY, L"NTE_NO_MEMORY",
	NTE_EXISTS, L"NTE_EXISTS",
	NTE_PERM, L"NTE_PERM",
	NTE_NOT_FOUND, L"NTE_NOT_FOUND",
	NTE_DOUBLE_ENCRYPT, L"NTE_DOUBLE_ENCRYPT",
	NTE_BAD_PROVIDER, L"NTE_BAD_PROVIDER",
	NTE_BAD_PROV_TYPE, L"NTE_BAD_PROV_TYPE",
	NTE_BAD_PUBLIC_KEY, L"NTE_BAD_PUBLIC_KEY",
	NTE_BAD_KEYSET, L"NTE_BAD_KEYSET",
	NTE_PROV_TYPE_NOT_DEF, L"NTE_PROV_TYPE_NOT_DEF",
	NTE_PROV_TYPE_ENTRY_BAD, L"NTE_PROV_TYPE_ENTRY_BAD",
	NTE_KEYSET_NOT_DEF, L"NTE_KEYSET_NOT_DEF",
	NTE_KEYSET_ENTRY_BAD, L"NTE_KEYSET_ENTRY_BAD",
	NTE_PROV_TYPE_NO_MATCH, L"NTE_PROV_TYPE_NO_MATCH",
	NTE_SIGNATURE_FILE_BAD, L"NTE_SIGNATURE_FILE_BAD",
	NTE_PROVIDER_DLL_FAIL, L"NTE_PROVIDER_DLL_FAIL",
	NTE_PROV_DLL_NOT_FOUND, L"NTE_PROV_DLL_NOT_FOUND",
	NTE_BAD_KEYSET_PARAM, L"NTE_BAD_KEYSET_PARAM",
	NTE_FAIL, L"NTE_FAIL",
	NTE_SYS_ERR, L"NTE_SYS_ERR",
	NTE_SILENT_CONTEXT, L"NTE_SILENT_CONTEXT",
	NTE_TOKEN_KEYSET_STORAGE_FULL, L"NTE_TOKEN_KEYSET_STORAGE_FULL",
	NTE_TEMPORARY_PROFILE, L"NTE_TEMPORARY_PROFILE",
	NTE_FIXEDPARAMETER, L"NTE_FIXEDPARAMETER",
	NTE_INVALID_HANDLE, L"NTE_INVALID_HANDLE",
	NTE_INVALID_PARAMETER, L"NTE_INVALID_PARAMETER",
	NTE_BUFFER_TOO_SMALL, L"NTE_BUFFER_TOO_SMALL",
	NTE_NOT_SUPPORTED, L"NTE_NOT_SUPPORTED",
	NTE_NO_MORE_ITEMS, L"NTE_NO_MORE_ITEMS",
	NTE_BUFFERS_OVERLAP, L"NTE_BUFFERS_OVERLAP",
	NTE_DECRYPTION_FAILURE, L"NTE_DECRYPTION_FAILURE",
	NTE_INTERNAL_ERROR, L"NTE_INTERNAL_ERROR",
	NTE_UI_REQUIRED, L"NTE_UI_REQUIRED",
	NTE_HMAC_NOT_SUPPORTED, L"NTE_HMAC_NOT_SUPPORTED",
	SEC_E_INSUFFICIENT_MEMORY, L"SEC_E_INSUFFICIENT_MEMORY",
	SEC_E_INVALID_HANDLE, L"SEC_E_INVALID_HANDLE",
	SEC_E_UNSUPPORTED_FUNCTION, L"SEC_E_UNSUPPORTED_FUNCTION",
	SEC_E_TARGET_UNKNOWN, L"SEC_E_TARGET_UNKNOWN",
	SEC_E_INTERNAL_ERROR, L"SEC_E_INTERNAL_ERROR",
	SEC_E_SECPKG_NOT_FOUND, L"SEC_E_SECPKG_NOT_FOUND",
	SEC_E_NOT_OWNER, L"SEC_E_NOT_OWNER",
	SEC_E_CANNOT_INSTALL, L"SEC_E_CANNOT_INSTALL",
	SEC_E_INVALID_TOKEN, L"SEC_E_INVALID_TOKEN",
	SEC_E_CANNOT_PACK, L"SEC_E_CANNOT_PACK",
	SEC_E_QOP_NOT_SUPPORTED, L"SEC_E_QOP_NOT_SUPPORTED",
	SEC_E_NO_IMPERSONATION, L"SEC_E_NO_IMPERSONATION",
	SEC_E_LOGON_DENIED, L"SEC_E_LOGON_DENIED",
	SEC_E_UNKNOWN_CREDENTIALS, L"SEC_E_UNKNOWN_CREDENTIALS",
	SEC_E_NO_CREDENTIALS, L"SEC_E_NO_CREDENTIALS",
	SEC_E_MESSAGE_ALTERED, L"SEC_E_MESSAGE_ALTERED",
	SEC_E_OUT_OF_SEQUENCE, L"SEC_E_OUT_OF_SEQUENCE",
	SEC_E_NO_AUTHENTICATING_AUTHORITY, L"SEC_E_NO_AUTHENTICATING_AUTHORITY",
	SEC_I_CONTINUE_NEEDED, L"SEC_I_CONTINUE_NEEDED",
	SEC_I_COMPLETE_NEEDED, L"SEC_I_COMPLETE_NEEDED",
	SEC_I_COMPLETE_AND_CONTINUE, L"SEC_I_COMPLETE_AND_CONTINUE",
	SEC_I_LOCAL_LOGON, L"SEC_I_LOCAL_LOGON",
	SEC_E_BAD_PKGID, L"SEC_E_BAD_PKGID",
	SEC_E_CONTEXT_EXPIRED, L"SEC_E_CONTEXT_EXPIRED",
	SEC_I_CONTEXT_EXPIRED, L"SEC_I_CONTEXT_EXPIRED",
	SEC_E_INCOMPLETE_MESSAGE, L"SEC_E_INCOMPLETE_MESSAGE",
	SEC_E_INCOMPLETE_CREDENTIALS, L"SEC_E_INCOMPLETE_CREDENTIALS",
	SEC_E_BUFFER_TOO_SMALL, L"SEC_E_BUFFER_TOO_SMALL",
	SEC_I_INCOMPLETE_CREDENTIALS, L"SEC_I_INCOMPLETE_CREDENTIALS",
	SEC_I_RENEGOTIATE, L"SEC_I_RENEGOTIATE",
	SEC_E_WRONG_PRINCIPAL, L"SEC_E_WRONG_PRINCIPAL",
	SEC_I_NO_LSA_CONTEXT, L"SEC_I_NO_LSA_CONTEXT",
	SEC_E_TIME_SKEW, L"SEC_E_TIME_SKEW",
	SEC_E_UNTRUSTED_ROOT, L"SEC_E_UNTRUSTED_ROOT",
	SEC_E_ILLEGAL_MESSAGE, L"SEC_E_ILLEGAL_MESSAGE",
	SEC_E_CERT_UNKNOWN, L"SEC_E_CERT_UNKNOWN",
	SEC_E_CERT_EXPIRED, L"SEC_E_CERT_EXPIRED",
	SEC_E_ENCRYPT_FAILURE, L"SEC_E_ENCRYPT_FAILURE",
	SEC_E_DECRYPT_FAILURE, L"SEC_E_DECRYPT_FAILURE",
	SEC_E_ALGORITHM_MISMATCH, L"SEC_E_ALGORITHM_MISMATCH",
	SEC_E_SECURITY_QOS_FAILED, L"SEC_E_SECURITY_QOS_FAILED",
	SEC_E_UNFINISHED_CONTEXT_DELETED, L"SEC_E_UNFINISHED_CONTEXT_DELETED",
	SEC_E_NO_TGT_REPLY, L"SEC_E_NO_TGT_REPLY",
	SEC_E_NO_IP_ADDRESSES, L"SEC_E_NO_IP_ADDRESSES",
	SEC_E_WRONG_CREDENTIAL_HANDLE, L"SEC_E_WRONG_CREDENTIAL_HANDLE",
	SEC_E_CRYPTO_SYSTEM_INVALID, L"SEC_E_CRYPTO_SYSTEM_INVALID",
	SEC_E_MAX_REFERRALS_EXCEEDED, L"SEC_E_MAX_REFERRALS_EXCEEDED",
	SEC_E_MUST_BE_KDC, L"SEC_E_MUST_BE_KDC",
	SEC_E_STRONG_CRYPTO_NOT_SUPPORTED, L"SEC_E_STRONG_CRYPTO_NOT_SUPPORTED",
	SEC_E_TOO_MANY_PRINCIPALS, L"SEC_E_TOO_MANY_PRINCIPALS",
	SEC_E_NO_PA_DATA, L"SEC_E_NO_PA_DATA",
	SEC_E_PKINIT_NAME_MISMATCH, L"SEC_E_PKINIT_NAME_MISMATCH",
	SEC_E_SMARTCARD_LOGON_REQUIRED, L"SEC_E_SMARTCARD_LOGON_REQUIRED",
	SEC_E_SHUTDOWN_IN_PROGRESS, L"SEC_E_SHUTDOWN_IN_PROGRESS",
	SEC_E_KDC_INVALID_REQUEST, L"SEC_E_KDC_INVALID_REQUEST",
	SEC_E_KDC_UNABLE_TO_REFER, L"SEC_E_KDC_UNABLE_TO_REFER",
	SEC_E_KDC_UNKNOWN_ETYPE, L"SEC_E_KDC_UNKNOWN_ETYPE",
	SEC_E_UNSUPPORTED_PREAUTH, L"SEC_E_UNSUPPORTED_PREAUTH",
	SEC_E_DELEGATION_REQUIRED, L"SEC_E_DELEGATION_REQUIRED",
	SEC_E_BAD_BINDINGS, L"SEC_E_BAD_BINDINGS",
	SEC_E_MULTIPLE_ACCOUNTS, L"SEC_E_MULTIPLE_ACCOUNTS",
	SEC_E_NO_KERB_KEY, L"SEC_E_NO_KERB_KEY",
	SEC_E_CERT_WRONG_USAGE, L"SEC_E_CERT_WRONG_USAGE",
	SEC_E_DOWNGRADE_DETECTED, L"SEC_E_DOWNGRADE_DETECTED",
	SEC_E_SMARTCARD_CERT_REVOKED, L"SEC_E_SMARTCARD_CERT_REVOKED",
	SEC_E_ISSUING_CA_UNTRUSTED, L"SEC_E_ISSUING_CA_UNTRUSTED",
	SEC_E_REVOCATION_OFFLINE_C, L"SEC_E_REVOCATION_OFFLINE_C",
	SEC_E_PKINIT_CLIENT_FAILURE, L"SEC_E_PKINIT_CLIENT_FAILURE",
	SEC_E_SMARTCARD_CERT_EXPIRED, L"SEC_E_SMARTCARD_CERT_EXPIRED",
	SEC_E_NO_S4U_PROT_SUPPORT, L"SEC_E_NO_S4U_PROT_SUPPORT",
	SEC_E_CROSSREALM_DELEGATION_FAILURE, L"SEC_E_CROSSREALM_DELEGATION_FAILURE",
	SEC_E_REVOCATION_OFFLINE_KDC, L"SEC_E_REVOCATION_OFFLINE_KDC",
	SEC_E_ISSUING_CA_UNTRUSTED_KDC, L"SEC_E_ISSUING_CA_UNTRUSTED_KDC",
	SEC_E_KDC_CERT_EXPIRED, L"SEC_E_KDC_CERT_EXPIRED",
	SEC_E_KDC_CERT_REVOKED, L"SEC_E_KDC_CERT_REVOKED",
	SEC_I_SIGNATURE_NEEDED, L"SEC_I_SIGNATURE_NEEDED",
	SEC_E_INVALID_PARAMETER, L"SEC_E_INVALID_PARAMETER",
	SEC_E_DELEGATION_POLICY, L"SEC_E_DELEGATION_POLICY",
	SEC_E_POLICY_NLTM_ONLY, L"SEC_E_POLICY_NLTM_ONLY",
	SEC_I_NO_RENEGOTIATION, L"SEC_I_NO_RENEGOTIATION",
	SEC_E_NO_CONTEXT, L"SEC_E_NO_CONTEXT",
	SEC_E_PKU2U_CERT_FAILURE, L"SEC_E_PKU2U_CERT_FAILURE",
	SEC_E_MUTUAL_AUTH_FAILED, L"SEC_E_MUTUAL_AUTH_FAILED",
	SEC_E_NO_SPM, L"SEC_E_NO_SPM",
	SEC_E_NOT_SUPPORTED, L"SEC_E_NOT_SUPPORTED",
	CRYPT_E_MSG_ERROR, L"CRYPT_E_MSG_ERROR",
	CRYPT_E_UNKNOWN_ALGO, L"CRYPT_E_UNKNOWN_ALGO",
	CRYPT_E_OID_FORMAT, L"CRYPT_E_OID_FORMAT",
	CRYPT_E_INVALID_MSG_TYPE, L"CRYPT_E_INVALID_MSG_TYPE",
	CRYPT_E_UNEXPECTED_ENCODING, L"CRYPT_E_UNEXPECTED_ENCODING",
	CRYPT_E_AUTH_ATTR_MISSING, L"CRYPT_E_AUTH_ATTR_MISSING",
	CRYPT_E_HASH_VALUE, L"CRYPT_E_HASH_VALUE",
	CRYPT_E_INVALID_INDEX, L"CRYPT_E_INVALID_INDEX",
	CRYPT_E_ALREADY_DECRYPTED, L"CRYPT_E_ALREADY_DECRYPTED",
	CRYPT_E_NOT_DECRYPTED, L"CRYPT_E_NOT_DECRYPTED",
	CRYPT_E_RECIPIENT_NOT_FOUND, L"CRYPT_E_RECIPIENT_NOT_FOUND",
	CRYPT_E_CONTROL_TYPE, L"CRYPT_E_CONTROL_TYPE",
	CRYPT_E_ISSUER_SERIALNUMBER, L"CRYPT_E_ISSUER_SERIALNUMBER",
	CRYPT_E_SIGNER_NOT_FOUND, L"CRYPT_E_SIGNER_NOT_FOUND",
	CRYPT_E_ATTRIBUTES_MISSING, L"CRYPT_E_ATTRIBUTES_MISSING",
	CRYPT_E_STREAM_MSG_NOT_READY, L"CRYPT_E_STREAM_MSG_NOT_READY",
	CRYPT_E_STREAM_INSUFFICIENT_DATA, L"CRYPT_E_STREAM_INSUFFICIENT_DATA",
	CRYPT_I_NEW_PROTECTION_REQUIRED, L"CRYPT_I_NEW_PROTECTION_REQUIRED",
	CRYPT_E_BAD_LEN, L"CRYPT_E_BAD_LEN",
	CRYPT_E_BAD_ENCODE, L"CRYPT_E_BAD_ENCODE",
	CRYPT_E_FILE_ERROR, L"CRYPT_E_FILE_ERROR",
	CRYPT_E_NOT_FOUND, L"CRYPT_E_NOT_FOUND",
	CRYPT_E_EXISTS, L"CRYPT_E_EXISTS",
	CRYPT_E_NO_PROVIDER, L"CRYPT_E_NO_PROVIDER",
	CRYPT_E_SELF_SIGNED, L"CRYPT_E_SELF_SIGNED",
	CRYPT_E_DELETED_PREV, L"CRYPT_E_DELETED_PREV",
	CRYPT_E_NO_MATCH, L"CRYPT_E_NO_MATCH",
	CRYPT_E_UNEXPECTED_MSG_TYPE, L"CRYPT_E_UNEXPECTED_MSG_TYPE",
	CRYPT_E_NO_KEY_PROPERTY, L"CRYPT_E_NO_KEY_PROPERTY",
	CRYPT_E_NO_DECRYPT_CERT, L"CRYPT_E_NO_DECRYPT_CERT",
	CRYPT_E_BAD_MSG, L"CRYPT_E_BAD_MSG",
	CRYPT_E_NO_SIGNER, L"CRYPT_E_NO_SIGNER",
	CRYPT_E_PENDING_CLOSE, L"CRYPT_E_PENDING_CLOSE",
	CRYPT_E_REVOKED, L"CRYPT_E_REVOKED",
	CRYPT_E_NO_REVOCATION_DLL, L"CRYPT_E_NO_REVOCATION_DLL",
	CRYPT_E_NO_REVOCATION_CHECK, L"CRYPT_E_NO_REVOCATION_CHECK",
	CRYPT_E_REVOCATION_OFFLINE, L"CRYPT_E_REVOCATION_OFFLINE",
	CRYPT_E_NOT_IN_REVOCATION_DATABASE, L"CRYPT_E_NOT_IN_REVOCATION_DATABASE",
	CRYPT_E_INVALID_NUMERIC_STRING, L"CRYPT_E_INVALID_NUMERIC_STRING",
	CRYPT_E_INVALID_PRINTABLE_STRING, L"CRYPT_E_INVALID_PRINTABLE_STRING",
	CRYPT_E_INVALID_IA5_STRING, L"CRYPT_E_INVALID_IA5_STRING",
	CRYPT_E_INVALID_X500_STRING, L"CRYPT_E_INVALID_X500_STRING",
	CRYPT_E_NOT_CHAR_STRING, L"CRYPT_E_NOT_CHAR_STRING",
	CRYPT_E_FILERESIZED, L"CRYPT_E_FILERESIZED",
	CRYPT_E_SECURITY_SETTINGS, L"CRYPT_E_SECURITY_SETTINGS",
	CRYPT_E_NO_VERIFY_USAGE_DLL, L"CRYPT_E_NO_VERIFY_USAGE_DLL",
	CRYPT_E_NO_VERIFY_USAGE_CHECK, L"CRYPT_E_NO_VERIFY_USAGE_CHECK",
	CRYPT_E_VERIFY_USAGE_OFFLINE, L"CRYPT_E_VERIFY_USAGE_OFFLINE",
	CRYPT_E_NOT_IN_CTL, L"CRYPT_E_NOT_IN_CTL",
	CRYPT_E_NO_TRUSTED_SIGNER, L"CRYPT_E_NO_TRUSTED_SIGNER",
	CRYPT_E_MISSING_PUBKEY_PARA, L"CRYPT_E_MISSING_PUBKEY_PARA",
	CRYPT_E_OSS_ERROR, L"CRYPT_E_OSS_ERROR",
	OSS_MORE_BUF, L"OSS_MORE_BUF",
	OSS_NEGATIVE_UINTEGER, L"OSS_NEGATIVE_UINTEGER",
	OSS_PDU_RANGE, L"OSS_PDU_RANGE",
	OSS_MORE_INPUT, L"OSS_MORE_INPUT",
	OSS_DATA_ERROR, L"OSS_DATA_ERROR",
	OSS_BAD_ARG, L"OSS_BAD_ARG",
	OSS_BAD_VERSION, L"OSS_BAD_VERSION",
	OSS_OUT_MEMORY, L"OSS_OUT_MEMORY",
	OSS_PDU_MISMATCH, L"OSS_PDU_MISMATCH",
	OSS_LIMITED, L"OSS_LIMITED",
	OSS_BAD_PTR, L"OSS_BAD_PTR",
	OSS_BAD_TIME, L"OSS_BAD_TIME",
	OSS_INDEFINITE_NOT_SUPPORTED, L"OSS_INDEFINITE_NOT_SUPPORTED",
	OSS_MEM_ERROR, L"OSS_MEM_ERROR",
	OSS_BAD_TABLE, L"OSS_BAD_TABLE",
	OSS_TOO_LONG, L"OSS_TOO_LONG",
	OSS_CONSTRAINT_VIOLATED, L"OSS_CONSTRAINT_VIOLATED",
	OSS_FATAL_ERROR, L"OSS_FATAL_ERROR",
	OSS_ACCESS_SERIALIZATION_ERROR, L"OSS_ACCESS_SERIALIZATION_ERROR",
	OSS_NULL_TBL, L"OSS_NULL_TBL",
	OSS_NULL_FCN, L"OSS_NULL_FCN",
	OSS_BAD_ENCRULES, L"OSS_BAD_ENCRULES",
	OSS_UNAVAIL_ENCRULES, L"OSS_UNAVAIL_ENCRULES",
	OSS_CANT_OPEN_TRACE_WINDOW, L"OSS_CANT_OPEN_TRACE_WINDOW",
	OSS_UNIMPLEMENTED, L"OSS_UNIMPLEMENTED",
	OSS_OID_DLL_NOT_LINKED, L"OSS_OID_DLL_NOT_LINKED",
	OSS_CANT_OPEN_TRACE_FILE, L"OSS_CANT_OPEN_TRACE_FILE",
	OSS_TRACE_FILE_ALREADY_OPEN, L"OSS_TRACE_FILE_ALREADY_OPEN",
	OSS_TABLE_MISMATCH, L"OSS_TABLE_MISMATCH",
	OSS_TYPE_NOT_SUPPORTED, L"OSS_TYPE_NOT_SUPPORTED",
	OSS_REAL_DLL_NOT_LINKED, L"OSS_REAL_DLL_NOT_LINKED",
	OSS_REAL_CODE_NOT_LINKED, L"OSS_REAL_CODE_NOT_LINKED",
	OSS_OUT_OF_RANGE, L"OSS_OUT_OF_RANGE",
	OSS_COPIER_DLL_NOT_LINKED, L"OSS_COPIER_DLL_NOT_LINKED",
	OSS_CONSTRAINT_DLL_NOT_LINKED, L"OSS_CONSTRAINT_DLL_NOT_LINKED",
	OSS_COMPARATOR_DLL_NOT_LINKED, L"OSS_COMPARATOR_DLL_NOT_LINKED",
	OSS_COMPARATOR_CODE_NOT_LINKED, L"OSS_COMPARATOR_CODE_NOT_LINKED",
	OSS_MEM_MGR_DLL_NOT_LINKED, L"OSS_MEM_MGR_DLL_NOT_LINKED",
	OSS_PDV_DLL_NOT_LINKED, L"OSS_PDV_DLL_NOT_LINKED",
	OSS_PDV_CODE_NOT_LINKED, L"OSS_PDV_CODE_NOT_LINKED",
	OSS_API_DLL_NOT_LINKED, L"OSS_API_DLL_NOT_LINKED",
	OSS_BERDER_DLL_NOT_LINKED, L"OSS_BERDER_DLL_NOT_LINKED",
	OSS_PER_DLL_NOT_LINKED, L"OSS_PER_DLL_NOT_LINKED",
	OSS_OPEN_TYPE_ERROR, L"OSS_OPEN_TYPE_ERROR",
	OSS_MUTEX_NOT_CREATED, L"OSS_MUTEX_NOT_CREATED",
	OSS_CANT_CLOSE_TRACE_FILE, L"OSS_CANT_CLOSE_TRACE_FILE",
	CRYPT_E_ASN1_ERROR, L"CRYPT_E_ASN1_ERROR",
	CRYPT_E_ASN1_INTERNAL, L"CRYPT_E_ASN1_INTERNAL",
	CRYPT_E_ASN1_EOD, L"CRYPT_E_ASN1_EOD",
	CRYPT_E_ASN1_CORRUPT, L"CRYPT_E_ASN1_CORRUPT",
	CRYPT_E_ASN1_LARGE, L"CRYPT_E_ASN1_LARGE",
	CRYPT_E_ASN1_CONSTRAINT, L"CRYPT_E_ASN1_CONSTRAINT",
	CRYPT_E_ASN1_MEMORY, L"CRYPT_E_ASN1_MEMORY",
	CRYPT_E_ASN1_OVERFLOW, L"CRYPT_E_ASN1_OVERFLOW",
	CRYPT_E_ASN1_BADPDU, L"CRYPT_E_ASN1_BADPDU",
	CRYPT_E_ASN1_BADARGS, L"CRYPT_E_ASN1_BADARGS",
	CRYPT_E_ASN1_BADREAL, L"CRYPT_E_ASN1_BADREAL",
	CRYPT_E_ASN1_BADTAG, L"CRYPT_E_ASN1_BADTAG",
	CRYPT_E_ASN1_CHOICE, L"CRYPT_E_ASN1_CHOICE",
	CRYPT_E_ASN1_RULE, L"CRYPT_E_ASN1_RULE",
	CRYPT_E_ASN1_UTF8, L"CRYPT_E_ASN1_UTF8",
	CRYPT_E_ASN1_PDU_TYPE, L"CRYPT_E_ASN1_PDU_TYPE",
	CRYPT_E_ASN1_NYI, L"CRYPT_E_ASN1_NYI",
	CRYPT_E_ASN1_EXTENDED, L"CRYPT_E_ASN1_EXTENDED",
	CRYPT_E_ASN1_NOEOD, L"CRYPT_E_ASN1_NOEOD",
	CERTSRV_E_BAD_REQUESTSUBJECT, L"CERTSRV_E_BAD_REQUESTSUBJECT",
	CERTSRV_E_NO_REQUEST, L"CERTSRV_E_NO_REQUEST",
	CERTSRV_E_BAD_REQUESTSTATUS, L"CERTSRV_E_BAD_REQUESTSTATUS",
	CERTSRV_E_PROPERTY_EMPTY, L"CERTSRV_E_PROPERTY_EMPTY",
	CERTSRV_E_INVALID_CA_CERTIFICATE, L"CERTSRV_E_INVALID_CA_CERTIFICATE",
	CERTSRV_E_SERVER_SUSPENDED, L"CERTSRV_E_SERVER_SUSPENDED",
	CERTSRV_E_ENCODING_LENGTH, L"CERTSRV_E_ENCODING_LENGTH",
	CERTSRV_E_ROLECONFLICT, L"CERTSRV_E_ROLECONFLICT",
	CERTSRV_E_RESTRICTEDOFFICER, L"CERTSRV_E_RESTRICTEDOFFICER",
	CERTSRV_E_KEY_ARCHIVAL_NOT_CONFIGURED, L"CERTSRV_E_KEY_ARCHIVAL_NOT_CONFIGURED",
	CERTSRV_E_NO_VALID_KRA, L"CERTSRV_E_NO_VALID_KRA",
	CERTSRV_E_BAD_REQUEST_KEY_ARCHIVAL, L"CERTSRV_E_BAD_REQUEST_KEY_ARCHIVAL",
	CERTSRV_E_NO_CAADMIN_DEFINED, L"CERTSRV_E_NO_CAADMIN_DEFINED",
	CERTSRV_E_BAD_RENEWAL_CERT_ATTRIBUTE, L"CERTSRV_E_BAD_RENEWAL_CERT_ATTRIBUTE",
	CERTSRV_E_NO_DB_SESSIONS, L"CERTSRV_E_NO_DB_SESSIONS",
	CERTSRV_E_ALIGNMENT_FAULT, L"CERTSRV_E_ALIGNMENT_FAULT",
	CERTSRV_E_ENROLL_DENIED, L"CERTSRV_E_ENROLL_DENIED",
	CERTSRV_E_TEMPLATE_DENIED, L"CERTSRV_E_TEMPLATE_DENIED",
	CERTSRV_E_DOWNLEVEL_DC_SSL_OR_UPGRADE, L"CERTSRV_E_DOWNLEVEL_DC_SSL_OR_UPGRADE",
	CERTSRV_E_ADMIN_DENIED_REQUEST, L"CERTSRV_E_ADMIN_DENIED_REQUEST",
	CERTSRV_E_NO_POLICY_SERVER, L"CERTSRV_E_NO_POLICY_SERVER",
	CERTSRV_E_UNSUPPORTED_CERT_TYPE, L"CERTSRV_E_UNSUPPORTED_CERT_TYPE",
	CERTSRV_E_NO_CERT_TYPE, L"CERTSRV_E_NO_CERT_TYPE",
	CERTSRV_E_TEMPLATE_CONFLICT, L"CERTSRV_E_TEMPLATE_CONFLICT",
	CERTSRV_E_SUBJECT_ALT_NAME_REQUIRED, L"CERTSRV_E_SUBJECT_ALT_NAME_REQUIRED",
	CERTSRV_E_ARCHIVED_KEY_REQUIRED, L"CERTSRV_E_ARCHIVED_KEY_REQUIRED",
	CERTSRV_E_SMIME_REQUIRED, L"CERTSRV_E_SMIME_REQUIRED",
	CERTSRV_E_BAD_RENEWAL_SUBJECT, L"CERTSRV_E_BAD_RENEWAL_SUBJECT",
	CERTSRV_E_BAD_TEMPLATE_VERSION, L"CERTSRV_E_BAD_TEMPLATE_VERSION",
	CERTSRV_E_TEMPLATE_POLICY_REQUIRED, L"CERTSRV_E_TEMPLATE_POLICY_REQUIRED",
	CERTSRV_E_SIGNATURE_POLICY_REQUIRED, L"CERTSRV_E_SIGNATURE_POLICY_REQUIRED",
	CERTSRV_E_SIGNATURE_COUNT, L"CERTSRV_E_SIGNATURE_COUNT",
	CERTSRV_E_SIGNATURE_REJECTED, L"CERTSRV_E_SIGNATURE_REJECTED",
	CERTSRV_E_ISSUANCE_POLICY_REQUIRED, L"CERTSRV_E_ISSUANCE_POLICY_REQUIRED",
	CERTSRV_E_SUBJECT_UPN_REQUIRED, L"CERTSRV_E_SUBJECT_UPN_REQUIRED",
	CERTSRV_E_SUBJECT_DIRECTORY_GUID_REQUIRED, L"CERTSRV_E_SUBJECT_DIRECTORY_GUID_REQUIRED",
	CERTSRV_E_SUBJECT_DNS_REQUIRED, L"CERTSRV_E_SUBJECT_DNS_REQUIRED",
	CERTSRV_E_ARCHIVED_KEY_UNEXPECTED, L"CERTSRV_E_ARCHIVED_KEY_UNEXPECTED",
	CERTSRV_E_KEY_LENGTH, L"CERTSRV_E_KEY_LENGTH",
	CERTSRV_E_SUBJECT_EMAIL_REQUIRED, L"CERTSRV_E_SUBJECT_EMAIL_REQUIRED",
	CERTSRV_E_UNKNOWN_CERT_TYPE, L"CERTSRV_E_UNKNOWN_CERT_TYPE",
	CERTSRV_E_CERT_TYPE_OVERLAP, L"CERTSRV_E_CERT_TYPE_OVERLAP",
	CERTSRV_E_TOO_MANY_SIGNATURES, L"CERTSRV_E_TOO_MANY_SIGNATURES",
	XENROLL_E_KEY_NOT_EXPORTABLE, L"XENROLL_E_KEY_NOT_EXPORTABLE",
	XENROLL_E_CANNOT_ADD_ROOT_CERT, L"XENROLL_E_CANNOT_ADD_ROOT_CERT",
	XENROLL_E_RESPONSE_KA_HASH_NOT_FOUND, L"XENROLL_E_RESPONSE_KA_HASH_NOT_FOUND",
	XENROLL_E_RESPONSE_UNEXPECTED_KA_HASH, L"XENROLL_E_RESPONSE_UNEXPECTED_KA_HASH",
	XENROLL_E_RESPONSE_KA_HASH_MISMATCH, L"XENROLL_E_RESPONSE_KA_HASH_MISMATCH",
	XENROLL_E_KEYSPEC_SMIME_MISMATCH, L"XENROLL_E_KEYSPEC_SMIME_MISMATCH",
	TRUST_E_SYSTEM_ERROR, L"TRUST_E_SYSTEM_ERROR",
	TRUST_E_NO_SIGNER_CERT, L"TRUST_E_NO_SIGNER_CERT",
	TRUST_E_COUNTER_SIGNER, L"TRUST_E_COUNTER_SIGNER",
	TRUST_E_CERT_SIGNATURE, L"TRUST_E_CERT_SIGNATURE",
	TRUST_E_TIME_STAMP, L"TRUST_E_TIME_STAMP",
	TRUST_E_BAD_DIGEST, L"TRUST_E_BAD_DIGEST",
	TRUST_E_BASIC_CONSTRAINTS, L"TRUST_E_BASIC_CONSTRAINTS",
	TRUST_E_FINANCIAL_CRITERIA, L"TRUST_E_FINANCIAL_CRITERIA",
	MSSIPOTF_E_OUTOFMEMRANGE, L"MSSIPOTF_E_OUTOFMEMRANGE",
	MSSIPOTF_E_CANTGETOBJECT, L"MSSIPOTF_E_CANTGETOBJECT",
	MSSIPOTF_E_NOHEADTABLE, L"MSSIPOTF_E_NOHEADTABLE",
	MSSIPOTF_E_BAD_MAGICNUMBER, L"MSSIPOTF_E_BAD_MAGICNUMBER",
	MSSIPOTF_E_BAD_OFFSET_TABLE, L"MSSIPOTF_E_BAD_OFFSET_TABLE",
	MSSIPOTF_E_TABLE_TAGORDER, L"MSSIPOTF_E_TABLE_TAGORDER",
	MSSIPOTF_E_TABLE_LONGWORD, L"MSSIPOTF_E_TABLE_LONGWORD",
	MSSIPOTF_E_BAD_FIRST_TABLE_PLACEMENT, L"MSSIPOTF_E_BAD_FIRST_TABLE_PLACEMENT",
	MSSIPOTF_E_TABLES_OVERLAP, L"MSSIPOTF_E_TABLES_OVERLAP",
	MSSIPOTF_E_TABLE_PADBYTES, L"MSSIPOTF_E_TABLE_PADBYTES",
	MSSIPOTF_E_FILETOOSMALL, L"MSSIPOTF_E_FILETOOSMALL",
	MSSIPOTF_E_TABLE_CHECKSUM, L"MSSIPOTF_E_TABLE_CHECKSUM",
	MSSIPOTF_E_FILE_CHECKSUM, L"MSSIPOTF_E_FILE_CHECKSUM",
	MSSIPOTF_E_FAILED_POLICY, L"MSSIPOTF_E_FAILED_POLICY",
	MSSIPOTF_E_FAILED_HINTS_CHECK, L"MSSIPOTF_E_FAILED_HINTS_CHECK",
	MSSIPOTF_E_NOT_OPENTYPE, L"MSSIPOTF_E_NOT_OPENTYPE",
	MSSIPOTF_E_FILE, L"MSSIPOTF_E_FILE",
	MSSIPOTF_E_CRYPT, L"MSSIPOTF_E_CRYPT",
	MSSIPOTF_E_BADVERSION, L"MSSIPOTF_E_BADVERSION",
	MSSIPOTF_E_DSIG_STRUCTURE, L"MSSIPOTF_E_DSIG_STRUCTURE",
	MSSIPOTF_E_PCONST_CHECK, L"MSSIPOTF_E_PCONST_CHECK",
	MSSIPOTF_E_STRUCTURE, L"MSSIPOTF_E_STRUCTURE",
	ERROR_CRED_REQUIRES_CONFIRMATION, L"ERROR_CRED_REQUIRES_CONFIRMATION",
	NTE_OP_OK, L"NTE_OP_OK",
	TRUST_E_PROVIDER_UNKNOWN, L"TRUST_E_PROVIDER_UNKNOWN",
	TRUST_E_ACTION_UNKNOWN, L"TRUST_E_ACTION_UNKNOWN",
	TRUST_E_SUBJECT_FORM_UNKNOWN, L"TRUST_E_SUBJECT_FORM_UNKNOWN",
	TRUST_E_SUBJECT_NOT_TRUSTED, L"TRUST_E_SUBJECT_NOT_TRUSTED",
	DIGSIG_E_ENCODE, L"DIGSIG_E_ENCODE",
	DIGSIG_E_DECODE, L"DIGSIG_E_DECODE",
	DIGSIG_E_EXTENSIBILITY, L"DIGSIG_E_EXTENSIBILITY",
	DIGSIG_E_CRYPTO, L"DIGSIG_E_CRYPTO",
	PERSIST_E_SIZEDEFINITE, L"PERSIST_E_SIZEDEFINITE",
	PERSIST_E_SIZEINDEFINITE, L"PERSIST_E_SIZEINDEFINITE",
	PERSIST_E_NOTSELFSIZING, L"PERSIST_E_NOTSELFSIZING",
	TRUST_E_NOSIGNATURE, L"TRUST_E_NOSIGNATURE",
	CERT_E_EXPIRED, L"CERT_E_EXPIRED",
	CERT_E_VALIDITYPERIODNESTING, L"CERT_E_VALIDITYPERIODNESTING",
	CERT_E_ROLE, L"CERT_E_ROLE",
	CERT_E_PATHLENCONST, L"CERT_E_PATHLENCONST",
	CERT_E_CRITICAL, L"CERT_E_CRITICAL",
	CERT_E_PURPOSE, L"CERT_E_PURPOSE",
	CERT_E_ISSUERCHAINING, L"CERT_E_ISSUERCHAINING",
	CERT_E_MALFORMED, L"CERT_E_MALFORMED",
	CERT_E_UNTRUSTEDROOT, L"CERT_E_UNTRUSTEDROOT",
	CERT_E_CHAINING, L"CERT_E_CHAINING",
	TRUST_E_FAIL, L"TRUST_E_FAIL",
	CERT_E_REVOKED, L"CERT_E_REVOKED",
	CERT_E_UNTRUSTEDTESTROOT, L"CERT_E_UNTRUSTEDTESTROOT",
	CERT_E_REVOCATION_FAILURE, L"CERT_E_REVOCATION_FAILURE",
	CERT_E_CN_NO_MATCH, L"CERT_E_CN_NO_MATCH",
	CERT_E_WRONG_USAGE, L"CERT_E_WRONG_USAGE",
	TRUST_E_EXPLICIT_DISTRUST, L"TRUST_E_EXPLICIT_DISTRUST",
	CERT_E_UNTRUSTEDCA, L"CERT_E_UNTRUSTEDCA",
	CERT_E_INVALID_POLICY, L"CERT_E_INVALID_POLICY",
	CERT_E_INVALID_NAME, L"CERT_E_INVALID_NAME",
	SPAPI_E_EXPECTED_SECTION_NAME, L"SPAPI_E_EXPECTED_SECTION_NAME",
	SPAPI_E_BAD_SECTION_NAME_LINE, L"SPAPI_E_BAD_SECTION_NAME_LINE",
	SPAPI_E_SECTION_NAME_TOO_LONG, L"SPAPI_E_SECTION_NAME_TOO_LONG",
	SPAPI_E_GENERAL_SYNTAX, L"SPAPI_E_GENERAL_SYNTAX",
	SPAPI_E_WRONG_INF_STYLE, L"SPAPI_E_WRONG_INF_STYLE",
	SPAPI_E_SECTION_NOT_FOUND, L"SPAPI_E_SECTION_NOT_FOUND",
	SPAPI_E_LINE_NOT_FOUND, L"SPAPI_E_LINE_NOT_FOUND",
	SPAPI_E_NO_BACKUP, L"SPAPI_E_NO_BACKUP",
	SPAPI_E_NO_ASSOCIATED_CLASS, L"SPAPI_E_NO_ASSOCIATED_CLASS",
	SPAPI_E_CLASS_MISMATCH, L"SPAPI_E_CLASS_MISMATCH",
	SPAPI_E_DUPLICATE_FOUND, L"SPAPI_E_DUPLICATE_FOUND",
	SPAPI_E_NO_DRIVER_SELECTED, L"SPAPI_E_NO_DRIVER_SELECTED",
	SPAPI_E_KEY_DOES_NOT_EXIST, L"SPAPI_E_KEY_DOES_NOT_EXIST",
	SPAPI_E_INVALID_DEVINST_NAME, L"SPAPI_E_INVALID_DEVINST_NAME",
	SPAPI_E_INVALID_CLASS, L"SPAPI_E_INVALID_CLASS",
	SPAPI_E_DEVINST_ALREADY_EXISTS, L"SPAPI_E_DEVINST_ALREADY_EXISTS",
	SPAPI_E_DEVINFO_NOT_REGISTERED, L"SPAPI_E_DEVINFO_NOT_REGISTERED",
	SPAPI_E_INVALID_REG_PROPERTY, L"SPAPI_E_INVALID_REG_PROPERTY",
	SPAPI_E_NO_INF, L"SPAPI_E_NO_INF",
	SPAPI_E_NO_SUCH_DEVINST, L"SPAPI_E_NO_SUCH_DEVINST",
	SPAPI_E_CANT_LOAD_CLASS_ICON, L"SPAPI_E_CANT_LOAD_CLASS_ICON",
	SPAPI_E_INVALID_CLASS_INSTALLER, L"SPAPI_E_INVALID_CLASS_INSTALLER",
	SPAPI_E_DI_DO_DEFAULT, L"SPAPI_E_DI_DO_DEFAULT",
	SPAPI_E_DI_NOFILECOPY, L"SPAPI_E_DI_NOFILECOPY",
	SPAPI_E_INVALID_HWPROFILE, L"SPAPI_E_INVALID_HWPROFILE",
	SPAPI_E_NO_DEVICE_SELECTED, L"SPAPI_E_NO_DEVICE_SELECTED",
	SPAPI_E_DEVINFO_LIST_LOCKED, L"SPAPI_E_DEVINFO_LIST_LOCKED",
	SPAPI_E_DEVINFO_DATA_LOCKED, L"SPAPI_E_DEVINFO_DATA_LOCKED",
	SPAPI_E_DI_BAD_PATH, L"SPAPI_E_DI_BAD_PATH",
	SPAPI_E_NO_CLASSINSTALL_PARAMS, L"SPAPI_E_NO_CLASSINSTALL_PARAMS",
	SPAPI_E_FILEQUEUE_LOCKED, L"SPAPI_E_FILEQUEUE_LOCKED",
	SPAPI_E_BAD_SERVICE_INSTALLSECT, L"SPAPI_E_BAD_SERVICE_INSTALLSECT",
	SPAPI_E_NO_CLASS_DRIVER_LIST, L"SPAPI_E_NO_CLASS_DRIVER_LIST",
	SPAPI_E_NO_ASSOCIATED_SERVICE, L"SPAPI_E_NO_ASSOCIATED_SERVICE",
	SPAPI_E_NO_DEFAULT_DEVICE_INTERFACE, L"SPAPI_E_NO_DEFAULT_DEVICE_INTERFACE",
	SPAPI_E_DEVICE_INTERFACE_ACTIVE, L"SPAPI_E_DEVICE_INTERFACE_ACTIVE",
	SPAPI_E_DEVICE_INTERFACE_REMOVED, L"SPAPI_E_DEVICE_INTERFACE_REMOVED",
	SPAPI_E_BAD_INTERFACE_INSTALLSECT, L"SPAPI_E_BAD_INTERFACE_INSTALLSECT",
	SPAPI_E_NO_SUCH_INTERFACE_CLASS, L"SPAPI_E_NO_SUCH_INTERFACE_CLASS",
	SPAPI_E_INVALID_REFERENCE_STRING, L"SPAPI_E_INVALID_REFERENCE_STRING",
	SPAPI_E_INVALID_MACHINENAME, L"SPAPI_E_INVALID_MACHINENAME",
	SPAPI_E_REMOTE_COMM_FAILURE, L"SPAPI_E_REMOTE_COMM_FAILURE",
	SPAPI_E_MACHINE_UNAVAILABLE, L"SPAPI_E_MACHINE_UNAVAILABLE",
	SPAPI_E_NO_CONFIGMGR_SERVICES, L"SPAPI_E_NO_CONFIGMGR_SERVICES",
	SPAPI_E_INVALID_PROPPAGE_PROVIDER, L"SPAPI_E_INVALID_PROPPAGE_PROVIDER",
	SPAPI_E_NO_SUCH_DEVICE_INTERFACE, L"SPAPI_E_NO_SUCH_DEVICE_INTERFACE",
	SPAPI_E_DI_POSTPROCESSING_REQUIRED, L"SPAPI_E_DI_POSTPROCESSING_REQUIRED",
	SPAPI_E_INVALID_COINSTALLER, L"SPAPI_E_INVALID_COINSTALLER",
	SPAPI_E_NO_COMPAT_DRIVERS, L"SPAPI_E_NO_COMPAT_DRIVERS",
	SPAPI_E_NO_DEVICE_ICON, L"SPAPI_E_NO_DEVICE_ICON",
	SPAPI_E_INVALID_INF_LOGCONFIG, L"SPAPI_E_INVALID_INF_LOGCONFIG",
	SPAPI_E_DI_DONT_INSTALL, L"SPAPI_E_DI_DONT_INSTALL",
	SPAPI_E_INVALID_FILTER_DRIVER, L"SPAPI_E_INVALID_FILTER_DRIVER",
	SPAPI_E_NON_WINDOWS_NT_DRIVER, L"SPAPI_E_NON_WINDOWS_NT_DRIVER",
	SPAPI_E_NON_WINDOWS_DRIVER, L"SPAPI_E_NON_WINDOWS_DRIVER",
	SPAPI_E_NO_CATALOG_FOR_OEM_INF, L"SPAPI_E_NO_CATALOG_FOR_OEM_INF",
	SPAPI_E_DEVINSTALL_QUEUE_NONNATIVE, L"SPAPI_E_DEVINSTALL_QUEUE_NONNATIVE",
	SPAPI_E_NOT_DISABLEABLE, L"SPAPI_E_NOT_DISABLEABLE",
	SPAPI_E_CANT_REMOVE_DEVINST, L"SPAPI_E_CANT_REMOVE_DEVINST",
	SPAPI_E_INVALID_TARGET, L"SPAPI_E_INVALID_TARGET",
	SPAPI_E_DRIVER_NONNATIVE, L"SPAPI_E_DRIVER_NONNATIVE",
	SPAPI_E_IN_WOW64, L"SPAPI_E_IN_WOW64",
	SPAPI_E_SET_SYSTEM_RESTORE_POINT, L"SPAPI_E_SET_SYSTEM_RESTORE_POINT",
	SPAPI_E_INCORRECTLY_COPIED_INF, L"SPAPI_E_INCORRECTLY_COPIED_INF",
	SPAPI_E_SCE_DISABLED, L"SPAPI_E_SCE_DISABLED",
	SPAPI_E_UNKNOWN_EXCEPTION, L"SPAPI_E_UNKNOWN_EXCEPTION",
	SPAPI_E_PNP_REGISTRY_ERROR, L"SPAPI_E_PNP_REGISTRY_ERROR",
	SPAPI_E_REMOTE_REQUEST_UNSUPPORTED, L"SPAPI_E_REMOTE_REQUEST_UNSUPPORTED",
	SPAPI_E_NOT_AN_INSTALLED_OEM_INF, L"SPAPI_E_NOT_AN_INSTALLED_OEM_INF",
	SPAPI_E_INF_IN_USE_BY_DEVICES, L"SPAPI_E_INF_IN_USE_BY_DEVICES",
	SPAPI_E_DI_FUNCTION_OBSOLETE, L"SPAPI_E_DI_FUNCTION_OBSOLETE",
	SPAPI_E_NO_AUTHENTICODE_CATALOG, L"SPAPI_E_NO_AUTHENTICODE_CATALOG",
	SPAPI_E_AUTHENTICODE_DISALLOWED, L"SPAPI_E_AUTHENTICODE_DISALLOWED",
	SPAPI_E_AUTHENTICODE_TRUSTED_PUBLISHER, L"SPAPI_E_AUTHENTICODE_TRUSTED_PUBLISHER",
	SPAPI_E_AUTHENTICODE_TRUST_NOT_ESTABLISHED, L"SPAPI_E_AUTHENTICODE_TRUST_NOT_ESTABLISHED",
	SPAPI_E_AUTHENTICODE_PUBLISHER_NOT_TRUSTED, L"SPAPI_E_AUTHENTICODE_PUBLISHER_NOT_TRUSTED",
	SPAPI_E_SIGNATURE_OSATTRIBUTE_MISMATCH, L"SPAPI_E_SIGNATURE_OSATTRIBUTE_MISMATCH",
	SPAPI_E_ONLY_VALIDATE_VIA_AUTHENTICODE, L"SPAPI_E_ONLY_VALIDATE_VIA_AUTHENTICODE",
	SPAPI_E_DEVICE_INSTALLER_NOT_READY, L"SPAPI_E_DEVICE_INSTALLER_NOT_READY",
	SPAPI_E_DRIVER_STORE_ADD_FAILED, L"SPAPI_E_DRIVER_STORE_ADD_FAILED",
	SPAPI_E_DEVICE_INSTALL_BLOCKED, L"SPAPI_E_DEVICE_INSTALL_BLOCKED",
	SPAPI_E_DRIVER_INSTALL_BLOCKED, L"SPAPI_E_DRIVER_INSTALL_BLOCKED",
	SPAPI_E_WRONG_INF_TYPE, L"SPAPI_E_WRONG_INF_TYPE",
	SPAPI_E_FILE_HASH_NOT_IN_CATALOG, L"SPAPI_E_FILE_HASH_NOT_IN_CATALOG",
	SPAPI_E_DRIVER_STORE_DELETE_FAILED, L"SPAPI_E_DRIVER_STORE_DELETE_FAILED",
	SPAPI_E_UNRECOVERABLE_STACK_OVERFLOW, L"SPAPI_E_UNRECOVERABLE_STACK_OVERFLOW",
	SPAPI_E_ERROR_NOT_INSTALLED, L"SPAPI_E_ERROR_NOT_INSTALLED",
	SCARD_S_SUCCESS, L"SCARD_S_SUCCESS",
	SCARD_F_INTERNAL_ERROR, L"SCARD_F_INTERNAL_ERROR",
	SCARD_E_CANCELLED, L"SCARD_E_CANCELLED",
	SCARD_E_INVALID_HANDLE, L"SCARD_E_INVALID_HANDLE",
	SCARD_E_INVALID_PARAMETER, L"SCARD_E_INVALID_PARAMETER",
	SCARD_E_INVALID_TARGET, L"SCARD_E_INVALID_TARGET",
	SCARD_E_NO_MEMORY, L"SCARD_E_NO_MEMORY",
	SCARD_F_WAITED_TOO_LONG, L"SCARD_F_WAITED_TOO_LONG",
	SCARD_E_INSUFFICIENT_BUFFER, L"SCARD_E_INSUFFICIENT_BUFFER",
	SCARD_E_UNKNOWN_READER, L"SCARD_E_UNKNOWN_READER",
	SCARD_E_TIMEOUT, L"SCARD_E_TIMEOUT",
	SCARD_E_SHARING_VIOLATION, L"SCARD_E_SHARING_VIOLATION",
	SCARD_E_NO_SMARTCARD, L"SCARD_E_NO_SMARTCARD",
	SCARD_E_UNKNOWN_CARD, L"SCARD_E_UNKNOWN_CARD",
	SCARD_E_CANT_DISPOSE, L"SCARD_E_CANT_DISPOSE",
	SCARD_E_PROTO_MISMATCH, L"SCARD_E_PROTO_MISMATCH",
	SCARD_E_NOT_READY, L"SCARD_E_NOT_READY",
	SCARD_E_INVALID_VALUE, L"SCARD_E_INVALID_VALUE",
	SCARD_E_SYSTEM_CANCELLED, L"SCARD_E_SYSTEM_CANCELLED",
	SCARD_F_COMM_ERROR, L"SCARD_F_COMM_ERROR",
	SCARD_F_UNKNOWN_ERROR, L"SCARD_F_UNKNOWN_ERROR",
	SCARD_E_INVALID_ATR, L"SCARD_E_INVALID_ATR",
	SCARD_E_NOT_TRANSACTED, L"SCARD_E_NOT_TRANSACTED",
	SCARD_E_READER_UNAVAILABLE, L"SCARD_E_READER_UNAVAILABLE",
	SCARD_P_SHUTDOWN, L"SCARD_P_SHUTDOWN",
	SCARD_E_PCI_TOO_SMALL, L"SCARD_E_PCI_TOO_SMALL",
	SCARD_E_READER_UNSUPPORTED, L"SCARD_E_READER_UNSUPPORTED",
	SCARD_E_DUPLICATE_READER, L"SCARD_E_DUPLICATE_READER",
	SCARD_E_CARD_UNSUPPORTED, L"SCARD_E_CARD_UNSUPPORTED",
	SCARD_E_NO_SERVICE, L"SCARD_E_NO_SERVICE",
	SCARD_E_SERVICE_STOPPED, L"SCARD_E_SERVICE_STOPPED",
	SCARD_E_UNEXPECTED, L"SCARD_E_UNEXPECTED",
	SCARD_E_ICC_INSTALLATION, L"SCARD_E_ICC_INSTALLATION",
	SCARD_E_ICC_CREATEORDER, L"SCARD_E_ICC_CREATEORDER",
	SCARD_E_UNSUPPORTED_FEATURE, L"SCARD_E_UNSUPPORTED_FEATURE",
	SCARD_E_DIR_NOT_FOUND, L"SCARD_E_DIR_NOT_FOUND",
	SCARD_E_FILE_NOT_FOUND, L"SCARD_E_FILE_NOT_FOUND",
	SCARD_E_NO_DIR, L"SCARD_E_NO_DIR",
	SCARD_E_NO_FILE, L"SCARD_E_NO_FILE",
	SCARD_E_NO_ACCESS, L"SCARD_E_NO_ACCESS",
	SCARD_E_WRITE_TOO_MANY, L"SCARD_E_WRITE_TOO_MANY",
	SCARD_E_BAD_SEEK, L"SCARD_E_BAD_SEEK",
	SCARD_E_INVALID_CHV, L"SCARD_E_INVALID_CHV",
	SCARD_E_UNKNOWN_RES_MNG, L"SCARD_E_UNKNOWN_RES_MNG",
	SCARD_E_NO_SUCH_CERTIFICATE, L"SCARD_E_NO_SUCH_CERTIFICATE",
	SCARD_E_CERTIFICATE_UNAVAILABLE, L"SCARD_E_CERTIFICATE_UNAVAILABLE",
	SCARD_E_NO_READERS_AVAILABLE, L"SCARD_E_NO_READERS_AVAILABLE",
	SCARD_E_COMM_DATA_LOST, L"SCARD_E_COMM_DATA_LOST",
	SCARD_E_NO_KEY_CONTAINER, L"SCARD_E_NO_KEY_CONTAINER",
	SCARD_E_SERVER_TOO_BUSY, L"SCARD_E_SERVER_TOO_BUSY",
	SCARD_E_PIN_CACHE_EXPIRED, L"SCARD_E_PIN_CACHE_EXPIRED",
	SCARD_E_NO_PIN_CACHE, L"SCARD_E_NO_PIN_CACHE",
	SCARD_E_READ_ONLY_CARD, L"SCARD_E_READ_ONLY_CARD",
	SCARD_W_UNSUPPORTED_CARD, L"SCARD_W_UNSUPPORTED_CARD",
	SCARD_W_UNRESPONSIVE_CARD, L"SCARD_W_UNRESPONSIVE_CARD",
	SCARD_W_UNPOWERED_CARD, L"SCARD_W_UNPOWERED_CARD",
	SCARD_W_RESET_CARD, L"SCARD_W_RESET_CARD",
	SCARD_W_REMOVED_CARD, L"SCARD_W_REMOVED_CARD",
	SCARD_W_SECURITY_VIOLATION, L"SCARD_W_SECURITY_VIOLATION",
	SCARD_W_WRONG_CHV, L"SCARD_W_WRONG_CHV",
	SCARD_W_CHV_BLOCKED, L"SCARD_W_CHV_BLOCKED",
	SCARD_W_EOF, L"SCARD_W_EOF",
	SCARD_W_CANCELLED_BY_USER, L"SCARD_W_CANCELLED_BY_USER",
	SCARD_W_CARD_NOT_AUTHENTICATED, L"SCARD_W_CARD_NOT_AUTHENTICATED",
	SCARD_W_CACHE_ITEM_NOT_FOUND, L"SCARD_W_CACHE_ITEM_NOT_FOUND",
	SCARD_W_CACHE_ITEM_STALE, L"SCARD_W_CACHE_ITEM_STALE",
	SCARD_W_CACHE_ITEM_TOO_BIG, L"SCARD_W_CACHE_ITEM_TOO_BIG",
	COMADMIN_E_OBJECTERRORS, L"COMADMIN_E_OBJECTERRORS",
	COMADMIN_E_OBJECTINVALID, L"COMADMIN_E_OBJECTINVALID",
	COMADMIN_E_KEYMISSING, L"COMADMIN_E_KEYMISSING",
	COMADMIN_E_ALREADYINSTALLED, L"COMADMIN_E_ALREADYINSTALLED",
	COMADMIN_E_APP_FILE_WRITEFAIL, L"COMADMIN_E_APP_FILE_WRITEFAIL",
	COMADMIN_E_APP_FILE_READFAIL, L"COMADMIN_E_APP_FILE_READFAIL",
	COMADMIN_E_APP_FILE_VERSION, L"COMADMIN_E_APP_FILE_VERSION",
	COMADMIN_E_BADPATH, L"COMADMIN_E_BADPATH",
	COMADMIN_E_APPLICATIONEXISTS, L"COMADMIN_E_APPLICATIONEXISTS",
	COMADMIN_E_ROLEEXISTS, L"COMADMIN_E_ROLEEXISTS",
	COMADMIN_E_CANTCOPYFILE, L"COMADMIN_E_CANTCOPYFILE",
	COMADMIN_E_NOUSER, L"COMADMIN_E_NOUSER",
	COMADMIN_E_INVALIDUSERIDS, L"COMADMIN_E_INVALIDUSERIDS",
	COMADMIN_E_NOREGISTRYCLSID, L"COMADMIN_E_NOREGISTRYCLSID",
	COMADMIN_E_BADREGISTRYPROGID, L"COMADMIN_E_BADREGISTRYPROGID",
	COMADMIN_E_AUTHENTICATIONLEVEL, L"COMADMIN_E_AUTHENTICATIONLEVEL",
	COMADMIN_E_USERPASSWDNOTVALID, L"COMADMIN_E_USERPASSWDNOTVALID",
	COMADMIN_E_CLSIDORIIDMISMATCH, L"COMADMIN_E_CLSIDORIIDMISMATCH",
	COMADMIN_E_REMOTEINTERFACE, L"COMADMIN_E_REMOTEINTERFACE",
	COMADMIN_E_DLLREGISTERSERVER, L"COMADMIN_E_DLLREGISTERSERVER",
	COMADMIN_E_NOSERVERSHARE, L"COMADMIN_E_NOSERVERSHARE",
	COMADMIN_E_DLLLOADFAILED, L"COMADMIN_E_DLLLOADFAILED",
	COMADMIN_E_BADREGISTRYLIBID, L"COMADMIN_E_BADREGISTRYLIBID",
	COMADMIN_E_APPDIRNOTFOUND, L"COMADMIN_E_APPDIRNOTFOUND",
	COMADMIN_E_REGISTRARFAILED, L"COMADMIN_E_REGISTRARFAILED",
	COMADMIN_E_COMPFILE_DOESNOTEXIST, L"COMADMIN_E_COMPFILE_DOESNOTEXIST",
	COMADMIN_E_COMPFILE_LOADDLLFAIL, L"COMADMIN_E_COMPFILE_LOADDLLFAIL",
	COMADMIN_E_COMPFILE_GETCLASSOBJ, L"COMADMIN_E_COMPFILE_GETCLASSOBJ",
	COMADMIN_E_COMPFILE_CLASSNOTAVAIL, L"COMADMIN_E_COMPFILE_CLASSNOTAVAIL",
	COMADMIN_E_COMPFILE_BADTLB, L"COMADMIN_E_COMPFILE_BADTLB",
	COMADMIN_E_COMPFILE_NOTINSTALLABLE, L"COMADMIN_E_COMPFILE_NOTINSTALLABLE",
	COMADMIN_E_NOTCHANGEABLE, L"COMADMIN_E_NOTCHANGEABLE",
	COMADMIN_E_NOTDELETEABLE, L"COMADMIN_E_NOTDELETEABLE",
	COMADMIN_E_SESSION, L"COMADMIN_E_SESSION",
	COMADMIN_E_COMP_MOVE_LOCKED, L"COMADMIN_E_COMP_MOVE_LOCKED",
	COMADMIN_E_COMP_MOVE_BAD_DEST, L"COMADMIN_E_COMP_MOVE_BAD_DEST",
	COMADMIN_E_REGISTERTLB, L"COMADMIN_E_REGISTERTLB",
	COMADMIN_E_SYSTEMAPP, L"COMADMIN_E_SYSTEMAPP",
	COMADMIN_E_COMPFILE_NOREGISTRAR, L"COMADMIN_E_COMPFILE_NOREGISTRAR",
	COMADMIN_E_COREQCOMPINSTALLED, L"COMADMIN_E_COREQCOMPINSTALLED",
	COMADMIN_E_SERVICENOTINSTALLED, L"COMADMIN_E_SERVICENOTINSTALLED",
	COMADMIN_E_PROPERTYSAVEFAILED, L"COMADMIN_E_PROPERTYSAVEFAILED",
	COMADMIN_E_OBJECTEXISTS, L"COMADMIN_E_OBJECTEXISTS",
	COMADMIN_E_COMPONENTEXISTS, L"COMADMIN_E_COMPONENTEXISTS",
	COMADMIN_E_REGFILE_CORRUPT, L"COMADMIN_E_REGFILE_CORRUPT",
	COMADMIN_E_PROPERTY_OVERFLOW, L"COMADMIN_E_PROPERTY_OVERFLOW",
	COMADMIN_E_NOTINREGISTRY, L"COMADMIN_E_NOTINREGISTRY",
	COMADMIN_E_OBJECTNOTPOOLABLE, L"COMADMIN_E_OBJECTNOTPOOLABLE",
	COMADMIN_E_APPLID_MATCHES_CLSID, L"COMADMIN_E_APPLID_MATCHES_CLSID",
	COMADMIN_E_ROLE_DOES_NOT_EXIST, L"COMADMIN_E_ROLE_DOES_NOT_EXIST",
	COMADMIN_E_START_APP_NEEDS_COMPONENTS, L"COMADMIN_E_START_APP_NEEDS_COMPONENTS",
	COMADMIN_E_REQUIRES_DIFFERENT_PLATFORM, L"COMADMIN_E_REQUIRES_DIFFERENT_PLATFORM",
	COMADMIN_E_CAN_NOT_EXPORT_APP_PROXY, L"COMADMIN_E_CAN_NOT_EXPORT_APP_PROXY",
	COMADMIN_E_CAN_NOT_START_APP, L"COMADMIN_E_CAN_NOT_START_APP",
	COMADMIN_E_CAN_NOT_EXPORT_SYS_APP, L"COMADMIN_E_CAN_NOT_EXPORT_SYS_APP",
	COMADMIN_E_CANT_SUBSCRIBE_TO_COMPONENT, L"COMADMIN_E_CANT_SUBSCRIBE_TO_COMPONENT",
	COMADMIN_E_EVENTCLASS_CANT_BE_SUBSCRIBER, L"COMADMIN_E_EVENTCLASS_CANT_BE_SUBSCRIBER",
	COMADMIN_E_LIB_APP_PROXY_INCOMPATIBLE, L"COMADMIN_E_LIB_APP_PROXY_INCOMPATIBLE",
	COMADMIN_E_BASE_PARTITION_ONLY, L"COMADMIN_E_BASE_PARTITION_ONLY",
	COMADMIN_E_START_APP_DISABLED, L"COMADMIN_E_START_APP_DISABLED",
	COMADMIN_E_CAT_DUPLICATE_PARTITION_NAME, L"COMADMIN_E_CAT_DUPLICATE_PARTITION_NAME",
	COMADMIN_E_CAT_INVALID_PARTITION_NAME, L"COMADMIN_E_CAT_INVALID_PARTITION_NAME",
	COMADMIN_E_CAT_PARTITION_IN_USE, L"COMADMIN_E_CAT_PARTITION_IN_USE",
	COMADMIN_E_FILE_PARTITION_DUPLICATE_FILES, L"COMADMIN_E_FILE_PARTITION_DUPLICATE_FILES",
	COMADMIN_E_CAT_IMPORTED_COMPONENTS_NOT_ALLOWED, L"COMADMIN_E_CAT_IMPORTED_COMPONENTS_NOT_ALLOWED",
	COMADMIN_E_AMBIGUOUS_APPLICATION_NAME, L"COMADMIN_E_AMBIGUOUS_APPLICATION_NAME",
	COMADMIN_E_AMBIGUOUS_PARTITION_NAME, L"COMADMIN_E_AMBIGUOUS_PARTITION_NAME",
	COMADMIN_E_REGDB_NOTINITIALIZED, L"COMADMIN_E_REGDB_NOTINITIALIZED",
	COMADMIN_E_REGDB_NOTOPEN, L"COMADMIN_E_REGDB_NOTOPEN",
	COMADMIN_E_REGDB_SYSTEMERR, L"COMADMIN_E_REGDB_SYSTEMERR",
	COMADMIN_E_REGDB_ALREADYRUNNING, L"COMADMIN_E_REGDB_ALREADYRUNNING",
	COMADMIN_E_MIG_VERSIONNOTSUPPORTED, L"COMADMIN_E_MIG_VERSIONNOTSUPPORTED",
	COMADMIN_E_MIG_SCHEMANOTFOUND, L"COMADMIN_E_MIG_SCHEMANOTFOUND",
	COMADMIN_E_CAT_BITNESSMISMATCH, L"COMADMIN_E_CAT_BITNESSMISMATCH",
	COMADMIN_E_CAT_UNACCEPTABLEBITNESS, L"COMADMIN_E_CAT_UNACCEPTABLEBITNESS",
	COMADMIN_E_CAT_WRONGAPPBITNESS, L"COMADMIN_E_CAT_WRONGAPPBITNESS",
	COMADMIN_E_CAT_PAUSE_RESUME_NOT_SUPPORTED, L"COMADMIN_E_CAT_PAUSE_RESUME_NOT_SUPPORTED",
	COMADMIN_E_CAT_SERVERFAULT, L"COMADMIN_E_CAT_SERVERFAULT",
	COMQC_E_APPLICATION_NOT_QUEUED, L"COMQC_E_APPLICATION_NOT_QUEUED",
	COMQC_E_NO_QUEUEABLE_INTERFACES, L"COMQC_E_NO_QUEUEABLE_INTERFACES",
	COMQC_E_QUEUING_SERVICE_NOT_AVAILABLE, L"COMQC_E_QUEUING_SERVICE_NOT_AVAILABLE",
	COMQC_E_NO_IPERSISTSTREAM, L"COMQC_E_NO_IPERSISTSTREAM",
	COMQC_E_BAD_MESSAGE, L"COMQC_E_BAD_MESSAGE",
	COMQC_E_UNAUTHENTICATED, L"COMQC_E_UNAUTHENTICATED",
	COMQC_E_UNTRUSTED_ENQUEUER, L"COMQC_E_UNTRUSTED_ENQUEUER",
	MSDTC_E_DUPLICATE_RESOURCE, L"MSDTC_E_DUPLICATE_RESOURCE",
	COMADMIN_E_OBJECT_PARENT_MISSING, L"COMADMIN_E_OBJECT_PARENT_MISSING",
	COMADMIN_E_OBJECT_DOES_NOT_EXIST, L"COMADMIN_E_OBJECT_DOES_NOT_EXIST",
	COMADMIN_E_APP_NOT_RUNNING, L"COMADMIN_E_APP_NOT_RUNNING",
	COMADMIN_E_INVALID_PARTITION, L"COMADMIN_E_INVALID_PARTITION",
	COMADMIN_E_SVCAPP_NOT_POOLABLE_OR_RECYCLABLE, L"COMADMIN_E_SVCAPP_NOT_POOLABLE_OR_RECYCLABLE",
	COMADMIN_E_USER_IN_SET, L"COMADMIN_E_USER_IN_SET",
	COMADMIN_E_CANTRECYCLELIBRARYAPPS, L"COMADMIN_E_CANTRECYCLELIBRARYAPPS",
	COMADMIN_E_CANTRECYCLESERVICEAPPS, L"COMADMIN_E_CANTRECYCLESERVICEAPPS",
	COMADMIN_E_PROCESSALREADYRECYCLED, L"COMADMIN_E_PROCESSALREADYRECYCLED",
	COMADMIN_E_PAUSEDPROCESSMAYNOTBERECYCLED, L"COMADMIN_E_PAUSEDPROCESSMAYNOTBERECYCLED",
	COMADMIN_E_CANTMAKEINPROCSERVICE, L"COMADMIN_E_CANTMAKEINPROCSERVICE",
	COMADMIN_E_PROGIDINUSEBYCLSID, L"COMADMIN_E_PROGIDINUSEBYCLSID",
	COMADMIN_E_DEFAULT_PARTITION_NOT_IN_SET, L"COMADMIN_E_DEFAULT_PARTITION_NOT_IN_SET",
	COMADMIN_E_RECYCLEDPROCESSMAYNOTBEPAUSED, L"COMADMIN_E_RECYCLEDPROCESSMAYNOTBEPAUSED",
	COMADMIN_E_PARTITION_ACCESSDENIED, L"COMADMIN_E_PARTITION_ACCESSDENIED",
	COMADMIN_E_PARTITION_MSI_ONLY, L"COMADMIN_E_PARTITION_MSI_ONLY",
	COMADMIN_E_LEGACYCOMPS_NOT_ALLOWED_IN_1_0_FORMAT, L"COMADMIN_E_LEGACYCOMPS_NOT_ALLOWED_IN_1_0_FORMAT",
	COMADMIN_E_LEGACYCOMPS_NOT_ALLOWED_IN_NONBASE_PARTITIONS, L"COMADMIN_E_LEGACYCOMPS_NOT_ALLOWED_IN_NONBASE_PARTITIONS",
	COMADMIN_E_COMP_MOVE_SOURCE, L"COMADMIN_E_COMP_MOVE_SOURCE",
	COMADMIN_E_COMP_MOVE_DEST, L"COMADMIN_E_COMP_MOVE_DEST",
	COMADMIN_E_COMP_MOVE_PRIVATE, L"COMADMIN_E_COMP_MOVE_PRIVATE",
	COMADMIN_E_BASEPARTITION_REQUIRED_IN_SET, L"COMADMIN_E_BASEPARTITION_REQUIRED_IN_SET",
	COMADMIN_E_CANNOT_ALIAS_EVENTCLASS, L"COMADMIN_E_CANNOT_ALIAS_EVENTCLASS",
	COMADMIN_E_PRIVATE_ACCESSDENIED, L"COMADMIN_E_PRIVATE_ACCESSDENIED",
	COMADMIN_E_SAFERINVALID, L"COMADMIN_E_SAFERINVALID",
	COMADMIN_E_REGISTRY_ACCESSDENIED, L"COMADMIN_E_REGISTRY_ACCESSDENIED",
	COMADMIN_E_PARTITIONS_DISABLED, L"COMADMIN_E_PARTITIONS_DISABLED",
	ERROR_FLT_IO_COMPLETE, L"ERROR_FLT_IO_COMPLETE",
	ERROR_FLT_NO_HANDLER_DEFINED, L"ERROR_FLT_NO_HANDLER_DEFINED",
	ERROR_FLT_CONTEXT_ALREADY_DEFINED, L"ERROR_FLT_CONTEXT_ALREADY_DEFINED",
	ERROR_FLT_INVALID_ASYNCHRONOUS_REQUEST, L"ERROR_FLT_INVALID_ASYNCHRONOUS_REQUEST",
	ERROR_FLT_DISALLOW_FAST_IO, L"ERROR_FLT_DISALLOW_FAST_IO",
	ERROR_FLT_INVALID_NAME_REQUEST, L"ERROR_FLT_INVALID_NAME_REQUEST",
	ERROR_FLT_NOT_SAFE_TO_POST_OPERATION, L"ERROR_FLT_NOT_SAFE_TO_POST_OPERATION",
	ERROR_FLT_NOT_INITIALIZED, L"ERROR_FLT_NOT_INITIALIZED",
	ERROR_FLT_FILTER_NOT_READY, L"ERROR_FLT_FILTER_NOT_READY",
	ERROR_FLT_POST_OPERATION_CLEANUP, L"ERROR_FLT_POST_OPERATION_CLEANUP",
	ERROR_FLT_INTERNAL_ERROR, L"ERROR_FLT_INTERNAL_ERROR",
	ERROR_FLT_DELETING_OBJECT, L"ERROR_FLT_DELETING_OBJECT",
	ERROR_FLT_MUST_BE_NONPAGED_POOL, L"ERROR_FLT_MUST_BE_NONPAGED_POOL",
	ERROR_FLT_DUPLICATE_ENTRY, L"ERROR_FLT_DUPLICATE_ENTRY",
	ERROR_FLT_CBDQ_DISABLED, L"ERROR_FLT_CBDQ_DISABLED",
	ERROR_FLT_DO_NOT_ATTACH, L"ERROR_FLT_DO_NOT_ATTACH",
	ERROR_FLT_DO_NOT_DETACH, L"ERROR_FLT_DO_NOT_DETACH",
	ERROR_FLT_INSTANCE_ALTITUDE_COLLISION, L"ERROR_FLT_INSTANCE_ALTITUDE_COLLISION",
	ERROR_FLT_INSTANCE_NAME_COLLISION, L"ERROR_FLT_INSTANCE_NAME_COLLISION",
	ERROR_FLT_FILTER_NOT_FOUND, L"ERROR_FLT_FILTER_NOT_FOUND",
	ERROR_FLT_VOLUME_NOT_FOUND, L"ERROR_FLT_VOLUME_NOT_FOUND",
	ERROR_FLT_INSTANCE_NOT_FOUND, L"ERROR_FLT_INSTANCE_NOT_FOUND",
	ERROR_FLT_CONTEXT_ALLOCATION_NOT_FOUND, L"ERROR_FLT_CONTEXT_ALLOCATION_NOT_FOUND",
	ERROR_FLT_INVALID_CONTEXT_REGISTRATION, L"ERROR_FLT_INVALID_CONTEXT_REGISTRATION",
	ERROR_FLT_NAME_CACHE_MISS, L"ERROR_FLT_NAME_CACHE_MISS",
	ERROR_FLT_NO_DEVICE_OBJECT, L"ERROR_FLT_NO_DEVICE_OBJECT",
	ERROR_FLT_VOLUME_ALREADY_MOUNTED, L"ERROR_FLT_VOLUME_ALREADY_MOUNTED",
	ERROR_FLT_ALREADY_ENLISTED, L"ERROR_FLT_ALREADY_ENLISTED",
	ERROR_FLT_CONTEXT_ALREADY_LINKED, L"ERROR_FLT_CONTEXT_ALREADY_LINKED",
	ERROR_FLT_NO_WAITER_FOR_REPLY, L"ERROR_FLT_NO_WAITER_FOR_REPLY",
	ERROR_HUNG_DISPLAY_DRIVER_THREAD, L"ERROR_HUNG_DISPLAY_DRIVER_THREAD",
	DWM_E_COMPOSITIONDISABLED, L"DWM_E_COMPOSITIONDISABLED",
	DWM_E_REMOTING_NOT_SUPPORTED, L"DWM_E_REMOTING_NOT_SUPPORTED",
	DWM_E_NO_REDIRECTION_SURFACE_AVAILABLE, L"DWM_E_NO_REDIRECTION_SURFACE_AVAILABLE",
	DWM_E_NOT_QUEUING_PRESENTS, L"DWM_E_NOT_QUEUING_PRESENTS",
	DWM_E_ADAPTER_NOT_FOUND, L"DWM_E_ADAPTER_NOT_FOUND",
	DWM_S_GDI_REDIRECTION_SURFACE, L"DWM_S_GDI_REDIRECTION_SURFACE",
	ERROR_MONITOR_NO_DESCRIPTOR, L"ERROR_MONITOR_NO_DESCRIPTOR",
	ERROR_MONITOR_UNKNOWN_DESCRIPTOR_FORMAT, L"ERROR_MONITOR_UNKNOWN_DESCRIPTOR_FORMAT",
	ERROR_MONITOR_INVALID_DESCRIPTOR_CHECKSUM, L"ERROR_MONITOR_INVALID_DESCRIPTOR_CHECKSUM",
	ERROR_MONITOR_INVALID_STANDARD_TIMING_BLOCK, L"ERROR_MONITOR_INVALID_STANDARD_TIMING_BLOCK",
	ERROR_MONITOR_WMI_DATABLOCK_REGISTRATION_FAILED, L"ERROR_MONITOR_WMI_DATABLOCK_REGISTRATION_FAILED",
	ERROR_MONITOR_INVALID_SERIAL_NUMBER_MONDSC_BLOCK, L"ERROR_MONITOR_INVALID_SERIAL_NUMBER_MONDSC_BLOCK",
	ERROR_MONITOR_INVALID_USER_FRIENDLY_MONDSC_BLOCK, L"ERROR_MONITOR_INVALID_USER_FRIENDLY_MONDSC_BLOCK",
	ERROR_MONITOR_NO_MORE_DESCRIPTOR_DATA, L"ERROR_MONITOR_NO_MORE_DESCRIPTOR_DATA",
	ERROR_MONITOR_INVALID_DETAILED_TIMING_BLOCK, L"ERROR_MONITOR_INVALID_DETAILED_TIMING_BLOCK",
	ERROR_MONITOR_INVALID_MANUFACTURE_DATE, L"ERROR_MONITOR_INVALID_MANUFACTURE_DATE",
	ERROR_GRAPHICS_NOT_EXCLUSIVE_MODE_OWNER, L"ERROR_GRAPHICS_NOT_EXCLUSIVE_MODE_OWNER",
	ERROR_GRAPHICS_INSUFFICIENT_DMA_BUFFER, L"ERROR_GRAPHICS_INSUFFICIENT_DMA_BUFFER",
	ERROR_GRAPHICS_INVALID_DISPLAY_ADAPTER, L"ERROR_GRAPHICS_INVALID_DISPLAY_ADAPTER",
	ERROR_GRAPHICS_ADAPTER_WAS_RESET, L"ERROR_GRAPHICS_ADAPTER_WAS_RESET",
	ERROR_GRAPHICS_INVALID_DRIVER_MODEL, L"ERROR_GRAPHICS_INVALID_DRIVER_MODEL",
	ERROR_GRAPHICS_PRESENT_MODE_CHANGED, L"ERROR_GRAPHICS_PRESENT_MODE_CHANGED",
	ERROR_GRAPHICS_PRESENT_OCCLUDED, L"ERROR_GRAPHICS_PRESENT_OCCLUDED",
	ERROR_GRAPHICS_PRESENT_DENIED, L"ERROR_GRAPHICS_PRESENT_DENIED",
	ERROR_GRAPHICS_CANNOTCOLORCONVERT, L"ERROR_GRAPHICS_CANNOTCOLORCONVERT",
	ERROR_GRAPHICS_DRIVER_MISMATCH, L"ERROR_GRAPHICS_DRIVER_MISMATCH",
	ERROR_GRAPHICS_PARTIAL_DATA_POPULATED, L"ERROR_GRAPHICS_PARTIAL_DATA_POPULATED",
	ERROR_GRAPHICS_PRESENT_REDIRECTION_DISABLED, L"ERROR_GRAPHICS_PRESENT_REDIRECTION_DISABLED",
	ERROR_GRAPHICS_PRESENT_UNOCCLUDED, L"ERROR_GRAPHICS_PRESENT_UNOCCLUDED",
	ERROR_GRAPHICS_NO_VIDEO_MEMORY, L"ERROR_GRAPHICS_NO_VIDEO_MEMORY",
	ERROR_GRAPHICS_CANT_LOCK_MEMORY, L"ERROR_GRAPHICS_CANT_LOCK_MEMORY",
	ERROR_GRAPHICS_ALLOCATION_BUSY, L"ERROR_GRAPHICS_ALLOCATION_BUSY",
	ERROR_GRAPHICS_TOO_MANY_REFERENCES, L"ERROR_GRAPHICS_TOO_MANY_REFERENCES",
	ERROR_GRAPHICS_TRY_AGAIN_LATER, L"ERROR_GRAPHICS_TRY_AGAIN_LATER",
	ERROR_GRAPHICS_TRY_AGAIN_NOW, L"ERROR_GRAPHICS_TRY_AGAIN_NOW",
	ERROR_GRAPHICS_ALLOCATION_INVALID, L"ERROR_GRAPHICS_ALLOCATION_INVALID",
	ERROR_GRAPHICS_UNSWIZZLING_APERTURE_UNAVAILABLE, L"ERROR_GRAPHICS_UNSWIZZLING_APERTURE_UNAVAILABLE",
	ERROR_GRAPHICS_UNSWIZZLING_APERTURE_UNSUPPORTED, L"ERROR_GRAPHICS_UNSWIZZLING_APERTURE_UNSUPPORTED",
	ERROR_GRAPHICS_CANT_EVICT_PINNED_ALLOCATION, L"ERROR_GRAPHICS_CANT_EVICT_PINNED_ALLOCATION",
	ERROR_GRAPHICS_INVALID_ALLOCATION_USAGE, L"ERROR_GRAPHICS_INVALID_ALLOCATION_USAGE",
	ERROR_GRAPHICS_CANT_RENDER_LOCKED_ALLOCATION, L"ERROR_GRAPHICS_CANT_RENDER_LOCKED_ALLOCATION",
	ERROR_GRAPHICS_ALLOCATION_CLOSED, L"ERROR_GRAPHICS_ALLOCATION_CLOSED",
	ERROR_GRAPHICS_INVALID_ALLOCATION_INSTANCE, L"ERROR_GRAPHICS_INVALID_ALLOCATION_INSTANCE",
	ERROR_GRAPHICS_INVALID_ALLOCATION_HANDLE, L"ERROR_GRAPHICS_INVALID_ALLOCATION_HANDLE",
	ERROR_GRAPHICS_WRONG_ALLOCATION_DEVICE, L"ERROR_GRAPHICS_WRONG_ALLOCATION_DEVICE",
	ERROR_GRAPHICS_ALLOCATION_CONTENT_LOST, L"ERROR_GRAPHICS_ALLOCATION_CONTENT_LOST",
	ERROR_GRAPHICS_GPU_EXCEPTION_ON_DEVICE, L"ERROR_GRAPHICS_GPU_EXCEPTION_ON_DEVICE",
	ERROR_GRAPHICS_INVALID_VIDPN_TOPOLOGY, L"ERROR_GRAPHICS_INVALID_VIDPN_TOPOLOGY",
	ERROR_GRAPHICS_VIDPN_TOPOLOGY_NOT_SUPPORTED, L"ERROR_GRAPHICS_VIDPN_TOPOLOGY_NOT_SUPPORTED",
	ERROR_GRAPHICS_VIDPN_TOPOLOGY_CURRENTLY_NOT_SUPPORTED, L"ERROR_GRAPHICS_VIDPN_TOPOLOGY_CURRENTLY_NOT_SUPPORTED",
	ERROR_GRAPHICS_INVALID_VIDPN, L"ERROR_GRAPHICS_INVALID_VIDPN",
	ERROR_GRAPHICS_INVALID_VIDEO_PRESENT_SOURCE, L"ERROR_GRAPHICS_INVALID_VIDEO_PRESENT_SOURCE",
	ERROR_GRAPHICS_INVALID_VIDEO_PRESENT_TARGET, L"ERROR_GRAPHICS_INVALID_VIDEO_PRESENT_TARGET",
	ERROR_GRAPHICS_VIDPN_MODALITY_NOT_SUPPORTED, L"ERROR_GRAPHICS_VIDPN_MODALITY_NOT_SUPPORTED",
	ERROR_GRAPHICS_MODE_NOT_PINNED, L"ERROR_GRAPHICS_MODE_NOT_PINNED",
	ERROR_GRAPHICS_INVALID_VIDPN_SOURCEMODESET, L"ERROR_GRAPHICS_INVALID_VIDPN_SOURCEMODESET",
	ERROR_GRAPHICS_INVALID_VIDPN_TARGETMODESET, L"ERROR_GRAPHICS_INVALID_VIDPN_TARGETMODESET",
	ERROR_GRAPHICS_INVALID_FREQUENCY, L"ERROR_GRAPHICS_INVALID_FREQUENCY",
	ERROR_GRAPHICS_INVALID_ACTIVE_REGION, L"ERROR_GRAPHICS_INVALID_ACTIVE_REGION",
	ERROR_GRAPHICS_INVALID_TOTAL_REGION, L"ERROR_GRAPHICS_INVALID_TOTAL_REGION",
	ERROR_GRAPHICS_INVALID_VIDEO_PRESENT_SOURCE_MODE, L"ERROR_GRAPHICS_INVALID_VIDEO_PRESENT_SOURCE_MODE",
	ERROR_GRAPHICS_INVALID_VIDEO_PRESENT_TARGET_MODE, L"ERROR_GRAPHICS_INVALID_VIDEO_PRESENT_TARGET_MODE",
	ERROR_GRAPHICS_PINNED_MODE_MUST_REMAIN_IN_SET, L"ERROR_GRAPHICS_PINNED_MODE_MUST_REMAIN_IN_SET",
	ERROR_GRAPHICS_PATH_ALREADY_IN_TOPOLOGY, L"ERROR_GRAPHICS_PATH_ALREADY_IN_TOPOLOGY",
	ERROR_GRAPHICS_MODE_ALREADY_IN_MODESET, L"ERROR_GRAPHICS_MODE_ALREADY_IN_MODESET",
	ERROR_GRAPHICS_INVALID_VIDEOPRESENTSOURCESET, L"ERROR_GRAPHICS_INVALID_VIDEOPRESENTSOURCESET",
	ERROR_GRAPHICS_INVALID_VIDEOPRESENTTARGETSET, L"ERROR_GRAPHICS_INVALID_VIDEOPRESENTTARGETSET",
	ERROR_GRAPHICS_SOURCE_ALREADY_IN_SET, L"ERROR_GRAPHICS_SOURCE_ALREADY_IN_SET",
	ERROR_GRAPHICS_TARGET_ALREADY_IN_SET, L"ERROR_GRAPHICS_TARGET_ALREADY_IN_SET",
	ERROR_GRAPHICS_INVALID_VIDPN_PRESENT_PATH, L"ERROR_GRAPHICS_INVALID_VIDPN_PRESENT_PATH",
	ERROR_GRAPHICS_NO_RECOMMENDED_VIDPN_TOPOLOGY, L"ERROR_GRAPHICS_NO_RECOMMENDED_VIDPN_TOPOLOGY",
	ERROR_GRAPHICS_INVALID_MONITOR_FREQUENCYRANGESET, L"ERROR_GRAPHICS_INVALID_MONITOR_FREQUENCYRANGESET",
	ERROR_GRAPHICS_INVALID_MONITOR_FREQUENCYRANGE, L"ERROR_GRAPHICS_INVALID_MONITOR_FREQUENCYRANGE",
	ERROR_GRAPHICS_FREQUENCYRANGE_NOT_IN_SET, L"ERROR_GRAPHICS_FREQUENCYRANGE_NOT_IN_SET",
	ERROR_GRAPHICS_NO_PREFERRED_MODE, L"ERROR_GRAPHICS_NO_PREFERRED_MODE",
	ERROR_GRAPHICS_FREQUENCYRANGE_ALREADY_IN_SET, L"ERROR_GRAPHICS_FREQUENCYRANGE_ALREADY_IN_SET",
	ERROR_GRAPHICS_STALE_MODESET, L"ERROR_GRAPHICS_STALE_MODESET",
	ERROR_GRAPHICS_INVALID_MONITOR_SOURCEMODESET, L"ERROR_GRAPHICS_INVALID_MONITOR_SOURCEMODESET",
	ERROR_GRAPHICS_INVALID_MONITOR_SOURCE_MODE, L"ERROR_GRAPHICS_INVALID_MONITOR_SOURCE_MODE",
	ERROR_GRAPHICS_NO_RECOMMENDED_FUNCTIONAL_VIDPN, L"ERROR_GRAPHICS_NO_RECOMMENDED_FUNCTIONAL_VIDPN",
	ERROR_GRAPHICS_MODE_ID_MUST_BE_UNIQUE, L"ERROR_GRAPHICS_MODE_ID_MUST_BE_UNIQUE",
	ERROR_GRAPHICS_EMPTY_ADAPTER_MONITOR_MODE_SUPPORT_INTERSECTION, L"ERROR_GRAPHICS_EMPTY_ADAPTER_MONITOR_MODE_SUPPORT_INTERSECTION",
	ERROR_GRAPHICS_VIDEO_PRESENT_TARGETS_LESS_THAN_SOURCES, L"ERROR_GRAPHICS_VIDEO_PRESENT_TARGETS_LESS_THAN_SOURCES",
	ERROR_GRAPHICS_PATH_NOT_IN_TOPOLOGY, L"ERROR_GRAPHICS_PATH_NOT_IN_TOPOLOGY",
	ERROR_GRAPHICS_ADAPTER_MUST_HAVE_AT_LEAST_ONE_SOURCE, L"ERROR_GRAPHICS_ADAPTER_MUST_HAVE_AT_LEAST_ONE_SOURCE",
	ERROR_GRAPHICS_ADAPTER_MUST_HAVE_AT_LEAST_ONE_TARGET, L"ERROR_GRAPHICS_ADAPTER_MUST_HAVE_AT_LEAST_ONE_TARGET",
	ERROR_GRAPHICS_INVALID_MONITORDESCRIPTORSET, L"ERROR_GRAPHICS_INVALID_MONITORDESCRIPTORSET",
	ERROR_GRAPHICS_INVALID_MONITORDESCRIPTOR, L"ERROR_GRAPHICS_INVALID_MONITORDESCRIPTOR",
	ERROR_GRAPHICS_MONITORDESCRIPTOR_NOT_IN_SET, L"ERROR_GRAPHICS_MONITORDESCRIPTOR_NOT_IN_SET",
	ERROR_GRAPHICS_MONITORDESCRIPTOR_ALREADY_IN_SET, L"ERROR_GRAPHICS_MONITORDESCRIPTOR_ALREADY_IN_SET",
	ERROR_GRAPHICS_MONITORDESCRIPTOR_ID_MUST_BE_UNIQUE, L"ERROR_GRAPHICS_MONITORDESCRIPTOR_ID_MUST_BE_UNIQUE",
	ERROR_GRAPHICS_INVALID_VIDPN_TARGET_SUBSET_TYPE, L"ERROR_GRAPHICS_INVALID_VIDPN_TARGET_SUBSET_TYPE",
	ERROR_GRAPHICS_RESOURCES_NOT_RELATED, L"ERROR_GRAPHICS_RESOURCES_NOT_RELATED",
	ERROR_GRAPHICS_SOURCE_ID_MUST_BE_UNIQUE, L"ERROR_GRAPHICS_SOURCE_ID_MUST_BE_UNIQUE",
	ERROR_GRAPHICS_TARGET_ID_MUST_BE_UNIQUE, L"ERROR_GRAPHICS_TARGET_ID_MUST_BE_UNIQUE",
	ERROR_GRAPHICS_NO_AVAILABLE_VIDPN_TARGET, L"ERROR_GRAPHICS_NO_AVAILABLE_VIDPN_TARGET",
	ERROR_GRAPHICS_MONITOR_COULD_NOT_BE_ASSOCIATED_WITH_ADAPTER, L"ERROR_GRAPHICS_MONITOR_COULD_NOT_BE_ASSOCIATED_WITH_ADAPTER",
	ERROR_GRAPHICS_NO_VIDPNMGR, L"ERROR_GRAPHICS_NO_VIDPNMGR",
	ERROR_GRAPHICS_NO_ACTIVE_VIDPN, L"ERROR_GRAPHICS_NO_ACTIVE_VIDPN",
	ERROR_GRAPHICS_STALE_VIDPN_TOPOLOGY, L"ERROR_GRAPHICS_STALE_VIDPN_TOPOLOGY",
	ERROR_GRAPHICS_MONITOR_NOT_CONNECTED, L"ERROR_GRAPHICS_MONITOR_NOT_CONNECTED",
	ERROR_GRAPHICS_SOURCE_NOT_IN_TOPOLOGY, L"ERROR_GRAPHICS_SOURCE_NOT_IN_TOPOLOGY",
	ERROR_GRAPHICS_INVALID_PRIMARYSURFACE_SIZE, L"ERROR_GRAPHICS_INVALID_PRIMARYSURFACE_SIZE",
	ERROR_GRAPHICS_INVALID_VISIBLEREGION_SIZE, L"ERROR_GRAPHICS_INVALID_VISIBLEREGION_SIZE",
	ERROR_GRAPHICS_INVALID_STRIDE, L"ERROR_GRAPHICS_INVALID_STRIDE",
	ERROR_GRAPHICS_INVALID_PIXELFORMAT, L"ERROR_GRAPHICS_INVALID_PIXELFORMAT",
	ERROR_GRAPHICS_INVALID_COLORBASIS, L"ERROR_GRAPHICS_INVALID_COLORBASIS",
	ERROR_GRAPHICS_INVALID_PIXELVALUEACCESSMODE, L"ERROR_GRAPHICS_INVALID_PIXELVALUEACCESSMODE",
	ERROR_GRAPHICS_TARGET_NOT_IN_TOPOLOGY, L"ERROR_GRAPHICS_TARGET_NOT_IN_TOPOLOGY",
	ERROR_GRAPHICS_NO_DISPLAY_MODE_MANAGEMENT_SUPPORT, L"ERROR_GRAPHICS_NO_DISPLAY_MODE_MANAGEMENT_SUPPORT",
	ERROR_GRAPHICS_VIDPN_SOURCE_IN_USE, L"ERROR_GRAPHICS_VIDPN_SOURCE_IN_USE",
	ERROR_GRAPHICS_CANT_ACCESS_ACTIVE_VIDPN, L"ERROR_GRAPHICS_CANT_ACCESS_ACTIVE_VIDPN",
	ERROR_GRAPHICS_INVALID_PATH_IMPORTANCE_ORDINAL, L"ERROR_GRAPHICS_INVALID_PATH_IMPORTANCE_ORDINAL",
	ERROR_GRAPHICS_INVALID_PATH_CONTENT_GEOMETRY_TRANSFORMATION, L"ERROR_GRAPHICS_INVALID_PATH_CONTENT_GEOMETRY_TRANSFORMATION",
	ERROR_GRAPHICS_PATH_CONTENT_GEOMETRY_TRANSFORMATION_NOT_SUPPORTED, L"ERROR_GRAPHICS_PATH_CONTENT_GEOMETRY_TRANSFORMATION_NOT_SUPPORTED",
	ERROR_GRAPHICS_INVALID_GAMMA_RAMP, L"ERROR_GRAPHICS_INVALID_GAMMA_RAMP",
	ERROR_GRAPHICS_GAMMA_RAMP_NOT_SUPPORTED, L"ERROR_GRAPHICS_GAMMA_RAMP_NOT_SUPPORTED",
	ERROR_GRAPHICS_MULTISAMPLING_NOT_SUPPORTED, L"ERROR_GRAPHICS_MULTISAMPLING_NOT_SUPPORTED",
	ERROR_GRAPHICS_MODE_NOT_IN_MODESET, L"ERROR_GRAPHICS_MODE_NOT_IN_MODESET",
	ERROR_GRAPHICS_DATASET_IS_EMPTY, L"ERROR_GRAPHICS_DATASET_IS_EMPTY",
	ERROR_GRAPHICS_NO_MORE_ELEMENTS_IN_DATASET, L"ERROR_GRAPHICS_NO_MORE_ELEMENTS_IN_DATASET",
	ERROR_GRAPHICS_INVALID_VIDPN_TOPOLOGY_RECOMMENDATION_REASON, L"ERROR_GRAPHICS_INVALID_VIDPN_TOPOLOGY_RECOMMENDATION_REASON",
	ERROR_GRAPHICS_INVALID_PATH_CONTENT_TYPE, L"ERROR_GRAPHICS_INVALID_PATH_CONTENT_TYPE",
	ERROR_GRAPHICS_INVALID_COPYPROTECTION_TYPE, L"ERROR_GRAPHICS_INVALID_COPYPROTECTION_TYPE",
	ERROR_GRAPHICS_UNASSIGNED_MODESET_ALREADY_EXISTS, L"ERROR_GRAPHICS_UNASSIGNED_MODESET_ALREADY_EXISTS",
	ERROR_GRAPHICS_PATH_CONTENT_GEOMETRY_TRANSFORMATION_NOT_PINNED, L"ERROR_GRAPHICS_PATH_CONTENT_GEOMETRY_TRANSFORMATION_NOT_PINNED",
	ERROR_GRAPHICS_INVALID_SCANLINE_ORDERING, L"ERROR_GRAPHICS_INVALID_SCANLINE_ORDERING",
	ERROR_GRAPHICS_TOPOLOGY_CHANGES_NOT_ALLOWED, L"ERROR_GRAPHICS_TOPOLOGY_CHANGES_NOT_ALLOWED",
	ERROR_GRAPHICS_NO_AVAILABLE_IMPORTANCE_ORDINALS, L"ERROR_GRAPHICS_NO_AVAILABLE_IMPORTANCE_ORDINALS",
	ERROR_GRAPHICS_INCOMPATIBLE_PRIVATE_FORMAT, L"ERROR_GRAPHICS_INCOMPATIBLE_PRIVATE_FORMAT",
	ERROR_GRAPHICS_INVALID_MODE_PRUNING_ALGORITHM, L"ERROR_GRAPHICS_INVALID_MODE_PRUNING_ALGORITHM",
	ERROR_GRAPHICS_INVALID_MONITOR_CAPABILITY_ORIGIN, L"ERROR_GRAPHICS_INVALID_MONITOR_CAPABILITY_ORIGIN",
	ERROR_GRAPHICS_INVALID_MONITOR_FREQUENCYRANGE_CONSTRAINT, L"ERROR_GRAPHICS_INVALID_MONITOR_FREQUENCYRANGE_CONSTRAINT",
	ERROR_GRAPHICS_MAX_NUM_PATHS_REACHED, L"ERROR_GRAPHICS_MAX_NUM_PATHS_REACHED",
	ERROR_GRAPHICS_CANCEL_VIDPN_TOPOLOGY_AUGMENTATION, L"ERROR_GRAPHICS_CANCEL_VIDPN_TOPOLOGY_AUGMENTATION",
	ERROR_GRAPHICS_INVALID_CLIENT_TYPE, L"ERROR_GRAPHICS_INVALID_CLIENT_TYPE",
	ERROR_GRAPHICS_CLIENTVIDPN_NOT_SET, L"ERROR_GRAPHICS_CLIENTVIDPN_NOT_SET",
	ERROR_GRAPHICS_SPECIFIED_CHILD_ALREADY_CONNECTED, L"ERROR_GRAPHICS_SPECIFIED_CHILD_ALREADY_CONNECTED",
	ERROR_GRAPHICS_CHILD_DESCRIPTOR_NOT_SUPPORTED, L"ERROR_GRAPHICS_CHILD_DESCRIPTOR_NOT_SUPPORTED",
	ERROR_GRAPHICS_UNKNOWN_CHILD_STATUS, L"ERROR_GRAPHICS_UNKNOWN_CHILD_STATUS",
	ERROR_GRAPHICS_NOT_A_LINKED_ADAPTER, L"ERROR_GRAPHICS_NOT_A_LINKED_ADAPTER",
	ERROR_GRAPHICS_LEADLINK_NOT_ENUMERATED, L"ERROR_GRAPHICS_LEADLINK_NOT_ENUMERATED",
	ERROR_GRAPHICS_CHAINLINKS_NOT_ENUMERATED, L"ERROR_GRAPHICS_CHAINLINKS_NOT_ENUMERATED",
	ERROR_GRAPHICS_ADAPTER_CHAIN_NOT_READY, L"ERROR_GRAPHICS_ADAPTER_CHAIN_NOT_READY",
	ERROR_GRAPHICS_CHAINLINKS_NOT_STARTED, L"ERROR_GRAPHICS_CHAINLINKS_NOT_STARTED",
	ERROR_GRAPHICS_CHAINLINKS_NOT_POWERED_ON, L"ERROR_GRAPHICS_CHAINLINKS_NOT_POWERED_ON",
	ERROR_GRAPHICS_INCONSISTENT_DEVICE_LINK_STATE, L"ERROR_GRAPHICS_INCONSISTENT_DEVICE_LINK_STATE",
	ERROR_GRAPHICS_LEADLINK_START_DEFERRED, L"ERROR_GRAPHICS_LEADLINK_START_DEFERRED",
	ERROR_GRAPHICS_NOT_POST_DEVICE_DRIVER, L"ERROR_GRAPHICS_NOT_POST_DEVICE_DRIVER",
	ERROR_GRAPHICS_POLLING_TOO_FREQUENTLY, L"ERROR_GRAPHICS_POLLING_TOO_FREQUENTLY",
	ERROR_GRAPHICS_START_DEFERRED, L"ERROR_GRAPHICS_START_DEFERRED",
	ERROR_GRAPHICS_ADAPTER_ACCESS_NOT_EXCLUDED, L"ERROR_GRAPHICS_ADAPTER_ACCESS_NOT_EXCLUDED",
	ERROR_GRAPHICS_OPM_NOT_SUPPORTED, L"ERROR_GRAPHICS_OPM_NOT_SUPPORTED",
	ERROR_GRAPHICS_COPP_NOT_SUPPORTED, L"ERROR_GRAPHICS_COPP_NOT_SUPPORTED",
	ERROR_GRAPHICS_UAB_NOT_SUPPORTED, L"ERROR_GRAPHICS_UAB_NOT_SUPPORTED",
	ERROR_GRAPHICS_OPM_INVALID_ENCRYPTED_PARAMETERS, L"ERROR_GRAPHICS_OPM_INVALID_ENCRYPTED_PARAMETERS",
	ERROR_GRAPHICS_OPM_NO_VIDEO_OUTPUTS_EXIST, L"ERROR_GRAPHICS_OPM_NO_VIDEO_OUTPUTS_EXIST",
	ERROR_GRAPHICS_OPM_INTERNAL_ERROR, L"ERROR_GRAPHICS_OPM_INTERNAL_ERROR",
	ERROR_GRAPHICS_OPM_INVALID_HANDLE, L"ERROR_GRAPHICS_OPM_INVALID_HANDLE",
	ERROR_GRAPHICS_PVP_INVALID_CERTIFICATE_LENGTH, L"ERROR_GRAPHICS_PVP_INVALID_CERTIFICATE_LENGTH",
	ERROR_GRAPHICS_OPM_SPANNING_MODE_ENABLED, L"ERROR_GRAPHICS_OPM_SPANNING_MODE_ENABLED",
	ERROR_GRAPHICS_OPM_THEATER_MODE_ENABLED, L"ERROR_GRAPHICS_OPM_THEATER_MODE_ENABLED",
	ERROR_GRAPHICS_PVP_HFS_FAILED, L"ERROR_GRAPHICS_PVP_HFS_FAILED",
	ERROR_GRAPHICS_OPM_INVALID_SRM, L"ERROR_GRAPHICS_OPM_INVALID_SRM",
	ERROR_GRAPHICS_OPM_OUTPUT_DOES_NOT_SUPPORT_HDCP, L"ERROR_GRAPHICS_OPM_OUTPUT_DOES_NOT_SUPPORT_HDCP",
	ERROR_GRAPHICS_OPM_OUTPUT_DOES_NOT_SUPPORT_ACP, L"ERROR_GRAPHICS_OPM_OUTPUT_DOES_NOT_SUPPORT_ACP",
	ERROR_GRAPHICS_OPM_OUTPUT_DOES_NOT_SUPPORT_CGMSA, L"ERROR_GRAPHICS_OPM_OUTPUT_DOES_NOT_SUPPORT_CGMSA",
	ERROR_GRAPHICS_OPM_HDCP_SRM_NEVER_SET, L"ERROR_GRAPHICS_OPM_HDCP_SRM_NEVER_SET",
	ERROR_GRAPHICS_OPM_RESOLUTION_TOO_HIGH, L"ERROR_GRAPHICS_OPM_RESOLUTION_TOO_HIGH",
	ERROR_GRAPHICS_OPM_ALL_HDCP_HARDWARE_ALREADY_IN_USE, L"ERROR_GRAPHICS_OPM_ALL_HDCP_HARDWARE_ALREADY_IN_USE",
	ERROR_GRAPHICS_OPM_VIDEO_OUTPUT_NO_LONGER_EXISTS, L"ERROR_GRAPHICS_OPM_VIDEO_OUTPUT_NO_LONGER_EXISTS",
	ERROR_GRAPHICS_OPM_SESSION_TYPE_CHANGE_IN_PROGRESS, L"ERROR_GRAPHICS_OPM_SESSION_TYPE_CHANGE_IN_PROGRESS",
	ERROR_GRAPHICS_OPM_VIDEO_OUTPUT_DOES_NOT_HAVE_COPP_SEMANTICS, L"ERROR_GRAPHICS_OPM_VIDEO_OUTPUT_DOES_NOT_HAVE_COPP_SEMANTICS",
	ERROR_GRAPHICS_OPM_INVALID_INFORMATION_REQUEST, L"ERROR_GRAPHICS_OPM_INVALID_INFORMATION_REQUEST",
	ERROR_GRAPHICS_OPM_DRIVER_INTERNAL_ERROR, L"ERROR_GRAPHICS_OPM_DRIVER_INTERNAL_ERROR",
	ERROR_GRAPHICS_OPM_VIDEO_OUTPUT_DOES_NOT_HAVE_OPM_SEMANTICS, L"ERROR_GRAPHICS_OPM_VIDEO_OUTPUT_DOES_NOT_HAVE_OPM_SEMANTICS",
	ERROR_GRAPHICS_OPM_SIGNALING_NOT_SUPPORTED, L"ERROR_GRAPHICS_OPM_SIGNALING_NOT_SUPPORTED",
	ERROR_GRAPHICS_OPM_INVALID_CONFIGURATION_REQUEST, L"ERROR_GRAPHICS_OPM_INVALID_CONFIGURATION_REQUEST",
	ERROR_GRAPHICS_I2C_NOT_SUPPORTED, L"ERROR_GRAPHICS_I2C_NOT_SUPPORTED",
	ERROR_GRAPHICS_I2C_DEVICE_DOES_NOT_EXIST, L"ERROR_GRAPHICS_I2C_DEVICE_DOES_NOT_EXIST",
	ERROR_GRAPHICS_I2C_ERROR_TRANSMITTING_DATA, L"ERROR_GRAPHICS_I2C_ERROR_TRANSMITTING_DATA",
	ERROR_GRAPHICS_I2C_ERROR_RECEIVING_DATA, L"ERROR_GRAPHICS_I2C_ERROR_RECEIVING_DATA",
	ERROR_GRAPHICS_DDCCI_VCP_NOT_SUPPORTED, L"ERROR_GRAPHICS_DDCCI_VCP_NOT_SUPPORTED",
	ERROR_GRAPHICS_DDCCI_INVALID_DATA, L"ERROR_GRAPHICS_DDCCI_INVALID_DATA",
	ERROR_GRAPHICS_DDCCI_MONITOR_RETURNED_INVALID_TIMING_STATUS_BYTE, L"ERROR_GRAPHICS_DDCCI_MONITOR_RETURNED_INVALID_TIMING_STATUS_BYTE",
	ERROR_GRAPHICS_MCA_INVALID_CAPABILITIES_STRING, L"ERROR_GRAPHICS_MCA_INVALID_CAPABILITIES_STRING",
	ERROR_GRAPHICS_MCA_INTERNAL_ERROR, L"ERROR_GRAPHICS_MCA_INTERNAL_ERROR",
	ERROR_GRAPHICS_DDCCI_INVALID_MESSAGE_COMMAND, L"ERROR_GRAPHICS_DDCCI_INVALID_MESSAGE_COMMAND",
	ERROR_GRAPHICS_DDCCI_INVALID_MESSAGE_LENGTH, L"ERROR_GRAPHICS_DDCCI_INVALID_MESSAGE_LENGTH",
	ERROR_GRAPHICS_DDCCI_INVALID_MESSAGE_CHECKSUM, L"ERROR_GRAPHICS_DDCCI_INVALID_MESSAGE_CHECKSUM",
	ERROR_GRAPHICS_INVALID_PHYSICAL_MONITOR_HANDLE, L"ERROR_GRAPHICS_INVALID_PHYSICAL_MONITOR_HANDLE",
	ERROR_GRAPHICS_MONITOR_NO_LONGER_EXISTS, L"ERROR_GRAPHICS_MONITOR_NO_LONGER_EXISTS",
	ERROR_GRAPHICS_DDCCI_CURRENT_CURRENT_VALUE_GREATER_THAN_MAXIMUM_VALUE, L"ERROR_GRAPHICS_DDCCI_CURRENT_CURRENT_VALUE_GREATER_THAN_MAXIMUM_VALUE",
	ERROR_GRAPHICS_MCA_INVALID_VCP_VERSION, L"ERROR_GRAPHICS_MCA_INVALID_VCP_VERSION",
	ERROR_GRAPHICS_MCA_MONITOR_VIOLATES_MCCS_SPECIFICATION, L"ERROR_GRAPHICS_MCA_MONITOR_VIOLATES_MCCS_SPECIFICATION",
	ERROR_GRAPHICS_MCA_MCCS_VERSION_MISMATCH, L"ERROR_GRAPHICS_MCA_MCCS_VERSION_MISMATCH",
	ERROR_GRAPHICS_MCA_UNSUPPORTED_MCCS_VERSION, L"ERROR_GRAPHICS_MCA_UNSUPPORTED_MCCS_VERSION",
	ERROR_GRAPHICS_MCA_INVALID_TECHNOLOGY_TYPE_RETURNED, L"ERROR_GRAPHICS_MCA_INVALID_TECHNOLOGY_TYPE_RETURNED",
	ERROR_GRAPHICS_MCA_UNSUPPORTED_COLOR_TEMPERATURE, L"ERROR_GRAPHICS_MCA_UNSUPPORTED_COLOR_TEMPERATURE",
	ERROR_GRAPHICS_ONLY_CONSOLE_SESSION_SUPPORTED, L"ERROR_GRAPHICS_ONLY_CONSOLE_SESSION_SUPPORTED",
	ERROR_GRAPHICS_NO_DISPLAY_DEVICE_CORRESPONDS_TO_NAME, L"ERROR_GRAPHICS_NO_DISPLAY_DEVICE_CORRESPONDS_TO_NAME",
	ERROR_GRAPHICS_DISPLAY_DEVICE_NOT_ATTACHED_TO_DESKTOP, L"ERROR_GRAPHICS_DISPLAY_DEVICE_NOT_ATTACHED_TO_DESKTOP",
	ERROR_GRAPHICS_MIRRORING_DEVICES_NOT_SUPPORTED, L"ERROR_GRAPHICS_MIRRORING_DEVICES_NOT_SUPPORTED",
	ERROR_GRAPHICS_INVALID_POINTER, L"ERROR_GRAPHICS_INVALID_POINTER",
	ERROR_GRAPHICS_NO_MONITORS_CORRESPOND_TO_DISPLAY_DEVICE, L"ERROR_GRAPHICS_NO_MONITORS_CORRESPOND_TO_DISPLAY_DEVICE",
	ERROR_GRAPHICS_PARAMETER_ARRAY_TOO_SMALL, L"ERROR_GRAPHICS_PARAMETER_ARRAY_TOO_SMALL",
	ERROR_GRAPHICS_INTERNAL_ERROR, L"ERROR_GRAPHICS_INTERNAL_ERROR",
	ERROR_GRAPHICS_SESSION_TYPE_CHANGE_IN_PROGRESS, L"ERROR_GRAPHICS_SESSION_TYPE_CHANGE_IN_PROGRESS",
	TPM_E_ERROR_MASK, L"TPM_E_ERROR_MASK",
	TPM_E_AUTHFAIL, L"TPM_E_AUTHFAIL",
	TPM_E_BADINDEX, L"TPM_E_BADINDEX",
	TPM_E_BAD_PARAMETER, L"TPM_E_BAD_PARAMETER",
	TPM_E_AUDITFAILURE, L"TPM_E_AUDITFAILURE",
	TPM_E_CLEAR_DISABLED, L"TPM_E_CLEAR_DISABLED",
	TPM_E_DEACTIVATED, L"TPM_E_DEACTIVATED",
	TPM_E_DISABLED, L"TPM_E_DISABLED",
	TPM_E_DISABLED_CMD, L"TPM_E_DISABLED_CMD",
	TPM_E_FAIL, L"TPM_E_FAIL",
	TPM_E_BAD_ORDINAL, L"TPM_E_BAD_ORDINAL",
	TPM_E_INSTALL_DISABLED, L"TPM_E_INSTALL_DISABLED",
	TPM_E_INVALID_KEYHANDLE, L"TPM_E_INVALID_KEYHANDLE",
	TPM_E_KEYNOTFOUND, L"TPM_E_KEYNOTFOUND",
	TPM_E_INAPPROPRIATE_ENC, L"TPM_E_INAPPROPRIATE_ENC",
	TPM_E_MIGRATEFAIL, L"TPM_E_MIGRATEFAIL",
	TPM_E_INVALID_PCR_INFO, L"TPM_E_INVALID_PCR_INFO",
	TPM_E_NOSPACE, L"TPM_E_NOSPACE",
	TPM_E_NOSRK, L"TPM_E_NOSRK",
	TPM_E_NOTSEALED_BLOB, L"TPM_E_NOTSEALED_BLOB",
	TPM_E_OWNER_SET, L"TPM_E_OWNER_SET",
	TPM_E_RESOURCES, L"TPM_E_RESOURCES",
	TPM_E_SHORTRANDOM, L"TPM_E_SHORTRANDOM",
	TPM_E_SIZE, L"TPM_E_SIZE",
	TPM_E_WRONGPCRVAL, L"TPM_E_WRONGPCRVAL",
	TPM_E_BAD_PARAM_SIZE, L"TPM_E_BAD_PARAM_SIZE",
	TPM_E_SHA_THREAD, L"TPM_E_SHA_THREAD",
	TPM_E_SHA_ERROR, L"TPM_E_SHA_ERROR",
	TPM_E_FAILEDSELFTEST, L"TPM_E_FAILEDSELFTEST",
	TPM_E_AUTH2FAIL, L"TPM_E_AUTH2FAIL",
	TPM_E_BADTAG, L"TPM_E_BADTAG",
	TPM_E_IOERROR, L"TPM_E_IOERROR",
	TPM_E_ENCRYPT_ERROR, L"TPM_E_ENCRYPT_ERROR",
	TPM_E_DECRYPT_ERROR, L"TPM_E_DECRYPT_ERROR",
	TPM_E_INVALID_AUTHHANDLE, L"TPM_E_INVALID_AUTHHANDLE",
	TPM_E_NO_ENDORSEMENT, L"TPM_E_NO_ENDORSEMENT",
	TPM_E_INVALID_KEYUSAGE, L"TPM_E_INVALID_KEYUSAGE",
	TPM_E_WRONG_ENTITYTYPE, L"TPM_E_WRONG_ENTITYTYPE",
	TPM_E_INVALID_POSTINIT, L"TPM_E_INVALID_POSTINIT",
	TPM_E_INAPPROPRIATE_SIG, L"TPM_E_INAPPROPRIATE_SIG",
	TPM_E_BAD_KEY_PROPERTY, L"TPM_E_BAD_KEY_PROPERTY",
	TPM_E_BAD_MIGRATION, L"TPM_E_BAD_MIGRATION",
	TPM_E_BAD_SCHEME, L"TPM_E_BAD_SCHEME",
	TPM_E_BAD_DATASIZE, L"TPM_E_BAD_DATASIZE",
	TPM_E_BAD_MODE, L"TPM_E_BAD_MODE",
	TPM_E_BAD_PRESENCE, L"TPM_E_BAD_PRESENCE",
	TPM_E_BAD_VERSION, L"TPM_E_BAD_VERSION",
	TPM_E_NO_WRAP_TRANSPORT, L"TPM_E_NO_WRAP_TRANSPORT",
	TPM_E_AUDITFAIL_UNSUCCESSFUL, L"TPM_E_AUDITFAIL_UNSUCCESSFUL",
	TPM_E_AUDITFAIL_SUCCESSFUL, L"TPM_E_AUDITFAIL_SUCCESSFUL",
	TPM_E_NOTRESETABLE, L"TPM_E_NOTRESETABLE",
	TPM_E_NOTLOCAL, L"TPM_E_NOTLOCAL",
	TPM_E_BAD_TYPE, L"TPM_E_BAD_TYPE",
	TPM_E_INVALID_RESOURCE, L"TPM_E_INVALID_RESOURCE",
	TPM_E_NOTFIPS, L"TPM_E_NOTFIPS",
	TPM_E_INVALID_FAMILY, L"TPM_E_INVALID_FAMILY",
	TPM_E_NO_NV_PERMISSION, L"TPM_E_NO_NV_PERMISSION",
	TPM_E_REQUIRES_SIGN, L"TPM_E_REQUIRES_SIGN",
	TPM_E_KEY_NOTSUPPORTED, L"TPM_E_KEY_NOTSUPPORTED",
	TPM_E_AUTH_CONFLICT, L"TPM_E_AUTH_CONFLICT",
	TPM_E_AREA_LOCKED, L"TPM_E_AREA_LOCKED",
	TPM_E_BAD_LOCALITY, L"TPM_E_BAD_LOCALITY",
	TPM_E_READ_ONLY, L"TPM_E_READ_ONLY",
	TPM_E_PER_NOWRITE, L"TPM_E_PER_NOWRITE",
	TPM_E_FAMILYCOUNT, L"TPM_E_FAMILYCOUNT",
	TPM_E_WRITE_LOCKED, L"TPM_E_WRITE_LOCKED",
	TPM_E_BAD_ATTRIBUTES, L"TPM_E_BAD_ATTRIBUTES",
	TPM_E_INVALID_STRUCTURE, L"TPM_E_INVALID_STRUCTURE",
	TPM_E_KEY_OWNER_CONTROL, L"TPM_E_KEY_OWNER_CONTROL",
	TPM_E_BAD_COUNTER, L"TPM_E_BAD_COUNTER",
	TPM_E_NOT_FULLWRITE, L"TPM_E_NOT_FULLWRITE",
	TPM_E_CONTEXT_GAP, L"TPM_E_CONTEXT_GAP",
	TPM_E_MAXNVWRITES, L"TPM_E_MAXNVWRITES",
	TPM_E_NOOPERATOR, L"TPM_E_NOOPERATOR",
	TPM_E_RESOURCEMISSING, L"TPM_E_RESOURCEMISSING",
	TPM_E_DELEGATE_LOCK, L"TPM_E_DELEGATE_LOCK",
	TPM_E_DELEGATE_FAMILY, L"TPM_E_DELEGATE_FAMILY",
	TPM_E_DELEGATE_ADMIN, L"TPM_E_DELEGATE_ADMIN",
	TPM_E_TRANSPORT_NOTEXCLUSIVE, L"TPM_E_TRANSPORT_NOTEXCLUSIVE",
	TPM_E_OWNER_CONTROL, L"TPM_E_OWNER_CONTROL",
	TPM_E_DAA_RESOURCES, L"TPM_E_DAA_RESOURCES",
	TPM_E_DAA_INPUT_DATA0, L"TPM_E_DAA_INPUT_DATA0",
	TPM_E_DAA_INPUT_DATA1, L"TPM_E_DAA_INPUT_DATA1",
	TPM_E_DAA_ISSUER_SETTINGS, L"TPM_E_DAA_ISSUER_SETTINGS",
	TPM_E_DAA_TPM_SETTINGS, L"TPM_E_DAA_TPM_SETTINGS",
	TPM_E_DAA_STAGE, L"TPM_E_DAA_STAGE",
	TPM_E_DAA_ISSUER_VALIDITY, L"TPM_E_DAA_ISSUER_VALIDITY",
	TPM_E_DAA_WRONG_W, L"TPM_E_DAA_WRONG_W",
	TPM_E_BAD_HANDLE, L"TPM_E_BAD_HANDLE",
	TPM_E_BAD_DELEGATE, L"TPM_E_BAD_DELEGATE",
	TPM_E_BADCONTEXT, L"TPM_E_BADCONTEXT",
	TPM_E_TOOMANYCONTEXTS, L"TPM_E_TOOMANYCONTEXTS",
	TPM_E_MA_TICKET_SIGNATURE, L"TPM_E_MA_TICKET_SIGNATURE",
	TPM_E_MA_DESTINATION, L"TPM_E_MA_DESTINATION",
	TPM_E_MA_SOURCE, L"TPM_E_MA_SOURCE",
	TPM_E_MA_AUTHORITY, L"TPM_E_MA_AUTHORITY",
	TPM_E_PERMANENTEK, L"TPM_E_PERMANENTEK",
	TPM_E_BAD_SIGNATURE, L"TPM_E_BAD_SIGNATURE",
	TPM_E_NOCONTEXTSPACE, L"TPM_E_NOCONTEXTSPACE",
	TPM_E_COMMAND_BLOCKED, L"TPM_E_COMMAND_BLOCKED",
	TPM_E_INVALID_HANDLE, L"TPM_E_INVALID_HANDLE",
	TPM_E_DUPLICATE_VHANDLE, L"TPM_E_DUPLICATE_VHANDLE",
	TPM_E_EMBEDDED_COMMAND_BLOCKED, L"TPM_E_EMBEDDED_COMMAND_BLOCKED",
	TPM_E_EMBEDDED_COMMAND_UNSUPPORTED, L"TPM_E_EMBEDDED_COMMAND_UNSUPPORTED",
	TPM_E_RETRY, L"TPM_E_RETRY",
	TPM_E_NEEDS_SELFTEST, L"TPM_E_NEEDS_SELFTEST",
	TPM_E_DOING_SELFTEST, L"TPM_E_DOING_SELFTEST",
	TPM_E_DEFEND_LOCK_RUNNING, L"TPM_E_DEFEND_LOCK_RUNNING",
	TBS_E_INTERNAL_ERROR, L"TBS_E_INTERNAL_ERROR",
	TBS_E_BAD_PARAMETER, L"TBS_E_BAD_PARAMETER",
	TBS_E_INVALID_OUTPUT_POINTER, L"TBS_E_INVALID_OUTPUT_POINTER",
	TBS_E_INVALID_CONTEXT, L"TBS_E_INVALID_CONTEXT",
	TBS_E_INSUFFICIENT_BUFFER, L"TBS_E_INSUFFICIENT_BUFFER",
	TBS_E_IOERROR, L"TBS_E_IOERROR",
	TBS_E_INVALID_CONTEXT_PARAM, L"TBS_E_INVALID_CONTEXT_PARAM",
	TBS_E_SERVICE_NOT_RUNNING, L"TBS_E_SERVICE_NOT_RUNNING",
	TBS_E_TOO_MANY_TBS_CONTEXTS, L"TBS_E_TOO_MANY_TBS_CONTEXTS",
	TBS_E_TOO_MANY_RESOURCES, L"TBS_E_TOO_MANY_RESOURCES",
	TBS_E_SERVICE_START_PENDING, L"TBS_E_SERVICE_START_PENDING",
	TBS_E_PPI_NOT_SUPPORTED, L"TBS_E_PPI_NOT_SUPPORTED",
	TBS_E_COMMAND_CANCELED, L"TBS_E_COMMAND_CANCELED",
	TBS_E_BUFFER_TOO_LARGE, L"TBS_E_BUFFER_TOO_LARGE",
	TBS_E_TPM_NOT_FOUND, L"TBS_E_TPM_NOT_FOUND",
	TBS_E_SERVICE_DISABLED, L"TBS_E_SERVICE_DISABLED",
	TBS_E_NO_EVENT_LOG, L"TBS_E_NO_EVENT_LOG",
	TPMAPI_E_INVALID_STATE, L"TPMAPI_E_INVALID_STATE",
	TPMAPI_E_NOT_ENOUGH_DATA, L"TPMAPI_E_NOT_ENOUGH_DATA",
	TPMAPI_E_TOO_MUCH_DATA, L"TPMAPI_E_TOO_MUCH_DATA",
	TPMAPI_E_INVALID_OUTPUT_POINTER, L"TPMAPI_E_INVALID_OUTPUT_POINTER",
	TPMAPI_E_INVALID_PARAMETER, L"TPMAPI_E_INVALID_PARAMETER",
	TPMAPI_E_OUT_OF_MEMORY, L"TPMAPI_E_OUT_OF_MEMORY",
	TPMAPI_E_BUFFER_TOO_SMALL, L"TPMAPI_E_BUFFER_TOO_SMALL",
	TPMAPI_E_INTERNAL_ERROR, L"TPMAPI_E_INTERNAL_ERROR",
	TPMAPI_E_ACCESS_DENIED, L"TPMAPI_E_ACCESS_DENIED",
	TPMAPI_E_AUTHORIZATION_FAILED, L"TPMAPI_E_AUTHORIZATION_FAILED",
	TPMAPI_E_INVALID_CONTEXT_HANDLE, L"TPMAPI_E_INVALID_CONTEXT_HANDLE",
	TPMAPI_E_TBS_COMMUNICATION_ERROR, L"TPMAPI_E_TBS_COMMUNICATION_ERROR",
	TPMAPI_E_TPM_COMMAND_ERROR, L"TPMAPI_E_TPM_COMMAND_ERROR",
	TPMAPI_E_MESSAGE_TOO_LARGE, L"TPMAPI_E_MESSAGE_TOO_LARGE",
	TPMAPI_E_INVALID_ENCODING, L"TPMAPI_E_INVALID_ENCODING",
	TPMAPI_E_INVALID_KEY_SIZE, L"TPMAPI_E_INVALID_KEY_SIZE",
	TPMAPI_E_ENCRYPTION_FAILED, L"TPMAPI_E_ENCRYPTION_FAILED",
	TPMAPI_E_INVALID_KEY_PARAMS, L"TPMAPI_E_INVALID_KEY_PARAMS",
	TPMAPI_E_INVALID_MIGRATION_AUTHORIZATION_BLOB, L"TPMAPI_E_INVALID_MIGRATION_AUTHORIZATION_BLOB",
	TPMAPI_E_INVALID_PCR_INDEX, L"TPMAPI_E_INVALID_PCR_INDEX",
	TPMAPI_E_INVALID_DELEGATE_BLOB, L"TPMAPI_E_INVALID_DELEGATE_BLOB",
	TPMAPI_E_INVALID_CONTEXT_PARAMS, L"TPMAPI_E_INVALID_CONTEXT_PARAMS",
	TPMAPI_E_INVALID_KEY_BLOB, L"TPMAPI_E_INVALID_KEY_BLOB",
	TPMAPI_E_INVALID_PCR_DATA, L"TPMAPI_E_INVALID_PCR_DATA",
	TPMAPI_E_INVALID_OWNER_AUTH, L"TPMAPI_E_INVALID_OWNER_AUTH",
	TPMAPI_E_FIPS_RNG_CHECK_FAILED, L"TPMAPI_E_FIPS_RNG_CHECK_FAILED",
	TPMAPI_E_EMPTY_TCG_LOG, L"TPMAPI_E_EMPTY_TCG_LOG",
	TPMAPI_E_INVALID_TCG_LOG_ENTRY, L"TPMAPI_E_INVALID_TCG_LOG_ENTRY",
	TPMAPI_E_TCG_SEPARATOR_ABSENT, L"TPMAPI_E_TCG_SEPARATOR_ABSENT",
	TPMAPI_E_TCG_INVALID_DIGEST_ENTRY, L"TPMAPI_E_TCG_INVALID_DIGEST_ENTRY",
	TBSIMP_E_BUFFER_TOO_SMALL, L"TBSIMP_E_BUFFER_TOO_SMALL",
	TBSIMP_E_CLEANUP_FAILED, L"TBSIMP_E_CLEANUP_FAILED",
	TBSIMP_E_INVALID_CONTEXT_HANDLE, L"TBSIMP_E_INVALID_CONTEXT_HANDLE",
	TBSIMP_E_INVALID_CONTEXT_PARAM, L"TBSIMP_E_INVALID_CONTEXT_PARAM",
	TBSIMP_E_TPM_ERROR, L"TBSIMP_E_TPM_ERROR",
	TBSIMP_E_HASH_BAD_KEY, L"TBSIMP_E_HASH_BAD_KEY",
	TBSIMP_E_DUPLICATE_VHANDLE, L"TBSIMP_E_DUPLICATE_VHANDLE",
	TBSIMP_E_INVALID_OUTPUT_POINTER, L"TBSIMP_E_INVALID_OUTPUT_POINTER",
	TBSIMP_E_INVALID_PARAMETER, L"TBSIMP_E_INVALID_PARAMETER",
	TBSIMP_E_RPC_INIT_FAILED, L"TBSIMP_E_RPC_INIT_FAILED",
	TBSIMP_E_SCHEDULER_NOT_RUNNING, L"TBSIMP_E_SCHEDULER_NOT_RUNNING",
	TBSIMP_E_COMMAND_CANCELED, L"TBSIMP_E_COMMAND_CANCELED",
	TBSIMP_E_OUT_OF_MEMORY, L"TBSIMP_E_OUT_OF_MEMORY",
	TBSIMP_E_LIST_NO_MORE_ITEMS, L"TBSIMP_E_LIST_NO_MORE_ITEMS",
	TBSIMP_E_LIST_NOT_FOUND, L"TBSIMP_E_LIST_NOT_FOUND",
	TBSIMP_E_NOT_ENOUGH_SPACE, L"TBSIMP_E_NOT_ENOUGH_SPACE",
	TBSIMP_E_NOT_ENOUGH_TPM_CONTEXTS, L"TBSIMP_E_NOT_ENOUGH_TPM_CONTEXTS",
	TBSIMP_E_COMMAND_FAILED, L"TBSIMP_E_COMMAND_FAILED",
	TBSIMP_E_UNKNOWN_ORDINAL, L"TBSIMP_E_UNKNOWN_ORDINAL",
	TBSIMP_E_RESOURCE_EXPIRED, L"TBSIMP_E_RESOURCE_EXPIRED",
	TBSIMP_E_INVALID_RESOURCE, L"TBSIMP_E_INVALID_RESOURCE",
	TBSIMP_E_NOTHING_TO_UNLOAD, L"TBSIMP_E_NOTHING_TO_UNLOAD",
	TBSIMP_E_HASH_TABLE_FULL, L"TBSIMP_E_HASH_TABLE_FULL",
	TBSIMP_E_TOO_MANY_TBS_CONTEXTS, L"TBSIMP_E_TOO_MANY_TBS_CONTEXTS",
	TBSIMP_E_TOO_MANY_RESOURCES, L"TBSIMP_E_TOO_MANY_RESOURCES",
	TBSIMP_E_PPI_NOT_SUPPORTED, L"TBSIMP_E_PPI_NOT_SUPPORTED",
	TBSIMP_E_TPM_INCOMPATIBLE, L"TBSIMP_E_TPM_INCOMPATIBLE",
	TBSIMP_E_NO_EVENT_LOG, L"TBSIMP_E_NO_EVENT_LOG",
	TPM_E_PPI_ACPI_FAILURE, L"TPM_E_PPI_ACPI_FAILURE",
	TPM_E_PPI_USER_ABORT, L"TPM_E_PPI_USER_ABORT",
	TPM_E_PPI_BIOS_FAILURE, L"TPM_E_PPI_BIOS_FAILURE",
	TPM_E_PPI_NOT_SUPPORTED, L"TPM_E_PPI_NOT_SUPPORTED",
	PLA_E_DCS_NOT_FOUND, L"PLA_E_DCS_NOT_FOUND",
	PLA_E_DCS_IN_USE, L"PLA_E_DCS_IN_USE",
	PLA_E_TOO_MANY_FOLDERS, L"PLA_E_TOO_MANY_FOLDERS",
	PLA_E_NO_MIN_DISK, L"PLA_E_NO_MIN_DISK",
	PLA_E_DCS_ALREADY_EXISTS, L"PLA_E_DCS_ALREADY_EXISTS",
	PLA_S_PROPERTY_IGNORED, L"PLA_S_PROPERTY_IGNORED",
	PLA_E_PROPERTY_CONFLICT, L"PLA_E_PROPERTY_CONFLICT",
	PLA_E_DCS_SINGLETON_REQUIRED, L"PLA_E_DCS_SINGLETON_REQUIRED",
	PLA_E_CREDENTIALS_REQUIRED, L"PLA_E_CREDENTIALS_REQUIRED",
	PLA_E_DCS_NOT_RUNNING, L"PLA_E_DCS_NOT_RUNNING",
	PLA_E_CONFLICT_INCL_EXCL_API, L"PLA_E_CONFLICT_INCL_EXCL_API",
	PLA_E_NETWORK_EXE_NOT_VALID, L"PLA_E_NETWORK_EXE_NOT_VALID",
	PLA_E_EXE_ALREADY_CONFIGURED, L"PLA_E_EXE_ALREADY_CONFIGURED",
	PLA_E_EXE_PATH_NOT_VALID, L"PLA_E_EXE_PATH_NOT_VALID",
	PLA_E_DC_ALREADY_EXISTS, L"PLA_E_DC_ALREADY_EXISTS",
	PLA_E_DCS_START_WAIT_TIMEOUT, L"PLA_E_DCS_START_WAIT_TIMEOUT",
	PLA_E_DC_START_WAIT_TIMEOUT, L"PLA_E_DC_START_WAIT_TIMEOUT",
	PLA_E_REPORT_WAIT_TIMEOUT, L"PLA_E_REPORT_WAIT_TIMEOUT",
	PLA_E_NO_DUPLICATES, L"PLA_E_NO_DUPLICATES",
	PLA_E_EXE_FULL_PATH_REQUIRED, L"PLA_E_EXE_FULL_PATH_REQUIRED",
	PLA_E_INVALID_SESSION_NAME, L"PLA_E_INVALID_SESSION_NAME",
	PLA_E_PLA_CHANNEL_NOT_ENABLED, L"PLA_E_PLA_CHANNEL_NOT_ENABLED",
	PLA_E_TASKSCHED_CHANNEL_NOT_ENABLED, L"PLA_E_TASKSCHED_CHANNEL_NOT_ENABLED",
	PLA_E_RULES_MANAGER_FAILED, L"PLA_E_RULES_MANAGER_FAILED",
	PLA_E_CABAPI_FAILURE, L"PLA_E_CABAPI_FAILURE",
	FVE_E_LOCKED_VOLUME, L"FVE_E_LOCKED_VOLUME",
	FVE_E_NOT_ENCRYPTED, L"FVE_E_NOT_ENCRYPTED",
	FVE_E_NO_TPM_BIOS, L"FVE_E_NO_TPM_BIOS",
	FVE_E_NO_MBR_METRIC, L"FVE_E_NO_MBR_METRIC",
	FVE_E_NO_BOOTSECTOR_METRIC, L"FVE_E_NO_BOOTSECTOR_METRIC",
	FVE_E_NO_BOOTMGR_METRIC, L"FVE_E_NO_BOOTMGR_METRIC",
	FVE_E_WRONG_BOOTMGR, L"FVE_E_WRONG_BOOTMGR",
	FVE_E_SECURE_KEY_REQUIRED, L"FVE_E_SECURE_KEY_REQUIRED",
	FVE_E_NOT_ACTIVATED, L"FVE_E_NOT_ACTIVATED",
	FVE_E_ACTION_NOT_ALLOWED, L"FVE_E_ACTION_NOT_ALLOWED",
	FVE_E_AD_SCHEMA_NOT_INSTALLED, L"FVE_E_AD_SCHEMA_NOT_INSTALLED",
	FVE_E_AD_INVALID_DATATYPE, L"FVE_E_AD_INVALID_DATATYPE",
	FVE_E_AD_INVALID_DATASIZE, L"FVE_E_AD_INVALID_DATASIZE",
	FVE_E_AD_NO_VALUES, L"FVE_E_AD_NO_VALUES",
	FVE_E_AD_ATTR_NOT_SET, L"FVE_E_AD_ATTR_NOT_SET",
	FVE_E_AD_GUID_NOT_FOUND, L"FVE_E_AD_GUID_NOT_FOUND",
	FVE_E_BAD_INFORMATION, L"FVE_E_BAD_INFORMATION",
	FVE_E_TOO_SMALL, L"FVE_E_TOO_SMALL",
	FVE_E_SYSTEM_VOLUME, L"FVE_E_SYSTEM_VOLUME",
	FVE_E_FAILED_WRONG_FS, L"FVE_E_FAILED_WRONG_FS",
	FVE_E_BAD_PARTITION_SIZE, L"FVE_E_BAD_PARTITION_SIZE",
	FVE_E_NOT_SUPPORTED, L"FVE_E_NOT_SUPPORTED",
	FVE_E_BAD_DATA, L"FVE_E_BAD_DATA",
	FVE_E_VOLUME_NOT_BOUND, L"FVE_E_VOLUME_NOT_BOUND",
	FVE_E_TPM_NOT_OWNED, L"FVE_E_TPM_NOT_OWNED",
	FVE_E_NOT_DATA_VOLUME, L"FVE_E_NOT_DATA_VOLUME",
	FVE_E_AD_INSUFFICIENT_BUFFER, L"FVE_E_AD_INSUFFICIENT_BUFFER",
	FVE_E_CONV_READ, L"FVE_E_CONV_READ",
	FVE_E_CONV_WRITE, L"FVE_E_CONV_WRITE",
	FVE_E_KEY_REQUIRED, L"FVE_E_KEY_REQUIRED",
	FVE_E_CLUSTERING_NOT_SUPPORTED, L"FVE_E_CLUSTERING_NOT_SUPPORTED",
	FVE_E_VOLUME_BOUND_ALREADY, L"FVE_E_VOLUME_BOUND_ALREADY",
	FVE_E_OS_NOT_PROTECTED, L"FVE_E_OS_NOT_PROTECTED",
	FVE_E_PROTECTION_DISABLED, L"FVE_E_PROTECTION_DISABLED",
	FVE_E_RECOVERY_KEY_REQUIRED, L"FVE_E_RECOVERY_KEY_REQUIRED",
	FVE_E_FOREIGN_VOLUME, L"FVE_E_FOREIGN_VOLUME",
	FVE_E_OVERLAPPED_UPDATE, L"FVE_E_OVERLAPPED_UPDATE",
	FVE_E_TPM_SRK_AUTH_NOT_ZERO, L"FVE_E_TPM_SRK_AUTH_NOT_ZERO",
	FVE_E_FAILED_SECTOR_SIZE, L"FVE_E_FAILED_SECTOR_SIZE",
	FVE_E_FAILED_AUTHENTICATION, L"FVE_E_FAILED_AUTHENTICATION",
	FVE_E_NOT_OS_VOLUME, L"FVE_E_NOT_OS_VOLUME",
	FVE_E_AUTOUNLOCK_ENABLED, L"FVE_E_AUTOUNLOCK_ENABLED",
	FVE_E_WRONG_BOOTSECTOR, L"FVE_E_WRONG_BOOTSECTOR",
	FVE_E_WRONG_SYSTEM_FS, L"FVE_E_WRONG_SYSTEM_FS",
	FVE_E_POLICY_PASSWORD_REQUIRED, L"FVE_E_POLICY_PASSWORD_REQUIRED",
	FVE_E_CANNOT_SET_FVEK_ENCRYPTED, L"FVE_E_CANNOT_SET_FVEK_ENCRYPTED",
	FVE_E_CANNOT_ENCRYPT_NO_KEY, L"FVE_E_CANNOT_ENCRYPT_NO_KEY",
	FVE_E_BOOTABLE_CDDVD, L"FVE_E_BOOTABLE_CDDVD",
	FVE_E_PROTECTOR_EXISTS, L"FVE_E_PROTECTOR_EXISTS",
	FVE_E_RELATIVE_PATH, L"FVE_E_RELATIVE_PATH",
	FVE_E_PROTECTOR_NOT_FOUND, L"FVE_E_PROTECTOR_NOT_FOUND",
	FVE_E_INVALID_KEY_FORMAT, L"FVE_E_INVALID_KEY_FORMAT",
	FVE_E_INVALID_PASSWORD_FORMAT, L"FVE_E_INVALID_PASSWORD_FORMAT",
	FVE_E_FIPS_RNG_CHECK_FAILED, L"FVE_E_FIPS_RNG_CHECK_FAILED",
	FVE_E_FIPS_PREVENTS_RECOVERY_PASSWORD, L"FVE_E_FIPS_PREVENTS_RECOVERY_PASSWORD",
	FVE_E_FIPS_PREVENTS_EXTERNAL_KEY_EXPORT, L"FVE_E_FIPS_PREVENTS_EXTERNAL_KEY_EXPORT",
	FVE_E_NOT_DECRYPTED, L"FVE_E_NOT_DECRYPTED",
	FVE_E_INVALID_PROTECTOR_TYPE, L"FVE_E_INVALID_PROTECTOR_TYPE",
	FVE_E_NO_PROTECTORS_TO_TEST, L"FVE_E_NO_PROTECTORS_TO_TEST",
	FVE_E_KEYFILE_NOT_FOUND, L"FVE_E_KEYFILE_NOT_FOUND",
	FVE_E_KEYFILE_INVALID, L"FVE_E_KEYFILE_INVALID",
	FVE_E_KEYFILE_NO_VMK, L"FVE_E_KEYFILE_NO_VMK",
	FVE_E_TPM_DISABLED, L"FVE_E_TPM_DISABLED",
	FVE_E_NOT_ALLOWED_IN_SAFE_MODE, L"FVE_E_NOT_ALLOWED_IN_SAFE_MODE",
	FVE_E_TPM_INVALID_PCR, L"FVE_E_TPM_INVALID_PCR",
	FVE_E_TPM_NO_VMK, L"FVE_E_TPM_NO_VMK",
	FVE_E_PIN_INVALID, L"FVE_E_PIN_INVALID",
	FVE_E_AUTH_INVALID_APPLICATION, L"FVE_E_AUTH_INVALID_APPLICATION",
	FVE_E_AUTH_INVALID_CONFIG, L"FVE_E_AUTH_INVALID_CONFIG",
	FVE_E_FIPS_DISABLE_PROTECTION_NOT_ALLOWED, L"FVE_E_FIPS_DISABLE_PROTECTION_NOT_ALLOWED",
	FVE_E_FS_NOT_EXTENDED, L"FVE_E_FS_NOT_EXTENDED",
	FVE_E_FIRMWARE_TYPE_NOT_SUPPORTED, L"FVE_E_FIRMWARE_TYPE_NOT_SUPPORTED",
	FVE_E_NO_LICENSE, L"FVE_E_NO_LICENSE",
	FVE_E_NOT_ON_STACK, L"FVE_E_NOT_ON_STACK",
	FVE_E_FS_MOUNTED, L"FVE_E_FS_MOUNTED",
	FVE_E_TOKEN_NOT_IMPERSONATED, L"FVE_E_TOKEN_NOT_IMPERSONATED",
	FVE_E_DRY_RUN_FAILED, L"FVE_E_DRY_RUN_FAILED",
	FVE_E_REBOOT_REQUIRED, L"FVE_E_REBOOT_REQUIRED",
	FVE_E_DEBUGGER_ENABLED, L"FVE_E_DEBUGGER_ENABLED",
	FVE_E_RAW_ACCESS, L"FVE_E_RAW_ACCESS",
	FVE_E_RAW_BLOCKED, L"FVE_E_RAW_BLOCKED",
	FVE_E_BCD_APPLICATIONS_PATH_INCORRECT, L"FVE_E_BCD_APPLICATIONS_PATH_INCORRECT",
	FVE_E_NOT_ALLOWED_IN_VERSION, L"FVE_E_NOT_ALLOWED_IN_VERSION",
	FVE_E_NO_AUTOUNLOCK_MASTER_KEY, L"FVE_E_NO_AUTOUNLOCK_MASTER_KEY",
	FVE_E_MOR_FAILED, L"FVE_E_MOR_FAILED",
	FVE_E_HIDDEN_VOLUME, L"FVE_E_HIDDEN_VOLUME",
	FVE_E_TRANSIENT_STATE, L"FVE_E_TRANSIENT_STATE",
	FVE_E_PUBKEY_NOT_ALLOWED, L"FVE_E_PUBKEY_NOT_ALLOWED",
	FVE_E_VOLUME_HANDLE_OPEN, L"FVE_E_VOLUME_HANDLE_OPEN",
	FVE_E_NO_FEATURE_LICENSE, L"FVE_E_NO_FEATURE_LICENSE",
	FVE_E_INVALID_STARTUP_OPTIONS, L"FVE_E_INVALID_STARTUP_OPTIONS",
	FVE_E_POLICY_RECOVERY_PASSWORD_NOT_ALLOWED, L"FVE_E_POLICY_RECOVERY_PASSWORD_NOT_ALLOWED",
	FVE_E_POLICY_RECOVERY_PASSWORD_REQUIRED, L"FVE_E_POLICY_RECOVERY_PASSWORD_REQUIRED",
	FVE_E_POLICY_RECOVERY_KEY_NOT_ALLOWED, L"FVE_E_POLICY_RECOVERY_KEY_NOT_ALLOWED",
	FVE_E_POLICY_RECOVERY_KEY_REQUIRED, L"FVE_E_POLICY_RECOVERY_KEY_REQUIRED",
	FVE_E_POLICY_STARTUP_PIN_NOT_ALLOWED, L"FVE_E_POLICY_STARTUP_PIN_NOT_ALLOWED",
	FVE_E_POLICY_STARTUP_PIN_REQUIRED, L"FVE_E_POLICY_STARTUP_PIN_REQUIRED",
	FVE_E_POLICY_STARTUP_KEY_NOT_ALLOWED, L"FVE_E_POLICY_STARTUP_KEY_NOT_ALLOWED",
	FVE_E_POLICY_STARTUP_KEY_REQUIRED, L"FVE_E_POLICY_STARTUP_KEY_REQUIRED",
	FVE_E_POLICY_STARTUP_PIN_KEY_NOT_ALLOWED, L"FVE_E_POLICY_STARTUP_PIN_KEY_NOT_ALLOWED",
	FVE_E_POLICY_STARTUP_PIN_KEY_REQUIRED, L"FVE_E_POLICY_STARTUP_PIN_KEY_REQUIRED",
	FVE_E_POLICY_STARTUP_TPM_NOT_ALLOWED, L"FVE_E_POLICY_STARTUP_TPM_NOT_ALLOWED",
	FVE_E_POLICY_STARTUP_TPM_REQUIRED, L"FVE_E_POLICY_STARTUP_TPM_REQUIRED",
	FVE_E_POLICY_INVALID_PIN_LENGTH, L"FVE_E_POLICY_INVALID_PIN_LENGTH",
	FVE_E_KEY_PROTECTOR_NOT_SUPPORTED, L"FVE_E_KEY_PROTECTOR_NOT_SUPPORTED",
	FVE_E_POLICY_PASSPHRASE_NOT_ALLOWED, L"FVE_E_POLICY_PASSPHRASE_NOT_ALLOWED",
	FVE_E_POLICY_PASSPHRASE_REQUIRED, L"FVE_E_POLICY_PASSPHRASE_REQUIRED",
	FVE_E_FIPS_PREVENTS_PASSPHRASE, L"FVE_E_FIPS_PREVENTS_PASSPHRASE",
	FVE_E_OS_VOLUME_PASSPHRASE_NOT_ALLOWED, L"FVE_E_OS_VOLUME_PASSPHRASE_NOT_ALLOWED",
	FVE_E_INVALID_BITLOCKER_OID, L"FVE_E_INVALID_BITLOCKER_OID",
	FVE_E_VOLUME_TOO_SMALL, L"FVE_E_VOLUME_TOO_SMALL",
	FVE_E_DV_NOT_SUPPORTED_ON_FS, L"FVE_E_DV_NOT_SUPPORTED_ON_FS",
	FVE_E_DV_NOT_ALLOWED_BY_GP, L"FVE_E_DV_NOT_ALLOWED_BY_GP",
	FVE_E_POLICY_USER_CERTIFICATE_NOT_ALLOWED, L"FVE_E_POLICY_USER_CERTIFICATE_NOT_ALLOWED",
	FVE_E_POLICY_USER_CERTIFICATE_REQUIRED, L"FVE_E_POLICY_USER_CERTIFICATE_REQUIRED",
	FVE_E_POLICY_USER_CERT_MUST_BE_HW, L"FVE_E_POLICY_USER_CERT_MUST_BE_HW",
	FVE_E_POLICY_USER_CONFIGURE_FDV_AUTOUNLOCK_NOT_ALLOWED, L"FVE_E_POLICY_USER_CONFIGURE_FDV_AUTOUNLOCK_NOT_ALLOWED",
	FVE_E_POLICY_USER_CONFIGURE_RDV_AUTOUNLOCK_NOT_ALLOWED, L"FVE_E_POLICY_USER_CONFIGURE_RDV_AUTOUNLOCK_NOT_ALLOWED",
	FVE_E_POLICY_USER_CONFIGURE_RDV_NOT_ALLOWED, L"FVE_E_POLICY_USER_CONFIGURE_RDV_NOT_ALLOWED",
	FVE_E_POLICY_USER_ENABLE_RDV_NOT_ALLOWED, L"FVE_E_POLICY_USER_ENABLE_RDV_NOT_ALLOWED",
	FVE_E_POLICY_USER_DISABLE_RDV_NOT_ALLOWED, L"FVE_E_POLICY_USER_DISABLE_RDV_NOT_ALLOWED",
	FVE_E_POLICY_INVALID_PASSPHRASE_LENGTH, L"FVE_E_POLICY_INVALID_PASSPHRASE_LENGTH",
	FVE_E_POLICY_PASSPHRASE_TOO_SIMPLE, L"FVE_E_POLICY_PASSPHRASE_TOO_SIMPLE",
	FVE_E_RECOVERY_PARTITION, L"FVE_E_RECOVERY_PARTITION",
	FVE_E_POLICY_CONFLICT_FDV_RK_OFF_AUK_ON, L"FVE_E_POLICY_CONFLICT_FDV_RK_OFF_AUK_ON",
	FVE_E_POLICY_CONFLICT_RDV_RK_OFF_AUK_ON, L"FVE_E_POLICY_CONFLICT_RDV_RK_OFF_AUK_ON",
	FVE_E_NON_BITLOCKER_OID, L"FVE_E_NON_BITLOCKER_OID",
	FVE_E_POLICY_PROHIBITS_SELFSIGNED, L"FVE_E_POLICY_PROHIBITS_SELFSIGNED",
	FVE_E_POLICY_CONFLICT_RO_AND_STARTUP_KEY_REQUIRED, L"FVE_E_POLICY_CONFLICT_RO_AND_STARTUP_KEY_REQUIRED",
	FVE_E_CONV_RECOVERY_FAILED, L"FVE_E_CONV_RECOVERY_FAILED",
	FVE_E_VIRTUALIZED_SPACE_TOO_BIG, L"FVE_E_VIRTUALIZED_SPACE_TOO_BIG",
	FVE_E_POLICY_CONFLICT_OSV_RP_OFF_ADB_ON, L"FVE_E_POLICY_CONFLICT_OSV_RP_OFF_ADB_ON",
	FVE_E_POLICY_CONFLICT_FDV_RP_OFF_ADB_ON, L"FVE_E_POLICY_CONFLICT_FDV_RP_OFF_ADB_ON",
	FVE_E_POLICY_CONFLICT_RDV_RP_OFF_ADB_ON, L"FVE_E_POLICY_CONFLICT_RDV_RP_OFF_ADB_ON",
	FVE_E_NON_BITLOCKER_KU, L"FVE_E_NON_BITLOCKER_KU",
	FVE_E_PRIVATEKEY_AUTH_FAILED, L"FVE_E_PRIVATEKEY_AUTH_FAILED",
	FVE_E_REMOVAL_OF_DRA_FAILED, L"FVE_E_REMOVAL_OF_DRA_FAILED",
	FVE_E_OPERATION_NOT_SUPPORTED_ON_VISTA_VOLUME, L"FVE_E_OPERATION_NOT_SUPPORTED_ON_VISTA_VOLUME",
	FVE_E_CANT_LOCK_AUTOUNLOCK_ENABLED_VOLUME, L"FVE_E_CANT_LOCK_AUTOUNLOCK_ENABLED_VOLUME",
	FVE_E_FIPS_HASH_KDF_NOT_ALLOWED, L"FVE_E_FIPS_HASH_KDF_NOT_ALLOWED",
	FVE_E_ENH_PIN_INVALID, L"FVE_E_ENH_PIN_INVALID",
	FVE_E_INVALID_PIN_CHARS, L"FVE_E_INVALID_PIN_CHARS",
	FVE_E_INVALID_DATUM_TYPE, L"FVE_E_INVALID_DATUM_TYPE",
	FWP_E_CALLOUT_NOT_FOUND, L"FWP_E_CALLOUT_NOT_FOUND",
	FWP_E_CONDITION_NOT_FOUND, L"FWP_E_CONDITION_NOT_FOUND",
	FWP_E_FILTER_NOT_FOUND, L"FWP_E_FILTER_NOT_FOUND",
	FWP_E_LAYER_NOT_FOUND, L"FWP_E_LAYER_NOT_FOUND",
	FWP_E_PROVIDER_NOT_FOUND, L"FWP_E_PROVIDER_NOT_FOUND",
	FWP_E_PROVIDER_CONTEXT_NOT_FOUND, L"FWP_E_PROVIDER_CONTEXT_NOT_FOUND",
	FWP_E_SUBLAYER_NOT_FOUND, L"FWP_E_SUBLAYER_NOT_FOUND",
	FWP_E_NOT_FOUND, L"FWP_E_NOT_FOUND",
	FWP_E_ALREADY_EXISTS, L"FWP_E_ALREADY_EXISTS",
	FWP_E_IN_USE, L"FWP_E_IN_USE",
	FWP_E_DYNAMIC_SESSION_IN_PROGRESS, L"FWP_E_DYNAMIC_SESSION_IN_PROGRESS",
	FWP_E_WRONG_SESSION, L"FWP_E_WRONG_SESSION",
	FWP_E_NO_TXN_IN_PROGRESS, L"FWP_E_NO_TXN_IN_PROGRESS",
	FWP_E_TXN_IN_PROGRESS, L"FWP_E_TXN_IN_PROGRESS",
	FWP_E_TXN_ABORTED, L"FWP_E_TXN_ABORTED",
	FWP_E_SESSION_ABORTED, L"FWP_E_SESSION_ABORTED",
	FWP_E_INCOMPATIBLE_TXN, L"FWP_E_INCOMPATIBLE_TXN",
	FWP_E_TIMEOUT, L"FWP_E_TIMEOUT",
	FWP_E_NET_EVENTS_DISABLED, L"FWP_E_NET_EVENTS_DISABLED",
	FWP_E_INCOMPATIBLE_LAYER, L"FWP_E_INCOMPATIBLE_LAYER",
	FWP_E_KM_CLIENTS_ONLY, L"FWP_E_KM_CLIENTS_ONLY",
	FWP_E_LIFETIME_MISMATCH, L"FWP_E_LIFETIME_MISMATCH",
	FWP_E_BUILTIN_OBJECT, L"FWP_E_BUILTIN_OBJECT",
	FWP_E_TOO_MANY_CALLOUTS, L"FWP_E_TOO_MANY_CALLOUTS",
	FWP_E_NOTIFICATION_DROPPED, L"FWP_E_NOTIFICATION_DROPPED",
	FWP_E_TRAFFIC_MISMATCH, L"FWP_E_TRAFFIC_MISMATCH",
	FWP_E_INCOMPATIBLE_SA_STATE, L"FWP_E_INCOMPATIBLE_SA_STATE",
	FWP_E_NULL_POINTER, L"FWP_E_NULL_POINTER",
	FWP_E_INVALID_ENUMERATOR, L"FWP_E_INVALID_ENUMERATOR",
	FWP_E_INVALID_FLAGS, L"FWP_E_INVALID_FLAGS",
	FWP_E_INVALID_NET_MASK, L"FWP_E_INVALID_NET_MASK",
	FWP_E_INVALID_RANGE, L"FWP_E_INVALID_RANGE",
	FWP_E_INVALID_INTERVAL, L"FWP_E_INVALID_INTERVAL",
	FWP_E_ZERO_LENGTH_ARRAY, L"FWP_E_ZERO_LENGTH_ARRAY",
	FWP_E_NULL_DISPLAY_NAME, L"FWP_E_NULL_DISPLAY_NAME",
	FWP_E_INVALID_ACTION_TYPE, L"FWP_E_INVALID_ACTION_TYPE",
	FWP_E_INVALID_WEIGHT, L"FWP_E_INVALID_WEIGHT",
	FWP_E_MATCH_TYPE_MISMATCH, L"FWP_E_MATCH_TYPE_MISMATCH",
	FWP_E_TYPE_MISMATCH, L"FWP_E_TYPE_MISMATCH",
	FWP_E_OUT_OF_BOUNDS, L"FWP_E_OUT_OF_BOUNDS",
	FWP_E_RESERVED, L"FWP_E_RESERVED",
	FWP_E_DUPLICATE_CONDITION, L"FWP_E_DUPLICATE_CONDITION",
	FWP_E_DUPLICATE_KEYMOD, L"FWP_E_DUPLICATE_KEYMOD",
	FWP_E_ACTION_INCOMPATIBLE_WITH_LAYER, L"FWP_E_ACTION_INCOMPATIBLE_WITH_LAYER",
	FWP_E_ACTION_INCOMPATIBLE_WITH_SUBLAYER, L"FWP_E_ACTION_INCOMPATIBLE_WITH_SUBLAYER",
	FWP_E_CONTEXT_INCOMPATIBLE_WITH_LAYER, L"FWP_E_CONTEXT_INCOMPATIBLE_WITH_LAYER",
	FWP_E_CONTEXT_INCOMPATIBLE_WITH_CALLOUT, L"FWP_E_CONTEXT_INCOMPATIBLE_WITH_CALLOUT",
	FWP_E_INCOMPATIBLE_AUTH_METHOD, L"FWP_E_INCOMPATIBLE_AUTH_METHOD",
	FWP_E_INCOMPATIBLE_DH_GROUP, L"FWP_E_INCOMPATIBLE_DH_GROUP",
	FWP_E_EM_NOT_SUPPORTED, L"FWP_E_EM_NOT_SUPPORTED",
	FWP_E_NEVER_MATCH, L"FWP_E_NEVER_MATCH",
	FWP_E_PROVIDER_CONTEXT_MISMATCH, L"FWP_E_PROVIDER_CONTEXT_MISMATCH",
	FWP_E_INVALID_PARAMETER, L"FWP_E_INVALID_PARAMETER",
	FWP_E_TOO_MANY_SUBLAYERS, L"FWP_E_TOO_MANY_SUBLAYERS",
	FWP_E_CALLOUT_NOTIFICATION_FAILED, L"FWP_E_CALLOUT_NOTIFICATION_FAILED",
	FWP_E_INVALID_AUTH_TRANSFORM, L"FWP_E_INVALID_AUTH_TRANSFORM",
	FWP_E_INVALID_CIPHER_TRANSFORM, L"FWP_E_INVALID_CIPHER_TRANSFORM",
	FWP_E_DROP_NOICMP, L"FWP_E_DROP_NOICMP",
	FWP_E_INCOMPATIBLE_CIPHER_TRANSFORM, L"FWP_E_INCOMPATIBLE_CIPHER_TRANSFORM",
	FWP_E_INVALID_TRANSFORM_COMBINATION, L"FWP_E_INVALID_TRANSFORM_COMBINATION",
	FWP_E_DUPLICATE_AUTH_METHOD, L"FWP_E_DUPLICATE_AUTH_METHOD",
	WS_S_ASYNC, L"WS_S_ASYNC",
	WS_S_END, L"WS_S_END",
	WS_E_INVALID_FORMAT, L"WS_E_INVALID_FORMAT",
	WS_E_OBJECT_FAULTED, L"WS_E_OBJECT_FAULTED",
	WS_E_NUMERIC_OVERFLOW, L"WS_E_NUMERIC_OVERFLOW",
	WS_E_INVALID_OPERATION, L"WS_E_INVALID_OPERATION",
	WS_E_OPERATION_ABORTED, L"WS_E_OPERATION_ABORTED",
	WS_E_ENDPOINT_ACCESS_DENIED, L"WS_E_ENDPOINT_ACCESS_DENIED",
	WS_E_OPERATION_TIMED_OUT, L"WS_E_OPERATION_TIMED_OUT",
	WS_E_OPERATION_ABANDONED, L"WS_E_OPERATION_ABANDONED",
	WS_E_QUOTA_EXCEEDED, L"WS_E_QUOTA_EXCEEDED",
	WS_E_NO_TRANSLATION_AVAILABLE, L"WS_E_NO_TRANSLATION_AVAILABLE",
	WS_E_SECURITY_VERIFICATION_FAILURE, L"WS_E_SECURITY_VERIFICATION_FAILURE",
	WS_E_ADDRESS_IN_USE, L"WS_E_ADDRESS_IN_USE",
	WS_E_ADDRESS_NOT_AVAILABLE, L"WS_E_ADDRESS_NOT_AVAILABLE",
	WS_E_ENDPOINT_NOT_FOUND, L"WS_E_ENDPOINT_NOT_FOUND",
	WS_E_ENDPOINT_NOT_AVAILABLE, L"WS_E_ENDPOINT_NOT_AVAILABLE",
	WS_E_ENDPOINT_FAILURE, L"WS_E_ENDPOINT_FAILURE",
	WS_E_ENDPOINT_UNREACHABLE, L"WS_E_ENDPOINT_UNREACHABLE",
	WS_E_ENDPOINT_ACTION_NOT_SUPPORTED, L"WS_E_ENDPOINT_ACTION_NOT_SUPPORTED",
	WS_E_ENDPOINT_TOO_BUSY, L"WS_E_ENDPOINT_TOO_BUSY",
	WS_E_ENDPOINT_FAULT_RECEIVED, L"WS_E_ENDPOINT_FAULT_RECEIVED",
	WS_E_ENDPOINT_DISCONNECTED, L"WS_E_ENDPOINT_DISCONNECTED",
	WS_E_PROXY_FAILURE, L"WS_E_PROXY_FAILURE",
	WS_E_PROXY_ACCESS_DENIED, L"WS_E_PROXY_ACCESS_DENIED",
	WS_E_NOT_SUPPORTED, L"WS_E_NOT_SUPPORTED",
	WS_E_PROXY_REQUIRES_BASIC_AUTH, L"WS_E_PROXY_REQUIRES_BASIC_AUTH",
	WS_E_PROXY_REQUIRES_DIGEST_AUTH, L"WS_E_PROXY_REQUIRES_DIGEST_AUTH",
	WS_E_PROXY_REQUIRES_NTLM_AUTH, L"WS_E_PROXY_REQUIRES_NTLM_AUTH",
	WS_E_PROXY_REQUIRES_NEGOTIATE_AUTH, L"WS_E_PROXY_REQUIRES_NEGOTIATE_AUTH",
	WS_E_SERVER_REQUIRES_BASIC_AUTH, L"WS_E_SERVER_REQUIRES_BASIC_AUTH",
	WS_E_SERVER_REQUIRES_DIGEST_AUTH, L"WS_E_SERVER_REQUIRES_DIGEST_AUTH",
	WS_E_SERVER_REQUIRES_NTLM_AUTH, L"WS_E_SERVER_REQUIRES_NTLM_AUTH",
	WS_E_SERVER_REQUIRES_NEGOTIATE_AUTH, L"WS_E_SERVER_REQUIRES_NEGOTIATE_AUTH",
	WS_E_INVALID_ENDPOINT_URL, L"WS_E_INVALID_ENDPOINT_URL",
	WS_E_OTHER, L"WS_E_OTHER",
	WS_E_SECURITY_TOKEN_EXPIRED, L"WS_E_SECURITY_TOKEN_EXPIRED",
	WS_E_SECURITY_SYSTEM_FAILURE, L"WS_E_SECURITY_SYSTEM_FAILURE",
	ERROR_NDIS_INTERFACE_CLOSING, L"ERROR_NDIS_INTERFACE_CLOSING",
	ERROR_NDIS_BAD_VERSION, L"ERROR_NDIS_BAD_VERSION",
	ERROR_NDIS_BAD_CHARACTERISTICS, L"ERROR_NDIS_BAD_CHARACTERISTICS",
	ERROR_NDIS_ADAPTER_NOT_FOUND, L"ERROR_NDIS_ADAPTER_NOT_FOUND",
	ERROR_NDIS_OPEN_FAILED, L"ERROR_NDIS_OPEN_FAILED",
	ERROR_NDIS_DEVICE_FAILED, L"ERROR_NDIS_DEVICE_FAILED",
	ERROR_NDIS_MULTICAST_FULL, L"ERROR_NDIS_MULTICAST_FULL",
	ERROR_NDIS_MULTICAST_EXISTS, L"ERROR_NDIS_MULTICAST_EXISTS",
	ERROR_NDIS_MULTICAST_NOT_FOUND, L"ERROR_NDIS_MULTICAST_NOT_FOUND",
	ERROR_NDIS_REQUEST_ABORTED, L"ERROR_NDIS_REQUEST_ABORTED",
	ERROR_NDIS_RESET_IN_PROGRESS, L"ERROR_NDIS_RESET_IN_PROGRESS",
	ERROR_NDIS_NOT_SUPPORTED, L"ERROR_NDIS_NOT_SUPPORTED",
	ERROR_NDIS_INVALID_PACKET, L"ERROR_NDIS_INVALID_PACKET",
	ERROR_NDIS_ADAPTER_NOT_READY, L"ERROR_NDIS_ADAPTER_NOT_READY",
	ERROR_NDIS_INVALID_LENGTH, L"ERROR_NDIS_INVALID_LENGTH",
	ERROR_NDIS_INVALID_DATA, L"ERROR_NDIS_INVALID_DATA",
	ERROR_NDIS_BUFFER_TOO_SHORT, L"ERROR_NDIS_BUFFER_TOO_SHORT",
	ERROR_NDIS_INVALID_OID, L"ERROR_NDIS_INVALID_OID",
	ERROR_NDIS_ADAPTER_REMOVED, L"ERROR_NDIS_ADAPTER_REMOVED",
	ERROR_NDIS_UNSUPPORTED_MEDIA, L"ERROR_NDIS_UNSUPPORTED_MEDIA",
	ERROR_NDIS_GROUP_ADDRESS_IN_USE, L"ERROR_NDIS_GROUP_ADDRESS_IN_USE",
	ERROR_NDIS_FILE_NOT_FOUND, L"ERROR_NDIS_FILE_NOT_FOUND",
	ERROR_NDIS_ERROR_READING_FILE, L"ERROR_NDIS_ERROR_READING_FILE",
	ERROR_NDIS_ALREADY_MAPPED, L"ERROR_NDIS_ALREADY_MAPPED",
	ERROR_NDIS_RESOURCE_CONFLICT, L"ERROR_NDIS_RESOURCE_CONFLICT",
	ERROR_NDIS_MEDIA_DISCONNECTED, L"ERROR_NDIS_MEDIA_DISCONNECTED",
	ERROR_NDIS_INVALID_ADDRESS, L"ERROR_NDIS_INVALID_ADDRESS",
	ERROR_NDIS_INVALID_DEVICE_REQUEST, L"ERROR_NDIS_INVALID_DEVICE_REQUEST",
	ERROR_NDIS_PAUSED, L"ERROR_NDIS_PAUSED",
	ERROR_NDIS_INTERFACE_NOT_FOUND, L"ERROR_NDIS_INTERFACE_NOT_FOUND",
	ERROR_NDIS_UNSUPPORTED_REVISION, L"ERROR_NDIS_UNSUPPORTED_REVISION",
	ERROR_NDIS_INVALID_PORT, L"ERROR_NDIS_INVALID_PORT",
	ERROR_NDIS_INVALID_PORT_STATE, L"ERROR_NDIS_INVALID_PORT_STATE",
	ERROR_NDIS_LOW_POWER_STATE, L"ERROR_NDIS_LOW_POWER_STATE",
	ERROR_NDIS_DOT11_AUTO_CONFIG_ENABLED, L"ERROR_NDIS_DOT11_AUTO_CONFIG_ENABLED",
	ERROR_NDIS_DOT11_MEDIA_IN_USE, L"ERROR_NDIS_DOT11_MEDIA_IN_USE",
	ERROR_NDIS_DOT11_POWER_STATE_INVALID, L"ERROR_NDIS_DOT11_POWER_STATE_INVALID",
	ERROR_NDIS_PM_WOL_PATTERN_LIST_FULL, L"ERROR_NDIS_PM_WOL_PATTERN_LIST_FULL",
	ERROR_NDIS_PM_PROTOCOL_OFFLOAD_LIST_FULL, L"ERROR_NDIS_PM_PROTOCOL_OFFLOAD_LIST_FULL",
	ERROR_NDIS_INDICATION_REQUIRED, L"ERROR_NDIS_INDICATION_REQUIRED",
	ERROR_NDIS_OFFLOAD_POLICY, L"ERROR_NDIS_OFFLOAD_POLICY",
	ERROR_NDIS_OFFLOAD_CONNECTION_REJECTED, L"ERROR_NDIS_OFFLOAD_CONNECTION_REJECTED",
	ERROR_NDIS_OFFLOAD_PATH_REJECTED, L"ERROR_NDIS_OFFLOAD_PATH_REJECTED",
	ERROR_HV_INVALID_HYPERCALL_CODE, L"ERROR_HV_INVALID_HYPERCALL_CODE",
	ERROR_HV_INVALID_HYPERCALL_INPUT, L"ERROR_HV_INVALID_HYPERCALL_INPUT",
	ERROR_HV_INVALID_ALIGNMENT, L"ERROR_HV_INVALID_ALIGNMENT",
	ERROR_HV_INVALID_PARAMETER, L"ERROR_HV_INVALID_PARAMETER",
	ERROR_HV_ACCESS_DENIED, L"ERROR_HV_ACCESS_DENIED",
	ERROR_HV_INVALID_PARTITION_STATE, L"ERROR_HV_INVALID_PARTITION_STATE",
	ERROR_HV_OPERATION_DENIED, L"ERROR_HV_OPERATION_DENIED",
	ERROR_HV_UNKNOWN_PROPERTY, L"ERROR_HV_UNKNOWN_PROPERTY",
	ERROR_HV_PROPERTY_VALUE_OUT_OF_RANGE, L"ERROR_HV_PROPERTY_VALUE_OUT_OF_RANGE",
	ERROR_HV_INSUFFICIENT_MEMORY, L"ERROR_HV_INSUFFICIENT_MEMORY",
	ERROR_HV_PARTITION_TOO_DEEP, L"ERROR_HV_PARTITION_TOO_DEEP",
	ERROR_HV_INVALID_PARTITION_ID, L"ERROR_HV_INVALID_PARTITION_ID",
	ERROR_HV_INVALID_VP_INDEX, L"ERROR_HV_INVALID_VP_INDEX",
	ERROR_HV_INVALID_PORT_ID, L"ERROR_HV_INVALID_PORT_ID",
	ERROR_HV_INVALID_CONNECTION_ID, L"ERROR_HV_INVALID_CONNECTION_ID",
	ERROR_HV_INSUFFICIENT_BUFFERS, L"ERROR_HV_INSUFFICIENT_BUFFERS",
	ERROR_HV_NOT_ACKNOWLEDGED, L"ERROR_HV_NOT_ACKNOWLEDGED",
	ERROR_HV_ACKNOWLEDGED, L"ERROR_HV_ACKNOWLEDGED",
	ERROR_HV_INVALID_SAVE_RESTORE_STATE, L"ERROR_HV_INVALID_SAVE_RESTORE_STATE",
	ERROR_HV_INVALID_SYNIC_STATE, L"ERROR_HV_INVALID_SYNIC_STATE",
	ERROR_HV_OBJECT_IN_USE, L"ERROR_HV_OBJECT_IN_USE",
	ERROR_HV_INVALID_PROXIMITY_DOMAIN_INFO, L"ERROR_HV_INVALID_PROXIMITY_DOMAIN_INFO",
	ERROR_HV_NO_DATA, L"ERROR_HV_NO_DATA",
	ERROR_HV_INACTIVE, L"ERROR_HV_INACTIVE",
	ERROR_HV_NO_RESOURCES, L"ERROR_HV_NO_RESOURCES",
	ERROR_HV_FEATURE_UNAVAILABLE, L"ERROR_HV_FEATURE_UNAVAILABLE",
	ERROR_HV_NOT_PRESENT, L"ERROR_HV_NOT_PRESENT",
	ERROR_VID_DUPLICATE_HANDLER, L"ERROR_VID_DUPLICATE_HANDLER",
	ERROR_VID_TOO_MANY_HANDLERS, L"ERROR_VID_TOO_MANY_HANDLERS",
	ERROR_VID_QUEUE_FULL, L"ERROR_VID_QUEUE_FULL",
	ERROR_VID_HANDLER_NOT_PRESENT, L"ERROR_VID_HANDLER_NOT_PRESENT",
	ERROR_VID_INVALID_OBJECT_NAME, L"ERROR_VID_INVALID_OBJECT_NAME",
	ERROR_VID_PARTITION_NAME_TOO_LONG, L"ERROR_VID_PARTITION_NAME_TOO_LONG",
	ERROR_VID_MESSAGE_QUEUE_NAME_TOO_LONG, L"ERROR_VID_MESSAGE_QUEUE_NAME_TOO_LONG",
	ERROR_VID_PARTITION_ALREADY_EXISTS, L"ERROR_VID_PARTITION_ALREADY_EXISTS",
	ERROR_VID_PARTITION_DOES_NOT_EXIST, L"ERROR_VID_PARTITION_DOES_NOT_EXIST",
	ERROR_VID_PARTITION_NAME_NOT_FOUND, L"ERROR_VID_PARTITION_NAME_NOT_FOUND",
	ERROR_VID_MESSAGE_QUEUE_ALREADY_EXISTS, L"ERROR_VID_MESSAGE_QUEUE_ALREADY_EXISTS",
	ERROR_VID_EXCEEDED_MBP_ENTRY_MAP_LIMIT, L"ERROR_VID_EXCEEDED_MBP_ENTRY_MAP_LIMIT",
	ERROR_VID_MB_STILL_REFERENCED, L"ERROR_VID_MB_STILL_REFERENCED",
	ERROR_VID_CHILD_GPA_PAGE_SET_CORRUPTED, L"ERROR_VID_CHILD_GPA_PAGE_SET_CORRUPTED",
	ERROR_VID_INVALID_NUMA_SETTINGS, L"ERROR_VID_INVALID_NUMA_SETTINGS",
	ERROR_VID_INVALID_NUMA_NODE_INDEX, L"ERROR_VID_INVALID_NUMA_NODE_INDEX",
	ERROR_VID_NOTIFICATION_QUEUE_ALREADY_ASSOCIATED, L"ERROR_VID_NOTIFICATION_QUEUE_ALREADY_ASSOCIATED",
	ERROR_VID_INVALID_MEMORY_BLOCK_HANDLE, L"ERROR_VID_INVALID_MEMORY_BLOCK_HANDLE",
	ERROR_VID_PAGE_RANGE_OVERFLOW, L"ERROR_VID_PAGE_RANGE_OVERFLOW",
	ERROR_VID_INVALID_MESSAGE_QUEUE_HANDLE, L"ERROR_VID_INVALID_MESSAGE_QUEUE_HANDLE",
	ERROR_VID_INVALID_GPA_RANGE_HANDLE, L"ERROR_VID_INVALID_GPA_RANGE_HANDLE",
	ERROR_VID_NO_MEMORY_BLOCK_NOTIFICATION_QUEUE, L"ERROR_VID_NO_MEMORY_BLOCK_NOTIFICATION_QUEUE",
	ERROR_VID_MEMORY_BLOCK_LOCK_COUNT_EXCEEDED, L"ERROR_VID_MEMORY_BLOCK_LOCK_COUNT_EXCEEDED",
	ERROR_VID_INVALID_PPM_HANDLE, L"ERROR_VID_INVALID_PPM_HANDLE",
	ERROR_VID_MBPS_ARE_LOCKED, L"ERROR_VID_MBPS_ARE_LOCKED",
	ERROR_VID_MESSAGE_QUEUE_CLOSED, L"ERROR_VID_MESSAGE_QUEUE_CLOSED",
	ERROR_VID_VIRTUAL_PROCESSOR_LIMIT_EXCEEDED, L"ERROR_VID_VIRTUAL_PROCESSOR_LIMIT_EXCEEDED",
	ERROR_VID_STOP_PENDING, L"ERROR_VID_STOP_PENDING",
	ERROR_VID_INVALID_PROCESSOR_STATE, L"ERROR_VID_INVALID_PROCESSOR_STATE",
	ERROR_VID_EXCEEDED_KM_CONTEXT_COUNT_LIMIT, L"ERROR_VID_EXCEEDED_KM_CONTEXT_COUNT_LIMIT",
	ERROR_VID_KM_INTERFACE_ALREADY_INITIALIZED, L"ERROR_VID_KM_INTERFACE_ALREADY_INITIALIZED",
	ERROR_VID_MB_PROPERTY_ALREADY_SET_RESET, L"ERROR_VID_MB_PROPERTY_ALREADY_SET_RESET",
	ERROR_VID_MMIO_RANGE_DESTROYED, L"ERROR_VID_MMIO_RANGE_DESTROYED",
	ERROR_VID_INVALID_CHILD_GPA_PAGE_SET, L"ERROR_VID_INVALID_CHILD_GPA_PAGE_SET",
	ERROR_VID_RESERVE_PAGE_SET_IS_BEING_USED, L"ERROR_VID_RESERVE_PAGE_SET_IS_BEING_USED",
	ERROR_VID_RESERVE_PAGE_SET_TOO_SMALL, L"ERROR_VID_RESERVE_PAGE_SET_TOO_SMALL",
	ERROR_VID_MBP_ALREADY_LOCKED_USING_RESERVED_PAGE, L"ERROR_VID_MBP_ALREADY_LOCKED_USING_RESERVED_PAGE",
	ERROR_VID_MBP_COUNT_EXCEEDED_LIMIT, L"ERROR_VID_MBP_COUNT_EXCEEDED_LIMIT",
	ERROR_VID_SAVED_STATE_CORRUPT, L"ERROR_VID_SAVED_STATE_CORRUPT",
	ERROR_VID_SAVED_STATE_UNRECOGNIZED_ITEM, L"ERROR_VID_SAVED_STATE_UNRECOGNIZED_ITEM",
	ERROR_VID_SAVED_STATE_INCOMPATIBLE, L"ERROR_VID_SAVED_STATE_INCOMPATIBLE",
	ERROR_VID_REMOTE_NODE_PARENT_GPA_PAGES_USED, L"ERROR_VID_REMOTE_NODE_PARENT_GPA_PAGES_USED",
	ERROR_VOLMGR_INCOMPLETE_REGENERATION, L"ERROR_VOLMGR_INCOMPLETE_REGENERATION",
	ERROR_VOLMGR_INCOMPLETE_DISK_MIGRATION, L"ERROR_VOLMGR_INCOMPLETE_DISK_MIGRATION",
	ERROR_VOLMGR_DATABASE_FULL, L"ERROR_VOLMGR_DATABASE_FULL",
	ERROR_VOLMGR_DISK_CONFIGURATION_CORRUPTED, L"ERROR_VOLMGR_DISK_CONFIGURATION_CORRUPTED",
	ERROR_VOLMGR_DISK_CONFIGURATION_NOT_IN_SYNC, L"ERROR_VOLMGR_DISK_CONFIGURATION_NOT_IN_SYNC",
	ERROR_VOLMGR_PACK_CONFIG_UPDATE_FAILED, L"ERROR_VOLMGR_PACK_CONFIG_UPDATE_FAILED",
	ERROR_VOLMGR_DISK_CONTAINS_NON_SIMPLE_VOLUME, L"ERROR_VOLMGR_DISK_CONTAINS_NON_SIMPLE_VOLUME",
	ERROR_VOLMGR_DISK_DUPLICATE, L"ERROR_VOLMGR_DISK_DUPLICATE",
	ERROR_VOLMGR_DISK_DYNAMIC, L"ERROR_VOLMGR_DISK_DYNAMIC",
	ERROR_VOLMGR_DISK_ID_INVALID, L"ERROR_VOLMGR_DISK_ID_INVALID",
	ERROR_VOLMGR_DISK_INVALID, L"ERROR_VOLMGR_DISK_INVALID",
	ERROR_VOLMGR_DISK_LAST_VOTER, L"ERROR_VOLMGR_DISK_LAST_VOTER",
	ERROR_VOLMGR_DISK_LAYOUT_INVALID, L"ERROR_VOLMGR_DISK_LAYOUT_INVALID",
	ERROR_VOLMGR_DISK_LAYOUT_NON_BASIC_BETWEEN_BASIC_PARTITIONS, L"ERROR_VOLMGR_DISK_LAYOUT_NON_BASIC_BETWEEN_BASIC_PARTITIONS",
	ERROR_VOLMGR_DISK_LAYOUT_NOT_CYLINDER_ALIGNED, L"ERROR_VOLMGR_DISK_LAYOUT_NOT_CYLINDER_ALIGNED",
	ERROR_VOLMGR_DISK_LAYOUT_PARTITIONS_TOO_SMALL, L"ERROR_VOLMGR_DISK_LAYOUT_PARTITIONS_TOO_SMALL",
	ERROR_VOLMGR_DISK_LAYOUT_PRIMARY_BETWEEN_LOGICAL_PARTITIONS, L"ERROR_VOLMGR_DISK_LAYOUT_PRIMARY_BETWEEN_LOGICAL_PARTITIONS",
	ERROR_VOLMGR_DISK_LAYOUT_TOO_MANY_PARTITIONS, L"ERROR_VOLMGR_DISK_LAYOUT_TOO_MANY_PARTITIONS",
	ERROR_VOLMGR_DISK_MISSING, L"ERROR_VOLMGR_DISK_MISSING",
	ERROR_VOLMGR_DISK_NOT_EMPTY, L"ERROR_VOLMGR_DISK_NOT_EMPTY",
	ERROR_VOLMGR_DISK_NOT_ENOUGH_SPACE, L"ERROR_VOLMGR_DISK_NOT_ENOUGH_SPACE",
	ERROR_VOLMGR_DISK_REVECTORING_FAILED, L"ERROR_VOLMGR_DISK_REVECTORING_FAILED",
	ERROR_VOLMGR_DISK_SECTOR_SIZE_INVALID, L"ERROR_VOLMGR_DISK_SECTOR_SIZE_INVALID",
	ERROR_VOLMGR_DISK_SET_NOT_CONTAINED, L"ERROR_VOLMGR_DISK_SET_NOT_CONTAINED",
	ERROR_VOLMGR_DISK_USED_BY_MULTIPLE_MEMBERS, L"ERROR_VOLMGR_DISK_USED_BY_MULTIPLE_MEMBERS",
	ERROR_VOLMGR_DISK_USED_BY_MULTIPLE_PLEXES, L"ERROR_VOLMGR_DISK_USED_BY_MULTIPLE_PLEXES",
	ERROR_VOLMGR_DYNAMIC_DISK_NOT_SUPPORTED, L"ERROR_VOLMGR_DYNAMIC_DISK_NOT_SUPPORTED",
	ERROR_VOLMGR_EXTENT_ALREADY_USED, L"ERROR_VOLMGR_EXTENT_ALREADY_USED",
	ERROR_VOLMGR_EXTENT_NOT_CONTIGUOUS, L"ERROR_VOLMGR_EXTENT_NOT_CONTIGUOUS",
	ERROR_VOLMGR_EXTENT_NOT_IN_PUBLIC_REGION, L"ERROR_VOLMGR_EXTENT_NOT_IN_PUBLIC_REGION",
	ERROR_VOLMGR_EXTENT_NOT_SECTOR_ALIGNED, L"ERROR_VOLMGR_EXTENT_NOT_SECTOR_ALIGNED",
	ERROR_VOLMGR_EXTENT_OVERLAPS_EBR_PARTITION, L"ERROR_VOLMGR_EXTENT_OVERLAPS_EBR_PARTITION",
	ERROR_VOLMGR_EXTENT_VOLUME_LENGTHS_DO_NOT_MATCH, L"ERROR_VOLMGR_EXTENT_VOLUME_LENGTHS_DO_NOT_MATCH",
	ERROR_VOLMGR_FAULT_TOLERANT_NOT_SUPPORTED, L"ERROR_VOLMGR_FAULT_TOLERANT_NOT_SUPPORTED",
	ERROR_VOLMGR_INTERLEAVE_LENGTH_INVALID, L"ERROR_VOLMGR_INTERLEAVE_LENGTH_INVALID",
	ERROR_VOLMGR_MAXIMUM_REGISTERED_USERS, L"ERROR_VOLMGR_MAXIMUM_REGISTERED_USERS",
	ERROR_VOLMGR_MEMBER_IN_SYNC, L"ERROR_VOLMGR_MEMBER_IN_SYNC",
	ERROR_VOLMGR_MEMBER_INDEX_DUPLICATE, L"ERROR_VOLMGR_MEMBER_INDEX_DUPLICATE",
	ERROR_VOLMGR_MEMBER_INDEX_INVALID, L"ERROR_VOLMGR_MEMBER_INDEX_INVALID",
	ERROR_VOLMGR_MEMBER_MISSING, L"ERROR_VOLMGR_MEMBER_MISSING",
	ERROR_VOLMGR_MEMBER_NOT_DETACHED, L"ERROR_VOLMGR_MEMBER_NOT_DETACHED",
	ERROR_VOLMGR_MEMBER_REGENERATING, L"ERROR_VOLMGR_MEMBER_REGENERATING",
	ERROR_VOLMGR_ALL_DISKS_FAILED, L"ERROR_VOLMGR_ALL_DISKS_FAILED",
	ERROR_VOLMGR_NO_REGISTERED_USERS, L"ERROR_VOLMGR_NO_REGISTERED_USERS",
	ERROR_VOLMGR_NO_SUCH_USER, L"ERROR_VOLMGR_NO_SUCH_USER",
	ERROR_VOLMGR_NOTIFICATION_RESET, L"ERROR_VOLMGR_NOTIFICATION_RESET",
	ERROR_VOLMGR_NUMBER_OF_MEMBERS_INVALID, L"ERROR_VOLMGR_NUMBER_OF_MEMBERS_INVALID",
	ERROR_VOLMGR_NUMBER_OF_PLEXES_INVALID, L"ERROR_VOLMGR_NUMBER_OF_PLEXES_INVALID",
	ERROR_VOLMGR_PACK_DUPLICATE, L"ERROR_VOLMGR_PACK_DUPLICATE",
	ERROR_VOLMGR_PACK_ID_INVALID, L"ERROR_VOLMGR_PACK_ID_INVALID",
	ERROR_VOLMGR_PACK_INVALID, L"ERROR_VOLMGR_PACK_INVALID",
	ERROR_VOLMGR_PACK_NAME_INVALID, L"ERROR_VOLMGR_PACK_NAME_INVALID",
	ERROR_VOLMGR_PACK_OFFLINE, L"ERROR_VOLMGR_PACK_OFFLINE",
	ERROR_VOLMGR_PACK_HAS_QUORUM, L"ERROR_VOLMGR_PACK_HAS_QUORUM",
	ERROR_VOLMGR_PACK_WITHOUT_QUORUM, L"ERROR_VOLMGR_PACK_WITHOUT_QUORUM",
	ERROR_VOLMGR_PARTITION_STYLE_INVALID, L"ERROR_VOLMGR_PARTITION_STYLE_INVALID",
	ERROR_VOLMGR_PARTITION_UPDATE_FAILED, L"ERROR_VOLMGR_PARTITION_UPDATE_FAILED",
	ERROR_VOLMGR_PLEX_IN_SYNC, L"ERROR_VOLMGR_PLEX_IN_SYNC",
	ERROR_VOLMGR_PLEX_INDEX_DUPLICATE, L"ERROR_VOLMGR_PLEX_INDEX_DUPLICATE",
	ERROR_VOLMGR_PLEX_INDEX_INVALID, L"ERROR_VOLMGR_PLEX_INDEX_INVALID",
	ERROR_VOLMGR_PLEX_LAST_ACTIVE, L"ERROR_VOLMGR_PLEX_LAST_ACTIVE",
	ERROR_VOLMGR_PLEX_MISSING, L"ERROR_VOLMGR_PLEX_MISSING",
	ERROR_VOLMGR_PLEX_REGENERATING, L"ERROR_VOLMGR_PLEX_REGENERATING",
	ERROR_VOLMGR_PLEX_TYPE_INVALID, L"ERROR_VOLMGR_PLEX_TYPE_INVALID",
	ERROR_VOLMGR_PLEX_NOT_RAID5, L"ERROR_VOLMGR_PLEX_NOT_RAID5",
	ERROR_VOLMGR_PLEX_NOT_SIMPLE, L"ERROR_VOLMGR_PLEX_NOT_SIMPLE",
	ERROR_VOLMGR_STRUCTURE_SIZE_INVALID, L"ERROR_VOLMGR_STRUCTURE_SIZE_INVALID",
	ERROR_VOLMGR_TOO_MANY_NOTIFICATION_REQUESTS, L"ERROR_VOLMGR_TOO_MANY_NOTIFICATION_REQUESTS",
	ERROR_VOLMGR_TRANSACTION_IN_PROGRESS, L"ERROR_VOLMGR_TRANSACTION_IN_PROGRESS",
	ERROR_VOLMGR_UNEXPECTED_DISK_LAYOUT_CHANGE, L"ERROR_VOLMGR_UNEXPECTED_DISK_LAYOUT_CHANGE",
	ERROR_VOLMGR_VOLUME_CONTAINS_MISSING_DISK, L"ERROR_VOLMGR_VOLUME_CONTAINS_MISSING_DISK",
	ERROR_VOLMGR_VOLUME_ID_INVALID, L"ERROR_VOLMGR_VOLUME_ID_INVALID",
	ERROR_VOLMGR_VOLUME_LENGTH_INVALID, L"ERROR_VOLMGR_VOLUME_LENGTH_INVALID",
	ERROR_VOLMGR_VOLUME_LENGTH_NOT_SECTOR_SIZE_MULTIPLE, L"ERROR_VOLMGR_VOLUME_LENGTH_NOT_SECTOR_SIZE_MULTIPLE",
	ERROR_VOLMGR_VOLUME_NOT_MIRRORED, L"ERROR_VOLMGR_VOLUME_NOT_MIRRORED",
	ERROR_VOLMGR_VOLUME_NOT_RETAINED, L"ERROR_VOLMGR_VOLUME_NOT_RETAINED",
	ERROR_VOLMGR_VOLUME_OFFLINE, L"ERROR_VOLMGR_VOLUME_OFFLINE",
	ERROR_VOLMGR_VOLUME_RETAINED, L"ERROR_VOLMGR_VOLUME_RETAINED",
	ERROR_VOLMGR_NUMBER_OF_EXTENTS_INVALID, L"ERROR_VOLMGR_NUMBER_OF_EXTENTS_INVALID",
	ERROR_VOLMGR_DIFFERENT_SECTOR_SIZE, L"ERROR_VOLMGR_DIFFERENT_SECTOR_SIZE",
	ERROR_VOLMGR_BAD_BOOT_DISK, L"ERROR_VOLMGR_BAD_BOOT_DISK",
	ERROR_VOLMGR_PACK_CONFIG_OFFLINE, L"ERROR_VOLMGR_PACK_CONFIG_OFFLINE",
	ERROR_VOLMGR_PACK_CONFIG_ONLINE, L"ERROR_VOLMGR_PACK_CONFIG_ONLINE",
	ERROR_VOLMGR_NOT_PRIMARY_PACK, L"ERROR_VOLMGR_NOT_PRIMARY_PACK",
	ERROR_VOLMGR_PACK_LOG_UPDATE_FAILED, L"ERROR_VOLMGR_PACK_LOG_UPDATE_FAILED",
	ERROR_VOLMGR_NUMBER_OF_DISKS_IN_PLEX_INVALID, L"ERROR_VOLMGR_NUMBER_OF_DISKS_IN_PLEX_INVALID",
	ERROR_VOLMGR_NUMBER_OF_DISKS_IN_MEMBER_INVALID, L"ERROR_VOLMGR_NUMBER_OF_DISKS_IN_MEMBER_INVALID",
	ERROR_VOLMGR_VOLUME_MIRRORED, L"ERROR_VOLMGR_VOLUME_MIRRORED",
	ERROR_VOLMGR_PLEX_NOT_SIMPLE_SPANNED, L"ERROR_VOLMGR_PLEX_NOT_SIMPLE_SPANNED",
	ERROR_VOLMGR_NO_VALID_LOG_COPIES, L"ERROR_VOLMGR_NO_VALID_LOG_COPIES",
	ERROR_VOLMGR_PRIMARY_PACK_PRESENT, L"ERROR_VOLMGR_PRIMARY_PACK_PRESENT",
	ERROR_VOLMGR_NUMBER_OF_DISKS_INVALID, L"ERROR_VOLMGR_NUMBER_OF_DISKS_INVALID",
	ERROR_VOLMGR_MIRROR_NOT_SUPPORTED, L"ERROR_VOLMGR_MIRROR_NOT_SUPPORTED",
	ERROR_VOLMGR_RAID5_NOT_SUPPORTED, L"ERROR_VOLMGR_RAID5_NOT_SUPPORTED",
	ERROR_BCD_NOT_ALL_ENTRIES_IMPORTED, L"ERROR_BCD_NOT_ALL_ENTRIES_IMPORTED",
	ERROR_BCD_TOO_MANY_ELEMENTS, L"ERROR_BCD_TOO_MANY_ELEMENTS",
	ERROR_BCD_NOT_ALL_ENTRIES_SYNCHRONIZED, L"ERROR_BCD_NOT_ALL_ENTRIES_SYNCHRONIZED",
	ERROR_VHD_DRIVE_FOOTER_MISSING, L"ERROR_VHD_DRIVE_FOOTER_MISSING",
	ERROR_VHD_DRIVE_FOOTER_CHECKSUM_MISMATCH, L"ERROR_VHD_DRIVE_FOOTER_CHECKSUM_MISMATCH",
	ERROR_VHD_DRIVE_FOOTER_CORRUPT, L"ERROR_VHD_DRIVE_FOOTER_CORRUPT",
	ERROR_VHD_FORMAT_UNKNOWN, L"ERROR_VHD_FORMAT_UNKNOWN",
	ERROR_VHD_FORMAT_UNSUPPORTED_VERSION, L"ERROR_VHD_FORMAT_UNSUPPORTED_VERSION",
	ERROR_VHD_SPARSE_HEADER_CHECKSUM_MISMATCH, L"ERROR_VHD_SPARSE_HEADER_CHECKSUM_MISMATCH",
	ERROR_VHD_SPARSE_HEADER_UNSUPPORTED_VERSION, L"ERROR_VHD_SPARSE_HEADER_UNSUPPORTED_VERSION",
	ERROR_VHD_SPARSE_HEADER_CORRUPT, L"ERROR_VHD_SPARSE_HEADER_CORRUPT",
	ERROR_VHD_BLOCK_ALLOCATION_FAILURE, L"ERROR_VHD_BLOCK_ALLOCATION_FAILURE",
	ERROR_VHD_BLOCK_ALLOCATION_TABLE_CORRUPT, L"ERROR_VHD_BLOCK_ALLOCATION_TABLE_CORRUPT",
	ERROR_VHD_INVALID_BLOCK_SIZE, L"ERROR_VHD_INVALID_BLOCK_SIZE",
	ERROR_VHD_BITMAP_MISMATCH, L"ERROR_VHD_BITMAP_MISMATCH",
	ERROR_VHD_PARENT_VHD_NOT_FOUND, L"ERROR_VHD_PARENT_VHD_NOT_FOUND",
	ERROR_VHD_CHILD_PARENT_ID_MISMATCH, L"ERROR_VHD_CHILD_PARENT_ID_MISMATCH",
	ERROR_VHD_CHILD_PARENT_TIMESTAMP_MISMATCH, L"ERROR_VHD_CHILD_PARENT_TIMESTAMP_MISMATCH",
	ERROR_VHD_METADATA_READ_FAILURE, L"ERROR_VHD_METADATA_READ_FAILURE",
	ERROR_VHD_METADATA_WRITE_FAILURE, L"ERROR_VHD_METADATA_WRITE_FAILURE",
	ERROR_VHD_INVALID_SIZE, L"ERROR_VHD_INVALID_SIZE",
	ERROR_VHD_INVALID_FILE_SIZE, L"ERROR_VHD_INVALID_FILE_SIZE",
	ERROR_VIRTDISK_PROVIDER_NOT_FOUND, L"ERROR_VIRTDISK_PROVIDER_NOT_FOUND",
	ERROR_VIRTDISK_NOT_VIRTUAL_DISK, L"ERROR_VIRTDISK_NOT_VIRTUAL_DISK",
	ERROR_VHD_PARENT_VHD_ACCESS_DENIED, L"ERROR_VHD_PARENT_VHD_ACCESS_DENIED",
	ERROR_VHD_CHILD_PARENT_SIZE_MISMATCH, L"ERROR_VHD_CHILD_PARENT_SIZE_MISMATCH",
	ERROR_VHD_DIFFERENCING_CHAIN_CYCLE_DETECTED, L"ERROR_VHD_DIFFERENCING_CHAIN_CYCLE_DETECTED",
	ERROR_VHD_DIFFERENCING_CHAIN_ERROR_IN_PARENT, L"ERROR_VHD_DIFFERENCING_CHAIN_ERROR_IN_PARENT",
	ERROR_VIRTUAL_DISK_LIMITATION, L"ERROR_VIRTUAL_DISK_LIMITATION",
	ERROR_VHD_INVALID_TYPE, L"ERROR_VHD_INVALID_TYPE",
	ERROR_VHD_INVALID_STATE, L"ERROR_VHD_INVALID_STATE",
	ERROR_VIRTDISK_UNSUPPORTED_DISK_SECTOR_SIZE, L"ERROR_VIRTDISK_UNSUPPORTED_DISK_SECTOR_SIZE",
	ERROR_QUERY_STORAGE_ERROR, L"ERROR_QUERY_STORAGE_ERROR",
	SDIAG_E_CANCELLED, L"SDIAG_E_CANCELLED",
	SDIAG_E_SCRIPT, L"SDIAG_E_SCRIPT",
	SDIAG_E_POWERSHELL, L"SDIAG_E_POWERSHELL",
	SDIAG_E_MANAGEDHOST, L"SDIAG_E_MANAGEDHOST",
	SDIAG_E_NOVERIFIER, L"SDIAG_E_NOVERIFIER",
	SDIAG_S_CANNOTRUN, L"SDIAG_S_CANNOTRUN",
	SDIAG_E_DISABLED, L"SDIAG_E_DISABLED",
	SDIAG_E_TRUST, L"SDIAG_E_TRUST",
	SDIAG_E_CANNOTRUN, L"SDIAG_E_CANNOTRUN",
	SDIAG_E_VERSION, L"SDIAG_E_VERSION",
	SDIAG_E_RESOURCE, L"SDIAG_E_RESOURCE",
	SDIAG_E_ROOTCAUSE, L"SDIAG_E_ROOTCAUSE",
	E_MBN_CONTEXT_NOT_ACTIVATED, L"E_MBN_CONTEXT_NOT_ACTIVATED",
	E_MBN_BAD_SIM, L"E_MBN_BAD_SIM",
	E_MBN_DATA_CLASS_NOT_AVAILABLE, L"E_MBN_DATA_CLASS_NOT_AVAILABLE",
	E_MBN_INVALID_ACCESS_STRING, L"E_MBN_INVALID_ACCESS_STRING",
	E_MBN_MAX_ACTIVATED_CONTEXTS, L"E_MBN_MAX_ACTIVATED_CONTEXTS",
	E_MBN_PACKET_SVC_DETACHED, L"E_MBN_PACKET_SVC_DETACHED",
	E_MBN_PROVIDER_NOT_VISIBLE, L"E_MBN_PROVIDER_NOT_VISIBLE",
	E_MBN_RADIO_POWER_OFF, L"E_MBN_RADIO_POWER_OFF",
	E_MBN_SERVICE_NOT_ACTIVATED, L"E_MBN_SERVICE_NOT_ACTIVATED",
	E_MBN_SIM_NOT_INSERTED, L"E_MBN_SIM_NOT_INSERTED",
	E_MBN_VOICE_CALL_IN_PROGRESS, L"E_MBN_VOICE_CALL_IN_PROGRESS",
	E_MBN_INVALID_CACHE, L"E_MBN_INVALID_CACHE",
	E_MBN_NOT_REGISTERED, L"E_MBN_NOT_REGISTERED",
	E_MBN_PROVIDERS_NOT_FOUND, L"E_MBN_PROVIDERS_NOT_FOUND",
	E_MBN_PIN_NOT_SUPPORTED, L"E_MBN_PIN_NOT_SUPPORTED",
	E_MBN_PIN_REQUIRED, L"E_MBN_PIN_REQUIRED",
	E_MBN_PIN_DISABLED, L"E_MBN_PIN_DISABLED",
	E_MBN_FAILURE, L"E_MBN_FAILURE",
	E_MBN_INVALID_PROFILE, L"E_MBN_INVALID_PROFILE",
	E_MBN_DEFAULT_PROFILE_EXIST, L"E_MBN_DEFAULT_PROFILE_EXIST",
	E_MBN_SMS_ENCODING_NOT_SUPPORTED, L"E_MBN_SMS_ENCODING_NOT_SUPPORTED",
	E_MBN_SMS_FILTER_NOT_SUPPORTED, L"E_MBN_SMS_FILTER_NOT_SUPPORTED",
	E_MBN_SMS_INVALID_MEMORY_INDEX, L"E_MBN_SMS_INVALID_MEMORY_INDEX",
	E_MBN_SMS_LANG_NOT_SUPPORTED, L"E_MBN_SMS_LANG_NOT_SUPPORTED",
	E_MBN_SMS_MEMORY_FAILURE, L"E_MBN_SMS_MEMORY_FAILURE",
	E_MBN_SMS_NETWORK_TIMEOUT, L"E_MBN_SMS_NETWORK_TIMEOUT",
	E_MBN_SMS_UNKNOWN_SMSC_ADDRESS, L"E_MBN_SMS_UNKNOWN_SMSC_ADDRESS",
	E_MBN_SMS_FORMAT_NOT_SUPPORTED, L"E_MBN_SMS_FORMAT_NOT_SUPPORTED",
	E_MBN_SMS_OPERATION_NOT_ALLOWED, L"E_MBN_SMS_OPERATION_NOT_ALLOWED",
	E_MBN_SMS_MEMORY_FULL, L"E_MBN_SMS_MEMORY_FULL",
	UI_E_CREATE_FAILED, L"UI_E_CREATE_FAILED",
	UI_E_SHUTDOWN_CALLED, L"UI_E_SHUTDOWN_CALLED",
	UI_E_ILLEGAL_REENTRANCY, L"UI_E_ILLEGAL_REENTRANCY",
	UI_E_OBJECT_SEALED, L"UI_E_OBJECT_SEALED",
	UI_E_VALUE_NOT_SET, L"UI_E_VALUE_NOT_SET",
	UI_E_VALUE_NOT_DETERMINED, L"UI_E_VALUE_NOT_DETERMINED",
	UI_E_INVALID_OUTPUT, L"UI_E_INVALID_OUTPUT",
	UI_E_BOOLEAN_EXPECTED, L"UI_E_BOOLEAN_EXPECTED",
	UI_E_DIFFERENT_OWNER, L"UI_E_DIFFERENT_OWNER",
	UI_E_AMBIGUOUS_MATCH, L"UI_E_AMBIGUOUS_MATCH",
	UI_E_FP_OVERFLOW, L"UI_E_FP_OVERFLOW",
	UI_E_WRONG_THREAD, L"UI_E_WRONG_THREAD",
	UI_E_STORYBOARD_ACTIVE, L"UI_E_STORYBOARD_ACTIVE",
	UI_E_STORYBOARD_NOT_PLAYING, L"UI_E_STORYBOARD_NOT_PLAYING",
	UI_E_START_KEYFRAME_AFTER_END, L"UI_E_START_KEYFRAME_AFTER_END",
	UI_E_END_KEYFRAME_NOT_DETERMINED, L"UI_E_END_KEYFRAME_NOT_DETERMINED",
	UI_E_LOOPS_OVERLAP, L"UI_E_LOOPS_OVERLAP",
	UI_E_TRANSITION_ALREADY_USED, L"UI_E_TRANSITION_ALREADY_USED",
	UI_E_TRANSITION_NOT_IN_STORYBOARD, L"UI_E_TRANSITION_NOT_IN_STORYBOARD",
	UI_E_TRANSITION_ECLIPSED, L"UI_E_TRANSITION_ECLIPSED",
	UI_E_TIME_BEFORE_LAST_UPDATE, L"UI_E_TIME_BEFORE_LAST_UPDATE",
	UI_E_TIMER_CLIENT_ALREADY_CONNECTED, L"UI_E_TIMER_CLIENT_ALREADY_CONNECTED",
};

std::map< DWORD, std::vector< std::wstring > > g_mapErrToStrs; // First is always the error name.
POINT g_ptMinSize = {0};
POINT g_ptListMargins = {0};
bool g_bDoneInit = false;

CFindErrorDlg::CFindErrorDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CFindErrorDlg::IDD, pParent)
{
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CFindErrorDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Control(pDX, IDC_EDIT_OR1, m_editOr1);
	DDX_Control(pDX, IDC_EDIT_OR2, m_editOr2);
	DDX_Control(pDX, IDC_EDIT_OR3, m_editOr3);
	DDX_Control(pDX, IDC_EDIT_AND1, m_editAnd1);
	DDX_Control(pDX, IDC_EDIT_AND2, m_editAnd2);
	DDX_Control(pDX, IDC_EDIT_AND3, m_editAnd3);
	DDX_Control(pDX, IDC_LIST1, m_list);
	DDX_Control(pDX, IDC_EDIT_AND4, m_editExact);
}

BEGIN_MESSAGE_MAP(CFindErrorDlg, CDialog)
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_WM_GETMINMAXINFO()
	ON_WM_SIZE()
	//}}AFX_MSG_MAP
	ON_BN_CLICKED(IDOK, &CFindErrorDlg::OnBnClickedOk)
	ON_NOTIFY(NM_DBLCLK, IDC_LIST1, &CFindErrorDlg::OnNMDblclkList1)
END_MESSAGE_MAP()


// CFindErrorDlg message handlers

BOOL CFindErrorDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon

	RECT rcWindow = {0};
	GetWindowRect(&rcWindow);
	g_ptMinSize.x = rcWindow.right-rcWindow.left;
	g_ptMinSize.y = rcWindow.bottom-rcWindow.top;

	RECT rcList = {0};
	GetClientRect(&rcWindow);
	m_list.GetWindowRect(&rcList);
	ScreenToClient(&rcList);
	g_ptListMargins.x = rcWindow.right - rcList.right;
	g_ptListMargins.y = rcWindow.bottom - rcList.bottom;

	m_list.SetExtendedStyle(LVS_EX_FULLROWSELECT);

	m_list.InsertColumn(0, L"Tip");
	m_list.InsertItem(0, L"Double-click results to copy their names to the clipboard.");
	m_list.InsertItem(1, L"This tool only knows about errors defined in WinError.h (Windows 7 SDK).");
	m_list.InsertItem(2, L"Check http://www.PretentiousName.com/finderror for updates.");
	m_list.SetColumnWidth(0, LVSCW_AUTOSIZE_USEHEADER);

	wchar_t szBuffer[64*512];
	wchar_t szBufferU[64*512];

	for(size_t i = 0; i < _countof(Errors); ++i)
	{
		const DWORD &     dwErr = Errors[i].dwErr;
		const wchar_t * & szErr = Errors[i].szErr;

		std::vector< std::wstring > & vecStrs = g_mapErrToStrs[dwErr];

		vecStrs.push_back(szErr);

		for(size_t j = 0; true; ++j)
		{
			if (szErr[j]==L'\0')
			{
				szBufferU[j]=L'\0';
				break;
			}
			szBufferU[j] = towupper(szErr[j]);
		}
		vecStrs.push_back(szBufferU);

		wsprintf(szBufferU, L"%lu", dwErr);
		vecStrs.push_back(szBufferU);

		if (dwErr & 0x8000000)
		{
			wsprintf(szBufferU, L"%ld", dwErr);
			vecStrs.push_back(szBufferU);
		}

		wsprintf(szBufferU, L"0X%08lX", dwErr);
		vecStrs.push_back(szBufferU);

		wsprintf(szBufferU, L"%08lX", dwErr);
		vecStrs.push_back(szBufferU);

		wsprintf(szBufferU, L"%lX", dwErr);
		vecStrs.push_back(szBufferU);

		if (0 != FormatMessage(FORMAT_MESSAGE_FROM_SYSTEM|FORMAT_MESSAGE_IGNORE_INSERTS, NULL, dwErr, 0, szBuffer, _countof(szBuffer), NULL))
		{
			for(size_t j = 0; true; ++j)
			{
				if (szBuffer[j]==L'\0')
				{
					szBufferU[j]=L'\0';
					break;
				}
				szBufferU[j] = towupper(szBuffer[j]);
			}
			vecStrs.push_back(szBufferU);
		}
	}

	g_bDoneInit = true;

	return TRUE;  // return TRUE  unless you set the focus to a control
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CFindErrorDlg::OnPaint()
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, reinterpret_cast<WPARAM>(dc.GetSafeHdc()), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this function to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CFindErrorDlg::OnQueryDragIcon()
{
	return static_cast<HCURSOR>(m_hIcon);
}

bool subStrInAnyIgnoreFirst(const std::vector< std::wstring > &vecStrs, const wchar_t *szFind)
{
	for (std::vector< std::wstring >::const_iterator viter = (vecStrs.begin() + 1); viter != vecStrs.end(); ++viter)
	{
		if (wcsstr(viter->c_str(), szFind) != NULL)
		{
			return true;
		}
	}

	return false;
}

bool exactStrInAnyIgnoreFirst(const std::vector< std::wstring > &vecStrs, const wchar_t *szFind)
{
	for (std::vector< std::wstring >::const_iterator viter = (vecStrs.begin() + 1); viter != vecStrs.end(); ++viter)
	{
		if (wcscmp(viter->c_str(), szFind) == 0)
		{
			return true;
		}
	}

	return false;
}


void CFindErrorDlg::OnBnClickedOk()
{
	CString csOr1, csOr2, csOr3, csAnd1, csAnd2, csAnd3, csExact;
	m_editOr1.GetWindowTextW(csOr1);
	m_editOr2.GetWindowTextW(csOr2);
	m_editOr3.GetWindowTextW(csOr3);
	m_editAnd1.GetWindowTextW(csAnd1);
	m_editAnd2.GetWindowTextW(csAnd2);
	m_editAnd3.GetWindowTextW(csAnd3);
	m_editExact.GetWindowTextW(csExact);
	csOr1.MakeUpper().Trim();
	csOr2.MakeUpper().Trim();
	csOr3.MakeUpper().Trim();
	csAnd1.MakeUpper().Trim();
	csAnd2.MakeUpper().Trim();
	csAnd3.MakeUpper().Trim();
	csExact.MakeUpper().Trim();

	bool bAnd1Empty = csAnd1.IsEmpty();
	bool bAnd2Empty = csAnd2.IsEmpty();
	bool bAnd3Empty = csAnd3.IsEmpty();
	bool bOr1Empty = csOr1.IsEmpty();
	bool bOr2Empty = csOr2.IsEmpty();
	bool bOr3Empty = csOr3.IsEmpty();
	bool bExactEmpty = csExact.IsEmpty();

	m_list.DeleteAllItems();

	if (m_list.GetHeaderCtrl()->GetItemCount() <= 1)
	{
		while (m_list.GetHeaderCtrl()->GetItemCount() != 0)
		{
			m_list.DeleteColumn(0);
		}

		m_list.InsertColumn(0, L"Name");
		m_list.InsertColumn(1, L"Signed Decimal");
		m_list.InsertColumn(2, L"Unsigned Decimal");
		m_list.InsertColumn(3, L"Hex");
		m_list.InsertColumn(4, L"Description");
	}

//	if (!(bAnd1Empty && bAnd2Empty && bAnd3Empty && bOr1Empty && bOr2Empty && bOr3Empty && bExactEmpty))
	{
		wchar_t szBuffer[64*512];

		for(std::map< DWORD, std::vector< std::wstring > >::const_iterator miter = g_mapErrToStrs.begin(); miter != g_mapErrToStrs.end(); ++miter)
		{
			const DWORD & dwErr = miter->first;
			const std::vector< std::wstring > & vecStrs = miter->second;

			if (vecStrs.empty())
			{
				continue;
			}

			if ((bAnd1Empty || subStrInAnyIgnoreFirst(vecStrs, csAnd1))
			&&	(bAnd2Empty || subStrInAnyIgnoreFirst(vecStrs, csAnd2))
			&&	(bAnd3Empty || subStrInAnyIgnoreFirst(vecStrs, csAnd3)))
			{
				if ((bOr1Empty && bOr2Empty && bOr3Empty)
				||	(!bOr1Empty && subStrInAnyIgnoreFirst(vecStrs, csOr1))
				||	(!bOr2Empty && subStrInAnyIgnoreFirst(vecStrs, csOr2))
				||	(!bOr3Empty && subStrInAnyIgnoreFirst(vecStrs, csOr3)))
				{
					if (bExactEmpty || exactStrInAnyIgnoreFirst(vecStrs, csExact))
					{
						int idx = m_list.InsertItem(m_list.GetItemCount(), vecStrs.front().c_str());

						wsprintf(szBuffer, L"%ld", dwErr);
						m_list.SetItemText(idx, 1, szBuffer);

						wsprintf(szBuffer, L"%lu", dwErr);
						m_list.SetItemText(idx, 2, szBuffer);

						wsprintf(szBuffer, L"0x%08lx", dwErr);
						m_list.SetItemText(idx, 3, szBuffer);

						if (0 != FormatMessage(FORMAT_MESSAGE_FROM_SYSTEM|FORMAT_MESSAGE_IGNORE_INSERTS, NULL, dwErr, 0, szBuffer, _countof(szBuffer), NULL))
						{
							m_list.SetItemText(idx, 4, szBuffer);
						}
					}
				}
			}
		}
	}

	for (int c = 0; c < m_list.GetHeaderCtrl()->GetItemCount(); ++c)
	{
		m_list.SetColumnWidth(c, LVSCW_AUTOSIZE_USEHEADER);
	}


//	OnOK();
}

void CFindErrorDlg::OnGetMinMaxInfo(MINMAXINFO *lpMMI)
{
	if (g_bDoneInit)
	{
		lpMMI->ptMinTrackSize = g_ptMinSize;
	}
}

void CFindErrorDlg::OnSize(UINT nType, int cx, int cy)
{
	if (g_bDoneInit)
	{
		RECT rcWindow = {0};
		RECT rcList = {0};
		GetClientRect(&rcWindow);
		m_list.GetWindowRect(&rcList);
		ScreenToClient(&rcList);
		rcList.right = rcWindow.right - g_ptListMargins.x;
		rcList.bottom = rcWindow.bottom - g_ptListMargins.y;
		m_list.MoveWindow(&rcList, TRUE);
	}
}

inline bool setClipboard(HWND hwndClipboardOwner, const wchar_t *sz)
{
	bool bResult = false;

	size_t cchBufLen = wcslen(sz) + 1;

	size_t cbBufSize = cchBufLen * sizeof(wchar_t);

	HGLOBAL hGlobalClipMem = ::GlobalAlloc(GMEM_MOVEABLE, cbBufSize);

	if (hGlobalClipMem != NULL)
	{
		wchar_t *pGlobalClipBuffer = reinterpret_cast<wchar_t *>( ::GlobalLock(hGlobalClipMem) );

		if (NULL != pGlobalClipBuffer)
		{
			wcscpy_s(pGlobalClipBuffer, cchBufLen, sz);

			::GlobalUnlock(hGlobalClipMem);

			if (::OpenClipboard(hwndClipboardOwner))
			{
				if (::EmptyClipboard())
				{
					if (NULL != ::SetClipboardData(CF_UNICODETEXT, hGlobalClipMem))
					{
						hGlobalClipMem = NULL; // Clipboard owns it now.
						bResult = true;
					}
				}

				if (!::CloseClipboard())
				{
					bResult = false;
				}
			}
		}

		if (hGlobalClipMem != NULL)
		{
			::GlobalFree(hGlobalClipMem);
			hGlobalClipMem = NULL;
		}
	}

	return bResult;
}


void CFindErrorDlg::OnNMDblclkList1(NMHDR *pNMHDR, LRESULT *pResult)
{
	LPNMITEMACTIVATE pNMItemActivate = reinterpret_cast<LPNMITEMACTIVATE>(pNMHDR);

	if (pNMItemActivate->iItem != -1)
	{
		CString cstrName = m_list.GetItemText(pNMItemActivate->iItem, 0);

		if (m_list.GetHeaderCtrl()->GetItemCount() > 1)
		{
			if (!setClipboard(GetSafeHwnd(), cstrName))
			{
				AfxMessageBox(L"Failed to set clipboard.", MB_ICONWARNING|MB_OK);
			}
		}
		else if (cstrName.Find(L"http://www.PretentiousName.com/finderror") != -1)
		{
			SHELLEXECUTEINFO see = {0};
			see.cbSize = sizeof(see);
			see.fMask = SEE_MASK_UNICODE|SEE_MASK_NOASYNC;
			see.hwnd = GetSafeHwnd();
			see.lpVerb = NULL;
			see.lpFile = L"http://www.pretentiousname.com/finderror";
			see.lpParameters = NULL;
			see.lpDirectory = NULL;
			see.nShow = SW_SHOW;

			ShellExecuteEx(&see);
		}
	}

	*pResult = 0;
}
